<?php ?>

# List of info@hand versions this package can be installed in.
# Current version should match at least one version specified
# by regex_matches or exact_matches
acceptable_sugar_versions
	# regular expressions
	regex_matches
		- 7\.[0]\.[0-9][a-z]?
	# exact version numbers
	# exact_matches
	#	- 7.0.0a
	#	- 7.0.1
# Package name
name: Russia holidays

# Package description
description: Holidays pack for Russia

# Package author/publisher
author: Long Reach Corporation

# Package publish date
published_date: 2011-12-19

# Package version
version: 1.0.0

# Package type
type: holidays

# True if this package can be uninstalled by 
# -  deleting new files created during installation
# -  restoring files overwritten during installation
is_uninstallable: true

# Package ID. ID/version combination should be unique.
# When new version is released, keep ID, and increase version number
id: HolidaysRussia

# List of files to copy.
# Each entry is an array of 2 elements
#	- from specifies source file(s), path is relative to zip file root
#	- to specifies destination file(s), path is relative to info@hand root directory
# 'from' can be file or directory. If 'from' is a directory, 'to' should be a directory
# as well. If 'from' is a file, 'to' can be a directory or file. Use trailing slash
# to designate that 'to' is a directory.
copy
	--
		from: russia.holidays.php
		to: modules/Calendar/holidays/russia.holidays.php
	--
		from: russia.holidays_calc.php
		to: modules/Calendar/holidays/
	--
		from: russia.ru_ru.php
		to: modules/Calendar/holidays/russia.ru_ru.php

