<?php

function creditcard_class_map() {
	static $map = array(
		'creditcardprocessor' => 'Processor.php',
		'creditcardprocessorexception' => 'Exception.php',
		'creditcardprocessorauthnet' => 'AuthNet.php',
		'creditcardprocessorstripe' => 'Stripe.php',
		'creditcardutils' => 'Utils.php',
	);
	return $map;
}

spl_autoload_register(function($class_name) {
	$map = creditcard_class_map();
	$class_name = strtolower($class_name);
	if (isset($map[$class_name]))
		require_once dirname(__FILE__) . DIRECTORY_SEPARATOR . $map[$class_name];
});
