<?php
interface IPopup {

    /**
     * Load data from $_REQUEST
     *
     * @abstract
     */
    public function loadRequest();

    /**
     * Initialize popup
     *
     * @abstract
     * @param string $module
     */
    public function init($module, $layout=null);

    /**
     * Get popup title
     *
     * @abstract
     */
    public function getTitle($html = true);

    /**
     * Render popup body
     *
     * @abstract
     */
    public function render();
}
