<?php

class RemoteFSFactory {
	public static function create($type, $options) {
		if (!strlen($type))
			return null;
		$type = ucfirst(strtolower($type));
		if ($type == 'Dropbox' && dropbox_lib_disabled()) {
			return null;
		}
		$fname = "include/RemoteFS/RemoteFS{$type}.php";
		if (!file_exists($fname))
			return null;
		require_once $fname;
		$cls = "RemoteFS{$type}";
		return new $cls($options);
	}
}
