<?php
/**
 * Smarty plugin
 * @package Smarty
 * @subpackage plugins
 */


/**
 * Smarty {iah_json} function plugin
 *
 * Type:     function<br>
 * Name:     iah_json<br>
 * Purpose:  convert parameter to JSON value
 */
function smarty_function_iah_json($params, $template) {
	$json = getJSONobj();
	$data = $json->encode($params['data']);
	if(isset($params['var']))
		$template->assign($params['var'], $data);
	else
		return $data;
}

?>
