// vim: set filetype=markdown tw=80:

Vast majority of 1CRM API calls require authentication. Upon successful
authentication, further API calls respect access rules defined by 1CRM
administrator. This includes access to certain modules, access to records
belonging to other users, permissions to edit and/or delete records, etc.
Basically, any restrictions that apply to a user using 1CRM web UI, also apply
to api calls when API client is authenticated on behalf of that user.

1CRM REST API supports 2 authentication mechanisms: **Basic** authentication and
**OAuth 2** authentication. **OAuth 2** authentication should be preferred if
possible.
