// vim: set filetype=markdown tw=80:

HTTP basic authentication is the simplest authentication method accepted by 1CRM
API. Authentication is performed by adding `Authorization` header to all
requests. No special authentication request is required.

To perform basic authentication, application should perform the following steps:

1. Concatenate user name and password with a colon: `admin:password`
2. Encode concatenated string as Base64 : `YWRtaW46cGFzc3dvcmQ=`
3. Add `Authorization` header to the HTTP request: `Authorization: Basic YWRtaW46cGFzc3dvcmQ=`

**While Basic authentication is very simple to use, you should always prefer
OAuth 2.0. Note that in 1CRM Implementation Guide, we highly recommend disabling
Basic Authentication, and most administrators will do so **
