// vim: set filetype=markdown tw=80:

1CRM API uses different HTTP methods in API calls. Some client applications may
only be able to perform HTTP requests using a limited number of HTTP methods.
Also, 1CRM application server may be behind an HTTP proxy that does not accept
HTTP methods other than GET and POST. To use 1CRM API in such situations, one
can send POST requests instead of PUT, PATCH and DELETE, and add
X-HTTP-Method-Override header.

	POST {BASEURI}/data/Account/123 HTTP/1.1
	Host: {HOST}
	X-HTTP-Method-Override: DELETE


