// vim: set filetype=markdown tw=80:

This type represents a webhook filter by a enum or multienum field.

`filter` can be one of the following:

* `eq` field value equals `value`; pass a string for enum field or an array of
  strings for multienum field
* `not_eq` field value not equals `value`; pass a string for enum field or an array of
  strings for multienum field
* `any_of` for enum fields, field value is contained in `value` array; for
  multienum fields, field value contains at least one element from array
  passed in `value`
* `not_any_of` for enum fields, field value is not contained in `value` array; for
  multienum fields, field value does not contain any of the elements from array
  passed in `value`
* `all_of`  all elements passed in `value` array are contained in field value; applicable to multienum fields only
* `empty`  field value is empty
* `not_empty`  field value is not empty

