<?php

namespace OneCRM\API\Endpoints\Auth;

class AccessTokenUser extends AccessTokenBase {

	public function resourceOwnerType() {
		return 'Users';
	}

	public function endpoint() {
		return '/auth/user/access_token';
	}

	public function descriptor($method) {
		if ($method == 'post') {
			$desc = parent::descriptor($method);
			$desc['title'] = 'Authorization grant for user';
			return $desc;
		}
	}
}

