<?php

namespace OneCRM\API\Endpoints\Auth;

class LoginUser extends LoginBase {

	public function endpoint() {
		return '/auth/user/login';
	}

	public function getRouteName($method) {
		if (strtolower($method) === 'get') {
			return 'loginUser';
		}
	}

	protected function authRouteName() {
		return 'authorizeUser';
	}

	protected function resourceOwnerType() {
		return 'Users';
	}

	protected function sessionUseCookies() {
		return true;
	}
}

