<?php

namespace OneCRM\API\Types;
use OneCRM\API\Type;

class TestComplexType extends  ObjectType {

	public function __construct($server, $name = 'TestComplex') {
		parent::__construct($server, $name);
	}

	public function getDocs() {
		return 'This type exists solely for testing purposes. Do not use';
	}

	public function isBasic() {
		return false;
	}
	public function expandComplexDef(&$def) {
		$def['schema'] = [
			'x' => [
				'type' => 'String',
				'required' => true,
			],
			'y' => [
				'type' => 'Int',
				'required' => false,
			],
			'z' => [
				'type' => 'TestComplex',
				'required' => false,
			],
			'q' => [
				'type' => 'DateTime',
				'required' => true,
			]
		];
	}


}

