<?php

namespace OneCRM\API\Types;
use OneCRM\API\Type;

class WebhookWhenType extends EnumType {

	public function __construct($server, $name = 'WebhookWhen') {
		parent::__construct($server, $name);
	}

	public function getDocs() {
		return '@types/webhook_when';
	}

	public function isBasic() {
		return false;
	}
	public function expandComplexDef(&$def) {
		$def['options'] = ['changed', 'not_changed', 'changed_to', 'current_value', 'prev_value'];
	}


}

