<?php
	function parseValue($name, $val, $params = array()) {
		if (is_bool($val))
			$val = $val ? 'true' : 'false';
		if (is_string($val) || is_numeric($val))
			$val = strtolower($val);
		switch (true) {
			case $val === '1' || $val === 'yes' || $val === 'true':
				$val = true;
				break;
			case $val === '0' || $val === 'no' || $val === 'false':
				$val = false;
				break;
			default:
				throw new Exception("Param {$name} should be of type Bool");
		}
		return $val;
	}


var_export(parseValue('a', array()));

