<?php
/**
 * Created by PhpStorm.
 * User: brafreider
 * Date: 11.08.2016
 * Time: 09:24
 */

namespace v4\utils;


interface RememberMeTokenRepositoryInterface
{
    /**
     * @param string $id
     * @return RememberMeTokenEntity
     */
    public function getRememberMeTokenById($id);

    /**
     * @return RememberMeTokenEntity
     */
    public function getNewToken();

    /**
     * @param string $userId
     * @return void
     */
    public function invalidateTokensForUser($userId);

    /**
     * @param RememberMeTokenEntity $token
     * @return string $id
     */
    public function persistToken(RememberMeTokenEntity $token);

    /**
     * @param RememberMeTokenEntity $token
     * @return void
     */
    public function deleteToken(RememberMeTokenEntity $token);
}