<?php
if(!defined('sugarEntry') || !sugarEntry) die('Not A Valid Entry Point');
/*********************************************************************************
 * The contents of this file are subject to the SugarCRM Public License Version
 * 1.1.3 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.sugarcrm.com/SPL
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * All copies of the Covered Code must include on each user interface screen:
 *    (i) the "Powered by SugarCRM" logo and
 *    (ii) the SugarCRM copyright notice
 * in the same form as they appear in the distribution.  See full license for
 * requirements.
 *
 * The Original Code is: SugarCRM Open Source
 * The Initial Developer of the Original Code is SugarCRM, Inc.
 * Portions created by SugarCRM are Copyright (C) 2004-2006 SugarCRM, Inc.;
 * All Rights Reserved.
 * Contributor(s): ______________________________________.
 ********************************************************************************/


function create_chart($chartName,$xmlFile,$width="800",$height="400") {
	$html ='<object classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000"
 codebase="https://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=6,0,0,0"
 WIDTH="'.$width.'" HEIGHT="'.$height.'" id="'.$chartName.'" align="">';
	$html .='<param name="movie" value="include/charts/'.$chartName.'.swf?filename='.$xmlFile.'">';
	$html .='<param name="bgcolor" value="#FFFFFF">';
	$html .='<param name="wmode" value="transparent">';
	$html .='<param name="quality" value="high">';
	$html .='<embed src="include/charts/'.$chartName.'.swf?filename='.$xmlFile.'" wmode="transparent" quality="high" bgcolor="#FFFFFF" width="'.$width.'" height="'.$height.'" name="'.$chartName.'" align=""
 TYPE="application/x-shockwave-flash" PLUGINSPAGE="https://www.macromedia.com/go/getflashplayer">';
	$html .='</object>';
return $html;
}


function generate_graphcolor($input,$instance) {
	global $themeInstance;
	return $themeInstance->generate_graph_color($input, $instance);
}

function save_xml_file($filename,$xml_file) {
	if (!$handle = fopen($filename, 'w')) {
		$GLOBALS['log']->debug("Cannot open file ($filename)");
		return;
	}
	$svg = preg_match('/\.svg$/', $filename);
	if(! $svg) {
		$charset = AppConfig::charset();
		if(fwrite($handle, '<?xml version="1.0" encoding="'.$charset.'"?>'."\n") === false) {
			$GLOBALS['log']->debug("Cannot write to file ($filename)");
		}
	}
	
	if (fwrite($handle,$xml_file) === FALSE) {
		$GLOBALS['log']->debug("Cannot write to file ($filename)");
		return false;
	}

	$GLOBALS['log']->debug("Success, wrote ($xml_file) to file ($filename)");

	fclose($handle);
	return true;

}

// longreach - start modified - smaller range
function get_max($numbers, $type='') {
	$max = max($numbers);	
	$top = pow(10, ceil(log10($max)));
	$min = 10;
	// decimal point not supported (even in sugar 4.5)
	//if(($type == 'hBarF' || $type == 'hBarS') && $max < 1)
		// vertical bar chart has rounding issues, shows 0.xxxxE^-xx near zero
		// $min = 1;
	if($top/5 > $max)
		$top /= 5;
	else if($top/2 > $max)
		$top /= 2;
	return max($min, $top);
}
// longreach - end modified

?>
