<?php
/*
 *
 * The contents of this file are subject to the info@hand Software License Agreement Version 1.3
 *
 * ("License"); You may not use this file except in compliance with the License.
 * You may obtain a copy of the License at <http://1crm.com/pdf/swlicense.pdf>.
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the
 * specific language governing rights and limitations under the License,
 *
 * All copies of the Covered Code must include on each user interface screen:
 * (i) the 1CRM copyright notice,
 * (ii) the "Powered by the 1CRM Engine" logo, 
 *
 * (iii) the "Powered by SugarCRM" logo, and
 * (iv) the SugarCRM copyright notice
 * in the same form as they appear in the distribution.
 * See full license for requirements.
 *
 * The Original Code is : 1CRM Engine proprietary commercial code.
 * The Initial Developer of this Original Code is 1CRM Corp.
 * and it is Copyright (C) 2004-2012 by 1CRM Corp.
 *
 * All Rights Reserved.
 * Portions created by SugarCRM are Copyright (C) 2004-2008 SugarCRM, Inc.;
 * All Rights Reserved.
 *
 */
?><?php return; ?>
@info
	author: andrew
	date: 2010-04-26
@info
	test: append info

test0
	one
		two
# produces array('test0' => array('one' => array('two' => array())))

test1
	one: two
	three: "four "
# produces array('test1' => array('one' => 'two', 'three' => 'four '))

test2
	- one
	- two
	-
		three
# produces array('test2' => array(0 => 'one', 1 => 'two', 2 => 'three'))

test3
	--
		one: two
	--
		three: four
# produces array('test3' => array(0 => array('one' => 'two'), 1 => array('three' => 'four')))

test4
	value: """
test
multiline
	data
"""
# produces array('test4' => array('value' => "\ntest\nmultiline\n\tdata\n"))

test5: [simple, array literal, false]
# produces array('test5' => array('simple', 'array literal', false))

test6: [[one], two, [[]]]
# produces array('test6' => array(array('one'), 'two', array(array())))

test7
	one: two
	1: 2
	@remove 1
# produces array('test7' => array('one' => 'two'))

test8
	one: two
test8
	@clear
# produces array('test8' => array())

test9
	value: "escaped \"characters\'"

finished
