<?php return; /* no output */ ?>

operations
	add: "add(Number n, ...) <br />Returns the sum of the given numbers.<br />ex: add(2, 1, 3) = 6"
	subtract: "subtract(Number a, Number b, ...)<br />Returns a minus b.<br />ex: subtract(10, 5, 2) = 3"
	multiply: "multiply(Number n, ...) <br />Multiplies the supplied numbers.<br />ex: multiply(2, 1, 3) = 6"
	divide: "divide(Number a, Number b) <br />Return a divided by b.<br />ex: divide(8, 2) = 4"
	pow: "pow(Number base, Number exp) <br />Returns base raised to the power of exp.<br / >ex: pow(2, 3) = 8"
	max: "max(Number n, ...) <br />Find the highest value among the given arguments.<br />ex: max(2, 4, 7) = 7"
	min: "min(Number n, ...) <br />Find lowest value among the given arguments.<br />ex: min(2, 4, 7) = 2"
	floor: "floor(Number n) <br />Returns the next lowest integer value by rounding down the value if necessary.<br />ex: floor(4.3) = 4"
	ceil: "ceil(Number n) <br />Returns the next highest integer value by rounding up the value if necessary.<br />ex: ceil(4.3) = 5"
	equal: "equal(item1, item2) <br />Returns true if item1 is equal to item2.<br />ex: equal(&quot;hi&quot;, &quot;hi&quot;) = true, equal(1, 2) = false"
	abs: "abs(Number n) <br />Returns the absolute value of the number.<br />ex: abs(-2.5) = 2.5"
	log: "log(Number arg [, Number base]) <br />Returns the supplied base Log of arg.<br />ex: log(100, 10) = 2"
	exp: "exp(Number arg) <br />Returns the value of <em>e</em> (the base of natural logarithms) raised to the power of arg.<br />ex: exp(0) = 1"
	negate: "negate(Number n) <br />Returns negated value of n.<br />ex: negate(5) = -5"
	ifElse: "ifElse(Boolean c, val1, val2) <br /> Returns val1 if c is true or val2 if c is false.<br />ex: ifElse(true, &quot;A&quot;, &quot;B&quot;) = &quot;A&quot;"
	ifNull: "ifNull(arg, default) <br /> Returns default if arg is a null (undefined) value.<br />ex: ifNull(NULL, 0) = 0"
	strlen: "strlen(String s) <br />Returns the length of the given string.<br />ex: strlen(&quot;Hello!&quot;) = 6"
	concat: "concat(String s, ...) <br />Concatenate supplied strings.<br />ex: concat(&quot;Hello&quot;, &quot; &quot;, &quot;world!&quot;) = &quot;Hello world!&quot;"
	stringToUpper: "stringToUpper(String s)<br />Make a string uppercase.<br />ex: stringToUpper(&quot;Hello&quot;) = &quot;HELLO&quot;"
	stringToLower: "stringToLower(String s)<br />Make a string lowercase.<br />ex: stringToLower(&quot;Hello&quot;) = &quot;hello&quot;"
	substring: "substring(String s, Number offset [, Number len])<br />Return a portion of a string from position <em>offset</em> spanning <em>len</em> characters, or to the end of the string.<br />ex: substring(&quot;Hello&quot;, 2, 1) = &quot;e&quot;"
	round: "round(Number n [, Number decimals])<br />Round a number to a given number of decimal places.<br />ex: round(12256.21, 1) = 12,256.2"
