<?php return; ?>
@info
	description:
		Javascript/CSS groupings referenced by the layout manager and
		compression handler (jsmin)

global
	groups
		- app_base
		- soundmanager
app_base
	params
		lang
			default: en_us
	js_include
		- include/javascript/cookie.js
		- include/javascript/base.js
		- include/javascript/conn.js
		- include/javascript/ui.js
		- include/javascript/sugar_3.js
		- include/javascript/popup_parent_helper.js
		- include/javascript/async_login.js
		- include/javascript/calendar/calendar.js
		- include/javascript/carousel/gallery_lightbox.js
	language
		--
			language: {lang}
			module: app
soundmanager
	js_include
		- include/images/player/soundmanager2.js
home
	js_include
		- modules/Home/home.js
Calendar
	js_include
		- modules/Calendar/CalendarCtrl.js
		- modules/Meetings/scheduler_dialog/activityEditView.js
		- modules/Booking/booking_dialog/bookingEditView.js
	css_include
		- modules/Calendar/calendar.css
	css_literal
		--
			cond_comment: lte IE 7
			value:
				.calendar_hour_row {
					height: 19px;
				}
				.calendar_all_day_row {
					height: 40px;
				}
				.week_day_column.week_header {
					width: 120px;
					min-width: 120px;
				}
				.calendar_hour, .calendar_all_day {
					width: 47px;
					min-width: 47px;
				}
