<?php return; ?>
@info
	description: Settings for installation of demo data

progress_log: cache/temp/demo_progress.log
add_demo_data: false
multibyte_data: false
large_scale_test: false
options
	# used by demoOptions.php
	users
		label: LBL_DEMO_USERS
		kids
			accounts
				label: LBL_DEMO_ACCOUNTS
				kids
					contacts
						label: LBL_DEMO_CONTACTS
						kids
							leads
								label: LBL_DEMO_LEADS
							calls
								label: LBL_DEMO_CALLS
							meetings
								label: LBL_DEMO_MEETINGS
							tasks
								label: LBL_DEMO_TASKS
							emails
								label: LBL_DEMO_EMAILS
					opportunities
						label: LBL_DEMO_OPPS
					cases
						label: LBL_DEMO_CASES
					projects
						label: LBL_DEMO_PROJECTS
					subcontracts
						label: LBL_DEMO_CONTRACTS
					products
						label: LBL_DEMO_PRODUCTS
						kids
							assets
								label: LBL_DEMO_ASSETS
								required
									- subcontracts
									- accounts
							quotes
								label: LBL_DEMO_QUOTES
								required
									- shipping_providers
									- contacts
									- taxes
									- discounts
							invoices
								label: LBL_DEMO_INVOICES
								required
									- shipping_providers
									- accounts
									- contacts
									- taxes
									- discounts
									- products
								kids
									sales_orders
										label: LBL_DEMO_SO
							purchase_orders
								label: LBL_DEMO_PO
								required
									- shipping_providers
									- contacts
									- taxes
									- discounts
							bills
								label: LBL_DEMO_BILLS
								required
									- shipping_providers
									- contacts
									- taxes
									- discounts
					monthly_services
						label: LBL_DEMO_MONTHLY_SERVICES
						required
							- accounts
							- contacts
							- quotes
					expense_reports
						label: LBL_DEMO_EXPENSE_REPORTS
						required
			notes
				label: LBL_DEMO_NOTES
			bugs
				label: LBL_DEMO_BUGS
			documents
				label: LBL_DEMO_DOCUMENTS
			portals
				label: LBL_DEMO_PORTALS
			feeds
				label: LBL_DEMO_FEEDS
			taxes
				label: LBL_DEMO_TAXES
			discounts
				label: LBL_DEMO_DISCOUNTS
			shipping_providers
				label: LBL_DEMO_PROVIDERS
			resources
				label: LBL_DEMO_RESOURCES
			kb
				label: LBL_DEMO_ARTICLES
