<?php
/*
 *
 * The contents of this file are subject to the info@hand Software License Agreement Version 1.3
 *
 * ("License"); You may not use this file except in compliance with the License.
 * You may obtain a copy of the License at <http://1crm.com/pdf/swlicense.pdf>.
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the
 * specific language governing rights and limitations under the License,
 *
 * All copies of the Covered Code must include on each user interface screen:
 * (i) the 1CRM copyright notice,
 * (ii) the "Powered by the 1CRM Engine" logo, 
 *
 * (iii) the "Powered by SugarCRM" logo, and
 * (iv) the SugarCRM copyright notice
 * in the same form as they appear in the distribution.
 * See full license for requirements.
 *
 * The Original Code is : 1CRM Engine proprietary commercial code.
 * The Initial Developer of this Original Code is 1CRM Corp.
 * and it is Copyright (C) 2004-2012 by 1CRM Corp.
 *
 * All Rights Reserved.
 * Portions created by SugarCRM are Copyright (C) 2004-2008 SugarCRM, Inc.;
 * All Rights Reserved.
 *
 */
?><?php return; ?>

varchar
char
	charset: ascii
id
	vname: LBL_ID
	dbType: char
	charset: ascii
	len: 36
	editable: false
ref_id
	vname: LBL_ID
	dbType: char
	charset: ascii
	len: 36
	editable: false
name
	dbType: varchar
	len: 150
	detail_link: true
ref
	detail_link: true
	source: non-db
custom
	source: custom
enum
	dbType: varchar
	charset: ascii
	len: 50
multienum
	dbType: varchar
	charset: ascii
	len: 255
module_name
	dbType: varchar
	len: 50
	charset: ascii
	options: moduleListSingular
	width: 20
user_name
	# Users module
	dbType: varchar
	len: 50
	charset: ascii
number
	# Account: employees
	# string value normally formatted as number
	dbType: varchar
	type: int
date
time
datetime
bool
int
float
currency
	dbType: double
	len: 16
base_currency
	dbType: double
	len: 16
raw_currency
	dbType: double
	len: 16
double
percentage
	dbType: float
	len: 6
rate_percent
	dbType: double
	len: 6
text
	multiline: true
blob
	# ImportMap, SugarFile
html
	dbType: text
phone
	len: 40
	width: 18
	dbType: varchar
extension_number
	dbType: int
	len: 6
	disable_num_format: true
fax
	len: 40
	width: 18
	dbType: varchar
email
	len: 150
	dbType: varchar
	width: 18
url
	len: 255
	dbType: varchar
	width: 18
sequence_prefix
	dbType: varchar
	len: 14
	updateable: false
sequence_number
	dbType: int
	len: 11
	disable_num_format: true
	updateable: false
	detail_link: true
item_number
	detail_link: true
email_recips
	dbType: text
file_ref
	size: 255
	reportable: false
file_size
	dbType: int
	len: 11
image
	source: non-db
	display_size: [90, 90]
	thumbnail_size: [120, 120, 1]
	thumbnail: auto
	max_size: 1000
	placeholder: themes/Default/images/no_image.png
	upload_dir: {FILES}/images/photos/
progress
	dbType: int
	default: 0
	min: 0
	max: 100
	len: 6
star_rating
	dbType: int
	default: 0
	min: 0
	max: 5
	widget: StarRatingWidget
skype
	width: 18
status
	dbType: varchar
	charset: ascii
	len: 50


# type aliases (shorthands)
currency_ref
	type: ref
	bean_name: Currency
	vname: LBL_CURRENCY
	massupdate: false
	default: "-99"
	exchange_rate: exchange_rate
	detail_link: true
exchange_rate
	vname: LBL_EXCHANGE_RATE
	type: double
	required: false
	decimal_places: 5
	default: 1
duration

tax_code_id
	# temporary - used by MassUpdate for Product

# "virtual" types
related_value
	editable: false
	massupdate: false

