/* more minimal than sugar_3.js - used by login screen and installer */

var SUGAR = AppBase;

function toggleDisplay(id, state) {
	var elt = $(id);
	id = elt ? elt.id : '';
	var elt_link = $(id + "link");
	if(! elt) return;
	if(! isset(state))
		state = (elt.style.display == 'none');
	if(state) {
		elt.style.display = '';
		if(elt_link)
			elt_link.style.display = 'none';
	}
	else {
		elt.style.display = 'none';
		if(elt_link)
			elt_link.style.display = '';
		return 'none';
	}
	return true;
}

function changeButtonLabel(btn, label) {
	if(! btn) return;
	if(btn.className.indexOf('lw-iconbutton') !== false) {
		var lbl = btn.getElementsByClassName('btn-label');
		if(lbl.length) lbl[0].innerHTML = label;
	} else
		btn.innerHTML = label;
}

function attachGroupFocus() {
	var types = ['input-text', 'input-field', 'input-button'], cls, elts, grp,
		onfocus = function() { SUGAR.ui.addClass(this.parentNode, 'active'); },
		onblur = function() { SUGAR.ui.removeClass(this.parentNode, 'active'); };
	for(var idx in types) {
		elts = document.getElementsByClassName(types[idx]);
		for(var i = 0; i < elts.length; i++) {
			if(elts[i].hasAttribute('data-groupfocus'))
				continue;
			grp = elts[i].parentNode;
			if(grp.className && SUGAR.ui.hasClass(grp, 'input-field-group')) {
				elts[i].addEventListener('focus', onfocus);
				elts[i].addEventListener('blur', onblur);
				elts[i].setAttribute('data-groupfocus', 1);
				if(elts[i] === document.activeElement) onfocus.call(elts[i]);
			}
		}
	}
}

