if(SUGAR.ui) {
	var UI = SUGAR.ui;
	var NameFormatInput = UI.NameFormatInput = function(id, params) {
		UI.SelectInput.call(this, id, params);
	}
	extendClass(NameFormatInput, UI.SelectInput, {
		setup: function() {
			UI.SelectInput.prototype.setup.call(this);
			this.display_id = this.id.replace('-input', '-sample');
			this.display_field = $(this.display_id);
		},
		update: function(key, value) {
			UI.SelectInput.prototype.update.call(this, key, value);
			if(this.display_field)
				this.display_field.innerHTML = (typeof value === 'object') ? value.sample : '';
		}
	});


	var AddressFormatInput = UI.AddressFormatInput = function(id, params) {
		UI.SelectInput.call(this, id, params);
	};
	extendClass(AddressFormatInput, UI.SelectInput, {
		setup: function() {
			UI.SelectInput.prototype.setup.call(this);
			this.display_id = this.id.replace('-input', '-sample');
			this.display_field = $(this.display_id);
		},
		update: function(key, value) {
			UI.SelectInput.prototype.update.call(this, key, value);
			if(this.display_field)
				this.display_field.innerHTML = (typeof value === 'object') ? value.sample : '';
		}
	});
}
