<?php
/*
 *
 * The contents of this file are subject to the info@hand Software License Agreement Version 1.3
 *
 * ("License"); You may not use this file except in compliance with the License.
 * You may obtain a copy of the License at <http://1crm.com/pdf/swlicense.pdf>.
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the
 * specific language governing rights and limitations under the License,
 *
 * All copies of the Covered Code must include on each user interface screen:
 * (i) the 1CRM copyright notice,
 * (ii) the "Powered by the 1CRM Engine" logo,
 *
 * (iii) the "Powered by SugarCRM" logo, and
 * (iv) the SugarCRM copyright notice
 * in the same form as they appear in the distribution.
 * See full license for requirements.
 *
 * The Original Code is : 1CRM Engine proprietary commercial code.
 * The Initial Developer of this Original Code is 1CRM Corp.
 * and it is Copyright (C) 2004-2012 by 1CRM Corp.
 *
 * All Rights Reserved.
 * Portions created by SugarCRM are Copyright (C) 2004-2008 SugarCRM, Inc.;
 * All Rights Reserved.
 *
 */
?><?php return; /* no output */ ?>

ERR_INVALID_DATE: Please enter a valid date.
ERR_INVALID_DAY: Please enter a valid day.
ERR_INVALID_EMAIL_ADDRESS: not a valid email address.
ERR_INVALID_FILE_REFERENCE: Invalid File Reference
ERR_INVALID_HOUR: Please enter a valid hour.
ERR_INVALID_MONTH: Please enter a valid month.
ERR_INVALID_TIME: Please enter a valid time.
ERR_INVALID_YEAR: Please enter a valid 4 digit year.
ERR_MISSING_REQUIRED_FIELDS: Missing required field(s)
ERR_INVALID_VALUE: Invalid Value
ERR_NO_SINGLE_QUOTE: "Cannot use the single quotation mark for "
ERR_SELF_REPORTING: User cannot report to him or herself.
ERR_SQS_NO_MATCH: No Match
ERR_CREATE_LIST_LAYOUT_MODULE: Please select module.
LBL_SESSION_UNIQUE_KEY: Your session has expired.
LBL_SESSION_IP_MISMATCH: Your session was terminated due to a significant change in your IP address.
LBL_ACCOUNT: Account
LBL_ACCOUNTS: Accounts
LBL_ADD_BUTTON: Add
LBL_ADD_DOCUMENT: Add Document
LBL_ADDITIONAL_DETAILS_CLOSE_TITLE: Click to Close
LBL_ADDITIONAL_DETAILS_CLOSE: Close
LBL_ADDITIONAL_DETAILS: Additional Details
LBL_NO_ADDITIONAL_DETAILS: There are no additional details for this record.
LBL_ADMIN: Administration
LBL_ALT_HOT_KEY: Alt+
LBL_ARCHIVE: Archive
LBL_ASSIGNED_TO_USER: Assigned to User
LBL_ASSIGNED_TO: Assigned to
LBL_BACK: Back
LBL_BROWSER_TITLE: 1CRM System
LBL_HEADER_ALT_TEXT: 1CRM System
LBL_BUGS: Bugs
LBL_BY: by
LBL_CALLS: Calls
LBL_CANCEL_BUTTON_KEY: X
LBL_CANCEL_BUTTON_LABEL: Cancel
LBL_CANCEL_BUTTON_TITLE: Cancel [Alt+X]
LBL_VERIFY_BUTTON_LABEL: Verify
LBL_TWO_FA_AUTH_CODE: Two-Factor Authentication Code
LBL_CASE: Case
LBL_CASES: Cases
LBL_CHANGE_BUTTON_LABEL: Change
LBL_CHECKALL: Check All
LBL_CLEAR_BUTTON_LABEL: Clear
LBL_CLEARALL: Clear All
LBL_CLOSE_WINDOW: Close Window
LBL_CONTACT: Contact
LBL_CONTACTS: Contacts
LBL_CREATE_BUTTON_LABEL: Create
LBL_CREATED_BY_USER: Created by User
LBL_CREATED: Created by
LBL_CURRENT_USER_FILTER: Only my items
LBL_DATE_ENTERED: Date Created
LBL_DATE_MODIFIED: Last Modified
LBL_DELETE_BUTTON_KEY: D
LBL_DELETE_BUTTON_LABEL: Delete
LBL_DELETE_BUTTON_TITLE: Delete [Alt+D]
LBL_DELETE: Delete
LBL_DELETED: Deleted
LBL_SELECT_PAGE: Select Page
LBL_SELECT_ALL: Select All
LBL_DESELECT_ALL: Deselect All
LBL_SELECTED_ALL: All results
LBL_DIRECT_REPORTS: Direct Reports
LBL_DONE_BUTTON_LABEL: Done
LBL_DUPLICATE_BUTTON_KEY: U
LBL_DUPLICATE_BUTTON_LABEL: Duplicate
LBL_DUPLICATE_BUTTON_TITLE: Duplicate [Alt+U]
LBL_EDIT_BUTTON_KEY: E
LBL_EDIT_BUTTON_LABEL: Edit
LBL_EDIT_BUTTON_TITLE: Edit [Alt+E]
LBL_VIEW_BUTTON_KEY: V
LBL_VIEW_BUTTON_LABEL: View
LBL_VIEW_BUTTON_TITLE: View [Alt+V]
LBL_EMAILS: Emails
LBL_EMPLOYEES: Employees
LBL_EXPORT_ALL: Export All
LBL_EXPORT: Export
LBL_HIDE: Hide
LBL_ID: ID
LBL_IMPORT: Import
LBL_LAST_VIEWED: Last Viewed
LBL_LEADS: Leads
LBL_LIST_ACCOUNT_NAME: Account Name
LBL_LIST_ASSIGNED_USER: User
LBL_LIST_CONTACT_NAME: Contact Name
LBL_LIST_CONTACT_ROLE: Contact Role
LBL_LIST_EMAIL: Email
LBL_LIST_NAME: Name
LBL_LIST_OF: of
LBL_LIST_PHONE: Phone
LBL_LIST_USER_NAME: User Name
LBL_LISTVIEW_NO_SELECTED: Please select at least 1 record to proceed.
LBL_LISTVIEW_TWO_REQUIRED: Please select at least 2 records to proceed.
LBL_LISTVIEW_OPTION_CURRENT: Current Page
LBL_LISTVIEW_OPTION_ENTIRE: Entire List
LBL_LISTVIEW_OPTION_SELECTED: Selected Records
LBL_LISTVIEW_SELECTED_OBJECTS: "Selected: "
LBL_LOCALE_NAME_EXAMPLE_FIRST: John
LBL_LOCALE_NAME_EXAMPLE_LAST: Doe
LBL_LOCALE_NAME_EXAMPLE_SALUTATION: Mr.
LBL_LOGOUT: Logout
LBL_MAILMERGE_KEY: M
LBL_MAILMERGE: Mail Merge
LBL_MASS_UPDATE: Mass Update
LBL_MEETINGS: Meetings
LBL_MEMBERS: Members
LBL_MODIFIED_BY_USER: Modified by User
LBL_MODIFIED: Modified by
LBL_MY_ACCOUNT: My Account
LBL_NAME: Name
LBL_NEW_BUTTON_LABEL: Create
LBL_NEXT_BUTTON_LABEL: Next
LBL_NONE: "(none)"
LBL_ANY: "(any)"
LBL_NO_CHANGE: No change
LBL_NOTES: Notes
LBL_OPPORTUNITIES: Opportunities
LBL_OPPORTUNITY_NAME: Opportunity Name
LBL_OPPORTUNITY: Opportunity
LBL_OR: OR
LBL_PERCENTAGE_SYMBOL: %
LBL_PRODUCTS: Products
LBL_PRODUCT_CATEGORIES: Product Categories
LBL_PROJECT_TASKS: Project Tasks
LBL_PROJECTS: Projects
LBL_QUOTES: Quotes
LBL_RELATED_RECORDS: Related Records
LBL_REMOVE: Remove
LBL_REQUIRED_SYMBOL: *
LBL_SAVE_BUTTON_KEY: S
LBL_SAVE_BUTTON_LABEL: Save
LBL_SAVE_BUTTON_TITLE: Save [Alt+S]
LBL_FULL_FORM_BUTTON_KEY: F
LBL_FULL_FORM_BUTTON_LABEL: Full Form
LBL_FULL_FORM_BUTTON_TITLE: Full Form [Alt+F]
LBL_SAVE_NEW_BUTTON_KEY: V
LBL_SAVE_NEW_BUTTON_LABEL: Save & Create New
LBL_SAVE_NEW_BUTTON_TITLE: Save & Create New [Alt+V]
LBL_SAVE_VIEW_BUTTON_LABEL: Save & View
LBL_CALL_BUTTON_LABEL: Call
LBL_START_CALL_BUTTON_LABEL: Start Call
LBL_CALL_OUT_BUTTON_LABEL: Call using
LBL_CALL_OUT_CONFIRM: Update Call Duration and Status?
ERR_WRONG_PHONE_NUMBER: Unrecognized phone number format
LBL_SEARCH_BUTTON_KEY: Q
LBL_SEARCH_BUTTON_LABEL: Search
LBL_SEARCH_BUTTON_TITLE: Search [Alt+Q]
LBL_SEARCH: Search
LBL_SELECT_BUTTON_KEY: T
LBL_SELECT_BUTTON_LABEL: Select
LBL_SELECT_BUTTON_TITLE: Select [Alt+T]
LBL_SELECT_CONTACT_BUTTON_KEY: T
LBL_SELECT_USER_BUTTON_KEY: U
LBL_SELECT_USER_BUTTON_LABEL: Select User
LBL_SELECT_USER_BUTTON_TITLE: Select User [Alt+U]
LBL_SERVER_RESPONSE_RESOURCES: Resources used to construct this page (queries, files, config)
LBL_SERVER_RESPONSE_TIME_SECONDS: seconds.
LBL_SERVER_RESPONSE_TIME: Server response time
LBL_SERVER_RESPONSE_TIME_DB: Total database query time
LBL_SERVER_RESPONSE_TIME_CONFIG: Total config read time
LBL_SHORTCUTS: Shortcuts
LBL_SHOW: Show
LBL_ACTIONS: Actions
LBL_STATUS_UPDATED: Your status for this event has been updated!
LBL_STATUS: Status
LBL_SUBJECT: Subject
LBL_SYNC: Sync
LBL_TABGROUP_ALL: All
LBL_TABGROUP_ACTIVITIES: Activities
LBL_TABGROUP_COLLABORATION: Collaboration
LBL_TABGROUP_HOME: Home
LBL_TABGROUP_MARKETING: Marketing
LBL_TABGROUP_MY_PORTALS: My Websites
LBL_TABGROUP_OTHER: Other
LBL_TABGROUP_REPORTS: Reports
LBL_TABGROUP_SALES: Sales
LBL_TABGROUP_SUPPORT: Customer Service
LBL_TABGROUP_TOOLS: Tools
LBL_TASKS: Tasks
LBL_TEAMS_LINK: Team
LBL_THOUSANDS_SYMBOL: K
LBL_UNDELETE_BUTTON_LABEL: Undelete
LBL_UPDATE: Update
LBL_USER_LIST: User List
LBL_USERS: Users
LNK_ABOUT: About
LNK_ADVANCED_SEARCH: Advanced
LNK_BASIC_SEARCH: Basic
LNK_HELP: Help
LNK_LIST_END: End
LNK_LIST_NEXT: Next
LNK_LIST_PREVIOUS: Previous
LNK_LIST_RETURN: Return to List
LNK_LIST_START: Start
LNK_PRINT: Print
LNK_REMOVE: rem
LNK_RESUME: Resume
LNK_VIEW_CHANGE_LOG: View Change Log
LNK_OPEN_IN_NEW_WINDOW: Open in New Window
NTC_CLICK_BACK: Please click the browser back button and fix the error.
NTC_DELETE_CONFIRMATION_MULTIPLE: Are you sure you want to delete selected record(s)?
NTC_DELETE_CONFIRMATION: Are you sure you want to delete this record?
NTC_LOGIN_MESSAGE: Please enter your username and password.
NTC_NO_ITEMS_DISPLAY: none
NTC_REMOVE_CONFIRMATION: Are you sure you want to remove this relationship?
NTC_REQUIRED: Indicates required field
NTC_WELCOME: Welcome
NTC_YEAR_FORMAT: (yyyy)
NTC_HOURS_BOOKED: Hours successfully booked.
LOGIN_LOGO_ERROR: Please replace the SugarCRM logos.
ERROR_NO_RECORD:
	Error retrieving record.  This record may be deleted or you may not be authorized to view it.
LBL_DUP_MERGE: Find Duplicates
LBL_MANAGE_SUBSCRIPTIONS: Manage Subscriptions
LBL_MANAGE_SUBSCRIPTIONS_FOR: "Manage Subscriptions for "
LBL_SUBSCRIBE: Subscribe
LBL_UNSUBSCRIBE: Unsubscribe
LBL_LOADING: Loading ...
LBL_SAVING_LAYOUT: Saving Layout ...
LBL_SAVED_LAYOUT: Layout has been saved.
LBL_SAVED: Saved
LBL_SAVING: Saving
LBL_DISPLAY_COLUMNS: Display Columns
LBL_HIDE_COLUMNS: Hide Columns
LBL_PROCESSING_REQUEST: Processing..
LBL_REQUEST_PROCESSED: Done
LBL_MERGE_DUPLICATES: Merge Duplicates
ERROR_JS_ALERT_SYSTEM_CLASS: System
ERROR_JS_ALERT_TIMEOUT_TITLE: Session Timeout
ERROR_JS_ALERT_TIMEOUT_MSG_1: Your session will time out in two minutes. Please save your work.
ERROR_JS_ALERT_TIMEOUT_MSG_2: Your session has timed out.
MSG_JS_ALERT_MTG_REMINDER_AGENDA: "\nAgenda"
MSG_JS_ALERT_MTG_REMINDER_MEETING: Meeting
MSG_JS_ALERT_MTG_REMINDER_CALL: Call
MSG_JS_ALERT_MTG_REMINDER_TASK: Task
MSG_JS_ALERT_MTG_REMINDER_TIME: Time
MSG_JS_ALERT_MTG_REMINDER_LOC: Location
MSG_JS_ALERT_MTG_REMINDER_DESC: Description
MSG_JS_ALERT_MTG_REMINDER_MSG: "\nClick OK to view this meeting or click Cancel to dismiss this message."
LBL_GENERATE_WEB_TO_LEAD_FORM: Generate Form
LBL_EXPORT_TO_WORDPRESS: Export to Wordpress
LBL_COPY_TO_WORDPRESS: Copy the code from box below, and import it into 1CRM Forms plugin for Wordpress
LBL_SAVE_WEB_TO_LEAD_FORM: Save Web To Lead Form
LBL_PLEASE_SELECT: Please Select
LBL_REDIRECT_URL: Redirect URL
LBL_RELATED_CAMPAIGN: Related campaign
LBL_ADD_ALL_LEAD_FIELDS: Add All Fields
LBL_REMOVE_ALL_LEAD_FIELDS: Remove All Fields
LBL_ONLY_IMAGE_ATTACHMENT: Only image type attachment can be embedded
LBL_HOME: Home
LBL_HOME_DASHBOARD: Home Dashboard
LBL_ACTION_ITEMS: Action Items
LBL_TABGROUP_TODAY_ACTIVITIES: Today's Activities
LBL_TABGROUP_REPORTS_SETTINGS: Reports & Settings
LBL_TABGROUP_SECURITY: Teams
LBL_SALES_HOME: Sales Home
LBL_SALES_CHARTS: Sales Charts
LBL_SUPPORT_HOME: Service Home
LBL_SUPPORT_CHARTS: Service Charts
LBL_FINANCE_HOME: Finance Home
LBL_FINANCE_CHARTS: Finance Charts
LBL_PROJECT_HOME: Project Home
LBL_PROJECT_CHARTS: Project Charts
LBL_FREE_TRIAL: Free Trial
LBL_DEMO_VERSION: Demo Version
MSG_LIC_UPGRADES_DISABLED: Upgrades are disabled. Please check the status of your support contract.
MSG_LIC_FEATURE_DISABLED: This feature is disabled. Please check the status of your support contract.
LBL_EDIT_DASHLET: Edit Dashlet
LBL_DELETE_DASHLET: Delete Dashlet
LBL_REFRESH_DASHLET: Refresh Dashlet
LBL_FILTER_DASHLET: Filter Dashlet
LBL_DASHLET_FILTER_LABEL: Filter results
LBL_CLEAR_FILTER: Clear Filter
LBL_FILTER_VALUE_AND: " and "
LBL_PRINT_DASHLET: Print Dashlet
LBL_SHORT_BROWSER_TITLE: 1CRM
LBL_HOURS_SHORT: hrs
NTC_APPNAME: 1CRM System {VERSION}
NTC_LICENSED_TO: Licensed to
LBL_HR: HR
LBL_DIRECTORY: Directory
LBL_LIST_DATE: Date
LBL_LIST_DATE_ENTERED: Date Created
LBL_DATE_ENTERED_SHORT: Created
LBL_LIST_DATE_MODIFIED: Date Modified
LBL_DATE_MODIFIED_SHORT: Modified
LBL_LAST_ACTIVITY: Last Activity Date
LBL_LIST_LAST_ACTIVITY: Last Activity
LBL_LIST_STATUS: Status
LNK_NEW_NOTE: Create Note
LBL_SAVE_AND_NEW_BUTTON: Save & New
LBL_SAVE_AND_CLOSE_BUTTON: Save & Close
LBL_SELECT_RESOURCE_BUTTON_TITLE: Select Resource [Alt+R]
LBL_SELECT_RESOURCE_BUTTON_KEY: R
LBL_SELECT_RESOURCE_BUTTON_LABEL: Select Resource
LBL_RESOURCE_LIST: Resource List
LBL_RESOURCES: Resources
LBL_LIST_SERVICE_CONTRACT: Svc. Contract
LBL_SERVICE_CONTRACT: Service Contract
LBL_CATEGORY: Category
LBL_LIST_CATEGORY: Category
LBL_DOCUMENTS: Documents
LBL_CONVERT_BUTTON_LABEL: Convert
LBL_CONV_TO_PROJECT: Convert to Project
LBL_CONVERTED: Converted
LBL_SELECT_ALL_BUTTON_LABEL: Select All
LBL_VIEW_CLOSED_ITEMS: View Closed Items
LBL_ALL_ACTIVE: All Active
LBL_IS_PRIVATE: Private
LBL_EXPORT_BUTTON_LABEL: Export
LBL_COMMIT_BUTTON_LABEL: Commit
LBL_START_EDIT_BUTTON_LABEL: Start Edit
LBL_EXCHANGE_RATE: Exchange Rate
LBL_LIST_EXCHANGE_RATE: Exchange Rate
LBL_EDIT_EXCHANGE_RATE_TITLE: Adjust Exchange Rate
LBL_EDIT_EXCHANGE_RATE_ALT: "[Adjust Rate]"
LBL_STANDARD_RATE: Standard Rate
LBL_CUSTOM_RATE: Custom Rate
LBL_RESET_BUTTON_LABEL: Reset
LBL_LINK_UPDATES: Link Updates
LBL_CLEAR_EXCHANGE_RATE_ALT: "[Clear]"
LBL_BOOKED_HOURS: Booked Hours
LBL_BOOKING_CATEGORY: Booking Category
LBL_BOOKED_HOURS_SUBPANEL_TITLE: Booked Hours
LBL_BOOKING_BUTTON_TITLE: Book Hours [Alt+B]
LBL_BOOKING_BUTTON_LABEL: Book Hours...
LBL_BOOKING_BUTTON_KEY: B
LBL_BOOKING_TAB_LABEL: Book Hours
LNK_UP: up
LNK_DOWN: down
LNK_INS: insert
LBL_TIME_PERIOD_YEARS_MONTHS: %1y %2m
LBL_TIME_PERIOD_DAYS_HOURS: %1d %2h
LBL_HOURS_ABBREV: h
LBL_MINS_ABBREV: m
LBL_DURATION_ALL_DAY: All Day
LBL_CAMPAIGNS: Campaigns
LBL_EVENTS: Marketing Events
LBL_PARTNER: Partner
LBL_PARTNERS: Partners
LBL_PROSPECTS: Targets
LBL_PROSPECT_LIST: Target Lists
LBL_IMAGE: Image
LBL_IMAGE_CLEAR: Clear Image
LBL_IMAGE_FORMAT_GIF: GIF
LBL_IMAGE_FORMAT_JPEG: JPEG
LBL_IMAGE_FORMAT_PNG: PNG
LBL_AUTO_CREATE_THUMBNAIL: Automatically Create Thumbnail Image. Supported formats
LBL_RETURN: Return
LBL_RECUR_BUTTON_TITLE: Recurrence [Alt+R]
LBL_RECUR_BUTTON_KEY: R
LBL_RECUR_BUTTON_LABEL: Recurrence...
LBL_RECURRENCE_NUMBER: Instance #
LBL_RECURRENCE_OF_ID: Recurrence of ID
LBL_RECURRENCE_INDEX: Recurrence Index
LBL_RECURRENCE_FORWARD_TIMES: Recurrence Forward Times
LBL_RECURRENCE_EDIT: Edit recurrence
LBL_PARENT_NAME: Parent Name
LBL_REASSIGN: "Re-Assign "
LBL_PDF_PHONE: Phone
LBL_PDF_FAX: Fax
LBL_PDF_PAGE_NUMBER_STRING: {pg} of {nb}
MSG_DASHLET_NO_ACCESS: You do not have access to this module
LBL_TABGROUP_SALES_MARKETING: Sales & Marketing
LBL_TABGROUP_ORDER_MANAGEMENT: Order Management
LBL_TABGROUP_PROJECT_MANAGEMENT: Project Management
LBL_CREATE_PDF: Create PDF...
LBL_USE_ADDRESS: Use Address
LBL_USE_LAYOUT: Use Layout
LBL_USE_LANGUAGE: Use Language
LBL_USE_PDF_TEMPLATE: Use PDF Form
LBL_SELECT_PDF_FORM: Select PDF Form
LBL_PDF_PDF: Print
LBL_PDF_PRINT_USING_TEMPLATE: Print Using Template
LBL_PDF_DETAIL_BUTTON: Print Details
LBL_PDF_EMAIL: Email
LBL_OPEN_AS_PDF: Open as PDF
LBL_EMAIL_AS_PDF: Email as PDF
LBL_START_SIGNING: Sign
LBL_SKILL_NAME: Skill
LBL_SKILL_RATING: Rating
LBL_200_LEADS: Sending emails to Leads is limited to 200 recipients
LBL_ADDRESS_STREET_FIELD: Street Address
LBL_ADDRESS_CITY_FIELD: City
LBL_ADDRESS_STATE_FIELD: State
LBL_ADDRESS_STATECODE_FIELD: State Code
LBL_ADDRESS_POSTALCODE_FIELD: Postal Code
LBL_ADDRESS_COUNTRY_FIELD: Country
LBL_ADDRESS_COUNTRYCODE_FIELD: Country Code
LBL_ADDRESS_EMAIL_FIELD: Email Address
LBL_ADDRESS_PHONE_FIELD: Phone Number
LBL_ADDRESS_COPY_LABEL: Copy to...
LBL_ADDRESS_COPY_CONTACTS_PRIMARY: Primary Address of Contacts
LBL_ADDRESS_COPY_CONTACTS_OTHER: Other Address of Contacts
LBL_ADDRESS_COPY_CONTACTS_BOTH: Both Addresses of Contacts
LBL_ADDRESS_COPY_USER_MSG: Save Account to Copy Address
LBL_ACCOUNT_NAME_FORMAT: "[Account Name]"
LBL_CONTACT_NAME_FORMAT: "[Contact Name]"
LBL_STREET_FORMAT: "[Street]"
LBL_CITY_FORMAT: "[City]"
LBL_STATE_FORMAT: "[State]"
LBL_POSTAL_CODE_FORMAT: "[Postal Code]"
LBL_COUNTRY_FORMAT: "[Country]"
LBL_COMPANY_NAME_FORMAT: "[Company Name]"
LBL_PHONE_NUMBER_FORMAT: "[Phone Number]"
LBL_FAX_NUMBER_FORMAT: "[Fax Number]"
LBL_DATE_LONG_FORMAT: %A %B %e, %Y
LBL_DATE_SHORT_FORMAT: %b %e, %Y
LNK_PDF: PDF
LBL_STUDIO_DROP_HERE: "[Drop Here]"
LBL_EXPORT_VCARDS: Export vCards
LBL_RTF_NO_TEMPLATE: Please select an RTF template
LBL_RTF_INVALID_SEL: Only RTF templates are accepted
LBL_RUN_QUICKCAMPAIGN_BUTTON_LABEL: Run Campaign
LBL_QUICKCAMPAIGN_BUTTON_LABEL: Quick Campaign
LBL_QUICKCAMPAIGN_BUTTON_CANCEL: Cancel Quick Campaign
LBL_QUICKCAMPAIGN: Quick Campaign
LBL_TEMPLATE_QUICKCAMPAIGN: Email Template
LBL_MAILBOX_QUICKCAMPAIGN: Campaign Mailbox
LBL_MISING_TEMPLATE: Please select an email template
LBL_MISING_MAILBOX: Please select a campaign mailbox
LBL_PREVIEW: Preview
LBL_QUICKCAMPAIGN_CONFIRM:
	Click Run Campaign to Mass Update all selected Leads/Contacts, and send them each a personalized email
ERR_TEMPLATE_EMPTY: Error: Template is empty
ERR_MAILBOX_EMPTY: Error: Mailbox is empty
ERR_MODULE_IDS_EMPTY: Error: Contacts List or Leads List is empty
ERR_MODULE_IDS_NOT_ARRAY: Module is not an array
ERR_MODULE_NAME_EMPTY: Error: Module name is empty
LBL_CATEGORIES_BUTTON_LABEL: Categories
LBL_CATEGORIES_BUTTON_CANCEL: Cancel Categories
LBL_CATEGORIES: Categories
LBL_CATEGORIES_UPDATE_OPTION: Update Option
LBL_CATEGORIES_UPDATE_BUTTON: Update Categories
LBL_CATEGORIES_SELECT_ADD: Add to Existing Categories
LBL_CATEGORIES_SELECT_SET: Set Only These Categories
ERR_CATEGORIES_EMPTY: Error: Categories Empty
ERR_CATEGORIES_OPTION_EMPTY: Error: Update Option Empty
ERR_CATEGORIES_NOT_SELECTED: Please select at least 1 category.
NTC_SERVER_BAD_RESPONSE: Error: The server returned an unexpected response.
LBL_RUN_MERGE: Run Merge
LBL_MAIL_MERGE_NOTE: Please select an RTF file to use as the document template
NTC_NEW_EMAIL_MESSAGE: New Email Message
NTC_NEW_EMAIL_MESSAGES: %d New Email Messages
LBL_GOTO_EMAIL: Go to Email
LBL_COMPOSE_EMAIL: Compose Email
NTC_JS_SESSION_ENDED: Your session has ended. Please log in again to continue.
NTC_JS_SESSION_ENDED_SHORT: Please log in to resume session
NTC_JS_FORBIDDEN: Access to the requested data is forbidden.
LBL_DUPLICATE_LIST: Duplicate List
LBL_DUPLICATES_FOUND: Potential Duplicates Found
LBL_DUPE_SAVED_RECORD: Saved record
LBL_SCHEDULE_CALL: Schedule Call
LBL_SCHEDULE_MEETING: Schedule Meeting
LBL_VISIBILITY: Visibility
LBL_DAY_CAL_LINK: Today
LBL_WEEK_CAL_LINK: This Week
LBL_MONTH_CAL_LINK: This Month
LBL_CURRENCY_ID: Currency ID
LBL_SECURITYGROUPS: Teams
LBL_SELECT_TEAM_PLACEHOLDER: (select a team)
LBL_ADD_TEAM_PLACEHOLDER: (add a team)
LBL_SELECT_USER_PLACEHOLDER: (select a user)
LBL_LIST_DESCRIPTION: Description
LBL_LIST_STATUS_ICON: (Status Icon)
LBL_ASYNC_JS_ERROR: There was an error handling this request.
LBL_MAP: Map
LBL_SHOW_ON_MAP: Show on Map
LBL_REDIRECT_COUNTDOWN: Redirecting to Home page in {TIME}...
LBL_ADJUST_LIST_POS_TITLE: Adjust List Position
LBL_LISTVIEW_OFFSET: Start At
LBL_LISTVIEW_COUNT: Per Page
LBL_GO_TO_MODULE: Go to Module
LBL_SYSTEM_USER: (Global)
LBL_SECURITYGROUPS_SUBPANEL_TITLE: Teams
LBL_SIGNED_DOCUMENTS_SUBPANEL_TITLE: Signed Documents
LBL_LIST_LOCATION: Location
LBL_LIST_EMAIL_PHONE: Email and Phone
LBL_CAMPAIGN: Campaign
LBL_CONNECTION_FAILED: Connection failed.
LBL_LOGIN_FAILED: Login failed.
LBL_LOGIN_NO_USERNAME: No user name provided.
LBL_LOGGED_IN: Logged in successfully.
LBL_LOGGING_IN: Logging in ...
LBL_LOGIN_MOBILE: Switch to mobile interface
LBL_LOGIN_NO_MOBILE: Switch to standard interface
LBL_REDIRECTING: Redirecting ...
LBL_LOGIN_BUTTON_LABEL: Login
LBL_PASSWORD: Password
LBL_USER_NAME: User Name
LBL_NO_RESULTS: No results
LBL_LIST_RESULT_ONE: "1 result"
LBL_LIST_RESULT_MANY: "{COUNT} results"
LBL_LIST_RESULT_PAGE: "Page {COUNT}"
LBL_UPDATED_RESULTS: Updated
LBL_FILTER_OWNER_ANY: Any Owner
LBL_FILTER_OWNER_ANY_TEAM: Any Team
LBL_FILTER_OWNER_MINE: Assigned to Me
LBL_FILTER_OWNER_NOT_MINE: Assigned to Others
LBL_FILTER_OWNER_MY_TEAM: My Team Records
LBL_FILTER_OWNER_GLOBAL: Global Records
LBL_FILTER_OWNER_SELECT: Select User...
LBL_FILTER_FAVORITES: Only Favorites
LBL_FILTER_ANY_MODULE: Any module
LBL_FILTER_ANY_VALUE: Any value
LBL_CREATE_LAYOUT_FORM_TITLE: Create Layout
LBL_ARRANGE_LAYOUTS_FORM_TITLE: Arrange Layouts
LBL_ARRANGE_SUBPANELS_FORM_TITLE: Arrange Subpanels
LBL_ARRANGE_SUBPANELS_LABEL: Arrange Subpanels
LBL_EDIT_LAYOUT_FORM_TITLE: Edit Layout
LBL_EDIT_REPORT_FORM_TITLE: Edit Report
LBL_EDIT_LAYOUT_BUTTON_LABEL: Edit Layout
LBL_DUPLICATE_LAYOUT_BUTTON_LABEL: Duplicate Layout
LBL_DEFAULT_LAYOUT_BUTTON_LABEL: Restore Default Layout
LBL_RESTORE_LAYOUT_BUTTON_LABEL: Restore Back Up Layout Version
MSG_RESTORE_LAYOUT_WARNING: Are you certain you would like to restore this layout to the application default?
LBL_CREATE_MOBILE_LAYOUT_BUTTON_LABEL: Create Mobile Layout
LBL_EDIT_MOBILE_LAYOUT_BUTTON_LABEL: Edit Mobile Layout
LBL_EDIT_REPORT_BUTTON_LABEL: Edit Report
LBL_DELETE_LAYOUT_BUTTON_LABEL: Delete Layout
LBL_DELETE_REPORT_BUTTON_LABEL: Delete Report
MSG_CONFIRM_DELETE_LAYOUT: Are you certain you would like to delete this custom list layout?
MSG_CONFIRM_DELETE_RUN: Are you certain you would like to delete this report run?
LBL_FILTER_TEXT: Search Text
LBL_FILTER_OWNER: Owner
LBL_APPLY_FILTER_BUTTON_LABEL: Apply Filter
LBL_ARRANGE_LAYOUTS_NAME: Layout Name
LBL_ARRANGE_LAYOUTS_VISIBLE: Visible?
LBL_ARCHIVED_RUNS_BUTTON_LABEL: Archived Runs
LBL_DELETE_RUN_BUTTON_LABEL: Delete Run
LBL_RETURN_TO_LIST_BUTTON_LABEL: Return to List
LBL_RETURN_TO_REPORT_BUTTON_LABEL: Return to Report
LBL_RUN_REPORT_BUTTON_LABEL: Run Report
LBL_SHOW_SQL_BUTTON_LABEL: Show Report SQL
LBL_RUN_AND_ARCHIVE_BUTTON_LABEL: Run and Archive
LBL_LAYOUT_BROWSE_ALL: Browse All
LBL_LAYOUT_QUICK_FILTER: Quick Filter
LBL_LAYOUT_REPORTS: Reports
LBL_CREATE_REPORT_BUTTON_LABEL: Create Report
LBL_FILTER_CHOOSE: More
LBL_SELECT_FIELD: Select field...
LBL_SELECT_FILTER: Select filter...
LBL_SELECT_SOURCE: Select related source...
LBL_SELECT_TOTAL: Select total...
LBL_EMPTY_COLUMN: (empty column)
LBL_ADD_EMPTY_COLUMN: Add empty column
LBL_ADD_FILTER_GROUP: Add filter group
LBL_FILTER_GROUP_AND: All Of
LBL_FILTER_GROUP_OR: Any Of
LBL_FILTER_GROUP_NOT: None Of
LBL_FILTER_GROUP_NOT_AND: Not All Of
LBL_FILTER_LAYOUT: Layout
LBL_ADD_FILTERS: Add Filters
LBL_ADD_COLUMNS: Add Columns
LBL_ADD_SOURCES: Add Sources
LBL_ADD_TOTALS: Add Totals
LBL_SORT_ORDER: Sort Order
LBL_ORDER: Order
LBL_WIDTH: Width
LBL_FIELD: Field
LBL_DISPLAY: Display
LBL_FORMAT: Format
LBL_SORT: Sort
LBL_REQUIRED: Required
LBL_DEFAULT_VALUE: Default Value
LBL_ASCENDING: Ascending
LBL_DESCENDING: Descending
LBL_ADD_SORTED: Add Sorted Field
LBL_LAYOUT_NAME: Layout Name
LBL_REPORT_NAME: Report Name
LBL_LAYOUT_GROUP_PREFIX: Group
LBL_LAYOUT_GENERAL: General
LBL_LAYOUT_FILTERS: Filters
LBL_LAYOUT_SORTING: Sorting
LBL_SOURCES: Sources
LBL_COLUMN_LAYOUT: Column Layout
LBL_TOTALS_LAYOUT: Column Totals
LBL_CHART_LAYOUT: Chart Layout
LBL_REPORT_FIELDS: "Display Columns - "
LBL_GROUPED_FIELDS: "Grouped Columns - "
LBL_TOTALS_FIELDS: "Column Totals - "
LBL_MAKE_GROUPED: Make Grouped
LBL_MAKE_UNGROUPED: Make Ungrouped
LBL_VALIDATING: Validating ...
LBL_SAVE_LAYOUT_BUTTON_LABEL: Save Layout
LBL_EDIT_CUSTOM_FIELDS_BUTTON_LABEL: Edit Custom Fields
LBL_DURATION_SUFFIX_HOUR: h
LBL_DURATION_SUFFIX_MINUTE: m
LBL_MONTH: Month
LBL_DAY: Day
LBL_YEAR: Year
LBL_WEEK: Week
LBL_PREVIOUS_MONTH: Previous Month
LBL_PREVIOUS_DAY: Previous Day
LBL_PREVIOUS_YEAR: Previous Year
LBL_PREVIOUS_WEEK: Previous Week
LBL_NEXT_MONTH: Next Month
LBL_NEXT_DAY: Next Day
LBL_NEXT_YEAR: Next Year
LBL_NEXT_WEEK: Next Week
LNK_SELECT_DATE: Select Date
LBL_WEEK_COL_HEADER: Week
LBL_TODAY_SUFFIX: " (today)"
LBL_CALENDAR_TODAY: Today
LBL_CHANGE_FIRST: Display {NAME} first
LBL_BLANK: ""
LBL_SEPARATOR: ": "
LBL_MISSING_VALUE: (blank)
LBL_UNDETERMINED_VALUE: (undetermined)
LBL_LIST_TOTAL: TOTAL
LBL_ADD_EXISTING: Add Existing
LBL_NEW_RECORD_TITLE: (new record)
LBL_SELECT_TEMPLATE_PROJECT: Select Template Project
LBL_APPLICATION: Application
LBL_DASHLET_LAYOUT: Layout
LBL_DASHLET_FILTERS: Filters
LBL_LE_CUSTOM: Custom Fields
LBL_LE_STANDARD: Standard Fields
LBL_REF_CUSTOM_ENTRY: Custom Entry
LBL_REF_RENAME_ENTRY: Rename Entry
LBL_REF_QUICK_CREATE_ENTRY: Quick Create
LBL_REF_SEARCH_RESULTS: Search Results
LBL_REF_RECENT_ENTRIES: Last Viewed
LBL_REF_DETAILS: Details
LBL_REF_PRESS_TO_SEARCH: Press enter to see results
LBL_CHART_RENDER_ERROR: An error occurred in rendering the chart, please check the chart parameters.
LBL_TYPE: Type
LBL_VIEW_NOT_FOUND: The specified view was not found.
LBL_ACCEPT_THIS: Accept?
LBL_ADD_SELECTED_BUTTON_LABEL: Add Selected
LBL_ADD_ALL_BUTTON_LABEL: Add All
LBL_SKIP_BUTTON_LABEL: Skip
LBL_LIST_RELATED_PREFIX: "Select from "
LBL_RESET_TO_DEFAULT: Reset to Default
MSG_DUPLICATE:
    Creating these record(s) may potentially create a duplicate record(s). You may either check Create checkbox (checked by default) to continue creating a new record(s) with the previously entered data or you may select a entry from the list below.
LBL_OR_SELECT: OR Select Current
LBL_SEARCH_QUICK_VIEW: Quick View
LBL_NEW_UPDATES_AVAILABLE: New updates available!
LBL_CHANGES_WARNING: Navigating away from this page will discard any changes. Are you sure?
LBL_ADD_TO_FAVORITES: Add To Favorites
LBL_REMOVE_FROM_FAVORITES: Remove From Favorites
LBL_HAS_ATTACH: Has Attachment(s)
LBL_IS_REPLIED: Replied
LBL_SHARED_WITH: Shared with
LBL_ADD_TEAM: Add Team
LBL_LIST_SHOW_MORE: (show more)
LBL_LIST_SHOW_LESS: (show less)
LBL_SKYPE_CALL: Call
LBL_SKYPE_CHAT: Chat
LBL_SKYPE_VIDEO: Video Call
LBL_SIZE_UNKNOWN: Unknown
LBL_OWNER_MULTIPLE_USERS: Multiple users
LBL_LAYOUT_LOAD_ERROR: An error occurred while loading the requested form layout.
LBL_VALIDATE_ERROR_INVALID_DATE: Invalid Date Value
LBL_VALIDATE_ERROR_INVALID_TIME: Invalid Time Value
LBL_VALIDATE_ERROR_INVALID_DATE_TIME: Invalid Date/Time Value
LBL_VALIDATE_ERROR_INVALID_INT: Invalid Integer Value
LBL_VALIDATE_ERROR_INVALID_CURRENCY: Invalid Currency Value
LBL_VALIDATE_ERROR_INVALID_FLOAT: Invalid Floating Point Value
LBL_VALIDATE_ERROR_STRING_TOO_LONG: Data Too Long
LBL_VALIDATE_ERROR_INVALID_VALUE: Invalid value for field
LBL_VALIDATE_ERROR_MISSING_PRIMARY: Missing primary key
LBL_VALIDATE_ERROR_PRIMARY_NOT_RETRIEVED: Primary key was not fetched
LBL_VALIDATE_ERROR_NO_UPDATE_PRIMARY: Primary key cannot be modified
LBL_VALIDATE_ERROR_MISSING_REQUIRED: Missing value for required field
LBL_VALIDATE_ERROR_BEFORE_SAVE: Record Cannot Be Saved
LBL_DESCRIPTION: Description
LBL_UPLOADING: Uploading file(s)...
ERR_UPLOAD_FAILED: File upload failed
LBL_IMAGE_FILE_URL: Image File URL
LBL_IMAGE_FILE_UPLOAD: Upload Image File
LBL_IMAGE_FILE_OR_UPLOAD: or Upload Image File
LBL_AUTO_THUMBNAIL: Automatically Create Thumbnail Image
LBL_THUMBNAIL: Thumbnail
LBL_THUMBNAIL_FILENAME: Thumbnail Filename
LBL_THUMBNAIL_SUPPORTED_FORMATS: Supported Formats for Thumbnail Auto-creation
LBL_THUMBNAIL_UPLOAD_DESC: Thumbnails can only be created from uploaded files, but not from images at external URLs
LBL_EDIT_IMAGE: Edit Image
LBL_LIST_RESULTS: List Results
LBL_ROWS_SHORT: rows
LBL_PHOTO: Photo
LBL_PHOTO_FILENAME: Photo Filename
LBL_PHOTO_URL: Photo URL
LBL_ACCEPT_BUTTON_LABEL: Accept
LBL_OK_BUTTON_LABEL: OK
LBL_OPEN_BUTTON_LABEL: Open
LBL_IGNORE_BUTTON_LABEL: Ignore
LBL_CUSTOM_OPTION: Custom...
LBL_WEBLEAD_DATE_FORMAT: Format: yyyy-mm-dd
LBL_WEBSITE: Website
LBL_RINGCENTRAL_TITLE: RingCentral
LBL_DUPE_FILE: Keep original file
LBL_POSITION: Position
LBL_SELECT_OTHER: Select...
LBL_SHOW_ACTIONS: Show Actions
LBL_WEEK_PREFIX: W
LBL_REF_SELECT_MODULE: Select Module
LBL_FILTER_SELECT_OPERATOR: Select Operator

API_ERROR_UNUVAILABLE: 1CRM API is not available. The application must be upgraded to Pro or Enterprise edition
API_ERROR_NO_CREDENTIALS: Authorization is required, but valid credentials were not provided
API_ERROR_WRONG_CREDENTIALS: Wrong credentials
API_ERROR_INSECURE: Requests over insecure connections are disabled
API_ERROR_FORBIDDEN: Forbidden
API_ERROR_INTERNAL: Internal server error
API_ERROR_NOT_ALLOWED: Method not allowed
API_ERROR_NOT_FOUND: Not found
API_ERROR_UNAUTHORIZED: Authorization required
API_ERROR_NO_OPENSSL: OpenSSL is not installed

OAUTH_LOGGED_IN_AS_PREFIX: You are logged in as
OAUTH_LOGGED_IN_AS_SUFFIX: ""
OAUTH_REQUESTING_PREFIX: Application <b>&quot;
OAUTH_REQUESTING_SUFFIX: &quot;</b> is requesting the following permissions:
OAUTH_BUTTON_ALLOW: Allow
OAUTH_BUTTON_DENY: Deny
OAUTH_BUTTON_LOGIN: Log in
OAUTH_USERNAME: User name
OAUTH_PASSWORD: Password
OAUTH_REMEMBER_ME: Remember me
OAUTH_WRONG_USERNAME: Login failed, check your user name and password
LBL_RENAME_DETAIL_TAB: Rename
LBL_ADD_DETAIL_TAB: New Tab
LBL_LAYOUT_STANDARD: General
LBL_ARRANGE_TABS: Customize Tabs
LBL_EMPTY_STRING: "[empty string]"
LBL_VALUE_ERASED: Value Erased
LBL_PERSONAL_DATA: Personal Data
LBL_ERASE_PERSONAL_BUTTON_LABEL: Erase Personal Data
LBL_VIEW_PERSONAL_BUTTON_LABEL: View Personal Data
LBL_PERSONAL_INFO_SOURCE: Personal Information Source
LBL_MULTI_ADD_ITEMS: Add Items
LBL_MULTI_REMOVE_ITEMS: Remove Items
LBL_REF_ARTICLE_TITLE: Article Name
LBL_REF_CATEGORY_TITLE: Topic Name
LBL_MAPS_SEARCHING: Searching addresses ...
LBL_MAPS_SEARCHING_PROGRESS: Searching addresses (%1/%2)
LBL_MAPS_SEARCHING_FAIL: %1 of %2 addresses were not found
LBL_AUDIT_TEAMS_FIELD_LABEL: Teams
LBL_STORAGE_USAGE_REPORT: Storage Usage Report
LBL_STORAGE_TOTAL: Total Storage
LBL_STORAGE_USED: Storage Used
LBL_STORAGE_FREE: Available Storage
LBL_STORAGE_REPORT_HEAD: Storage Report
LBL_STORAGE_BY_TYPE: Storage Usage Breakdown
LBL_STORAGE_BACKUPS: Backups
LBL_STORAGE_EMAILS: Emails
LBL_STORAGE_IMAGES: Images
LBL_STORAGE_REPORTS: Reports
LBL_STORAGE_UPLOADS: Uploads
LBL_STORAGE_DB: Database
LBL_STORAGE_USAGE_WARN: STORAGE USAGE WARNING
LBL_STORAGE_WARN_PERC: WARNING: Used Storage exceeded
LBL_STORAGE_WARN_GB: WARNING: Available Storage is below
LBL_STORAGE_WARN_CLOUD: WARNING: Cloud Storage Entitlement Exceeded for
LBL_TODAYS_DATE: Today's Date
LBL_SF_ID: Salesforce ID
LBL_VALIDATE_ERROR_INCORRECT_PRICEBOOK_FORMAT: Incorrect Pricing Formula format, please use only "." as the decimal separator.
LBL_SELECT_SIGNER_USER: Select User...
LBL_SELECT_SIGNER_CONTACT: Select Contact...
LBL_NOTARIUS_LANGUAGE: Language
LBL_MULTI_FA_TITLE : Two-Factor Authentication setup
