<?php return; /* no output */ ?>

detail
	type: link
	table_name: projecttasks_users
	primary_key
		- projecttask_id
		- user_id
fields
	app.date_modified
	app.deleted
	projecttask
		vname: LBL_PROJECTTASK_ID
		type: ref
		required: true
		bean_name: ProjectTask
	user
		vname: LBL_USER_ID
		type: ref
		required: true
		bean_name: User
	booking_status
		vname: LBL_LIST_BOOKING_STATUS
        vname_module: Users
		type: enum
		len: 20
		default: Active
        options: simple_status_dom
        options_add_blank: false
	estim_hours
		vname: LBL_LIST_ESTIMATED_HOURS
        vname_module: Users
		type: float
		dbType: double
	hourly_cost_custom
		vname: LBL_HAS_CUSTOM_HOURLY_COST
		type: bool
		default: 0
	hourly_cost
		vname: LBL_LIST_HOURLY_COST
        vname_module: Users
		type: currency
		base_field: hourly_cost_usdollar
	utilization
		vname: LBL_UTILIZATION
        vname_module: Users
		type: float
		dbType: double
    actual_hours
        vname: LBL_LIST_ACTUAL_HOURS
        vname_module: Users
        type: duration
        source
            type: subselect
			function: [User, actual_hours_select]
    actual_cost
        vname: LBL_LIST_ACTUAL_COST
        vname_module: Users
        type: base_currency
		display_converted: true
		display_currency_id: projecttask.currency_id
        source
            type: subselect
            function: [User, actual_cost_select]
    estim_cost
        vname: LBL_LIST_ESTIMATED_COST
        vname_module: Users
        type: base_currency
		display_converted: true
		display_currency_id: projecttask.currency_id
        source
            type: subselect
            function: [User, estim_cost_select]
indices
	projecttasks_users_uid
		fields
			- user_id
relationships
	projecttasks_users
		lhs_key: id
		rhs_key: id
		relationship_type: many-to-many
		join_key_lhs: projecttask_id
		join_key_rhs: user_id
		lhs_bean: ProjectTask
		rhs_bean: User
