<?php return; /* no output */ ?>

detail
	type: link
	table_name: reports_users
	primary_key
		- report_id
		- user_id
fields
	app.date_modified
	app.deleted
	report
		vname: LBL_REPORT_ID
		type: ref
		required: true
		bean_name: Report
	user
		vname: LBL_USER_ID
		type: ref
		required: true
		bean_name: User
	report_notify_enabled
		vname: LBL_REPORT_NOTIFY_ENABLED
		vname_module: Reports
		type: bool
		default: 1
	report_notify_format
		vname: LBL_REPORT_NOTIFY_FORMAT
		vname_module: Reports
		type: enum
		options: report_notify_format_dom
		options_add_blank: false
		default: html
indices
	reports_users_uid
		fields
			- user_id
relationships
	reports_notify_users
		lhs_key: id
		rhs_key: id
		relationship_type: many-to-many
		join_key_lhs: report_id
		join_key_rhs: user_id
		lhs_bean: Report
		rhs_bean: User
