<?php return; /* no output */ ?>

detail
	type: table
	table_name: incoming_files
	primary_key: id
fields
	app.id
	app.date_entered
	filename
		vname: LBL_FILENAME
		type: file_ref
		file_mime_type: file_mime_type
		len: 255
		comment: Temporary file name for incoming file
		vname_list: LBL_LIST_FILENAME
		required: true
	upload_filename
		vname: LBL_UPLOAD_FILENAME
		type: varchar
		len: 255
		comment: Original file name for incoming file
		required: true
	file_mime_type
		vname: LBL_FILE_MIME_TYPE
		type: varchar
		len: 100
		comment: Upload MIME type
	file_size
		vname: LBL_FILE_SIZE
		type: file_size
		comment: Upload file size
	user
		vname: LBL_USER
		type: ref
		bean_name: User
		required: true
	is_image
		vname: LBL_IMAGE
		type: bool
		default: 0
	thumbnail_filename
		vname: LBL_THUMBNAIL_FILENAME
		type: varchar
		len: 255
	thumbnail_position
		type: varchar
		len: 255
	thumbnail_size
		vname: LBL_THUMBNAIL_SIZE
		type: file_size
	thumbnail_mime_type
		vname: LBL_THUMBNAIL_MIME_TYPE
		type: varchar
		len: 100
	module_name
		vname: LBL_MODULE
		type: module_name
	model_name
		vname: LBL_MODEL
		type: varchar
		len: 100
		charset: ascii
	field_name
		vname: LBL_FIELD
		type: varchar
		len: 100
		charset: ascii
indices
	by_user_date
		fields: [user_id, date_entered]
