<?php

header('Content-Type: application/json');
if (array_get_default($_REQUEST, 'async_process') == 'demo') {
	$filename = AppConfig::setting('install_demo.progress_log');
} else {
	$filename = AppConfig::setting('install.progress_log');
}

require_once 'include/ProgressIndicator.php';
$progressIndicator = new ProgressIndicator($filename);

if(! empty($_REQUEST['async_timestamp'])) {
	$data = $progressIndicator->pollHistory($_REQUEST['async_timestamp'], 5);
} else {
	$data = $progressIndicator->requestHistory();
}

require_once('include/JSON.php');
$json = new JSON(JSON_LOOSE_TYPE);

$ret = $json->encode($data);
if($ret == '[]') $ret = '{}';
echo $ret;
