<?php return; /* no output */ ?>

detail
	type: bean
	bean_file: modules/APIClients/ClientEntity.php
	unified_search: false
	duplicate_merge: false
	table_name: oauth_clients
	primary_key: id
hooks
	before_delete
		--
			class_function: before_delete
fields
	app.id
	app.deleted
	app.date_entered
	app.date_modified
	app.created_by_user
    name
        type: name
        vname: LBL_NAME
    publisher
        type: varchar
        vname: LBL_PUBLISHER
    description
        type: text
        vname: LBL_DESCRIPTION
    redirect
        type: text
        vname: LBL_REDIRECT_URL
    secret
        type: varchar
		vname: LBL_SECRET
	grant_types
		type: multienum
		vname: LBL_GRANT_TYPES
		options: oauth_grant_type_dom
		width: 40
    user
        type: ref
		bean_name: User
        vname: LBL_USER
    enabled
        type: bool
		vname: LBL_ENABLED
		default: 0
    is_public
        type: bool
		vname: LBL_IS_PUBLIC
		default: 0
		editable: false
