
function enable_change_password_button() {
    if (document.getElementById('DetailForm_change_password') != 'undefined') {
        var butt = document.getElementById('DetailForm_change_password');
        if(document.DetailForm.record.value != "" && document.DetailForm.record.value != 'undefined') {
            butt.style.display = '';
        } else {
            butt.style.display = 'none';
        }
    }
}

function open_password_form() {
	var URL = "index.php?module=APIClients&action=ChangePassword";
    if(document.DetailForm.record.value != "" && document.DetailForm.record.value != 'undefined') {
		URL += "&record=" + document.DetailForm.record.value;
    }
    var title = mod_string('LBL_CHANGE_PASSWORD_BUTTON_LABEL', 'APIClients');
    SUGAR.popups.openUrl(URL, null, {width: '320px', title_text: title, resizable: false});
}

function check_password(form) {
	if (form.is_admin.value == 1 && form.old_password.value == "") {
		alert(mod_string('ERR_ENTER_OLD_PASSWORD', 'APIClients'));
		return false;
	}
	if (form.new_password.value == "") {
		alert(mod_string('ERR_ENTER_NEW_PASSWORD', 'APIClients'));
		return false;
	}
	if (form.confirm_new_password.value == "") {
		alert(mod_string('ERR_ENTER_CONFIRMATION_PASSWORD', 'APIClients'));
		return false;
	}
	if (form.new_password.value != form.confirm_new_password.value) {
        alert(mod_string('ERR_REENTER_PASSWORDS', 'Users'));
        return false;
	}

    var callback = function(data) {
        var result = data.getResult();
        if(! result.failed) {
            if (result['result'] == 'ok') {
                alert(mod_string('MSG_CHANGED_PASSWORD', 'APIClients'));
                SUGAR.popups.hidePopup(popup_dialog);
            } else {
                alert(get_password_error_msg(result['msg']));
            }
        } else {
            SUGAR.popups.hidePopup(popup_dialog);
        }
    }

    var old_password = '';
    if (form.is_admin.value == 1)
        old_password = form.old_password.value;

    var query = {module: 'APIClients', values:{id: form.record.value, new_password: form.new_password.value, old_password: old_password, confirm_password: form.confirm_new_password.value}}
    var req = new SUGAR.conn.JSONRequest('change_oauth_password', {}, query);
    req.fetch(callback);

    return false;
}

function get_password_error_msg(code) {
    var msg = 'ERR_PASSWORD_CHANGE_FAILED';
    switch (code) {
        case 2:
            msg = 'ERR_PASSWORD_INCORRECT_OLD_1';
            break;
        case 3:
            msg = 'ERR_PASSWORD_MISMATCH';
            break;
    }
    return mod_string(msg, 'APIClients');
}

function setPasswordValidation(form) {
    var confirm_password = SUGAR.ui.getFormInput(form, 'confirm_password');
    if (confirm_password) {
        confirm_password.customValidate = function () {
            var password = SUGAR.ui.getFormInput(form, 'password');

            if (this.isBlank() || password.isBlank())
                return true;

            if (this.getValue() != password.getValue()) {
                this.invalid = true;
                this.invalidMsg = get_password_error_msg(3);
                password.invalid = true;
                password.updateDisplay();
                return false;
            }
            return true;
        };
    }
}



function setOnSubmitEvent() {
    if ($('DetailForm_save'))
        $('DetailForm_save').onclick = submitForm;
    if ($('DetailForm_save2'))
        $('DetailForm_save2').onclick = submitForm;
    document.DetailForm.onsubmit = submitForm;
}

function submitForm() {
	set_chooser();
    return SUGAR.ui.sendForm(document.DetailForm, {'record_perform':'save'});
}

function setSignatureOnSubmitEvent() {
    if ($('SignatureForm_save'))
        $('SignatureForm_save').onclick = submitSignatureForm;
    if ($('SignatureForm_cancel'))
        $('SignatureForm_cancel').onclick = cancelSignatureForm;
    document.SignatureForm.onsubmit = submitSignatureForm;
}

function submitSignatureForm() {
    return SUGAR.ui.sendForm(document.SignatureForm, {'record_perform':'save'}, null, false, true);
}

function cancelSignatureForm() {
    SUGAR.popups.close();
}

