<?php return; /* no output */ ?>

detail
    title: LBL_MODULE_TITLE
layout
	form_buttons
		stripe_authorize
            vname: LBL_AUTHORIZE_CARD
			perform:
                var form_params = {module: 'Accounts', action: 'StripeAuthorize', account_id: '{RECORD}'};
                var popup = new SUGAR.ui.Dialog('stripe_authorize', {modal: true, title : SUGAR.language.getString('LBL_AUTHORIZE_CARD')});
                popup.fetchContent('async.php', {postData : form_params}, null, true);
            mode: view
			hidden: config.company.payment_gateway!=stripe
		copy_addresses
			vname: LBL_COPY_ADDRESSES
			perform:
                var form_params = {module: 'Accounts', action: 'CopyAddresses', account_id: '{RECORD}'};
                var popup = new SUGAR.ui.Dialog('copy_addresses', {modal: true, title : SUGAR.language.getString('LBL_COPY_ADDRESSES')});
                popup.fetchContent('async.php', {postData : form_params}, null, true);
            mode: view
	tabs
		Standard
			vname: LBL_LAYOUT_STANDARD
		Sales
			vname: LBL_LAYOUT_SALES
	summary
		image: photo
		header
			fields
				--
					name: name
					editable: !mode.B2C
				--
					name: account_number
					hidden: !config.site.accounts_numbering
		subheader
			fields
				- account_type
		actions
			email
				fields
					primary
						name: email1
						hidden: mode.B2C
					alternate
						name: email2
						hidden: mode.B2C
			phone
				fields
					primary
						name: phone_office
						hidden: mode.B2C
					alternate
						name: phone_alternate
						hidden: mode.B2C
			fax
				fields
					--
						name: phone_fax
						hidden: mode.B2C
			web
				fields
					--
						name: website
						hidden: mode.B2C
			social
		meta
			fields
				--
					name: partner
					show_label: false
					hidden: mode.B2C
	sections
		--
			id: primary_contact_info
			vname: LBL_PRIMARY_CONTACT
			vname_module: Accounts
            widget: PrimaryContactWidget
			hidden: !mode.B2C
		--
			id: main
			elements
				--
					name: is_supplier
					widget: IsSupplierWidget
				- temperature
				--
					name: primary_contact
					hidden: mode.B2C
				- ownership
				- member_of
				- employees
				- annual_revenue
				- ticker_symbol
				- industry
				- rating
				- sic_code
				-
		--
			id: add_info
			elements
				--
					name: billing_address
					copy_to: shipping_address
					copy_to_rel_contacts: true
					hidden: mode.B2C
				--
					name: shipping_address
					copy_to: billing_address
					copy_to_rel_contacts: true
					hidden: mode.B2C
				--
					name: description
					colspan: 2
		--
			id: popups_main
			vname: LBL_ACCOUNT_POPUPS
			columns: 1
			elements
				- account_popups
				--
					id: popups
					type: section
					columns: 1
					toggle_display
						name: account_popups
					elements
						- account_popup
						- sales_popup
						- service_popup
		--
			id: customer_info
			tab: Sales
			vname:
			#hidden: bean.is_supplier
			elements
				--
					id: customer_info_fields
					vname: LBL_SALES_INFORMATION_TITLE
					type: section
					columns: 2
					toggle_display
						name: is_supplier
						value: 0
					elements
						- first_invoice
						- last_invoice
						- balance
						- lifetime_revenue
						- default_discount
						- credit_limit
						- default_shipper
						- tax_code
						- currency
						- tax_information
						- default_terms
						--
							name: default_pricebook
							hidden: !license.enterprise
						- invoice_as
						--
							name: stripe_customer_id
            				hidden: config.company.payment_gateway!=stripe
				--
					id: supplier_info_fields
					vname: LBL_PURCHASING_INFORMATION_TITLE
					type: section
					columns: 2
					toggle_display
						name: is_supplier
					elements
						- balance_payable
						- default_purchase_discount
						- purchase_credit_limit
						- default_purchase_shipper
						- default_purchase_terms
		--
			id: required_skills
    subpanels
        - activities
        - history
		--
			name:  signed_documents
			title: LBL_SIGNED_DOCUMENTS_SUBPANEL_TITLE
			no_create : true
			show_config_panel_link: false
        - contacts
		- members
        - eventsessions
        - cases
        - subcontracts
        - documents
        - threads
        - bugs
        - project
        - assets
        - supported_assemblies
        --
        	name: opportunities
        	tab: Sales
        --
        	name: leads
			tab: Sales
        --
            name: quotes
            hidden: bean.is_supplier
            tab: Sales
        --
            name: salesorders
            hidden: bean.is_supplier
            tab: Sales
        --
            name: invoice
            hidden: bean.is_supplier
            tab: Sales
        --
        	name: credits
        	hidden: bean.is_supplier
            tab: Sales
        --
            name: purchaseorders
            hidden: ! bean.is_supplier
            tab: Sales
        --
            name: bills
            hidden: ! bean.is_supplier
            tab: Sales
        --
        	name: expensereports
            tab: Sales
        --
            name: products
            hidden: ! bean.is_supplier
            tab: Sales
        --
            name: subscriptions
			hidden: bean.is_supplier
			no_create: true
            tab: Sales
