<?php

require_once('include/layout/forms/FormButton.php');

class ShowImagesButton extends FormButton
{
	var $module;

	function init($params = null, $model = null)
	{
		parent::init($params, $model);

		$this->vname = 'LBL_VIEW_IMAGES';
		$this->vname_module = 'Activities';
		$this->icon = 'icon-changelog';
		$pmod = array_get_default($this->params, 'parent_module', '');
		$pid = array_get_default($this->params, 'parent_id', '');
		$this->perform = <<<JS
        var form_params = {module: 'Activities', action: 'ShowImages', parent_type: '$pmod', parent_id: '$pid'};
        var popup = new SUGAR.ui.Dialog('activities', {modal: true, title : ''});
		popup.fetchContent('async.php', {postData : form_params}, null, true);
JS;
		$this->type = 'button';
	}
}

?>
