<?php
if(! ACLController::checkAccess('ActivityLog', 'list'))
	ACLController::displayNoAccess();

require_once('modules/ActivityLog/ListViewManager.php');

$manager = new ActivityLogListViewManager('listview', array('is_primary' => true));
if(AppConfig::setting('site.allow_debug'))
	$manager->debug = array_get_default($_REQUEST, 'debug', false);
$manager->loadRequest();

$layout = array_get_default($_REQUEST, 'layout');
$report = array_get_default($_REQUEST, 'report_id');
$data_id = array_get_default($_REQUEST, 'data_id');

if(! $manager->initModuleView('ActivityLog', $layout, null, $report, $data_id))
	ACLController::displayNoAccess();

$manager->render();
?>

