<?php
if(!defined('sugarEntry') || !sugarEntry) die('Not A Valid Entry Point');
/*********************************************************************************
 * The contents of this file are subject to the SugarCRM Public License Version
 * 1.1.3 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.sugarcrm.com/SPL
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * All copies of the Covered Code must include on each user interface screen:
 *    (i) the "Powered by SugarCRM" logo and
 *    (ii) the SugarCRM copyright notice
 * in the same form as they appear in the distribution.  See full license for
 * requirements.
 *
 * The Original Code is: SugarCRM Open Source
 * The Initial Developer of the Original Code is SugarCRM, Inc.
 * Portions created by SugarCRM are Copyright (C) 2004-2006 SugarCRM, Inc.;
 * All Rights Reserved.
 * Contributor(s): ______________________________________.
 ********************************************************************************/

action_restricted_for('demo');

global $current_user, $db, $mod_strings;

if(is_admin($current_user)){
	$csrf_input = create_csrf_input();
	if(!isset($_POST['confirmed'])) {
		echo '<form action="" method="post" onsubmit="return confirm(\''.$mod_strings['LBL_INVOICE_RESET_ALERT'].'\');">'
				. $csrf_input . '
				<label for="confirmed">'.$mod_strings['LBL_INVOICE_RESET_CONFIRM'].'</label>&nbsp; &nbsp;
				<input type="submit" name="confirmed" class="input-button" value="'.$mod_strings['LBL_INVOICE_RESET_CONFIRM_BTN'].'">&nbsp;&nbsp;
				<a href="index.php?module=Administration&action=Maintain" class="input-button">'.$mod_strings['LBL_INVOICE_RESET_BACK'].'</a>
			</form>';
	} else {
		$lq = new ListQuery('Invoice');
		$invoices = $lq->fetchAll();

		foreach($invoices as $invoice) {
			$upd = RowUpdate::for_result($invoice);
			$upd->deleteRow();
		}

		$db->query("UPDATE config SET value = 0 WHERE name = 'invoice_number_sequence'");

		echo $mod_strings['LBL_INVOICE_RESET_DONE'];
	}
}
else{
	die('Admin Only Section');
}
?>
