<?php
if(!defined('sugarEntry') || !sugarEntry) die('Not A Valid Entry Point');

global $current_user;

if(! is_admin($current_user))
	return;

global $db, $mod_strings;

$lq = new ListQuery('Account');
$lq->setOrderBy('date_entered ASC');
$result = $lq->runQuery(0, null, null, null, 20);
$number = AppConfig::next_sequence_value('account_number_sequence');

while(! $result->failed) {
	foreach($result->getRowIndexes() as $idx) {
		$acc = $result->getRowResult($idx);
		if($acc->getField('account_number') == '' || $acc->getField('account_number') == 0) {
			$update = array();
			$update['account_number'] = $number;
			$upd = RowUpdate::for_result($acc);
			$upd->set($update);
			$upd->save();
			$number++;
		}
	}
	if($result->page_finished)
		break;
	$lq->pageResult($result);
}

$db->query("UPDATE config SET value = $number WHERE name = 'account_number_sequence'");

echo $mod_strings['LBL_ACCOUNT_NUMBERING_MSG'];

?>
