<?php
if(!defined('sugarEntry') || !sugarEntry) die('Not A Valid Entry Point');

if(! is_admin($current_user))
	return;

global $db, $mod_strings;

$lq = new ListQuery('Opportunity');
$lq->setOrderBy('date_entered ASC');
$result = $lq->runQuery(0, null, null, null, 20);
$prefix = AppConfig::get_sequence_prefix('opportunities_prefix');
$number = AppConfig::next_sequence_value('opportunities_number_sequence');

while(! $result->failed) {
	foreach($result->getRowIndexes() as $idx) {
		$opp = $result->getRowResult($idx);
		if($opp->getField('opportunities_number') == '' || $opp->getField('opportunities_number') == 0) {
			$update = array();
			$update['prefix'] = $prefix;
			$update['opportunities_number'] = $number;
			$upd = RowUpdate::for_result($opp);
			$upd->set($update);
			$upd->save();
			$number++;
		}
	}
	if($result->page_finished)
		break;
	$lq->pageResult($result);
}

$db->query("UPDATE config SET value = $number WHERE name = 'opportunities_number_sequence'");

echo $mod_strings['LBL_OPPORTUNITY_NUMBERING_MSG'];

?>
