<?php
if(!defined('sugarEntry') || !sugarEntry) die('Not A Valid Entry Point');
/*********************************************************************************
 * The contents of this file are subject to the SugarCRM Public License Version
 * 1.1.3 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.sugarcrm.com/SPL
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * All copies of the Covered Code must include on each user interface screen:
 *    (i) the "Powered by SugarCRM" logo and
 *    (ii) the SugarCRM copyright notice
 * in the same form as they appear in the distribution.  See full license for
 * requirements.
 *
 * The Original Code is: SugarCRM Open Source
 * The Initial Developer of the Original Code is SugarCRM, Inc.
 * Portions created by SugarCRM are Copyright (C) 2004-2006 SugarCRM, Inc.;
 * All Rights Reserved.
 * Contributor(s): ______________________________________.
 ********************************************************************************/
/*********************************************************************************

 * Description: TODO:  To be written.
 * Portions created by SugarCRM are Copyright (C) SugarCRM, Inc.
 * All Rights Reserved.
 * Contributor(s): ______________________________________..
 ********************************************************************************/

global $app_strings;
global $app_list_strings;
global $mod_strings;
global $current_user;

theme_hide_side_menu(true);



if (!is_admin($current_user))
{
   sugar_die("Unauthorized access to administration.");
}

echo '<div class="detailOuter">';

echo get_module_title('Administration', $mod_strings['LBL_MODULE_TITLE'], true);


//system.
$admin_option_defs = array();
// longreach - added
$admin_option_defs['company_info'] = array('CompanyAddress','LBL_COMPANY_INFO_TITLE','LBL_COMPANY_INFO','./index.php?module=Configurator&action=EditView&layout=Company');
$admin_option_defs['configphp_settings'] = array('Administration','LBL_CONFIGURE_SETTINGS_TITLE','LBL_CONFIGURE_SETTINGS','./index.php?module=Configurator&action=EditView&layout=Settings');
$admin_option_defs['scheduler'] = array('Scheduler','LBL_SCHEDULER_TITLE','LBL_SCHEDULER','./index.php?module=Scheduler&action=index');
$admin_option_defs['currencies_management'] = array('Currencies','LBL_MANAGE_CURRENCIES','LBL_CURRENCY','./index.php?module=Currencies&action=index');
$admin_option_defs['locale'] = array('Currencies','LBL_MANAGE_LOCALE','LBL_LOCALE','./index.php?module=Configurator&action=EditView&layout=Locale');
$admin_option_defs['license'] = array('License','LBL_LICENSE_INFO_TITLE','LBL_LICENSE_INFO_TEXT','./index.php?module=LicenseInfo&action=index');
$admin_option_defs['urls'] = array('Feeds','LBL_SYSTEM_URLS','LBL_SYSTEM_URLS_TITLE','./index.php?module=Configurator&action=SystemURLs');

$admin_group_header[] = array('LBL_ADMINISTRATION_HOME_TITLE','',false,$admin_option_defs);

// longreach - start added
$admin_option_defs = array();
$admin_option_defs['maintain'] = array('Repair','LBL_MAINTAIN_TITLE','LBL_MAINTAIN','./index.php?module=Administration&action=Maintain');
$admin_option_defs['backup_management'] = array('Backups','LBL_BACKUPS_TITLE','LBL_BACKUPS','./index.php?module=Configurator&action=EditView&layout=Backup');
$admin_option_defs['upgrade_wizard'] = array('Upgrade','LBL_UPGRADE_WIZARD_TITLE','LBL_UPGRADE_WIZARD','./index.php?module=UWizard&action=index');
$admin_option_defs['diagnostic'] = array('Diagnostic','LBL_DIAGNOSTIC_TITLE','LBL_DIAGNOSTIC_DESC','./index.php?module=Administration&action=Diagnostic');
$admin_option_defs['view_logs'] = array('Log', 'LBL_VIEW_LOGS_TITLE', 'LBL_VIEW_LOGS', './index.php?module=Configurator&action=LogView');
$admin_option_defs['manage_import'] = array('Import', 'LBL_MANAGE_IMPORT_TITLE', 'LBL_MANAGE_IMPORT', './index.php?module=ImportDB&action=ListView');
$admin_option_defs['storage_util'] = array('Administration', 'LBL_STORAGE_UTIL_TITLE', 'LBL_STORAGE_UTIL', './index.php?module=Configurator&action=StorageUtil');

$admin_group_header[] = array('LBL_SYSTEM_TOOLS_TITLE','',false,$admin_option_defs);
// longreach - end added

//users and security.
$admin_option_defs = array();
$admin_option_defs['user_management'] = array('Users','LBL_MANAGE_USERS_TITLE','LBL_MANAGE_USERS','./index.php?module=Users&action=index');
$admin_option_defs['roles_management'] = array('ACLRoles','LBL_MANAGE_ROLES_TITLE','LBL_MANAGE_ROLES','./index.php?module=ACLRoles&action=index');
$admin_option_defs['securitygroup_management'] = array('SecurityGroups','LBL_MANAGE_SECURITYGROUPS_TITLE','LBL_MANAGE_SECURITYGROUPS','./index.php?module=SecurityGroups&action=index');
$admin_option_defs['skills_management'] = array('Skills','LBL_MANAGE_SKILLS_TITLE','LBL_MANAGE_SKILLS','./index.php?module=Skills&action=index');
$admin_option_defs['acl_settings'] = array('ACL','LBL_ACL_SETTINGS_TITLE','LBL_ACL_SETTINGS','./index.php?module=Configurator&action=EditView&layout=ACL');


$admin_group_header[] = array('LBL_USERS_TITLE','',false,$admin_option_defs);

//email manager.
$admin_option_defs = array();
$admin_option_defs['mass_email_config'] = array('EmailMan','LBL_MASS_EMAIL_CONFIG_TITLE','LBL_MASS_EMAIL_CONFIG_DESC','./index.php?module=Configurator&action=EditView&layout=Email');
$admin_option_defs['mass_email'] = array('EmailMan','LBL_MASS_EMAIL_MANAGER_TITLE','LBL_MASS_EMAIL_MANAGER_DESC','./index.php?module=EmailMan&action=index');
/* longreach - replaced
$admin_option_defs['mailboxes'] = array('InboundEmail','LBL_MANAGE_MAILBOX','LBL_MAILBOX_DESC','./index.php?module=InboundEmail&action=index');
 */
$admin_option_defs['mailboxes'] = array('EmailPOP3','LBL_MAILBOXES_TITLE','LBL_MAILBOXES_TEXT','./index.php?module=EmailPOP3&action=index');
// longreach - added
$admin_option_defs['group_folders'] = array('EmailFolders','LBL_GROUP_FOLDERS_TITLE','LBL_GROUP_FOLDERS_TEXT','./index.php?module=EmailFolders&action=index&layout=GroupFolders');
// $admin_option_defs['notify_template'] = array('EmailMan','LBL_NOTIFY_TPL_TITLE','LBL_NOTIFY_TPL_TEXT','./index.php?module=Notify&action=EditTemplate');
$admin_option_defs['notify_fields'] = array('EmailMan','LBL_NOTIFY_FIELDS_TITLE','LBL_NOTIFY_FIELDS_TEXT','./index.php?module=Notify&action=EditFields');

$admin_group_header[] = array('LBL_EMAIL_TITLE','',false,$admin_option_defs);

//studio.
$admin_option_defs = array();
$admin_option_defs['layout'] = array('Layout','LBL_EDIT_LAYOUT','LBL_EDIT_LAYOUT_DESC','./index.php?module=NewStudio&action=index&wizard=EditLayout');
$admin_option_defs['configure_group_tabs'] = array('ConfigureTabs','LBL_CONFIGURE_GROUP_TABS','LBL_CONFIGURE_GROUP_TABS_DESC','./index.php?action=index&module=NewStudio&wizard=GroupTabs');

$admin_option_defs['custom_fields'] = array('ListLayout','LBL_CUSTOM_FIELDS','LBL_CUSTOM_FIELDS_DESC','./index.php?module=NewStudio&action=index&wizard=EditCustom');
$admin_option_defs['configure_tabs'] = array('ConfigureTabs','LBL_CONFIGURE_TABS','LBL_CHOOSE_WHICH','./index.php?module=NewStudio&wizard=ConfigTabs&action=index');
$admin_option_defs['dropdowns'] = array('ListLayout','LBL_DROPDOWNS','LBL_DROPDOWNS_DESC','./index.php?module=NewStudio&action=index&wizard=EditDropdowns');
$admin_option_defs['rename_tabs'] = array('RenameTabs','LBL_RENAME_TABS','LBL_CHANGE_NAME_TABS',"./index.php?action=index&module=NewStudio&wizard=RenameTabs");
$admin_option_defs['saved_search'] = array('ListLayout','LBL_CUSTOM_LIST_LAYOUTS','LBL_EDIT_CUSTOM_LIST_LAYOUTS',"./index.php?action=index&module=SavedSearch");
if(include_bean('iFrame'))
$admin_option_defs['portal'] = array('iFrames','LBL_IFRAME','DESC_IFRAME','./index.php?module=iFrames&action=index');
$admin_option_defs['workflow'] = array('Workflow','LBL_WORKFLOW','LBL_WORKFLOW_DESC',"./index.php?module=Workflow&action=index");

require_once 'modules/Administration/utils.php';
admin_utils_menu($admin_option_defs);


$admin_group_header[] = array('LBL_STUDIO_TITLE','',false,$admin_option_defs);



// longreach - start added - quotes
$admin_option_defs = array();
$admin_option_defs['shipping_providers'] = array('ShippingProviders', 'LBL_MANAGE_SHIPPING_PROVIDERS', 'LBL_SHIPPING_PROVIDERS', './index.php?module=ShippingProviders&action=index');
$admin_option_defs['discounts'] = array('Discounts', 'LBL_MANAGE_DISCOUNTS', 'LBL_DISCOUNTS', './index.php?module=Discounts&action=index');
$admin_option_defs['tax_rates'] = array('TaxRates', 'LBL_MANAGE_TAXRATES', 'LBL_TAXRATES', './index.php?module=TaxRates&action=index');
$admin_option_defs['tax_codes'] = array('TaxCodes', 'LBL_MANAGE_TAXCODES', 'LBL_TAXCODES', './index.php?module=TaxCodes&action=index');
$admin_group_header[] =array('LBL_QUOTES_TITLE','',false,$admin_option_defs);
// longreach - end added

// longreach - start added - meeting resources
$admin_option_defs = array();
$admin_option_defs['forum_topics'] = array('ForumTopics','LBL_FORUM_TOPICS_TITLE','LBL_FORUM_TOPICS_DESC','./index.php?module=ForumTopics&action=index');
$admin_option_defs['feeds'] = array('Feeds','LBL_FEEDS_TITLE','LBL_FEEDS_DESC','./index.php?module=Feeds&action=index');
$admin_option_defs['resources'] = array('Resources', 'LBL_RESOURCES_TITLE', 'LBL_RESOURCES_DESC', './index.php?action=index&module=Resources');
$admin_group_header[] =array('LBL_ACTIVITIES_SUPPORT_TITLE','',false,$admin_option_defs);
// longreach - end added




$files = array_column(AppConfig::setting('ext.admin', array()), 'name');
array_extend($files, glob_unsorted('custom/modules/Administration/administration.*.php'));
foreach ($files as $f) {
	include ($f);
}


$layout = [
	'type' => 'adminform',
	'sections' => [],
];

foreach ($admin_group_header as $values) {
	$title = $values[0];
	if (is_array($title)) {
		$title = translate($title[0], $title[1]);
	} else {
		$title = $mod_strings[$title];
	}
	$ttext = $title;
	//if($values[1])
	//	$ttext = get_image($values[1]) . ' ' . $ttext;

	$sect = [
		'label' => $ttext,
		'label_position' => 'left',
		'columns' => 2,
		'elements' => [],
	];

	foreach ($values[3] as $admin_option) {
		$title = array_get_default($admin_option, 1, '');
		if (is_array($title)) {
			$title = translate($title[0], $title[1]);
		} else if($title) {
			$title = translate($title, 'Administration');
		}
		$icon = array_get_default($admin_option, 0, '');
		if($icon) $icon = get_image($icon) . ' ';
		$url = array_get_default($admin_option, 3, '');
		$label = to_html($title);
		if($url)
			$label = '<a href="'.to_html($url).'">'.$label.'</a>';
		if(!empty($admin_option['additional_label'])) $label .= ' '. $admin_option['additional_label'];
		if(!empty($admin_option[4]))
			$label = '<span class="text-error">'. $label . '</span>';
		$label = $icon.$label;
		
		$desc = array_get_default($admin_option, 2, '');
		if (is_array($desc)) {
			$desc = translate($desc[0], $desc[1]);
		} else if($desc) {
			$desc = translate($desc, 'Administration');
		}
		
		$sect['elements'][] = [
			'type' => 'static',
			'value' => $label,
			'desc' => $desc,
		];
	}
	
	$layout['sections'][] = $sect;
}

require_once('include/layout/forms/FormGenerator.php');
$gen = FormGenerator::html_form(null, $layout, 'AdminForm');
$gen->setFormClass('card-outer form-outer default-form admin-form');
$gen->renderForm(null, 'Administration');
echo $gen->getResult();
$gen->exportIncludes();


echo '</div>';

?>
