<?php return; /* no output */ ?>

detail
	type: union
	primary_key: id
	default_order_by: date_entered DESC
	reportable: true
	display_name: display_name
	unified_search: false
fields
	app.id
	app.deleted
	app.date_entered
	app.date_modified
	app.assigned_user
	query_module
		type: module_name
		vname: LBL_MODULE
		source
			type: module_name
		options
			- Cases
			- ProjectTask
	display_name
		type: name
		vname: LBL_SUBJECT
		vname_list: LBL_LIST_SUBJECT
		width: 40
		dynamic_module: query_module
		unified_search: true
		union_source
			cases: full_name
			projecttask: _display
	name
		type: name
		vname: LBL_SUBJECT
		vname_list: LBL_LIST_SUBJECT
		width: 40
		dynamic_module: query_module
		unified_search: true
		union_source
			cases: full_name
			projecttask: _display
	case_number
		type: hidden
		vname: LBL_SUBJECT
		vname_list: LBL_LIST_SUBJECT
		width: 40
		dynamic_module: query_module
		unified_search: true
		union_source
			cases: case_number
			projecttask
				name: case_number
                type: static
                value: ""
                source
                    type: non-db
	status
		type: varchar
		vname: LBL_STATUS
		vname_list: LBL_LIST_STATUS
		width: 25
	account_id
		type: ref_id
		vname: LBL_ACCOUNT_ID
		for_ref: account
		reportable: false
		union_source
			projecttask: parent.account_id
	account
		type: ref
		vname: LBL_ACCOUNT
		bean_name: Account
		union_source
			projecttask: parent.account
	default_booking_category_id
		type: ref_id
		vname: LBL_DEFAULT_BOOKING_CATEGORY_ID
		for_ref: default_booking_category
		reportable: false
		union_source
			cases: default_booking_category_id
			projecttask: default_booking_category_id
	default_booking_category
		type: name
		vname: LBL_DEFAULT_BOOKING_CATEGORY
		bean_name: BookingCategory
		label_key: _display
		union_source
			cases: default_booking_category.name
			projecttask: default_booking_category.name
	description
		type: text
		vname: LBL_DESCRIPTION
sources
	cases
		model: aCase
		filters
			--
				field: status
				value: "Closed -"
				operator: not_like
				match: prefix
            #if(AppConfig::setting('site.features.restrict_case_booking'))
			#	$lq1->addSimpleFilter('assigned_user_id', $user_id);
	projecttask
		model: ProjectTask
		filters
			--
				field: status
				value: In Progress
			--
				field: parent.project_phase
				value: Active - In Progress
            #$lq2->addSimpleFilter('booking_users~join.user_id', $user_id);
            #$lq2->addSimpleFilter('booking_users~join.booking_status', 'Active');
