<?php

	function calculate_holiday($year, $month, $day) {

		$weekday = date('w', mktime(0, 0, 0, $month, $day, $year));
		// +
		if ($month == 1 && $day == 1) {
			return "LBL_HDY_NEWYEAR";
		}

		// +
		if ($month == 7 && $day == 1) {
			return "LBL_HDY_CANADA_DAY";
		}

		// +
		if ($month == 9 && $weekday == 1 && $day < 8) {
			return "LBL_HDY_LABOUR_DAY";
		}

		// +
		if ($month == 12 && $day == 25) {
			return "LBL_HDY_CRISTMAS";
		}

		// +
		if  (easter_relative($year, $month, $day, -2)) {
			return 'LBL_HDY_GOOD_FRIDAY';
		}

		// +
		if ($month == 11 && $day == 11) {
			return "LBL_HDY_REMEMBRANCE";
		}

		// +
		if ($month == 5 && $day > 17 && $day <= 24 && $weekday == 1) {
			return "LBL_HDY_VICTORIA";
		}

		//+
		if ($month == 8 && $weekday == 1 && $day < 8) {
			return "LBL_HDY_AUGUST_CIVIC";
		}

		// +
		if ($month == 10 && $day > 7 && $day <= 14 && $weekday == 1) {
			return "LBL_HDY_THANKSGIVING";
		}
	}


