<?php

	function calculate_holiday($year, $month, $day) {

		$weekday = date('w', mktime(0, 0, 0, $month, $day, $year));
		// +
		if ($month == 1 && $day == 1) {
			return "LBL_HDY_NEWYEAR";
		}

		// +
		if ($month == 7 && $day == 1 && $weekday != 0) {
			return "LBL_HDY_CANADA_DAY";
		}

		if ($month == 7 && $day == 2 && $weekday == 1) {
			return "LBL_HDY_CANADA_DAY";
		}

		// +
		if ($month == 9 && $weekday == 1 && $day < 8) {
			return "LBL_HDY_LABOUR_DAY";
		}

		// +
		if ($month == 12 && $day == 25) {
			return "LBL_HDY_CRISTMAS";
		}

		// +
		if  (easter_relative($year, $month, $day, -2)) {
			return 'LBL_HDY_GOOD_FRIDAY';
		}

		// +
		if  (easter_relative($year, $month, $day, 1)) {
			return 'LBL_HDY_EASTER_MONDAY';
		}

		// +
		if ($month == 2 && $day > 14 && $day <= 21 && $weekday == 1) {
			return "LBL_HDY_FAMILY";
		}

		// +
		if ($month == 5 && $day > 17 && $day <= 24 && $weekday == 1) {
			return "LBL_HDY_VICTORIA";
		}

		//+
		if ($month == 8 && $day > 0 && $day <= 7 && $weekday == 1) {
			return "LBL_HDY_AUGUST_CIVIC";
		}

		// +
		if ($month == 10 && $day > 7 && $day <= 14 && $weekday == 1) {
			return "LBL_HDY_THANKSGIVING";
		}

		// +
		if ($month == 5 && $day > 17 && $day <= 24 && $weekday == 1) {
			return "LBL_HDY_PATRIOTS_DAY";
		}

		// +
		if ($month == 6 && $day == 24) {
			return "LBL_HDY_NATIONAL_HOLIDAY";
		}
	}


