<?php

	function calculate_holiday($year, $month, $day) {

		$weekday = date('w', mktime(0, 0, 0, $month, $day, $year));
		// +
		if ($month == 1 && $day == 1) {
			return "LBL_HDY_NEWYEAR";
		}
		
		// +
		if ($month == 5 && $day == 1) {
			return "LBL_HDY_LABOUR_DAY_FRANCE";
		}
		
		// +
		if ($month == 5 && $day == 8) {
			return "LBL_HDY_SECOND_WORLD_WAR_VICTORY";
		}
		
		// +
		if ($month == 7 && $day == 14) {
			return "LBL_HDY_FRANCE_DAY";
		}
		
		// +
		if ($month == 8 && $day == 15) {
			return "LBL_HDY_ASSOMPTION";
		}
		
		// +
		if ($month == 11 && $day == 1) {
			return "LBL_HDY_TOUSSAINT";
		}
		
		// +
		if ($month == 11 && $day == 11) {
			return "LBL_HDY_ARMISTICE";
		}
		
		// +
		if ($month == 12 && $day == 25) {
			return "LBL_HDY_CRISTMAS";
		}
		
		// +
		if  (easter_relative($year, $month, $day, +1)) {
			return 'LBL_HDY_LUNDI_PAQUES';
		}
		
		// +
		if  (easter_relative($year, $month, $day, +39)) {
			return 'LBL_HDY_JEUDI_ASCENSION';
		}
		
		// +
		if  (easter_relative($year, $month, $day, +50)) {
			return 'LBL_HDY_LUNDI_PENTECOTE';
		}
		
		// +
		if ($month == 2 && $day > 14 && $day <= 21 && $weekday == 1) {
			return "LBL_HDY_FAMILY";
		}
		
		// +
		if ($month == 5 && $day > 17 && $day <= 24 && $weekday == 1) {
			return "LBL_HDY_VICTORIA";
		}
		
		//+
		if ($month == 8 && $day > 0 && $day <= 7 && $weekday == 1) {
			return "LBL_HDY_AUGUST_CIVIC";
		}
		
		// +
		if ($month == 10 && $day > 7 && $day <= 14 && $weekday == 1) {
			return "LBL_HDY_THANKSGIVING";
		}
		
		// +
		if ($month == 12 && $day == 26) {
			return "LBL_HDY_BOXING";
		}
	}


	

