<?php

	function calculate_holiday($year, $month, $day) {

		$weekday = date('w', mktime(0, 0, 0, $month, $day, $year));
		// +
		if ($month == 1 && $day == 1) {
			return "LBL_HDY_NEWYEAR";
		}

		// +
		if ($month == 2 && $day == 25) {
			return "LBL_HDY_EDSA_DAY";
		}

		// +
		if ($month == 4 && $day == 9) {
			return "LBL_HDY_VALOR_DAY";
		}		
		
		// +
		if ($month == 5 && $day == 1) {
			return "LBL_HDY_LABOR_DAY";
		}

		// +
		if ($month == 6 && $day == 12) {
			return "LBL_HDY_INDEPENDENCE_DAY";
		}		

		// +
		if ($month == 8 && $day == 21) {
			return "LBL_HDY_NINOY_DAY";
		}		

		// +
		if ($month == 11 && $day == 1) {
			return "LBL_HDY_SAINTS_DAY";
		}

		// +
		if ($month == 11 && $day == 30) {
			return "LBL_HDY_BONIFACIO_DAY";
		}		
		
		// +
		if ($month == 12 && $day == 25) {
			return "LBL_HDY_CHRISTMAS";
		}

		// +
		if ($month == 12 && $day == 30) {
			return "LBL_HDY_RIZAL_DAY";
		}

		// +
		if ($month == 12 && $day == 31) {
			return "LBL_HDY_NEW_YEAR";
		}			

		// +
		if  (easter_relative($year, $month, $day, -3)) {
			return 'LBL_HDY_MAUNDY_THURSDAY';
		}

		// +
		if  (easter_relative($year, $month, $day, -2)) {
			return 'LBL_HDY_GOOD_FRIDAY';
		}
	}

