<?php return; /* no output */ ?>

detail
	type: bean
	bean_file: modules/Commissions/Commission.php
	optimistic_locking: true
	table_name: commissions
	primary_key: id
	default_order_by: name
	personal_data: false
	reportable: true
hooks
	new_record
		--
			class_function: init_record
	before_save
		--
			class_function: before_save
	after_save
		--
			class_function: CalcCommissions
fields
	app.id
	app.date_entered
	app.date_modified
	app.modified_user
	app.assigned_user
    app.created_by_user
	app.deleted
	name
		type: name
		vname: LBL_NAME
		required: true
		default: ""
	sales_order
		vname: LBL_SALES_ORDER
		type: ref
		len: 50
		bean_name: SalesOrder
	invoice
		vname: LBL_INVOICE
		type: ref
		len: 50
		bean_name: Invoice
	commission
		vname: LBL_COMMISSION
		type: currency
		len: 50
	commission_total
		vname: LBL_COMMISSION_TOTAL
		type: currency
		len: 50
	percentage
		vname: LBL_COMMISSION_PERC
		type: int
		widget: QuickEditListElt
		len: 11
	percentage_total
		vname: LBL_COMMISSION_PERC_TOTAL
		type: int
		editable: false
		len: 11
links
	comms
		relationship: comms_sales_orders
	comm_inv
		relationship: comm_invoices
relationships
	comms_sales_orders
		key: sales_order_id
		target_bean: SalesOrder
		target_key: id
		relationship_type: one-to-many
	comm_invoices
		key: invoice_id
		target_bean: Invoice
		target_key: id
		relationship_type: one-to-many
