var forecast_warned = false;

function notify_forecasts() {
    if (! forecast_warned)
            alert(mod_string('LBL_FORECASTS_ERASED', 'Configurator'));
    forecast_warned = true;
}

function smtp_security_changed() {
	showHideCertificateVerification(this.form);
	var secure = SUGAR.ui.getFormInput(this.form, 'email_smtp_security'),
		port = SUGAR.ui.getFormInput(this.form, 'email_smtp_port'),
		host = SUGAR.ui.getFormInput(this.form, 'email_smtp_server'),
		auth = SUGAR.ui.getFormInput(this.form, 'email_smtp_auth_req'),
		sval, pval, hval, m;
	if(secure && port && host && auth) {
		sval = secure.getValue();
		pval = port.getValue();
		hval = host.getValue();
		if(this.name == 'email_smtp_security' && ! sval && (! pval || pval == 465 || pval == 587))
			port.setValue(25, true);
		else if(this.name == 'email_smtp_server') {
			m = hval.match(/^(ssl|tls):\/\/(.*)$/);
			if(m) {
				host.setValue(m[2], true);
				hval = m[2];
				if(m[1] == 'ssl')
					secure.setValue('ssl', true);
				else
					secure.setValue('tls', true);
				port.setValue(587, true);
			}
			if(hval == 'smtp.gmail.com') {
				secure.setValue('tls', true);
				port.setValue(587, true);
				auth.setValue(1, true);
			}
		}
		else if(! pval || pval == 25) {
			if(sval)
				port.setValue(587, true);
		}
	}

}

function smtp_auth_type_changed() {
	smtp_auth_update(this.form);
}

function smtp_auth_update(form) {
	var email_smtp_auth_req = SUGAR.ui.getFormInput(form, 'email_smtp_auth_req');
	var auth_type = email_smtp_auth_req.getValue();
	var password_input = SUGAR.ui.getFormInput(form, 'email_smtp_password');
	var token_input = SUGAR.ui.getFormInput(form, 'email_smtp_o365_token');
	showHideInputRow(password_input.elt, auth_type == "1");
	showHideInputRow(token_input.elt, auth_type == "o365");
	showHideInputRow(token_input.elt, auth_type == "o365" || auth_type == "gmail");
	var btn = document.getElementById('o365_auth_btn');
	if (btn) {
		if(auth_type == 'gmail') {
			btn.classList.add('google_signin');
			btn.innerText = '';
		} else {
			btn.classList.remove('google_signin');
			btn.innerText = mod_string('LBL_O365_AUTH_BUTTON_LABEL');
		}
	}
}

function showHideCertificateVerification(form) {
    var mail_smtpsecurity = SUGAR.ui.getFormInput(form, 'email_smtp_security');
    var mail_smtp_verification = SUGAR.ui.getFormInput(form, 'email_smtp_verification');
    if(mail_smtpsecurity && mail_smtp_verification) {
		var sval = mail_smtpsecurity.getValue();
		showHideInputRow(mail_smtp_verification.elt, sval != "");
	}
}


function showHideInputRow(elt, visible) {
	var p = elt.parentNode;
	while(p && p.className && !~p.className.indexOf('form-row')) 
		p = p.parentNode;
	if (p && p.className)
		p.style.display = !visible ? "none" : "";
}

