<?php return; /* no output */ ?>

detail
    type: edit
    title: LBL_BACKUPS_TITLE
    icon: Backups
layout
	form_buttons
	sections
		--
			id: main
			columns: 1
			show_descriptions: true
			widths: 35%
			label_widths: 25%
			desc_widths: 40%
			elements
				- backup_enabled
                - backup_target_dir
				- backup_mysqldump_path
				- backup_dump_available
				--
					name: backup_dump_enabled
					hidden: ! bean.backup_dump_available
				- backup_zip_files_filter
				- backup_files_to_keep
		--
			id: crypto_opts
			columns: 1
			vname: LBL_BACKUP_CRYPTO_OPTIONS
			vdesc: LBL_BACKUP_CRYPTO_OPTIONS_DESC
			elements
				- backup_crypto_available
				- backup_crypto_reason
				--
					name: backup_crypto_enabled
					hidden: ! bean.backup_crypto_available
				--
					name: backup_crypto_cert
					hidden: !bean.backup_crypto_available
					width: 80
					height: 8
		--
			id: remote_opts
			vname: LBL_BACKUP_REMOTE_SYNC_OPTIONS
			columns: 1
			show_descriptions: true
			widths: 35%
			label_widths: 25%
			desc_widths: 40%
			elements
				- backup_remote_type
                --
					id: backup_max
                	section: true
					toggle_display
						name: backup_remote_type
					elements
						- backup_remote_files_to_keep
                --
					id: ftp_info
                	section: true
					toggle_display
						name: backup_remote_type
						value: ftp
					elements
						- backup_ftp_host
						- backup_ftp_username
						- backup_ftp_password
						- backup_ftp_dir
						- backup_ftp_pasv
						- backup_ftp_encrypt
                --
					id: ssh_info
                	section: true
					toggle_display
						name: backup_remote_type
						value: ssh
					elements
						- backup_ssh_host
						- backup_ssh_username
						- backup_ssh_dir
                --
					id: dropbox_info
                	section: true
					toggle_display
						name: backup_remote_type
						value: dropbox
					elements
						- backup_dropbox_auth_token
		--
			id: backup_history
			widget: BackupHistoryWidget
