<?php return; /* no output */ ?>

detail
    type: edit
    title: LBL_COMPANY_INFO_TITLE
    icon: CompanyAddress
layout
	form_buttons
    scripts
        --
            file: "modules/Configurator/ConfigSettings.js"
    sections
		--
			id: general
			vname: LBL_GENERAL_INFO_TITLE
			columns: 2
			label_widths: 25%
			widths: 25%
			elements
				- company_business_model
				--
					id: locale_edit
					section: true
					toggle_display
						name: company_business_model
						value: B2C
					elements
						- company_b2c_name_format
				- company_fiscal_year_start
				- company_hours_in_work_day
				- company_timesheet_period
				- company_pdf_paper_size
                --
					id: timesheet_offset
					columns: 1
                	section: true
					toggle_display
						name: company_timesheet_period
						value: "2"
					elements
						- company_timesheet_offset
				--
                    name: company_forecast_period
                    onchange: "notify_forecasts();"
				- company_pdf_font_face
				- company_retain_forecast_periods
				- layout_pdf_footer_link_title
				- company_retain_history_periods
				- layout_pdf_footer_link_url
				- company_day_begin_hour
				- company_week_start_day
				- company_day_end_hour
				- company_show_all_vacations
				--
					name: module_sequences
					colspan: 2
		--
			id: service
			vname: LBL_SERVICE_INFO_TITLE
			elements
				- company_case_queue_user_ref
				- company_web_lead_user_ref
				--
					name: company_std_case_terms
					colspan: 2
				--
					section: true
					show_descriptions: true
					elements
						--
							name: features_auto_add_case_line_items
							colspan: 2
				--
					section: true
					show_descriptions: true
					elements
						--
							name: features_auto_add_project_line_items
							colspan: 2
				- company_case_case_default_category_ref
				- company_project_task_default_category_ref
				--
					id: auto_close_cases
					section: true
					vname: LBL_CASE_AUTO_CLOSE
					elements
						- company_case_auto_close_warn
						- company_case_auto_close_close
				- company_case_enable_surveys
				-
		--
			id: invoice
			vname: LBL_QUOTE_INVOICE_INFO_TITLE
			elements
				- company_quote_add_comments
				- company_add_booked_hours
				--
					section: true
					show_descriptions: true
					elements
						--
							name: company_tax_information
							colspan: 2
				- company_tax_shipping
				- company_shipping_tax_code_ref
				- company_approve_quotes
				-
				- company_quote_threshold
				- company_margin_threshold
				- company_quote_valid_days
				- company_track_partial_shipping
				-
				- company_approve_booking_Cases
				- company_approve_booking_ProjectTask
				- company_quotes_show_list
				- company_show_pretax_totals
				- default_pricing_method
				- company_lifetime_revenue_with_taxes
				--
					id: quote_formatting
					vname: LBL_COMPANY_QUOTE_FORMATTING
					section: true
					elements
						- company_quote_pdf_show_contact_phone
						- company_quote_pdf_show_contact_email
                --
                    id: invoice_paypal
                    vname: LBL_COMPANY_PAYPAL_SETTINGS
                    section: true
                    elements
                        --
                            name: paypal_link
                            width: 35
                            colspan: 2
		--
			id:	commissions
			section: true
			vname: LBL_COMMISSIONS_HDG
			elements
				- company_commission_percentage
				- commission_module
				- commission_type
		--
			id: opportunity
			vname: LBL_OPPORTUNITY_INFO_TITLE
			elements
				- company_update_opportunity_close_date
		--
			id: payment_gateway
			vname: LBL_PAYMENT_GATEWAY_INFO_TITLE
			elements
				- company_payment_gateway
				--
					id: merchant
					section: true
					toggle_display
						name: company_payment_gateway
					elements
						- company_merchant_currency_ref
				--
					id: merchant_authnet
					section: true
					toggle_display
						name: company_payment_gateway
						value: authnet
					elements
						- company_merchant_login_authnet
						- company_merchant_password_authnet
				--
					id: merchant_stripe
					section: true
					toggle_display
						name: company_payment_gateway
						value: stripe
					elements
						- company_merchant_login_stripe
						- company_merchant_public_key_stripe
		--
			id: logos
			vname: LBL_LOGO_SUBFORM
			columns: 1
			show_descriptions: true
			elements
				- site_top_logo_image
				- company_logo_image
		--
			id: login
			vname: LBL_LOGIN_PAGE_TITLE
			columns: 1
			label_position: top
			elements
				- site_login_use_custom_message
				- site_login_custom_message
		chat
			id: chat
			vname: LBL_CHAT_TITLE
			elements
				- chat_integration
		--
			id: terms
			vname: LBL_TERMS_TITLE
			columns: 1
			label_position: top
			elements
				- company_std_quote_terms
				- company_std_invoice_terms
				- company_std_so_terms
				- company_std_po_terms
