<?php return; /* no output */ ?>

detail
    type: edit
    title: LBL_NOTIFY_TITLE
    icon: EmailMan
layout
	form_buttons
    scripts
        --
            file: "modules/Configurator/ConfigSettings.js"
    form_hooks
        oninit: "showHideCertificateVerification({FORM});smtp_auth_update({FORM});"
	sections
		--
			id: main
			columns: 2
			show_descriptions: true
			widths: 5%
			label_widths: 20%
			desc_widths: 25%
			elements
				- notify_enabled
				-
				- notify_send_by_default
				- notify_send_from_assigning_user
				- notify_cases_contact_create
				- notify_cases_contact_update
				- notify_send_invites_by_default
				-
		--
			id: outbound
			vname: LBL_OUTBOUND_EMAIL_TITLE
			vname_module: EmailMan
			elements
				- notify_from_name
				- notify_from_address
				--
					id: sendmail_disabled
					type: section
					vname: LBL_SENDMAIL_DISABLED
					elements
						- __dummy
					hidden: !config.site.sendmail_disabled
				- email_send_type
				--
					id: smtp_settings
					type: section
					toggle_display
						name: email_send_type
						value: SMTP
					elements
						--
							name: email_smtp_server
							onchange: smtp_security_changed
						- email_smtp_port
						--
							name: email_smtp_auth_req
							onchange: smtp_auth_type_changed
						--
							name: email_smtp_security
							onchange: smtp_security_changed
						- email_smtp_user
						-
						-  email_smtp_password
						- 
						- email_smtp_o365_token
						-
						- email_smtp_verification
						-
				- massemailer_campaign_emails_per_run
				- email_tracking
		--
			id: relations
			vname: LBL_INBOUND_EMAIL_TITLE
			vname_module: EmailMan
			elements
				- email_relate_inbound
				- email_relate_skipdomains
				- email_import_max_session_messages
				- email_max_message_size
				- email_no_account_relations
		--
			id: user_email
			vname: LBL_EMAIL_USER_TITLE
			vname_module: EmailMan
			columns: 1
			elements
				- email_default_client
				- email_default_editor
				- email_default_charset
		--
			id: security
			vname: LBL_SECURITY_TITLE
			vname_module: EmailMan
			show_descriptions: true
			elements
				- email_keep_raw
		--
			id: search
			vname: LBL_EMAIL_SEARCH_OPTIONS
			elements
				- email_fulltext_search
