<?php return; /* no output */ ?>

detail
    title: LBL_MODULE_TITLE
layout
	form_buttons
		subs
			type: button
			vname: LBL_SUBS_BUTTON_LABEL
			url: ?module=Campaigns&action=Subscriptions&record={RECORD}&{RETURN}
			async: false
		vcard
			type: button
			vname: vCard
			onclick: "load_vcard(this.form);"
			icon: icon-export
			acl: export
		card_scanner
			type: button
			hidden: !mode.new_record
			vname: LBL_BUSINESS_CARD_SCAN
			onclick: "load_scanner(this.form);"
			mode: edit
	scripts
        --
            file: "modules/Contacts/contacts.js"
    form_hooks
		oninit: "initContactForm({FORM})"
	summary
		image: photo
		header
			fields
				--
					name: first_name
					widget: SalutationNameWidget
				--
					name: last_name
					list_format: none
		subheader
			fields
				--
					name: primary_account
				--
					name: title
		meta
			fields
				--
					name: partner
					show_label: false
				- categories
		actions
			email
				fields
					primary: email1
					alternate: email2
			phone
				fields
					work: phone_work
					home: phone_home
					mobile: phone_mobile
					other: phone_other
			skype
				fields
					- skype_id
			web
				fields
					- website
			social
	sections
		--
			id: convert_lead
			vname: LBL_RELATED_RECORDS
			widget: RelatedRecordsWidget
			no_sel_account: true
			hidden: ! mode.new_record
		--
			id: google_sync_status
            widget: GoogleSyncStatusWidget
		--
			id: main
			elements
				- department
				- lead_source
				- business_role
				- campaign
				- reports_to
				- birthdate
				- assistant
				- email_accounts
				- assistant_phone
				- phone_fax
				--
					name: primary_address
					copy_to: alt_address
				--
					name: alt_address
					copy_to: primary_address
				--
					name: description
					colspan: 2
		--
			id: notarius
			vname: LBL_NOTARIUS_CONFIG
			elements
				- notarius_language
				--
				- notarius_signature_type
				- notarius_second_factor
				--
					type: section
					id: notarius_phone_config
					toggle_display
						name: notarius_second_factor
						value: [sms, call]
					elements
						- notarius_phone
				--
					type: section
					id: notarius_question_config
					toggle_display
						name: notarius_second_factor
						value: question
					elements
						- notarius_question
						- notarius_answer
				--
					type: section
					id: notarius_cert_config
					toggle_display
						name: notarius_signature_type
						value: [certifiocloud, certifio]
					elements
						- notarius_subject_dn
    subpanels
        - activities
		- history
        - accounts
        - leads
        - eventsessions
        - opportunities
        - documents
        - cases
        - bugs
        - project
        - campaigns

