<?php return; /* no output */ ?>

detail
	type: bean
	bean_file: modules/CreditNotes/CreditNoteLine.php
	audit_enabled: false
	unified_search: false
	duplicate_merge: false
	table_name: credits_lines
	primary_key: id
	display_currency: credit.currency
fields
	app.id
	app.date_entered
	app.date_modified
	app.deleted
	credit
		vname: LBL_CREDIT_NOTE
		type: ref
		required: true
		bean_name: CreditNote
	line_group
		vname: LBL_LINE_GROUP
		type: ref
		required: true
		bean_name: CreditNoteLineGroup
	pricing_adjust
		vname: LBL_PRICE_ADJUSTMENT
		type: ref
		bean_name: CreditNoteAdjustment
	name
		vname: LBL_NAME
		type: varchar
		len: 4096
	position
		vname: LBL_POSITION
		type: int
	parent
		vname: LBL_PARENT_LINE
		type: ref
		bean_name: CreditNoteLine
	quantity
		vname: LBL_QUANTITY
		type: float
	ext_quantity
		vname: LBL_EXT_QUANTITY
		type: float
	related_type
		vname: LBL_RELATED_TYPE
		type: module_name
	related
		vname: LBL_RELATED
		type: ref
		dynamic_module: related_type
	mfr_part_no
		vname: LBL_PARTNO
		type: varchar
		len: 100
	serial_no
		vname: LBL_SERIAL_NO
		type: varchar
		len: 100
		default: ""
	serial_numbers
		vname: LBL_SERIAL_NO
		type: text
		default: ""
	tax_class
		vname: LBL_TAX_CODE
		type: ref
		bean_name: TaxCode
	sum_of_components
		vname: LBL_SUM_OF_COMPONENTS
		type: bool
		isnull: false
		default: 0
	unit_price
		vname: LBL_UNIT_PRICE
		type: currency
	ext_price
		vname: LBL_EXT_PRICE
		type: currency
links
	product_link
		link_type: one
		relationship: products_credit_lines
		vname: LBL_PRODUCT
indices
	credit_lines_posn
		fields
			- credit_id
			- line_group_id
			- position
	credit_lines_reltype
		fields
			- related_type
			- related_id
