<?php return; /* no output */ ?>

detail
    title: LBL_MODULE_TITLE
layout
	form_buttons
		wizard
			vname: LBL_WIZARD
			perform: (new EmailSetupWizard(this.form)).run(wizard_return); return false;
			mode: edit
		conn_test
			vname: LBL_CONNECTION_TEST
			perform:
				SUGAR.popups.openForm(this.form, {action: 'ConnectionTest', _has_data: 1, _form: this.form.getAttribute('name')}, {url: 'async.php'}); return false;
			mode: edit
	summary
		header
			fields
				- name
		subheader
			fields
                - email
    form_hooks
        oninit: "imap_auth_update({FORM}); smtp_auth_update({FORM});"
	scripts
		--
			file: "modules/EmailPOP3/wizard.js"
		--
			file: "modules/EmailPOP3/handlers.js"
	sections
		--
			id: main
			required_fields
				- user_id
			vname: LBL_IMAP_SETTINGS
			elements
                - from_name
                - active
                - host
                - scheduler
				--
					name: protocol
					options_function: get_protocol_options
                - port
				--
					name: imap_auth_type
					onchange: imap_auth_changed
                - use_ssl
				- username
				--
					section: true
					toggle_display
						name: imap_auth_type
						value: ""
					id: username_password
					elements
		                - password
				--
					section: true
					id: o365_auth_token
					elements
						- o365_auth_token
				--
					name: one_case
					hidden: bean.user_id!=-1
                --
                	id: imap_opts
                	section: true
					toggle_display
						name: protocol
						value: IMAP
					elements
						- _dummy_folder_name
						-
						- imap_folder
						- imap_is_sent
						- restrict_since
						- mark_read
						- disable_gssapi
                - leave_on_server
				- detect_bcc
				- mailbox_type
                --
					id: auto_create
					columns: 1
                	section: true
					toggle_display
						name: mailbox_type
						value: support
					elements
						-
						- auto_create_contact
                - email_folder_id
                - template
                - filter_domain
				- ooo_template
		--
            toggle_display
				name: mailbox_type
				value: bounce
			columns: 1
			id: return_path_section
			elements
				- reply_to
				- return_path
		--
			id: required_skills
			hidden: bean.user_id!=-1
		--
			id: smtp
			vname: LBL_SMTP_SETTINGS
			elements
				- smtp_on
			hidden: bean.user_id=-1 || !config.company.smtp_accounts_enabled
		--
			hidden: bean.user_id=-1 || !config.company.smtp_accounts_enabled
			toggle_display: smtp_on
			id: smtp_main
			elements
				- smtp_host
				- smtp_port
				--
					name: smtp_auth_req
					onchange: smtp_auth_changed
				- smtp_security
				--
					type: section
					toggle_display: smtp_auth_req
					id: smtp_username
					elements
						- smtp_username
				--
					type: section
					toggle_display
						name: smtp_auth_req
						value: "1"
					id: smtp_password
					elements
						- smtp_password
				--
					type: section
					id: smtp_oauth
					elements
						- smtp_o365_auth_token
				--
					type: section
					toggle_display: smtp_security
					id: smtp_security
					elements
						- smtp_verification
	subpanels
		teams

