<?php return; /* no output */ ?>

detail
	type: union
	primary_key: id
	default_order_by: name
	reportable: false
fields
	app.id
	app.deleted
	app.date_entered
	app.date_modified
	query_module
		type: module_name
		vname: LBL_MODULE
		source
			type: module_name
		options
			- Leads
			- Contacts
			- Users
	primary_account
		type: ref
		bean_name: Account
		vname: LBL_PRIMARY_ACCOUNT
		vname_module: Contacts
		width: 25
	primary_account_id
		type: id
		union_source
			users
				name: primary_account_id
				source
					type: static
					value: ""
			leads
				name: primary_account_id
				source
					type: static
					value: ""
	salutation
		type: varchar
	name
		type: name
		vname: LBL_NAME
		vname_list: LBL_LIST_NAME
		vname_module: Contacts
		width: 40
		dynamic_module: query_module
		union_source
			leads: name
			contacts: name
			users: full_name
		unified_search: true
	first_name
		type: varchar
		vname: LBL_FIRST_NAME
		vname_module: Contacts
	last_name
		type: varchar
		vname: LBL_LAST_NAME
		vname_module: Contacts
	email1
		# we want quicksearch to work before @ sign entered, so we use varchar, not email
		type: varchar
		vname: LBL_EMAIL_ADDRESS
		vname_module: Contacts
		unified_search: true
	email2
		# we want quicksearch to work before @ sign entered, so we use varchar, not email
		type: varchar
		vname: LBL_ALT_EMAIL_ADDRESS
		vname_module: Contacts
		unified_search: true
sources
	contacts
		model: Contact
	leads
		model: Lead
	users
		model: User

