<?php
require_once 'include/upload_file.php';
$uf = new UploadFile('db_attachment' . $_POST['slotIndex']);

$result = array();

try {
	if ($uf->confirm_upload(true)) {
		$uf->final_move('');
		$url = AppConfig::site_url() . $uf->get_upload_path();
		$result['success'] = true;
		$result['url'] = $url;
	} else {
		$result['success'] = false;
	}
} catch (Exception $e) {
	$result['success'] = false;
}

if ($result['success']) {
	$fname = basename($uf->get_upload_path());
	echo <<<SCRIPT
<script type="text/javascript">
	var options = {
		files: [
			{'url': '$url', 'filename': '$fname'},
		],
		error: function (errorMessage) {
			console.debug('errro');
			console.debug(errorMessage);
		}
	};
var button = Dropbox.createSaveButton(options);
console.debug($('dbfile-outer' + {$_POST['slotIndex']}));
$('dbfile-outer' + {$_POST['slotIndex']}).appendChild(button);
</script>
SCRIPT;
}

