<?php return; /* no output */ ?>

detail
    title: LBL_MODULE_TITLE
layout
	buttons_hooks
		--
			class: Email
			file: modules/Emails/Email.php
			class_function: mutateDetailButtons
    form_buttons
        send
            vname: LBL_SEND_BUTTON_LABEL
            accesskey: LBL_SEND_BUTTON_KEY
            type: submit
            icon: icon-send
			params
				record_perform: save
            	type: out
            	send: 1
            order: 1
            hidden: bean.status=archived||bean.status=received
			mode: edit
			pre_perform: "emailProcessDropzone(function() {;"
			post_perform: "}); return false;"
        send2
            vname: LBL_SEND_BUTTON_LABEL
            accesskey: LBL_SEND_BUTTON_KEY
            icon: icon-send
            params
            	type: out
            	action: SendDraft
            hidden: bean.status!=draft
			pre_perform: "emailProcessDropzone(function() {;"
			post_perform: "}); return false;"
        reply
            vname: LBL_REPLY_BUTTON
            accesskey: LBL_REPLY_BUTTON_KEY
            url: ?module=Emails&action=EditView&reply_to={RECORD}&{RETURN}
            hidden: bean.status=draft
        reply_all
            vname: LBL_REPLY_ALL_BUTTON
            accesskey: LBL_REPLY_ALL_BUTTON_KEY
            url: ?module=Emails&action=EditView&reply_to={RECORD}&reply_all=1&{RETURN}
            hidden: bean.status=draft
        forward
            vname: LBL_FORWARD_BUTTON
            accesskey: LBL_FORWARD_BUTTON_KEY
            url: ?module=Emails&action=EditView&forward={RECORD}&{RETURN}
        mark_unread
            vname: LBL_MARK_UNREAD_BUTTON
            accesskey: LBL_UNREAD_BUTTON_KEY
            params
            	action: MarkUnread
            hidden: bean.type=out||bean.status=draft
        save_draft
            vname: LBL_SAVE_AS_DRAFT_BUTTON_LABEL
            type: submit
            icon: icon-accept
            params
				record_perform: save
                type: draft
            	send: 0
            hidden: bean.type!=out
            mode: edit
			pre_perform: "emailProcessDropzone(function() {;"
			post_perform: "}); return false;"
        save
            vname: LBL_SAVE_BUTTON_LABEL
            type: submit
            params
                send: 0
            hidden: bean.type=out
            mode: edit
			pre_perform: "emailProcessDropzone(function() {;"
			post_perform: "}); return false;"
        preview
            vname: LBL_PREVIEW
            type: button
            params
            	action: Preview
            async: false
            target: _blank
            hidden: bean.type!=out&&bean.type!=draft
            mode: edit
	scripts
		--
			file: "include/javascript/dropzone.js"
		--
			file: "modules/Emails/Email.js"
	form_hooks
        focus: "return set_email_focus({FORM})"
		oninit: initEmailEdit
	summary
		required_fields
			- mailbox
			- smtp_account_id
		header
			fields
				--
					name: name
					width: 50
		subheader
			fields
				--
					name: status
					hidden: mode.new_record
				--
					name: folder_ref
					hidden: mode.new_record
					widget: EmailFolderWidget
		notes
			fields
				- headers
		meta
			fields
                --
                	name: date_start
                	hidden: mode.new_record||bean.type=out||bean.status=draft
					editable: false
					vname: LBL_DATE_SENT_SHORT
				--
					name: first_opened
					hidden: !config.email.tracking_enabled
					mode: view
				--
					name: open_count
            		hidden: !config.email.tracking_enabled
					mode: view
	sections
		--
			id: main
			elements
                --
                	name: parent
                	widget: EmailParentWidget
                - account
                --
					columns: 1
                	id: case_status
                	section: true
					toggle_display
						name: parent_type
						value: Cases
					elements
						- case_status
						-
		                - case_resolution
        --
            id: email_form
            widget: EmailWidget
	subpanels
		- notes
		--
			name: email_trackers
			updateable: false
			icon: History
            hidden: !config.email.tracking_enabled
        - contacts
        - users
        - related_emails
        - opportunities
        - cases
        - bugs
        - accounts
        - leads
        - tasks
