<?php return; /* no output */ ?>

detail
	type: bean
	bean_file: modules/Events/Event.php
	audit_enabled: true
	unified_search: false
	duplicate_merge: false
	optimistic_locking: true
	table_name: events
	primary_key: id
fields
	app.id
	app.date_entered
	app.date_modified
	app.modified_user
	app.assigned_user
	app.created_by_user
	app.deleted
	name
		type: name
		vname: LBL_NAME
		unified_search: true
		audited: true
		required: true
		vname_list: LBL_LIST_NAME
	num_sessions
		type: int
		vname: LBL_NUM_SESSIONS
		unified_search: false
		required: true
		audited: true
		min: 1
		max: 100
	description
		type: text
		vname: LBL_DESCRIPTION
		unified_search: false
	event_type
		type: ref
		vname: LBL_TYPE
		required: true
		bean_name: EventType
		massupdate: true
	format
		type: enum
		options: event_format_dom
		vname: LBL_FORMAT
		len: 40
		required: true
		massupdate: true
	product
		type: ref
		vname: LBL_PRODUCT_NAME
		required: true
		bean_name: Product
		massupdate: true
links
	eventsessions
		relationship: events_event_sessions
		vname: LBL_SESSIONS
	productcatalog
		relationship: events_products
		vname: LBL_PRODUCT
		link_type: one
	eventtypes
		relationship: events_types
		vname: LBL_TYPE
indices
	idx_event_id_del
		fields
			- id
			- deleted
	idx_event_assigned_del
		fields
			- deleted
			- assigned_user_id
relationships
	events_event_sessions
		key: id
		target_bean: EventSession
		target_key: event_id
		relationship_type: one-to-many
	events_products
		key: product_id
		target_bean: Product
		target_key: id
		relationship_type: one-to-many
	events_types
		key: event_type_id
		target_bean: EventType
		target_key: id
		relationship_type: one-to-many
