<?php
if(!defined('sugarEntry') || !sugarEntry) die('Not A Valid Entry Point'); 
/*********************************************************************************
 * The contents of this file are subject to the SugarCRM Public License Version
 * 1.1.3 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.sugarcrm.com/SPL
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * All copies of the Covered Code must include on each user interface screen:
 *    (i) the "Powered by SugarCRM" logo and
 *    (ii) the SugarCRM copyright notice
 * in the same form as they appear in the distribution.  See full license for
 * requirements.
 *
 * The Original Code is: SugarCRM Open Source
 * The Initial Developer of the Original Code is SugarCRM, Inc.
 * Portions created by SugarCRM are Copyright (C) 2004-2006 SugarCRM, Inc.;
 * All Rights Reserved.
 * Contributor(s): ______________________________________.
 ********************************************************************************/
/*********************************************************************************

 * Description: TODO:  To be written.
 * Portions created by SugarCRM are Copyright (C) SugarCRM, Inc.
 * All Rights Reserved.
 * Contributor(s): ______________________________________..
 ********************************************************************************/

require_once("data/Tracker.php");

global $app_list_strings;

// Create the head of the table.
?>
		<div class="body">
		<table cellpadding="2" cellspacing="0" border="0">
		
<?php

$history = Tracker::get_recently_viewed(AppConfig::current_user_id());

foreach($history as $row)
{
	$mod = $row['module_name'];
	$mod_name = to_html(array_get_default($app_list_strings['moduleList'], $mod, $mod));
	$img = get_image($mod, "title=\"$mod_name\"");
    echo <<< EOQ
        <tr>
          <td>$img</td>
          <td><a class="tabDetailViewDFLink" href="index.php?module=$mod&action=DetailView&record=$row[item_id]">$row[item_summary]</a></td>
        </tr>
EOQ;
}
?>
</table></div>
