<?php return; /* no output */ ?>

list
	default_order_by: date_entered desc
    field_formatter
        file: include/layout/HighlightedListFieldFormatter.php
        class: HighlightedListFieldFormatter
    buttons
        print_invoices
            icon: icon-print
            vname: LBL_STATEMENTS_BUTTON_LABEL
            type: button
            perform: sListView.massPrint('{LIST_ID}', 'PrintInvoices')
        email_pdf_invoices
			icon: icon-send
			vname: LBL_EMAIL_INVOICES_BUTTON_LABEL
			type: button
			perform: sListView.sendMassUpdate('{LIST_ID}', 'SendPDFInvoices')
    massupdate_handlers
        --
            name: PrintInvoices
            class: InvoicePDF
            file: modules/Invoice/InvoicePDF.php
        --
            name: PrintTemplate
            class: PDFTemplatePrinter
            file: modules/PDFTemplates/PDFTemplatePrinter.php
        --
			name: SendPDFInvoices
			class: Invoice
	massupdate_hooks
		--
			name: RestrictLockedMassupdate
			class_function: restrict_locked_massupdate
			class: Invoice
view
	pdf_manager
		file: modules/Invoice/InvoicePDF.php
		class: InvoicePDF
hooks
    view
        --
            class_function: show_sales_popup
            required_fields: [billing_account_id]
	edit
		--
			class_function: show_sales_popup
        --
            class_function: add_additional_hiddens
basic_filters
	view_closed
	billing_account
filters
	view_closed
		default_value: false
		type: flag
		negate_flag: true
		vname: LBL_VIEW_CLOSED_ITEMS
		multiple
			--
				operator: non_zero
				field: amount_due
			--
				operator: not
				field: cancelled
fields
	billing_address
		vname: LBL_BILLING_ADDRESS
		type: address
		source
			type: address
			prefix: billing_
	shipping_address
		vname: LBL_SHIPPING_ADDRESS
		type: address
		source
			type: address
			prefix: shipping_
	line_items
		vname: LBL_LINE_ITEMS
		widget: TallyWidget
		reportable: false
	default_discount_id
		type: id
		reportable: false
		updateable: true
	default_tax_code_id
		type: id
		reportable: false
		updateable: true
	paid_status
		vname: LBL_STATUS
		type: status
		options: paid_status_dom
		source
			type: subselect
			class: Invoice
			function: paid_status_subselect
notify
	messages
		assigned
			fields
				- billing_account
				- invoice_date
				- amount
				- description
