<?php return; /* no output */ ?>

detail
	type: bean
	bean_file: modules/Invoice/InvoiceLineGroup.php
	audit_enabled: false
	unified_search: false
	duplicate_merge: false
	table_name: invoice_line_groups
	primary_key: id
	display_currency: parent.currency
fields
	app.id
	app.date_entered
	app.date_modified
	app.deleted
	parent
		vname: LBL_INVOICE
		type: ref
		required: true
		bean_name: Invoice
	name
		vname: LBL_GROUP_NAME
		type: varchar
		len: 255
	position
		vname: LBL_POSITION
		type: int
	status
		vname: LBL_GROUP_STAGE
		type: enum
		len: 30
		options: quote_stage_dom
	pricing_method
		vname: LBL_PRICING_METHOD
		type: enum
		len: 30
		options: quote_pricing_method_dom
	pricing_percentage
		vname: LBL_PRICING_PERCENTAGE
		type: double
	cost
		vname: LBL_COST
		type: currency
	subtotal
		vname: LBL_SUBTOTAL
		type: currency
	total
		vname: LBL_TOTAL
		type: currency
	group_type
		vname: LBL_GROUP_TYPE
		type: enum
		options: quote_group_type_dom
		len: 15
		default: products
indices
	invoice_line_groups_posn
		fields
			- parent_id
			- position
relationships
	groups_line_items
		key: id
		target_bean: InvoiceLine
		target_key: line_group_id
		relationship_type: one-to-many
	groups_adjustments
		key: id
		target_bean: InvoiceAdjustment
		target_key: line_group_id
		relationship_type: one-to-many
links
	group_lines_link
		vname: LBL_GROUP_LINE_ITEMS
		relationship: groups_line_items
	group_adjustments_link
		vname: LBL_GROUP_ADJUSTMENTS
		relationship: groups_adjustments

