<?php

include __DIR__ . '/mautic_api/autoload.php';  

use Mautic\Auth\ApiAuth;

$publicKey = ''; 
$secretKey = ''; 
$callback  = ''; 

// ApiAuth::initiate will accept an array of OAuth settings
$settings = array(
    'baseUrl'          => AppConfig::setting('lead_guerrilla.url'),       // Base URL of the Mautic instance
    'version'          => 'OAuth2', // Version of the OAuth can be OAuth2 or OAuth1a. OAuth2 is the default value.
    'clientKey'        => AppConfig::setting('lead_guerrilla.client_id'),       // Client/Consumer key from Mautic
	'clientSecret'     => AppConfig::setting('lead_guerrilla.client_secret'),       // Client/Consumer secret key from Mautic
	'callback' =>  AppConfig::site_url() . 'index.php?module=LeadGuerrilla',
);

$initAuth = new ApiAuth();
/** @var Mautic\Auth\OAuth */
$auth = $initAuth->newAuth($settings);

try {
    if ($auth->validateAccessToken()) {
		$accessTokenData = $auth->getAccessTokenData();
		global $db;
		$query = sprintf(
			"INSERT INTO config (category, name, value) VALUES ('lead_guerrilla', 'token', '%s') "
			. " ON DUPLICATE KEY UPDATE value=VALUES(value)", $db->quote(serialize($accessTokenData))
		);
		$db->query($query);
		add_flash_message(translate('LBL_AUTH_SUCCESS', 'LeadGuerrilla'));
		echo '<script>window.opener.leadGuerrillaFinishAuth(); window.close();</script>';
		exit;
    }
} catch (Exception $e) {
    echo $e->getMessage();
}

