<?php

require_once('include/layout/forms/FormField.php');

class LeadGuerrillaAuthInput extends FormField {


	function renderHtml(HtmlFormGenerator $gen, $row_result, array $parents, array $context) {
		$url = AppConfig::site_url() . 'index.php?module=LeadGuerrilla';
		$this->desc = str_replace('%URL%', $url, $this->desc);
		//$html = parent::renderHtml($gen, $row_result, $parents, $context);
		$html = '';
		$lstyle = $gen->getLayout()->getType();
		if($lstyle == 'editview' || ($lstyle == 'record' && $gen->getLayout()->getDefaultEditable())) {
			$json = getJSONObj();
			$url = $json->encode($url);
			$html .= '&nbsp;<button type="button" onclick=\'leadGuerrillaStartAuth(this.form, ' .$url . '); return false;\' class="input-button" tabindex=""  icon=""><span class="input-label">' . translate('LBL_BACKUP_DROPBOX_AUTHORIZE', 'Configurator') . '</span></button>';
		}
		return $html;
	}


}
