<?php return; /* no output */ ?>

detail
    title: LBL_MODULE_TITLE
layout
	form_buttons
		subs
			vname: LBL_SUBS_BUTTON_LABEL
			url: ?module=Campaigns&action=Subscriptions&record={RECORD}&{RETURN}
			async: false
			acl: edit
		create_contact
			group: convert
			vname: LBL_CONVERTLEAD
			icon: theme-icon bean-Contact
			url: ?module=Contacts&action=EditView&lead_id={RECORD}&{RETURN}
			hidden: bean.status=Converted
		card_scanner
			type: button
			hidden: !mode.new_record
			vname: LBL_BUSINESS_CARD_SCAN
			onclick: "load_scanner(this.form);"
			mode: edit
	scripts
		--
			file: "modules/Leads/lead.js"
	form_hooks
		oninit: "initLeadForm({FORM})"
	summary
		header
			fields
				--
					name: first_name
					widget: SalutationNameWidget
				--
					name: last_name
					list_format: none
		subheader
			fields
				- title
				- account_name
		image: photo
		meta
			fields
				--
					name: partner
					show_label: false
				- categories
		actions
			email
				fields
					primary: email1
					alternate: email2
			phone
				fields
					work: phone_work
					home: phone_home
					mobile: phone_mobile
					other: phone_other
			skype
				fields
					- skype_id
			web
				fields
					- website
			social
	sections
		--
			id: converted
			hidden: ! bean.contact_id
			elements
				- contact
				--
					name: account
					hidden: ! bean.account_id
				--
					name: opportunity
					hidden: ! bean.opportunity_id
				-
		--
			id: main
			elements
				- department
				- temperature
				- status
                - lead_source
                - status_description
                - lead_source_description
                - phone_fax
				- refered_by
		--
			id: add_info
			elements
				--
					name: primary_address
					copy_to: alt_address
				--
					name: alt_address
					copy_to: primary_address
				--
					name: description
					colspan: 2
        --
            id: portal_info
			hidden: !config.portal.enable_legacy_ui
            vname: LBL_PORTAL_INFORMATION
            elements
                - portal_active
                - portal_name
    subpanels
        - activities
        - history
        - eventsessions
        - campaigns
        - documents
