<?php return; /* no output */ ?>

list
    field_formatter
        file: include/layout/HighlightedListFieldFormatter.php
		class: HighlightedListFieldFormatter
view
	additional_details_title_hook
		class_function: additional_details_title
		class: Meeting
		file: modules/Meetings/Meeting.php
basic_filters
	view_closed
    only_bookings
filters
	view_closed
		default_value: false
		type: flag
		negate_flag: true
		vname: LBL_VIEW_CLOSED_ITEMS
		field: status
		value: Planned
    only_bookings
        default_value: false
        type: flag
        vname: LBL_ONLY_BOOKINGS
        field: booking_app
        value: 1
fields
	invitees_list
		vname: LBL_INVITEE
		widget: InviteesList
	resources_list
		vname: LBL_RESOURCES
		widget: ResourcesList
	event_scheduler
		vname: LBL_SCHEDULING_FORM_TITLE
		widget: SchedulerWidget
		reportable: false
    recurring
        widget: RecurringWidget
        reportable: false
    any_contact_id
		vname: LBL_ANY_CONTACT_ID
		type: id
		source
			type: field
			field: contacts~join.contact_id
			subselect_filter: true
		reportable: false
    any_user_id
        vname: LBL_INVITED
        widget: InviteesFilter
        reportable: false
    close_activity
		widget: CloseActivityInput
    accept_status
        vname: LBL_ACCEPT_THIS
        widget: AcceptStatusWidget
    is_recurring
        type: bool
        source
            type: function
            value_function: [Meeting, is_recurring]
            fields: [recurrence_rule_id]
        reportable: false
    can_edit_recurrence
        type: bool
        source
            type: function
            value_function: [Meeting, can_edit_recurrence]
            fields: [id, recurrence_rule_id]
        reportable: false
	online_meeting_create
		type: bool
		editable: true
        source
            type: function
            value_function: [Meeting, get_online_meeting_create]
            fields: [gtm_id, online_meeting_params]
        reportable: false
    online_meeting_join_url
        type: url
        vname: LBL_ONLINE_MEETING_JOIN_URL
        source
            type: function
            value_function: [Meeting, get_online_meeting_url]
            fields: [gtm_id, online_meeting_params]
        reportable: false
    zoom_meeting_password
        type: varchar
        len: 100
        vname: LBL_ZOOM_MEETING_PASSWORD
        source
            type: function
            value_function: [Meeting, get_zoom_meeting_password]
            fields: [online_meeting_params]
        reportable: false
    online_meeting_url
        widget: OnlineMeetingUrlWidget
        reportable: false
    is_really_private
        source
            type: function
            value_function: [Meeting, is_really_private]
            fields: [id, is_private]
        type: bool
widgets
	SchedulerWidget
		type: section
		path: modules/Meetings/widgets/SchedulerWidget.php
	ResourcesList
		type: field
		path: modules/Meetings/widgets/ResourcesList.php
    MeetingDialogWidget
        type: section
        path: modules/Meetings/scheduler_dialog/MeetingDialogWidget.php
    AcceptStatusWidget
        type: column
        path: modules/Meetings/widgets/AcceptStatusWidget.php
    RecurringWidget
        type: section
        path: modules/Meetings/widgets/RecurringWidget.php
    SwitchActivityButton
        type: form_button
        path: modules/Meetings/widgets/SwitchActivityButton.php
    OnlineMeetingUrlWidget
        type: field
        path: modules/Meetings/widgets/OnlineMeetingUrlWidget.php
notify
	messages
		invited
			fields
				- status
				- date_start
				- duration
				- location
				- account
				- invitees_list
				- online_meeting_join_url
                - zoom_meeting_password
				- description
		assigned
			inherit: invited
		reminder
			inherit: invited
