<?php return; /* no output */ ?>

detail
	type: link
	table_name: meetings_leads
	primary_key
		- meeting_id
		- lead_id
fields
	app.date_modified
	app.deleted
	meeting
		type: ref
		bean_name: Meeting
	lead
		type: ref
		bean_name: Lead
	required
		type: bool
		default: 1
	accept_status
		type: enum
		options: dom_meeting_accept_status
		len: 25
		default: none
indices
	idx_lead_mtg_lead
		fields
			- lead_id
relationships
	meetings_leads
		lhs_key: id
		rhs_key: id
		relationship_type: many-to-many
		join_key_lhs: meeting_id
		join_key_rhs: lead_id
		lhs_bean: Meeting
		rhs_bean: Lead
