<?php return; /* no output */ ?>

detail
    title: LBL_MODULE_TITLE
layout
    buttons_hooks
    	--
			class: Meeting
			file: modules/Meetings/Meeting.php
			class_function: mutateDetailButtons
    form_buttons
		vcard
			type: button
			vname: LBL_ICAL_BUTTON_LABEL
			onclick: "load_ical(this.form);"
			icon: icon-export
			acl: export
        booking
            type: button
            widget: BookingButton
			order: 40
        show_calendar
            type: button
            order: 69
            widget: CalendarButton
            hidden: ! bean.date_start
		recurrence
			widget: RecurrenceButton
			module: Meetings
            hidden: !mode.new_record&&!bean.can_edit_recurrence
            mode: edit
        save_new
            vname: LBL_SAVE_NEW_BUTTON_LABEL
            type: button
            onclick: return SUGAR.ui.sendForm(this.form, {"format":"html","record_perform":"save","new_after_save":1}, null);
            order: 15
            icon: icon-accept
            mode: edit
	form_hooks
		oninit: initMeetingEdit
    scripts
		--
			file: modules/Meetings/edit.js
		--
			file: modules/Meetings/view.js
	summary
		header
			fields
				--
					name: name
		subheader
			fields
				- status
		notes
			fields
				- description
    sections
        --
            name: recurring
        --
			id: main
			elements
                - date_start
                - parent
                - duration
                - account
                - location
                - is_private
                - reminder_time
                - email_reminder_time
				--
					name: online_meeting_url
					mode: view
                --
                    name: zoom_meeting_password
                    hidden: config.company.online_meeting_app!=zoom
                    mode: view
				--
					name: gtm_email
					hidden: !bean.gtm_id||config.company.online_meeting_app!=gotomeeting
					mode: view
        - event_scheduler
        --
            id: booking_app_flag
            show_descriptions: true
            toggle_display
                name: booking_app
            elements
                - booking_app
                --
                    id: booking_app
                    section: true
                    toggle_display
                        name: booking_app
                    elements
                        - booking_app_status
                        - booking_app_payment_status
                        - booking_app_resource
                        - booking_app_cost
    subpanels
        - invitees
        - resources
        - notes
