<script type="text/javascript" src="modules/ModuleDesigner/fields.js"></script>

<input type="hidden" name="module" value="ModuleDesigner" />
<input type="hidden" name="action" value="EditFields" />
<input type="hidden" name="mod_name" value="{$module}" />

<div class="form-buttons card-header">
	<button onclick="ModuleDesignerFields.newField();" tabindex="" style="" class="input-button input-outer flatter input-outer" type="button"><div class="input-icon left icon-edit"></div><span class="input-label">{$LANG.LBL_CREATE}</span></button>
	<button onclick="ModuleDesignerFields.saveAll(this.form);" tabindex="" style="" class="input-button input-outer flatter input-outer" type="button"><div class="input-icon left icon-accept"></div><span class="input-label">{$LANG.LBL_SAVE}</span></button>
	<button onclick="this.form.action='index.php';this.form.action.value='index';" tabindex="" style="" class="input-button input-outer flatter input-outer" type="submit"><div class="input-icon left icon-cancel"></div><span class="input-label">{$APP.LBL_CANCEL_BUTTON_LABEL}</span></button>
</div>

<div class="card-body form-body">

<div class="form-section" id="fields_table">
	<div class="row form-row col-unstack">
		<div class="column form-cell sm-4">
			<div class="form-entry">
				<p class="form-label">{$LANG.LBL_FIELD_NAME}</p>
			</div>
		</div>
		<div class="column form-cell sm-4">
			<div class="form-entry">
				<p class="form-label">{$LANG.LBL_FIELD_LABEL}</p>
			</div>
		</div>
		<div class="column form-cell sm-4">
			<div class="form-entry">
				<p class="form-label">{$LANG.LBL_DATA_TYPE}</p>
			</div>
		</div>
	</div>
</div>

<div id="field_dialog" class="card-body dialog-body card-outer form-outer" style="display:none">
<div class="card-body form-body">
	<div class="form-section">
		<div id="custom_fields_main">

			<div class="row form-row col-unstack">
				<div class="column form-cell sm-6">
					<div class="form-entry">
						<p class="form-label">{$LANG.LBL_DATA_TYPE}</p>
						<div class="form-value">{$rendered.data_type}</div>
					</div>
				</div>

				<div class="column form-cell sm-6">
					<div class="form-entry">
						<p class="form-label">{$LANG.LBL_FIELD_NAME}</p>
						<div class="form-value">
							{$rendered.field_name}
						</div>
					</div>
				</div>
			</div>

			<div class="row form-row col-unstack">
				<div class="column form-cell sm-6">
					<div class="form-entry">
						<p class="form-label">{$LANG.LBL_FIELD_LABEL}</p>
						<div class="form-value">
							{$rendered.label}
						</div>
					</div>
				</div>

				<div class="column form-cell sm-6">
					<div class="form-entry">
						<p class="form-label">{$LANG.LBL_AUDIT}</p>
						<div class="form-value">
							{$rendered.audited}
						</div>
					</div>
				</div>
			</div>

			<div class="row form-row col-unstack">
				<div class="column form-cell sm-6">
					<div class="form-entry">
						<p class="form-label">{$LANG.LBL_MASSUPDATE}</p>
						<div class="form-value">
							{$rendered.massupdate}
						</div>
					</div>
				</div>

				<div class="column form-cell sm-6">
					<div class="form-entry">
						<p class="form-label">{$LANG.LBL_DUP_MERGE}</p>
						<div class="form-value">
							{$rendered.duplicate_merge}
						</div>
					</div>
				</div>
			</div>

			<div class="row form-row col-unstack">
				<div class="column form-cell sm-6" id="mobile_app_wrapper" style="display:none;">
					<div class="form-entry">
						<p class="form-label">{$LANG.LBL_MOBILE_APP}</p>
						<div class="form-value">
							{$rendered.mobile_app}
						</div>
					</div>
				</div>

				<div class="column form-cell sm-6">
					<div class="form-entry">
						<p class="form-label">{$LANG.LBL_REQUIRED}</p>
						<div class="form-value">
							{$rendered.required}
						</div>
					</div>
				</div>
			</div>

			<div class="row form-row col-unstack">
				<div class="column form-cell sm-6">
					<div class="form-entry">
						<p class="form-label">{$LANG.LBL_PERSONAL_DATA}</p>
						<div class="form-value">
							{$rendered.personal_info}
						</div>
					</div>
				</div>
				<div class="column form-cell sm-6">
					<div class="form-entry">
						<p class="form-label">{$LANG.LBL_PRIVACY_CONSENT}</p>
						<div class="form-value">
							{$rendered.privacy_consent}
						</div>
					</div>
				</div>

			</div>

			<div class="row form-row col-unstack">
				<div class="column form-cell sm-6">
					<div class="form-entry">
						<p class="form-label">{$LANG.LBL_UNIFIED_SEARCH}</p>
						<div class="form-value">
							{$rendered.unified_search}
						</div>
					</div>
				</div>
			</div>

		</div>

		<div id="custom_fields_body"></div>
		
		<div id="custom_fields_formula">
			<div class="row form-row col-unstack">
				<div class="column form-cell sm-6">
					<div class="form-entry">
						<p class="form-label">{$LANG.LBL_FORMULA_FUNTIONS}</p>
						<div class="form-value" style="max-height: 100px; min-height: 10px ! important; width: 300px; background: none repeat scroll 0 0 #FAFAFA; overflow-x: hidden;overflow-y: scroll; display: block">
                			{$FUNCTIONS}
						</div>
					</div>
				</div>

				<div class="column form-cell sm-6">
					<div class="form-entry">
						<p class="form-label">{$LANG.LBL_FORMULA_FIELDS}</p>
						<div class="form-value" style="max-height: 100px; min-height: 10px ! important; width: 300px; background: none repeat scroll 0 0 #FAFAFA; overflow-x: hidden;overflow-y: scroll; display: block">
							{$FUNCTIONS_FIELDS}
						</div>
					</div>
				</div>
			</div>
		</div>
			
		<div class="row form-row col-unstack">
			<div class="column form-cell sm-12">
				<div class="form-entry">
					<div class="form-value" id="custom_errors">
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
<div class="card-footer form-buttons">
	<div class="row buttons-row">
		<div class="column buttons-inline align-right">
			<div class="inline-elt">
				<button onclick="SUGAR.popups.close();" class="input-button" type="button">
					<div class="input-icon left icon-cancel"></div><span class="input-label">{$APP.LBL_CANCEL_BUTTON_LABEL}</span>
				</button>
			</div>
			<div class="inline-elt">
				<button onclick="ModuleDesignerFields.saveField();" class="input-button" type="submit">
					<div class="input-icon left icon-accept"></div><span class="input-label">{$LANG.LBL_SAVE}</span>
				</button>
			</div>
		</div>
	</div>
</div>


<!--
<tbody id="custom_fields_formula" style="display: none;">
<tr>
    <td class="dataLabel">&nbsp;</td>
    <td class="dataLabel">
        <table>
            <tr>
            <td class="dataLabel"><div style="font-weight: bold;">{$LANG.LBL_FORMULA_FUNTIONS}</div></td>
            <td class="dataLabel"><div style="font-weight: bold;">{$LANG.LBL_FORMULA_FIELDS}</div></td>
            </tr>
            <tr>
            <td class="dataField">
                <div style="max-height: 100px; min-height: 10px ! important; background: none repeat scroll 0 0 #FAFAFA;  width: 200px;" class="dialog-content" id="le_fields_content">
                {$FUNCTIONS}
                </div>
            </td>
            <td class="dataField">
                <div style="max-height: 100px; min-height: 10px ! important; width: 300px; background: none repeat scroll 0 0 #FAFAFA; overflow-x: hidden;"  class="dialog-content" id="re_fields_content">
                {$FUNCTIONS_FIELDS}
                </div>
            </td>
            </tr>
        </table>
    </td>
</tr>
</tbody>

</table>
-->
</div>
<script type="text/javascript">
ModuleDesignerFields.init($('ModuleDesignerFieldsForm'), {$params});
ModuleDesignerFields.render();
</script>


