var StudioDetailTabsRenderer = function() {
};

			
StudioDetailTabsRenderer.createTab = function(button) {
	var form = button.form;
	var editor = SUGAR.ui.getFormInput(form, 'tabs_data');
	var quickEdit = new SUGAR.ui.QuickText({value: ''});
	quickEdit.onchange = function()
	{
		var newLabel = this.getValue();
		if (newLabel == '') return;
		var row = {
			key: 'TAB_' + (new Date()).valueOf(),
			value: newLabel,
		   	visible: true,
			non_standard: true
		};
		editor.insertRow(row, 0);
	}
	quickEdit.showPopup(null, button.elt);
};

StudioDetailTabsRenderer.prototype.getMenuActions = function(row, sect_index, index, editor) {
	return {keys: ['rename'], values: {'rename': app_string('LBL_RENAME_DETAIL_TAB')}};
};

StudioDetailTabsRenderer.prototype.performMenuAction = function(row, action, sect_index, row_index, editor, act_ext, elt) {
		var quickEdit = new SUGAR.ui.QuickText({value: row.value});
		quickEdit.onchange = function()
		{
			var newLabel = this.getValue();
			if (newLabel == '') return;
			editor.updateRow(sect_index, row_index, {value: newLabel});
		}
		quickEdit.showPopup(null, elt);

};
					
StudioDetailTabsRenderer.prototype.canDelete = function(can_delete, row, sect_index, index, editor) {
	return row.non_standard;
};

