
var notifyTemplatePreviewTimer;
var notificationTypes;

function notifyTemplateEditorInit(types) {
	notificationTypes = types;
}

function notifyTemplateUpdated() {
	clearTimeout(notifyTemplatePreviewTimer);
	notifyTemplatePreviewTimer = setTimeout(notifyTemplatePreview, 300);
}

function notifyTemplatePreview() {
	var inputs = document.getElementsByClassName('notify-style');
	var styles = {};
	for (var i = 0; i < inputs.length; i++) {
		var input = inputs[i];
		styles[input.name] = input.value;
	}
	var idx = parseInt(document.getElementById("notify_action_type").value);
	var text = document.getElementById("notify_text_format");
	var model = notificationTypes[idx].model;
	var action = notificationTypes[idx].action;
	var req = new SUGAR.conn.JSONRequest('notify_preview', {silent: true}, {module: 'Notify', styles: styles, preview_model: model, preview_action: action, text: text && text.checked});
	req.fetch(function() {
		var r = this.getResult();
		if (r && r.body) {
			var src = 'data:text/html,' + encodeURIComponent(r.body);
			document.getElementById('notify-preview-iframe').src = src;
		}
	});
}
