<?php return; /* no output */ ?>

list
	default_order_by: name
    mass_merge_duplicates: true
    show_favorites: true
    layouts
        Duplicates
            vname: LBL_DUPLICATES
            view_name: Duplicates
            hidden: true
	massupdate_hooks
		--
			name: FillProbability
			class_function: mass_fill_probability
			class: Opportunity
	buttons
        forecast_report
            icon: theme-icon module-Opportunities
            vname: LBL_REVENUE_FORECAST_TABLES
            perform: window.location.href='index.php?module=Opportunities&action=ForecastReport'
            type: button
hooks
    view
    	--
    		class_function: add_convert_project
    edit
        --
            class_function: add_additional_hiddens
basic_filters
	account
	view_closed
filters
	view_closed
		default_value: false
		type: flag
		negate_flag: true
		vname: LBL_VIEW_CLOSED_ITEMS
		field: sales_stage
		operator: not_like
		match: prefix
		value: Closed
	probability
		operator: >=
		options_function: get_search_prob_options
    stage_multy
        type: multienum
        field: sales_stage
fields
	active_status
		vname: LBL_STATUS
		type: status
		options: opp_active_dom
		source
			type: subselect
			class: Opportunity
			function: active_status_subselect
	weighted_amount
		vname: LBL_WEIGHTED_AMOUNT
		type: base_currency
		display_converted: true
		source
			type: subselect
			class: Opportunity
			function: weighted_amount_subselect
widgets
    CampaignNameWidget
        type: field
        path: modules/Opportunities/widgets/CampaignNameWidget.php
notify
	messages
		assigned
			fields
				- amount
				- date_closed
				- sales_stage
				- description
