<?php return; /* no output */ ?>

--
	name: Default Bill
	vname: LBL_DEFAULT_BILL
	template_type: bill
	template_module: Bills
	list_order: 1
	template
		sections
			--
				name: header
				type: freeform
				title: Bill Header
				height: 228
				elements
					--
						x: 0
						y: 0
						type: image
						width: 315
						height: 70
						pdf_logo: true
					--
						x: 480
						y: 0
						type: text
						width: 215
						height: 25
						text: Bill
						font: sans
						size: 18
						adjust: false
						vname: LBL_PDF_BILL_TITLE
						align: center
					--
						x: 415
						y: 30
						type: text
						width: 195
						height: 20
						text: Bill Number:
						font: sans
						size: 14
						adjust: true
						vname: LBL_PDF_BILL_NUMBER
					--
						x: 415
						y: 90
						type: text
						width: 195
						height: 20
						text: Terms:
						font: sans
						size: 14
						adjust: true
						vname: LBL_PDF_TERMS
					--
						x: 415
						y: 70
						type: text
						width: 195
						height: 20
						text: Bill Date:
						font: sans
						size: 14
						adjust: true
						vname: LBL_PDF_BILL_DATE
					--
						x: 415
						y: 130
						type: text
						width: 195
						height: 20
						text: Entered By:
						font: sans
						size: 14
						adjust: true
						vname: LBL_PDF_BUYER
					--
						x: 415
						y: 110
						type: text
						width: 195
						height: 20
						text: Due Date:
						font: sans
						size: 14
						adjust: true
						vname: LBL_PDF_DUE_DATE
					--
						x: 635
						y: 30
						type: field
						width: 155
						height: 20
						field: number
						font: sans
						size: 14
						adjust: true
					--
						x: 635
						y: 50
						type: field
						width: 155
						height: 20
						field: supplier_invoice
						font: sans
						size: 14
						adjust: true
					--
						x: 635
						y: 70
						type: field
						width: 155
						height: 20
						field: date
						font: sans
						size: 14
						adjust: true
					--
						x: 635
						y: 90
						type: field
						width: 155
						height: 20
						field: terms
						font: sans
						size: 14
						adjust: true
					--
						x: 635
						y: 110
						type: field
						width: 155
						height: 20
						field: date_due
						font: sans
						size: 14
						adjust: true
					--
						x: 10
						y: 105
						type: text
						width: 310
						height: 20
						text: Supplier
						font: sans
						size: 16
						adjust: false
						vname: LBL_PDF_SUPPLIER
					--
						x: 20
						y: 130
						type: field
						width: 300
						height: 85
						field: billing_address
						font: sans
						size: 14
						adjust: true
						line_height: 1.2
					--
						x: 415
						y: 50
						type: text
						width: 195
						height: 20
						text: Supplier's Invoice:
						font: sans
						size: 14
						adjust: false
						vname: LBL_PDF_INVOICE_NUMBER
					--
						x: 635
						y: 130
						type: field
						width: 155
						height: 20
						field: buyer
						font: sans
						size: 14
						adjust: false
				vname: LBL_SKEL_HEADER
			--
				name: group_header
				type: freeform
				title: Group Header
				height: 30
				elements
					--
						x: 10
						y: 5
						type: field
						width: 780
						height: 20
						field: group_name
						font: sans
						size: 16
						adjust: false
				vname: LBL_SKEL_GROUP_HEADER
			--
				name: group_items
				type: table
				title: Group Items
				columns
					--
						width: 41
						field: number
						label: "#"
						vname: LBL_PDF_INDEX
					--
						width: 49
						field: quantity
						label: Qty.
						vname: LBL_PDF_QUANTITY
					--
						width: 293
						field: product
						label: Product
						vname: LBL_PDF_PRODUCT
					--
						width: 190
						field: mfr_part_no
						label: Part Number
						vname: LBL_PDF_PART_NO
					--
						width: 95
						field: unitprice
						label: Unit Price
						vname: LBL_PDF_UNITPRICE
						align: right
					--
						width: 118
						field: extprice
						label: Ext. Price
						vname: LBL_PDF_EXTPRICE
						align: right
				vname: LBL_SKEL_GROUP_ITEMS
			--
				name: group_totals_header
				type: freeform
				title: Group Totals Header
				height: 30
				elements
					--
						x: 435
						y: 5
						type: text
						width: 185
						height: 20
						text: Group Totals
						font: sans
						size: 16
						adjust: false
						vname: LBL_GROUP_TOTALS
				vname: LBL_SKEL_GROUP_TOTALS_HEADER
			--
				name: group_totals
				type: freeform
				title: Group Totals Row
				height: 15
				elements
					--
						x: 460
						y: 0
						type: field
						width: 195
						height: 15
						field: total_name
						font: sans
						size: 14
						adjust: true
						align: right
					--
						x: 660
						y: 0
						type: field
						width: 125
						height: 15
						field: total_value
						font: sans
						size: 14
						adjust: false
						align: right
				vname: LBL_SKEL_GROUP_TOTALS
			--
				name: group_footer
				data_id: group_header
				type: freeform
				title: Group Footer
				height: 22
				elements
				vname: LBL_SKEL_GROUP_FOOTER
			--
				name: quote_totals_header
				type: freeform
				title: Bill Totals Header
				height: 35
				elements
					--
						x: 5
						y: 5
						width: 780
						type: line
					--
						x: 435
						y: 10
						type: text
						width: 185
						height: 20
						text: Bill Totals
						font: sans
						size: 16
						adjust: false
						vname: LBL_GRAND_TOTALS
				vname: LBL_SKEL_QUOTE_TOTALS_HEADER
			--
				name: quote_totals
				type: freeform
				title: Bill Totals Row
				height: 15
				elements
					--
						x: 460
						y: 0
						type: field
						width: 195
						height: 15
						field: total_name
						font: sans
						size: 14
						adjust: true
						align: right
					--
						x: 660
						y: 0
						type: field
						width: 125
						height: 15
						field: total_value
						font: sans
						size: 14
						adjust: false
						align: right
				vname: LBL_SKEL_QUOTE_TOTALS
			--
				name: notes
				data_id: header
				type: freeform
				title: Notes
				height: 55
				elements
					--
						x: 10
						y: 5
						type: text
						width: 160
						height: 20
						text: Notes
						font: sans
						size: 16
						adjust: false
						vname: LBL_PDF_NOTES
					--
						x: 20
						y: 30
						type: field
						width: 760
						height: 20
						field: description
						font: sans
						size: 12
						adjust: true
				vname: LBL_SKEL_NOTES
			--
				name: footer
				data_id: header
				type: freeform
				title: Bill Footer
				height: 20
				vname: LBL_SKEL_FOOTER
--
	name: Default Credit Note
	vname: LBL_DEFAULT_CREDIT_NOTE
	template_type: credit_note
	template_module: CreditNotes
	list_order: 1
	template
		sections
			--
				name: header
				type: freeform
				title: Credit Note Header
				height: 220
				elements
					--
						x: 0
						y: 0
						type: image
						width: 315
						height: 70
						pdf_logo: true
					--
						x: 480
						y: 0
						type: text
						width: 215
						height: 25
						text: Credit Note
						font: sans
						size: 18
						adjust: false
						vname: LBL_PDF_CREDIT
						align: center
					--
						x: 405
						y: 30
						type: text
						width: 180
						height: 20
						text: Credit Note Number:
						font: sans
						size: 14
						adjust: true
						vname: LBL_PDF_CREDIT_NUMBER
					--
						x: 405
						y: 50
						type: text
						width: 180
						height: 20
						text: Credit Note Date:
						font: sans
						size: 14
						adjust: true
						vname: LBL_PDF_CREDIT_DATE
					--
						x: 405
						y: 90
						type: text
						width: 180
						height: 20
						text: Credit For Invoice
						font: sans
						size: 14
						adjust: true
						vname: LBL_PDF_CREDIT_FOR_INVOICE
					--
						x: 405
						y: 70
						type: text
						width: 180
						height: 20
						text: Due Date:
						font: sans
						size: 14
						adjust: true
						vname: LBL_PDF_DUE_DATE
					--
						x: 595
						y: 30
						type: field
						width: 195
						height: 20
						field: number
						font: sans
						size: 14
						adjust: true
					--
						x: 595
						y: 50
						type: field
						width: 195
						height: 20
						field: date
						font: sans
						size: 14
						adjust: true
					--
						x: 595
						y: 70
						type: field
						width: 195
						height: 20
						field: date_due
						font: sans
						size: 14
						adjust: true
					--
						x: 595
						y: 90
						type: field
						width: 195
						height: 20
						field: invoice
						font: sans
						size: 14
						adjust: true
					--
						x: 10
						y: 105
						type: text
						width: 310
						height: 20
						text: Bill To
						font: sans
						size: 16
						adjust: false
						vname: LBL_PDF_BILL_TO
					--
						x: 20
						y: 130
						type: field
						width: 300
						height: 85
						field: billing_address
						font: sans
						size: 14
						adjust: true
						line_height: 1.2
				vname: LBL_SKEL_HEADER
			--
				name: group_header
				type: freeform
				title: Group Header
				height: 30
				elements
					--
						x: 10
						y: 5
						type: field
						width: 780
						height: 20
						field: group_name
						font: sans
						size: 16
						adjust: false
				vname: LBL_SKEL_GROUP_HEADER
			--
				name: group_items
				type: table
				title: Group Items
				columns
					--
						width: 41
						field: number
						label: "#"
						vname: LBL_PDF_INDEX
					--
						width: 49
						field: quantity
						label: Qty.
						vname: LBL_PDF_QUANTITY
					--
						width: 434
						field: product
						label: Product
						vname: LBL_PDF_PRODUCT
					--
						width: 68
						field: unitprice
						label: Unit Price
						vname: LBL_PDF_UNITPRICE
						align: right
					--
						width: 90
						field: extprice
						label: Ext. Price
						vname: LBL_PDF_EXTPRICE
						align: right
				header_font: sans
				header_font_size: 11
				cell_font: sans
				cell_font_size: 11
				vname: LBL_SKEL_GROUP_ITEMS
			--
				name: group_totals_header
				type: freeform
				title: Group Totals Header
				height: 30
				elements
					--
						x: 435
						y: 5
						type: text
						width: 185
						height: 20
						text: Group Totals
						font: sans
						size: 16
						adjust: false
						vname: LBL_GROUP_TOTALS
				vname: LBL_SKEL_GROUP_TOTALS_HEADER
			--
				name: group_totals
				type: freeform
				title: Group Totals Row
				height: 15
				elements
					--
						x: 460
						y: 0
						type: field
						width: 195
						height: 15
						field: total_name
						font: sans
						size: 14
						adjust: true
						align: right
					--
						x: 660
						y: 0
						type: field
						width: 125
						height: 15
						field: total_value
						font: sans
						size: 14
						adjust: false
						align: right
				vname: LBL_SKEL_GROUP_TOTALS
			--
				name: group_footer
				data_id: group_header
				type: freeform
				title: Group Footer
				height: 21
				elements
				vname: LBL_SKEL_GROUP_FOOTER
			--
				name: quote_totals_header
				type: freeform
				title: Credit Note Totals Header
				height: 35
				elements
					--
						x: 5
						y: 5
						width: 780
						type: line
					--
						x: 435
						y: 10
						type: text
						width: 185
						height: 20
						text: Credit Note Totals
						font: sans
						size: 16
						adjust: false
						vname: LBL_GRAND_TOTALS
				vname: LBL_SKEL_QUOTE_TOTALS_HEADER
			--
				name: quote_totals
				type: freeform
				title: Credit Note Totals Row
				height: 15
				elements
					--
						x: 460
						y: 0
						type: field
						width: 195
						height: 15
						field: total_name
						font: sans
						size: 14
						adjust: true
						align: right
					--
						x: 660
						y: 0
						type: field
						width: 125
						height: 15
						field: total_value
						font: sans
						size: 14
						adjust: false
						align: right
				vname: LBL_SKEL_QUOTE_TOTALS
			--
				name: notes
				data_id: header
				type: freeform
				title: Notes
				height: 55
				elements
					--
						x: 10
						y: 5
						type: text
						width: 160
						height: 20
						text: Notes
						font: sans
						size: 16
						adjust: false
						vname: LBL_PDF_NOTES
					--
						x: 20
						y: 30
						type: field
						width: 760
						height: 20
						field: description
						font: sans
						size: 12
						adjust: true
				vname: LBL_SKEL_NOTES
			--
				name: footer
				data_id: header
				type: freeform
				title: Credit Note Footer
				height: 20
				elements
				vname: LBL_SKEL_FOOTER
--
	name: Default Expense Report
	vname: LBL_DEFAULT_EXPENSE_REPORT
	template_type: expense_report
	template_module: ExpenseReports
	list_order: 1
	template
		sections
			--
				name: header
				type: freeform
				title: Report Header
				height: 123
				elements
					--
						x: 0
						y: 0
						type: image
						width: 225
						height: 60
						pdf_logo: true
					--
						x: 480
						y: 10
						type: text
						width: 220
						height: 25
						text: Expense Report
						vname: LBL_PDF_REPORT_TITLE
						font: sans
						size: 18
						adjust: false
						align: center
					--
						x: 430
						y: 40
						type: text
						width: 140
						height: 20
						text: Report Number
						vname: LBL_PDF_REPORT_NUMBER
						font: sans
						size: 14
						adjust: true
					--
						x: 580
						y: 40
						type: field
						width: 180
						height: 20
						field: number
						font: sans
						size: 14
						adjust: true
					--
						x: 430
						y: 60
						type: text
						width: 140
						height: 20
						text: Date
						vname: LBL_PDF_DATE
						font: sans
						size: 14
						adjust: true
					--
						x: 580
						y: 60
						type: field
						width: 180
						height: 20
						field: date
						font: sans
						size: 14
						adjust: true
					--
						x: 430
						y: 80
						type: text
						width: 140
						height: 20
						text: Employee
						vname: LBL_PDF_EMPLOYEE
						font: sans
						size: 14
						adjust: true
					--
						x: 580
						y: 80
						type: field
						width: 180
						height: 20
						field: employee
						font: sans
						size: 14
						adjust: true
				vname: LBL_SKEL_HEADER
			--
				name: expense_items
				type: table
				title: Report Items
				columns
					--
						width: 22
						field: number
						label: "#"
					--
						width: 25
						field: number2
						label: ""
					--
						width: 80
						field: date
						label: Date
						vname: LBL_PDF_ITEM_DATE
					--
						width: 146
						field: category
						label: Category
					--
						width: 40
						field: quantity
						label: Qty.
						vname: LBL_PDF_QUANTITY
					--
						width: 80
						field: rate
						label: Rate
						vname: LBL_PDF_RATE
						align: right
					--
						width: 80
						field: pretax
						label: Pre-tax
						vname: LBL_PDF_PRETAX_AMOUNT
						align: right
					--
						width: 80
						field: amount
						label: Total
						vname: LBL_PDF_AMOUNT
						align: right
					--
						width: 228
						field: description
						label: Notes
						vname: LBL_PDF_DESCRIPTION
						adjust: true
				vname: LBL_SKEL_EXPENSE_ITEMS
			--
				name: expense_totals_header
				type: freeform
				title: Report Totals Header
				columns
				elements
					--
						x: 200
						y: 15
						type: text
						width: 195
						height: 15
						text: Advance
						vname: LBL_PDF_ADVANCE_HEADER
						url: ""
						align: left
						font: sans
						size: "12"
						line_height: "1.0"
						adjust: false
						page_break: false
						bold: true
						italic: false
						background: ffffff
						color: "000000"
						border_color: "000000"
						border_width: "0"
					--
						x: 405
						y: 15
						type: text
						width: 180
						height: 15
						text: Total
						vname: LBL_PDF_TOTAL_HEADER
						url: ""
						align: left
						font: sans
						size: "12"
						line_height: "1.0"
						adjust: false
						page_break: false
						bold: true
						italic: false
						background: ffffff
						color: "000000"
						border_color: "000000"
						border_width: "0"
					--
						x: 595
						y: 15
						type: text
						width: 195
						height: 15
						text: Balance
						vname: LBL_PDF_BALANCE_HEADER
						url: ""
						align: left
						font: sans
						size: "12"
						line_height: "1.0"
						adjust: false
						page_break: false
						bold: true
						italic: false
						background: ffffff
						color: "000000"
						border_color: "000000"
						border_width: "0"
					--
						x: 0
						y: 5
						type: line
						width: 795
						height: 20
						line_width: 2
						color: "000000"
				height: 31
				vname: LBL_SKEL_EXPENSE_TOTALS_HEADER
			--
				name: expense_totals
				type: freeform
				title: Report Totals
				columns
				elements
					--
						x: 20
						y: 0
						type: field
						width: 170
						height: 15
						field: total_name
						url: ""
						align: left
						number_align: left
						font: sans
						size: "12"
						line_height: "1.0"
						adjust: false
						page_break: false
						bold: true
						italic: false
						color: "000000"
						background: ffffff
						border_color: "000000"
						border_width: "0"
					--
						x: 200
						y: 0
						type: field
						width: 195
						height: 15
						field: advance_value
						url: ""
						align: left
						number_align: left
						font: sans
						size: "12"
						line_height: "1.0"
						adjust: false
						page_break: false
						bold: false
						italic: false
						color: "000000"
						background: ffffff
						border_color: "000000"
						border_width: "0"
					--
						x: 410
						y: 0
						type: field
						width: 175
						height: 15
						field: total_value
						url: ""
						align: left
						number_align: left
						font: sans
						size: "12"
						line_height: "1.0"
						adjust: false
						page_break: false
						bold: false
						italic: false
						color: "000000"
						background: ffffff
						border_color: "000000"
						border_width: "0"
					--
						x: 595
						y: 0
						type: field
						width: 195
						height: 15
						field: balance_value
						url: ""
						align: left
						number_align: left
						font: sans
						size: "12"
						line_height: "1.0"
						adjust: false
						page_break: false
						bold: false
						italic: false
						color: "000000"
						background: ffffff
						border_color: "000000"
						border_width: "0"
				height: 15
				vname: LBL_SKEL_EXPENSE_TOTALS
			--
				name: footer
				data_id: header
				type: freeform
				title: Report Footer
				height: 215
				elements
					--
						x: 20
						y: 50
						type: field
						width: 760
						height: 20
						field: description
						font: sans
						size: "12"
						adjust: true
						url: ""
						align: left
						number_align: left
						line_height: "1.0"
						page_break: false
						bold: false
						italic: false
						color: "000000"
						background: ffffff
						border_color: "000000"
						border_width: "0"
					--
						x: 20
						y: 75
						type: text
						width: 235
						height: 20
						text: Expense Approval
						vname: LBL_PDF_APPROVAL
						font: sans
						size: 18
						adjust: false
					--
						x: 20
						y: 100
						type: text
						width: 200
						height: 25
						text: Report Number
						vname: LBL_PDF_REPORT_NUMBER
						font: sans
						size: 14
						adjust: false
					--
						x: 225
						y: 100
						type: field
						width: 100
						height: 20
						field: number
						font: sans
						size: 14
						adjust: false
					--
						x: 20
						y: 125
						type: text
						width: 200
						height: 20
						text: Print Name
						vname: LBL_PDF_ACCEPT_PRINT_NAME
						font: sans
						size: 14
						adjust: false
					--
						x: 20
						y: 145
						type: text
						width: 200
						height: 20
						text: Report Approved By
						vname: LBL_PDF_ACCEPT_TITLE
						font: sans
						size: 14
						adjust: false
					--
						x: 20
						y: 165
						type: text
						width: 200
						height: 20
						text: Signature
						vname: LBL_PDF_ACCEPT_SIGNATURE
						font: sans
						size: 14
						adjust: false
					--
						x: 20
						y: 185
						type: text
						width: 200
						height: 20
						text: Date
						vname: LBL_PDF_ACCEPT_DATE
						font: sans
						size: 14
						adjust: false
					--
						x: 225
						y: 125
						type: text
						width: 535
						height: 20
						text: _________________________
						font: sans
						size: 14
						adjust: false
					--
						x: 225
						y: 145
						type: text
						width: 535
						height: 20
						text: _________________________
						font: sans
						size: 14
						adjust: false
					--
						x: 225
						y: 165
						type: text
						width: 535
						height: 20
						text: _________________________
						font: sans
						size: 14
						adjust: false
					--
						x: 225
						y: 185
						type: text
						width: 535
						height: 20
						text: _________________________
						font: sans
						size: 14
						adjust: false
					--
						x: 20
						y: 25
						type: text
						width: 460
						height: 20
						text: Notes
						vname: LBL_PDF_NOTES
						url: ""
						align: left
						font: sans
						size: "18"
						line_height: "1.0"
						adjust: false
						page_break: false
						bold: false
						italic: false
						background: ffffff
						color: "000000"
						border_color: "000000"
						border_width: "0"
				vname: LBL_SKEL_FOOTER
--
	name: Default Statement
	vname: LBL_DEFAULT_STATEMENT
	template_type: statement
	template_module: Invoice
	list_order: 2
	template
		sections
			--
				name: header
				type: freeform
				title: Invoice Header
				height: 226
				elements
					--
						x: 0
						y: 0
						type: image
						width: 315
						height: 70
						pdf_logo: true
					--
						x: 515
						y: 0
						type: text
						width: 215
						height: 25
						text: Statement
						font: sans
						size: 18
						adjust: false
						vname: LBL_PDF_STATEMENT_TITLE
					--
						x: 450
						y: 30
						type: text
						width: 140
						height: 20
						text: Invoice Number:
						font: sans
						size: 14
						adjust: true
						vname: LBL_PDF_INVOICE_NUMBER
					--
						x: 450
						y: 50
						type: text
						width: 140
						height: 20
						text: Purchase Order:
						font: sans
						size: 14
						adjust: true
						vname: LBL_PDF_PURCHASE_ORDER
					--
						x: 450
						y: 70
						type: text
						width: 140
						height: 20
						text: Invoice Date:
						font: sans
						size: 14
						adjust: true
						vname: LBL_PDF_INVOICE_DATE
					--
						x: 450
						y: 90
						type: text
						width: 140
						height: 20
						text: Terms:
						font: sans
						size: 14
						adjust: true
						vname: LBL_PDF_TERMS
					--
						x: 450
						y: 110
						type: text
						width: 140
						height: 20
						text: Due Date:
						font: sans
						size: 14
						adjust: true
						vname: LBL_PDF_DUE_DATE
					--
						x: 595
						y: 30
						type: field
						width: 195
						height: 20
						field: number
						font: sans
						size: 14
						adjust: true
					--
						x: 595
						y: 50
						type: field
						width: 195
						height: 20
						field: purchase_order
						font: sans
						size: 14
						adjust: true
					--
						x: 595
						y: 70
						type: field
						width: 195
						height: 20
						field: date
						font: sans
						size: 14
						adjust: true
					--
						x: 595
						y: 90
						type: field
						width: 195
						height: 20
						field: terms
						font: sans
						size: 14
						adjust: true
					--
						x: 595
						y: 110
						type: field
						width: 195
						height: 20
						field: due_date
						font: sans
						size: 14
						adjust: true
					--
						x: 10
						y: 105
						type: text
						width: 210
						height: 20
						text: Bill To
						font: sans
						size: 16
						adjust: false
						vname: LBL_PDF_BILL_TO
					--
						x: 230
						y: 105
						type: text
						width: 210
						height: 20
						text: Ship To
						font: sans
						size: 16
						adjust: false
						vname: LBL_PDF_SHIP_TO
					--
						x: 20
						y: 130
						type: field
						width: 200
						height: 85
						field: billing_address
						font: sans
						size: 14
						adjust: true
						line_height: 1.2
					--
						x: 240
						y: 130
						type: field
						width: 200
						height: 85
						field: shipping_address
						font: sans
						size: 14
						adjust: true
						line_height: 1.2
				vname: LBL_SKEL_HEADER
			--
				name: group_header
				type: freeform
				title: Group Header
				height: 30
				elements
					--
						x: 10
						y: 5
						type: field
						width: 780
						height: 20
						field: group_name
						font: sans
						size: 16
						adjust: false
				vname: LBL_SKEL_GROUP_HEADER
			--
				name: group_items
				type: table
				title: Group Items
				columns
					--
						width: 42
						field: number
						label: "#"
						vname: LBL_PDF_INDEX
					--
						width: 52
						field: quantity
						label: Qty.
						vname: LBL_PDF_QUANTITY
					--
						width: 398
						field: product
						label: Product
						vname: LBL_PDF_PRODUCT
					--
						width: 100
						field: listprice
						label: List Price
						vname: LBL_PDF_LISTPRICE
						align: right
					--
						width: 98
						field: unitprice
						label: Unit Price
						vname: LBL_PDF_UNITPRICE
						align: right
					--
						width: 92
						field: extprice
						label: Ext. Price
						vname: LBL_PDF_EXTPRICE
						align: right
				header_font: sans
				header_font_size: 11
				cell_font: sans
				cell_font_size: 11
				vname: LBL_SKEL_GROUP_ITEMS
			--
				name: group_totals_header
				type: freeform
				title: Group Totals Header
				height: 30
				elements
					--
						x: 435
						y: 5
						type: text
						width: 185
						height: 20
						text: Group Totals
						font: sans
						size: 16
						adjust: false
						vname: LBL_GROUP_TOTALS
				vname: LBL_SKEL_GROUP_TOTALS_HEADER
			--
				name: group_totals
				type: freeform
				title: Group Totals Row
				height: 15
				elements
					--
						x: 460
						y: 0
						type: field
						width: 195
						height: 15
						field: total_name
						font: sans
						size: 14
						adjust: true
						align: right
					--
						x: 660
						y: 0
						type: field
						width: 125
						height: 15
						field: total_value
						font: sans
						size: 14
						adjust: false
						align: right
				vname: LBL_SKEL_GROUP_TOTALS
			--
				name: group_footer
				data_id: group_header
				type: freeform
				title: Group Footer
				height: 21
				elements
				vname: LBL_SKEL_GROUP_FOOTER
			--
				name: quote_totals_header
				type: freeform
				title: Invoice Totals Header
				height: 35
				elements
					--
						x: 5
						y: 5
						width: 780
						type: line
					--
						x: 435
						y: 10
						type: text
						width: 185
						height: 20
						text: Statement Totals
						font: sans
						size: 16
						adjust: false
						vname: LBL_STATEMENT_TOTALS
				vname: LBL_SKEL_QUOTE_TOTALS_HEADER
			--
				name: quote_totals
				type: freeform
				title: Invoice Totals Row
				height: 15
				elements
					--
						x: 460
						y: 0
						type: field
						width: 195
						height: 15
						field: total_name
						font: sans
						size: 14
						adjust: true
						align: right
					--
						x: 660
						y: 0
						type: field
						width: 125
						height: 15
						field: total_value
						font: sans
						size: 14
						adjust: false
						align: right
				vname: LBL_SKEL_QUOTE_TOTALS
			--
				name: payments_header
				type: freeform
				title: Payments List Header
				height: 41
				elements
					--
						x: 10
						y: 10
						type: text
						width: 350
						height: 20
						text: Payments Credited
						font: sans
						size: 18
						adjust: false
						vname: LBL_PDF_PAYMENTS_CREDITED
				vname: LBL_SKEL_PAYMENTS_HEADER
			--
				name: payments_table
				type: table
				title: Payments List
				columns
					--
						width: 133
						field: payment_date
						label: Date
						vname: LBL_PAYMENT_DATE
					--
						width: 128
						field: payment_id
						label: Payment ID
						vname: LBL_PDF_PAYMENT_ID
					--
						width: 162
						field: payment_type
						label: Payment Type
						vname: LBL_PDF_PAYMENT_TYPE
					--
						width: 167
						field: customer_reference
						label: Customer Reference
						vname: LBL_PDF_PAYMENT_CUSTOMER_REFERENCE
					--
						width: 100
						field: amount
						label: Amount
						vname: LBL_AMOUNT
						align: right
					--
						width: 96
						field: allocated
						label: Allocated
						vname: LBL_PDF_PAYMENT_ALLOCATED
						align: right
				vname: LBL_SKEL_PAYMENTS_TABLE
			--
				name: payments_footer
				type: freeform
				title: Payments List Footer
				height: 22
				elements
					--
						x: 660
						y: 0
						type: field
						width: 125
						height: 20
						field: amount_due
						font: sans
						size: 16
						adjust: false
						align: right
					--
						x: 460
						y: 0
						type: text
						width: 195
						height: 20
						text: Amount Due:
						font: sans
						size: 16
						adjust: false
						vname: LBL_BALANCE_DUE
						align: right
				data_id: payments_header
				vname: LBL_SKEL_PAYMENTS_FOOTER
			--
				name: notes
				data_id: header
				type: freeform
				title: Notes
				height: 55
				elements
					--
						x: 10
						y: 5
						type: text
						width: 160
						height: 20
						text: Notes
						font: sans
						size: 16
						adjust: false
						vname: LBL_PDF_NOTES
					--
						x: 20
						y: 30
						type: field
						width: 760
						height: 20
						field: description
						font: sans
						size: 12
						adjust: true
				vname: LBL_SKEL_NOTES
			--
				name: terms
				data_id: header
				type: freeform
				title: Terms
				height: 35
				elements
					--
						x: 20
						y: 10
						type: field
						width: 760
						height: 20
						field: standard_terms
						font: sans
						size: 11
						adjust: true
				vname: LBL_SKEL_TERMS
			--
				name: footer
				data_id: header
				type: freeform
				title: Invoice Footer
				height: 20
				elements
				vname: LBL_SKEL_FOOTER
--
	name: Default Invoice
	vname: LBL_DEFAULT_INVOICE
	template_type: invoice
	template_module: Invoice
	list_order: 1
	template
		sections
			--
				name: header
				type: freeform
				title: Invoice Header
				height: 228
				elements
					--
						x: 0
						y: 0
						type: image
						width: 315
						height: 70
						pdf_logo: true
					--
						x: 515
						y: 0
						type: text
						width: 215
						height: 25
						text: Invoice
						font: sans
						size: 18
						adjust: false
						vname: LBL_PDF_INVOICE_TITLE
						align: center
					--
						x: 465
						y: 30
						type: text
						width: 120
						height: 20
						text: Invoice Number:
						font: sans
						size: 14
						adjust: true
						vname: LBL_PDF_INVOICE_NUMBER
					--
						x: 465
						y: 50
						type: text
						width: 120
						height: 20
						text: Terms:
						font: sans
						size: 14
						adjust: true
						vname: LBL_PDF_TERMS
					--
						x: 465
						y: 70
						type: text
						width: 120
						height: 20
						text: Invoice Date:
						font: sans
						size: 14
						adjust: true
						vname: LBL_PDF_INVOICE_DATE
					--
						x: 465
						y: 90
						type: text
						width: 120
						height: 20
						text: Purchase Order:
						font: sans
						size: 14
						adjust: true
						vname: LBL_PDF_PURCHASE_ORDER
					--
						x: 465
						y: 110
						type: text
						width: 120
						height: 20
						text: Due Date:
						font: sans
						size: 14
						adjust: true
						vname: LBL_PDF_DUE_DATE
					--
						x: 465
						y: 130
						type: text
						width: 120
						height: 20
						text: Tax Info.:
						font: sans
						size: 14
						adjust: true
						vname: LBL_PDF_TAX_INFO
					--
						x: 595
						y: 30
						type: field
						width: 165
						height: 20
						field: number
						font: sans
						size: 14
						adjust: true
					--
						x: 595
						y: 50
						type: field
						width: 195
						height: 20
						field: terms
						font: sans
						size: 14
						adjust: true
					--
						x: 595
						y: 70
						type: field
						width: 195
						height: 20
						field: date
						font: sans
						size: 14
						adjust: true
					--
						x: 595
						y: 90
						type: field
						width: 195
						height: 20
						field: purchase_order
						font: sans
						size: 14
						adjust: true
					--
						x: 595
						y: 110
						type: field
						width: 195
						height: 20
						field: due_date
						font: sans
						size: 14
						adjust: true
					--
						x: 595
						y: 130
						type: field
						width: 195
						height: 20
						field: tax_info
						font: sans
						size: 14
						adjust: true
					--
						x: 10
						y: 105
						type: text
						width: 210
						height: 20
						text: Bill To
						font: sans
						size: 16
						adjust: false
						vname: LBL_PDF_BILL_TO
					--
						x: 230
						y: 105
						type: text
						width: 210
						height: 20
						text: Ship To
						font: sans
						size: 16
						adjust: false
						vname: LBL_PDF_SHIP_TO
					--
						x: 20
						y: 130
						type: field
						width: 200
						height: 85
						field: billing_address
						font: sans
						size: 14
						adjust: true
						line_height: 1.2
					--
						x: 240
						y: 130
						type: field
						width: 200
						height: 85
						field: shipping_address
						font: sans
						size: 14
						adjust: true
						line_height: 1.2
				vname: LBL_SKEL_HEADER
			--
				name: group_header
				type: freeform
				title: Group Header
				height: 30
				elements
					--
						x: 10
						y: 5
						type: field
						width: 780
						height: 20
						field: group_name
						font: sans
						size: 16
						adjust: false
				vname: LBL_SKEL_GROUP_HEADER
			--
				name: group_items
				type: table
				title: Group Items
				columns
					--
						width: 41
						field: number
						label: "#"
						vname: LBL_PDF_INDEX
					--
						width: 49
						field: quantity
						label: Qty.
						vname: LBL_PDF_QUANTITY
					--
						width: 381
						field: product
						label: Product
						vname: LBL_PDF_PRODUCT
					--
						width: 104
						field: listprice
						label: List Price
						vname: LBL_PDF_LISTPRICE
						align: right
					--
						width: 95
						field: unitprice
						label: Unit Price
						vname: LBL_PDF_UNITPRICE
						align: right
					--
						width: 118
						field: extprice
						label: Ext. Price
						vname: LBL_PDF_EXTPRICE
						align: right
				vname: LBL_SKEL_GROUP_ITEMS
			--
				name: group_totals_header
				type: freeform
				title: Group Totals Header
				height: 30
				elements
					--
						x: 435
						y: 5
						type: text
						width: 185
						height: 20
						text: Group Totals
						font: sans
						size: 16
						adjust: false
						vname: LBL_GROUP_TOTALS
				vname: LBL_SKEL_GROUP_TOTALS_HEADER
			--
				name: group_totals
				type: freeform
				title: Group Totals Row
				height: 15
				elements
					--
						x: 460
						y: 0
						type: field
						width: 195
						height: 15
						field: total_name
						font: sans
						size: 14
						adjust: true
						align: right
					--
						x: 660
						y: 0
						type: field
						width: 125
						height: 15
						field: total_value
						font: sans
						size: 14
						adjust: false
						align: right
				vname: LBL_SKEL_GROUP_TOTALS
			--
				name: group_footer
				data_id: group_header
				type: freeform
				title: Group Footer
				height: 22
				elements
				vname: LBL_SKEL_GROUP_FOOTER
			--
				name: quote_totals_header
				type: freeform
				title: Invoice Totals Header
				height: 35
				elements
					--
						x: 5
						y: 5
						width: 780
						type: line
					--
						x: 435
						y: 10
						type: text
						width: 185
						height: 20
						text: Invoice Totals
						font: sans
						size: 16
						adjust: false
						vname: LBL_GRAND_TOTALS
				vname: LBL_SKEL_QUOTE_TOTALS_HEADER
			--
				name: quote_totals
				type: freeform
				title: Invoice Totals Row
				height: 15
				elements
					--
						x: 460
						y: 0
						type: field
						width: 195
						height: 15
						field: total_name
						font: sans
						size: 14
						adjust: true
						align: right
					--
						x: 660
						y: 0
						type: field
						width: 125
						height: 15
						field: total_value
						font: sans
						size: 14
						adjust: false
						align: right
				vname: LBL_SKEL_QUOTE_TOTALS
			--
				name: notes
				data_id: header
				type: freeform
				title: Notes
				height: 55
				elements
					--
						x: 10
						y: 5
						type: text
						width: 160
						height: 20
						text: Notes
						font: sans
						size: 16
						adjust: false
						vname: LBL_PDF_NOTES
					--
						x: 20
						y: 30
						type: field
						width: 760
						height: 20
						field: description
						font: sans
						size: 12
						adjust: true
				vname: LBL_SKEL_NOTES
			--
				name: terms
				data_id: header
				type: freeform
				title: Terms
				height: 35
				elements
					--
						x: 20
						y: 10
						type: field
						width: 760
						height: 20
						field: standard_terms
						font: sans
						size: 11
						adjust: true
				vname: LBL_SKEL_TERMS
			--
				name: footer
				data_id: header
				type: freeform
				title: Invoice Footer
				height: 20
				elements
				vname: LBL_SKEL_FOOTER
--
	name: Invoice for Envelope (Address on Left)
	vname: LBL_INVOICE_FOR_ENVELOPE_ADDRESS_ON_LEFT
	template_type: invoice
	template_module: Invoice
	list_order: 2
	template
		sections
			--
				name: header
				type: freeform
				title: Invoice Header
				height: 340
				elements
					--
						x: 0
						y: 0
						type: image
						width: 315
						height: 70
						pdf_logo: true
					--
						x: 515
						y: 0
						type: text
						width: 215
						height: 25
						text: Invoice
						font: sans
						size: 18
						adjust: false
						vname: LBL_PDF_INVOICE_TITLE
						align: center
					--
						x: 465
						y: 30
						type: text
						width: 120
						height: 20
						text: Invoice Number:
						font: sans
						size: 14
						adjust: true
						vname: LBL_PDF_INVOICE_NUMBER
					--
						x: 465
						y: 50
						type: text
						width: 120
						height: 20
						text: Terms:
						font: sans
						size: 14
						adjust: true
						vname: LBL_PDF_TERMS
					--
						x: 465
						y: 70
						type: text
						width: 120
						height: 20
						text: Invoice Date:
						font: sans
						size: 14
						adjust: true
						vname: LBL_PDF_INVOICE_DATE
					--
						x: 465
						y: 90
						type: text
						width: 120
						height: 20
						text: Purchase Order:
						font: sans
						size: 14
						adjust: true
						vname: LBL_PDF_PURCHASE_ORDER
					--
						x: 465
						y: 110
						type: text
						width: 120
						height: 20
						text: Due Date:
						font: sans
						size: 14
						adjust: true
						vname: LBL_PDF_DUE_DATE
					--
						x: 465
						y: 130
						type: text
						width: 120
						height: 20
						text: Tax Info.:
						font: sans
						size: 14
						adjust: true
						vname: LBL_PDF_TAX_INFO
					--
						x: 595
						y: 30
						type: field
						width: 165
						height: 20
						field: number
						font: sans
						size: 14
						adjust: true
					--
						x: 595
						y: 50
						type: field
						width: 195
						height: 20
						field: terms
						font: sans
						size: 14
						adjust: true
					--
						x: 595
						y: 70
						type: field
						width: 195
						height: 20
						field: date
						font: sans
						size: 14
						adjust: true
					--
						x: 595
						y: 90
						type: field
						width: 195
						height: 20
						field: purchase_order
						font: sans
						size: 14
						adjust: true
					--
						x: 595
						y: 110
						type: field
						width: 195
						height: 20
						field: due_date
						font: sans
						size: 14
						adjust: true
					--
						x: 595
						y: 130
						type: field
						width: 195
						height: 20
						field: tax_info
						font: sans
						size: 14
						adjust: true
					--
						x: 465
						y: 160
						type: text
						width: 210
						height: 20
						text: Ship To
						font: sans
						size: 16
						adjust: false
						vname: LBL_PDF_SHIP_TO
					--
						x: 55
						y: 150
						type: field
						width: 200
						height: 85
						field: billing_address
						font: sans
						size: 14
						adjust: true
						line_height: 1.2
					--
						x: 465
						y: 185
						type: field
						width: 200
						height: 85
						field: shipping_address
						font: sans
						size: 14
						adjust: true
						line_height: 1.2
				vname: LBL_SKEL_HEADER
			--
				name: group_header
				type: freeform
				title: Group Header
				height: 30
				elements
					--
						x: 10
						y: 5
						type: field
						width: 780
						height: 20
						field: group_name
						font: sans
						size: 16
						adjust: false
				vname: LBL_SKEL_GROUP_HEADER
			--
				name: group_items
				type: table
				title: Group Items
				columns
					--
						width: 41
						field: number
						label: "#"
						vname: LBL_PDF_INDEX
					--
						width: 49
						field: quantity
						label: Qty.
						vname: LBL_PDF_QUANTITY
					--
						width: 381
						field: product
						label: Product
						vname: LBL_PDF_PRODUCT
					--
						width: 104
						field: listprice
						label: List Price
						vname: LBL_PDF_LISTPRICE
						align: right
					--
						width: 95
						field: unitprice
						label: Unit Price
						vname: LBL_PDF_UNITPRICE
						align: right
					--
						width: 118
						field: extprice
						label: Ext. Price
						vname: LBL_PDF_EXTPRICE
						align: right
				vname: LBL_SKEL_GROUP_ITEMS
			--
				name: group_totals_header
				type: freeform
				title: Group Totals Header
				height: 30
				elements
					--
						x: 435
						y: 5
						type: text
						width: 185
						height: 20
						text: Group Totals
						font: sans
						size: 16
						adjust: false
						vname: LBL_GROUP_TOTALS
				vname: LBL_SKEL_GROUP_TOTALS_HEADER
			--
				name: group_totals
				type: freeform
				title: Group Totals Row
				height: 15
				elements
					--
						x: 460
						y: 0
						type: field
						width: 195
						height: 15
						field: total_name
						font: sans
						size: 14
						adjust: true
						align: right
					--
						x: 660
						y: 0
						type: field
						width: 125
						height: 15
						field: total_value
						font: sans
						size: 14
						adjust: false
						align: right
				vname: LBL_SKEL_GROUP_TOTALS
			--
				name: group_footer
				data_id: group_header
				type: freeform
				title: Group Footer
				height: 22
				elements
				vname: LBL_SKEL_GROUP_FOOTER
			--
				name: quote_totals_header
				type: freeform
				title: Invoice Totals Header
				height: 35
				elements
					--
						x: 5
						y: 5
						width: 780
						type: line
					--
						x: 435
						y: 10
						type: text
						width: 185
						height: 20
						text: Invoice Totals
						font: sans
						size: 16
						adjust: false
						vname: LBL_GRAND_TOTALS
				vname: LBL_SKEL_QUOTE_TOTALS_HEADER
			--
				name: quote_totals
				type: freeform
				title: Invoice Totals Row
				height: 15
				elements
					--
						x: 460
						y: 0
						type: field
						width: 195
						height: 15
						field: total_name
						font: sans
						size: 14
						adjust: true
						align: right
					--
						x: 660
						y: 0
						type: field
						width: 125
						height: 15
						field: total_value
						font: sans
						size: 14
						adjust: false
						align: right
				vname: LBL_SKEL_QUOTE_TOTALS
			--
				name: notes
				data_id: header
				type: freeform
				title: Notes
				height: 55
				elements
					--
						x: 10
						y: 5
						type: text
						width: 160
						height: 20
						text: Notes
						font: sans
						size: 16
						adjust: false
						vname: LBL_PDF_NOTES
					--
						x: 20
						y: 30
						type: field
						width: 760
						height: 20
						field: description
						font: sans
						size: 12
						adjust: true
				vname: LBL_SKEL_NOTES
			--
				name: terms
				data_id: header
				type: freeform
				title: Terms
				height: 35
				elements
					--
						x: 20
						y: 10
						type: field
						width: 760
						height: 20
						field: standard_terms
						font: sans
						size: 11
						adjust: true
				vname: LBL_SKEL_TERMS
			--
				name: footer
				data_id: header
				type: freeform
				title: Invoice Footer
				height: 20
				elements
				vname: LBL_SKEL_FOOTER
--
	name: Invoice for Envelope (Address on Right)
	vname: LBL_INVOICE_FOR_ENVELOPE_ADDRESS_ON_RIGHT
	template_type: invoice
	template_module: Invoice
	list_order: 3
	template
		sections
			--
				name: header
				type: freeform
				title: Invoice Header
				height: 340
				elements
					--
						x: 0
						y: 0
						type: image
						width: 315
						height: 70
						pdf_logo: true
					--
						x: 515
						y: 0
						type: text
						width: 215
						height: 25
						text: Invoice
						font: sans
						size: 18
						adjust: false
						vname: LBL_PDF_INVOICE_TITLE
						align: center
					--
						x: 465
						y: 30
						type: text
						width: 120
						height: 20
						text: Invoice Number:
						font: sans
						size: 14
						adjust: true
						vname: LBL_PDF_INVOICE_NUMBER
					--
						x: 465
						y: 50
						type: text
						width: 120
						height: 20
						text: Terms:
						font: sans
						size: 14
						adjust: true
						vname: LBL_PDF_TERMS
					--
						x: 465
						y: 70
						type: text
						width: 120
						height: 20
						text: Invoice Date:
						font: sans
						size: 14
						adjust: true
						vname: LBL_PDF_INVOICE_DATE
					--
						x: 465
						y: 90
						type: text
						width: 120
						height: 20
						text: Purchase Order:
						font: sans
						size: 14
						adjust: true
						vname: LBL_PDF_PURCHASE_ORDER
					--
						x: 465
						y: 110
						type: text
						width: 120
						height: 20
						text: Due Date:
						font: sans
						size: 14
						adjust: true
						vname: LBL_PDF_DUE_DATE
					--
						x: 465
						y: 130
						type: text
						width: 120
						height: 20
						text: Tax Info.:
						font: sans
						size: 14
						adjust: true
						vname: LBL_PDF_TAX_INFO
					--
						x: 595
						y: 30
						type: field
						width: 165
						height: 20
						field: number
						font: sans
						size: 14
						adjust: true
					--
						x: 595
						y: 50
						type: field
						width: 195
						height: 20
						field: terms
						font: sans
						size: 14
						adjust: true
					--
						x: 595
						y: 70
						type: field
						width: 195
						height: 20
						field: date
						font: sans
						size: 14
						adjust: true
					--
						x: 595
						y: 90
						type: field
						width: 195
						height: 20
						field: purchase_order
						font: sans
						size: 14
						adjust: true
					--
						x: 595
						y: 110
						type: field
						width: 195
						height: 20
						field: due_date
						font: sans
						size: 14
						adjust: true
					--
						x: 595
						y: 130
						type: field
						width: 195
						height: 20
						field: tax_info
						font: sans
						size: 14
						adjust: true
					--
						x: 10
						y: 95
						type: text
						width: 210
						height: 20
						text: Ship To
						font: sans
						size: 16
						adjust: false
						vname: LBL_PDF_SHIP_TO
					--
						x: 355
						y: 165
						type: field
						width: 200
						height: 85
						field: billing_address
						font: sans
						size: 14
						adjust: true
						line_height: 1.2
					--
						x: 10
						y: 120
						type: field
						width: 200
						height: 85
						field: shipping_address
						font: sans
						size: 14
						adjust: true
						line_height: 1.2
				vname: LBL_SKEL_HEADER
			--
				name: group_header
				type: freeform
				title: Group Header
				height: 30
				elements
					--
						x: 10
						y: 5
						type: field
						width: 780
						height: 20
						field: group_name
						font: sans
						size: 16
						adjust: false
				vname: LBL_SKEL_GROUP_HEADER
			--
				name: group_items
				type: table
				title: Group Items
				columns
					--
						width: 41
						field: number
						label: "#"
						vname: LBL_PDF_INDEX
					--
						width: 49
						field: quantity
						label: Qty.
						vname: LBL_PDF_QUANTITY
					--
						width: 381
						field: product
						label: Product
						vname: LBL_PDF_PRODUCT
					--
						width: 104
						field: listprice
						label: List Price
						vname: LBL_PDF_LISTPRICE
						align: right
					--
						width: 95
						field: unitprice
						label: Unit Price
						vname: LBL_PDF_UNITPRICE
						align: right
					--
						width: 118
						field: extprice
						label: Ext. Price
						vname: LBL_PDF_EXTPRICE
						align: right
				vname: LBL_SKEL_GROUP_ITEMS
			--
				name: group_totals_header
				type: freeform
				title: Group Totals Header
				height: 30
				elements
					--
						x: 435
						y: 5
						type: text
						width: 185
						height: 20
						text: Group Totals
						font: sans
						size: 16
						adjust: false
						vname: LBL_GROUP_TOTALS
				vname: LBL_SKEL_GROUP_TOTALS_HEADER
			--
				name: group_totals
				type: freeform
				title: Group Totals Row
				height: 15
				elements
					--
						x: 460
						y: 0
						type: field
						width: 195
						height: 15
						field: total_name
						font: sans
						size: 14
						adjust: true
						align: right
					--
						x: 660
						y: 0
						type: field
						width: 125
						height: 15
						field: total_value
						font: sans
						size: 14
						adjust: false
						align: right
				vname: LBL_SKEL_GROUP_TOTALS
			--
				name: group_footer
				data_id: group_header
				type: freeform
				title: Group Footer
				height: 22
				elements
				vname: LBL_SKEL_GROUP_FOOTER
			--
				name: quote_totals_header
				type: freeform
				title: Invoice Totals Header
				height: 35
				elements
					--
						x: 5
						y: 5
						width: 780
						type: line
					--
						x: 435
						y: 10
						type: text
						width: 185
						height: 20
						text: Invoice Totals
						font: sans
						size: 16
						adjust: false
						vname: LBL_GRAND_TOTALS
				vname: LBL_SKEL_QUOTE_TOTALS_HEADER
			--
				name: quote_totals
				type: freeform
				title: Invoice Totals Row
				height: 15
				elements
					--
						x: 460
						y: 0
						type: field
						width: 195
						height: 15
						field: total_name
						font: sans
						size: 14
						adjust: true
						align: right
					--
						x: 660
						y: 0
						type: field
						width: 125
						height: 15
						field: total_value
						font: sans
						size: 14
						adjust: false
						align: right
				vname: LBL_SKEL_QUOTE_TOTALS
			--
				name: notes
				data_id: header
				type: freeform
				title: Notes
				height: 55
				elements
					--
						x: 10
						y: 5
						type: text
						width: 160
						height: 20
						text: Notes
						font: sans
						size: 16
						adjust: false
						vname: LBL_PDF_NOTES
					--
						x: 20
						y: 30
						type: field
						width: 760
						height: 20
						field: description
						font: sans
						size: 12
						adjust: true
				vname: LBL_SKEL_NOTES
			--
				name: terms
				data_id: header
				type: freeform
				title: Terms
				height: 35
				elements
					--
						x: 20
						y: 10
						type: field
						width: 760
						height: 20
						field: standard_terms
						font: sans
						size: 11
						adjust: true
				vname: LBL_SKEL_TERMS
			--
				name: footer
				data_id: header
				type: freeform
				title: Invoice Footer
				height: 20
				elements
				vname: LBL_SKEL_FOOTER
--
	name: Default Outgoing Payment
	vname: LBL_DEFAULT_OUTGOING_PAYMENT
	template_type: outgoing
	template_module: Payments
	list_order: 2
	template
		sections
			--
				name: header
				type: freeform
				title: Payment Header
				height: 223
				elements
					--
						x: 0
						y: 0
						type: image
						width: 315
						height: 70
						pdf_logo: true
					--
						x: 515
						y: 0
						type: text
						width: 215
						height: 25
						text: Payment Advice
						font: sans
						size: 18
						adjust: false
						vname: LBL_PDF_ADVICE
						align: center
					--
						x: 475
						y: 30
						type: text
						width: 110
						height: 20
						text: Payment Id:
						font: sans
						size: 14
						adjust: true
						vname: LBL_PDF_PAYMENT_ID
					--
						x: 475
						y: 50
						type: text
						width: 110
						height: 20
						text: Reference No:
						font: sans
						size: 14
						adjust: true
						vname: LBL_PDF_CUSTOMER_REFERENCE
					--
						x: 475
						y: 70
						type: text
						width: 110
						height: 20
						text: Payment Date:
						font: sans
						size: 14
						adjust: true
						vname: LBL_PDF_PAYMENT_DATE
					--
						x: 475
						y: 90
						type: text
						width: 110
						height: 20
						text: Currency:
						font: sans
						size: 14
						adjust: true
						vname: LBL_PDF_CURRENCY
					--
						x: 475
						y: 110
						type: text
						width: 110
						height: 20
						text: Amount:
						font: sans
						size: 14
						adjust: true
						vname: LBL_PDF_AMOUNT
					--
						x: 595
						y: 30
						type: field
						width: 195
						height: 20
						field: number
						font: sans
						size: 14
						adjust: true
					--
						x: 595
						y: 50
						type: field
						width: 195
						height: 20
						field: custref
						font: sans
						size: 14
						adjust: true
					--
						x: 595
						y: 70
						type: field
						width: 195
						height: 20
						field: date
						font: sans
						size: 14
						adjust: true
					--
						x: 595
						y: 90
						type: field
						width: 195
						height: 20
						field: currency
						font: sans
						size: 14
						adjust: true
					--
						x: 595
						y: 110
						type: field
						width: 195
						height: 20
						field: amount
						font: sans
						size: 14
						adjust: true
					--
						x: 10
						y: 105
						type: text
						width: 310
						height: 20
						text: Supplier
						font: sans
						size: 16
						adjust: false
						vname: LBL_PDF_SUPPLIER
					--
						x: 20
						y: 130
						type: field
						width: 300
						height: 85
						field: billing_address
						font: sans
						size: 14
						adjust: true
						line_height: 1.2
					--
						x: 475
						y: 130
						type: text
						width: 110
						height: 20
						text: Payment Type:
						font: sans
						size: 14
						adjust: false
						vname: LBL_PDF_PAYMENT_TYPE
					--
						x: 595
						y: 130
						type: field
						width: 195
						height: 20
						field: payment_type
						font: sans
						size: 14
						adjust: false
				vname: LBL_SKEL_HEADER
			--
				name: payment_items
				type: table
				title: Payment Allocations
				columns
					--
						width: 105
						field: number
						label: "Bill #"
						vname: LBL_LIST_NUMBER
					--
						width: 177
						field: subject
						label: Bill Subject
						vname: LBL_LIST_SUBJECT
					--
						width: 103
						field: amount
						label: Amount
						vname: LBL_PDF_AMOUNT
						align: right
					--
						width: 112
						field: amount_due
						label: Amount Due
						vname: LBL_LIST_AMOUNT_DUE
						align: right
					--
						width: 120
						field: allocated
						label: Allocated
						vname: LBL_PDF_ALLOCATED
						align: right
					--
						width: 140
						field: date_due
						label: Due Date
						vname: LBL_LIST_DUE_DATE
				header_font: sans
				header_font_size: 11
				cell_font: sans
				cell_font_size: 11
				vname: LBL_SKEL_PAYMENT_ITEMS
			--
				name: footer
				data_id: header
				type: freeform
				title: Payment Footer
				height: 95
				elements
					--
						x: 430
						y: 5
						type: text
						width: 170
						height: 20
						text: Total Allocated:
						font: sans
						size: 16
						adjust: false
						vname: LBL_PDF_TOTAL_ALLOCATED
						align: right
					--
						x: 620
						y: 5
						type: field
						width: 170
						height: 20
						field: amount
						font: sans
						size: 16
						adjust: false
						align: right
					--
						x: 10
						y: 35
						type: text
						width: 175
						height: 20
						text: Notes
						font: sans
						size: 16
						adjust: false
						vname: LBL_PDF_NOTES
					--
						x: 20
						y: 60
						type: field
						width: 760
						height: 30
						field: description
						font: sans
						size: 12
						adjust: true
				vname: LBL_SKEL_FOOTER
--
	name: Default Incoming Payment
	vname: LBL_DEFAULT_INCOMING_PAYMENT
	template_type: incoming
	template_module: Payments
	list_order: 1
	template
		sections
			--
				name: header
				type: freeform
				title: Payment Header
				height: 223
				elements
					--
						x: 0
						y: 0
						type: image
						width: 315
						height: 70
						pdf_logo: true
					--
						x: 515
						y: 0
						type: text
						width: 215
						height: 25
						text: Payment Receipt
						font: sans
						size: 18
						adjust: false
						vname: LBL_PDF_RECEIPT
						align: center
					--
						x: 475
						y: 30
						type: text
						width: 110
						height: 20
						text: Payment Id:
						font: sans
						size: 14
						adjust: true
						vname: LBL_PDF_PAYMENT_ID
					--
						x: 475
						y: 50
						type: text
						width: 110
						height: 20
						text: Reference No:
						font: sans
						size: 14
						adjust: true
						vname: LBL_PDF_CUSTOMER_REFERENCE
					--
						x: 475
						y: 70
						type: text
						width: 110
						height: 20
						text: Payment Date:
						font: sans
						size: 14
						adjust: true
						vname: LBL_PDF_PAYMENT_DATE
					--
						x: 475
						y: 90
						type: text
						width: 110
						height: 20
						text: Currency:
						font: sans
						size: 14
						adjust: true
						vname: LBL_PDF_CURRENCY
					--
						x: 475
						y: 110
						type: text
						width: 110
						height: 20
						text: Amount:
						font: sans
						size: 14
						adjust: true
						vname: LBL_PDF_AMOUNT
					--
						x: 595
						y: 30
						type: field
						width: 195
						height: 20
						field: number
						font: sans
						size: 14
						adjust: true
					--
						x: 595
						y: 50
						type: field
						width: 195
						height: 20
						field: custref
						font: sans
						size: 14
						adjust: true
					--
						x: 595
						y: 70
						type: field
						width: 195
						height: 20
						field: date
						font: sans
						size: 14
						adjust: true
					--
						x: 595
						y: 90
						type: field
						width: 195
						height: 20
						field: currency
						font: sans
						size: 14
						adjust: true
					--
						x: 595
						y: 110
						type: field
						width: 195
						height: 20
						field: amount
						font: sans
						size: 14
						adjust: true
					--
						x: 10
						y: 105
						type: text
						width: 210
						height: 20
						text: Bill To
						font: sans
						size: 16
						adjust: false
						vname: LBL_PDF_BILL_TO
					--
						x: 230
						y: 105
						type: text
						width: 210
						height: 20
						text: Ship To
						font: sans
						size: 16
						adjust: false
						vname: LBL_PDF_SHIP_TO
					--
						x: 20
						y: 130
						type: field
						width: 200
						height: 85
						field: billing_address
						font: sans
						size: 14
						adjust: true
						line_height: 1.2
					--
						x: 240
						y: 130
						type: field
						width: 200
						height: 85
						field: shipping_address
						font: sans
						size: 14
						adjust: true
						line_height: 1.2
					--
						x: 475
						y: 130
						type: text
						width: 110
						height: 20
						text: Payment Type:
						font: sans
						size: 14
						adjust: false
						vname: LBL_PDF_PAYMENT_TYPE
					--
						x: 595
						y: 130
						type: field
						width: 195
						height: 20
						field: payment_type
						font: sans
						size: 14
						adjust: false
				vname: LBL_SKEL_HEADER
			--
				name: credit_items
				type: table
				title: Credits Applied
				columns
					--
						width: 105
						field: number
						label: "Credit Note #"
						vname: LBL_PDF_CREDIT_NUMBER
					--
						width: 177
						field: subject
						label: Credit Note Subject
						vname: LBL_LIST_SUBJECT
					--
						width: 140
						field: date_due
						label: ""
					--
						width: 103
						field: amount
						label: Amount
						vname: LBL_PDF_AMOUNT
						align: right
					--
						width: 112
						field: amount_due
						label: Amount Due
						vname: LBL_LIST_AMOUNT_DUE
						align: right
					--
						width: 120
						field: allocated
						label: Allocated
						vname: LBL_PDF_ALLOCATED
						align: right
				header_font: sans
				header_font_size: 11
				cell_font: sans
				cell_font_size: 11
				vname: LBL_SKEL_CREDIT_ITEMS
			--
				name: payment_items
				type: table
				title: Payment Allocations
				columns
					--
						width: 105
						field: number
						label: "Invoice #"
						vname: LBL_PDF_INVOICE_NUMBER
					--
						width: 177
						field: subject
						label: Invoice Subject
						vname: LBL_LIST_SUBJECT
					--
						width: 140
						field: date_due
						label: Due Date
						vname: LBL_LIST_DUE_DATE
					--
						width: 103
						field: amount
						label: Amount
						vname: LBL_PDF_AMOUNT
						align: right
					--
						width: 112
						field: amount_due
						label: Amount Due
						vname: LBL_LIST_AMOUNT_DUE
						align: right
					--
						width: 120
						field: allocated
						label: Allocated
						vname: LBL_PDF_ALLOCATED
						align: right
				header_font: sans
				header_font_size: 11
				cell_font: sans
				cell_font_size: 11
				vname: LBL_SKEL_PAYMENT_ITEMS
			--
				name: footer
				data_id: header
				type: freeform
				title: Payment Footer
				height: 95
				elements
					--
						x: 430
						y: 5
						type: text
						width: 170
						height: 20
						text: Total Allocated:
						font: sans
						size: 16
						adjust: false
						vname: LBL_PDF_TOTAL_ALLOCATED
						align: right
					--
						x: 620
						y: 5
						type: field
						width: 170
						height: 20
						field: amount
						font: sans
						size: 16
						adjust: false
						align: right
					--
						x: 10
						y: 35
						type: text
						width: 175
						height: 20
						text: Notes
						font: sans
						size: 16
						adjust: false
						vname: LBL_PDF_NOTES
					--
						x: 20
						y: 60
						type: field
						width: 760
						height: 30
						field: description
						font: sans
						size: 12
						adjust: true
				vname: LBL_SKEL_FOOTER
--
	name: Default Purchase Order
	vname: LBL_DEFAULT_PURCHASE_ORDER
	template_type: purchase_order
	template_module: PurchaseOrders
	list_order: 1
	template
		sections
			--
				name: header
				type: freeform
				title: Purchase Order Header
				height: 220
				elements
					--
						x: 0
						y: 0
						type: image
						width: 315
						height: 70
						pdf_logo: true
					--
						x: 515
						y: 0
						type: text
						width: 215
						height: 25
						text: Purchase Order
						font: sans
						size: 18
						adjust: false
						vname: LBL_PDF_PURCHASEORDER_TITLE
						align: center
					--
						x: 475
						y: 30
						type: text
						width: 110
						height: 20
						text: PO Number:
						font: sans
						size: 14
						adjust: true
						vname: LBL_PDF_PO_NUMBER
					--
						x: 475
						y: 70
						type: text
						width: 110
						height: 20
						text: Terms:
						font: sans
						size: 14
						adjust: true
						vname: LBL_PDF_TERMS
					--
						x: 475
						y: 50
						type: text
						width: 110
						height: 20
						text: Order Date:
						font: sans
						size: 14
						adjust: true
						vname: LBL_PDF_ORDER_DATE
					--
						x: 475
						y: 90
						type: text
						width: 110
						height: 20
						text: Buyer:
						font: sans
						size: 14
						adjust: true
						vname: LBL_PDF_BUYER
					--
						x: 595
						y: 30
						type: field
						width: 195
						height: 20
						field: number
						font: sans
						size: 14
						adjust: true
					--
						x: 595
						y: 70
						type: field
						width: 195
						height: 20
						field: terms
						font: sans
						size: 14
						adjust: true
					--
						x: 595
						y: 50
						type: field
						width: 195
						height: 20
						field: date
						font: sans
						size: 14
						adjust: true
					--
						x: 595
						y: 90
						type: field
						width: 195
						height: 20
						field: sales_person
						font: sans
						size: 14
						adjust: true
					--
						x: 10
						y: 105
						type: text
						width: 210
						height: 20
						text: Supplier
						font: sans
						size: 16
						adjust: false
						vname: LBL_PDF_SUPPLIER
					--
						x: 230
						y: 105
						type: text
						width: 210
						height: 20
						text: Ship To
						font: sans
						size: 16
						adjust: false
						vname: LBL_PDF_SHIP_TO
						is_ship_to_label: true
					--
						x: 20
						y: 130
						type: field
						width: 200
						height: 85
						field: billing_address
						font: sans
						size: 14
						adjust: true
						line_height: 1.2
					--
						x: 240
						y: 130
						type: field
						width: 200
						height: 85
						field: shipping_address
						font: sans
						size: 14
						adjust: true
						line_height: 1.2
				vname: LBL_SKEL_HEADER
			--
				name: group_header
				type: freeform
				title: Group Header
				height: 30
				elements
					--
						x: 10
						y: 5
						type: field
						width: 780
						height: 20
						field: group_name
						font: sans
						size: 16
						adjust: false
				vname: LBL_SKEL_GROUP_HEADER
			--
				name: group_items
				type: table
				title: Group Items
				columns
					--
						width: 66
						field: number
						label: "#"
						vname: LBL_PDF_INDEX
					--
						width: 82
						field: quantity
						label: Qty
						vname: LBL_PDF_QUANTITY
					--
						width: 278
						field: product
						label: Product
						vname: LBL_PDF_PRODUCT
					--
						width: 153
						field: mfr_part_no
						label: Part Number
						vname: LBL_PDF_PART_NO
					--
						width: 114
						field: unitprice
						label: Unit Price
						vname: LBL_PDF_UNITPRICE
						align: right
					--
						width: 88
						field: extprice
						label: Ext. Price
						vname: LBL_PDF_EXTPRICE
						align: right
				header_font: sans
				header_font_size: 11
				cell_font: sans
				cell_font_size: 11
				vname: LBL_SKEL_GROUP_ITEMS
			--
				name: group_totals_header
				type: freeform
				title: Group Totals Header
				height: 30
				elements
					--
						x: 435
						y: 5
						type: text
						width: 185
						height: 20
						text: Group Totals
						font: sans
						size: 16
						adjust: false
						vname: LBL_GROUP_TOTALS
				vname: LBL_SKEL_GROUP_TOTALS_HEADER
			--
				name: group_totals
				type: freeform
				title: Group Totals Row
				height: 15
				elements
					--
						x: 460
						y: 0
						type: field
						width: 195
						height: 15
						field: total_name
						font: sans
						size: 14
						adjust: true
						align: right
					--
						x: 660
						y: 0
						type: field
						width: 125
						height: 15
						field: total_value
						font: sans
						size: 14
						adjust: false
						align: right
				vname: LBL_SKEL_GROUP_TOTALS
			--
				name: group_footer
				data_id: group_header
				type: freeform
				title: Group Footer
				height: 21
				elements
				vname: LBL_SKEL_GROUP_FOOTER
			--
				name: quote_totals_header
				type: freeform
				title: Purchase Order Totals Header
				height: 35
				elements
					--
						x: 5
						y: 5
						width: 780
						type: line
					--
						x: 435
						y: 10
						type: text
						width: 185
						height: 20
						text: Order Totals
						font: sans
						size: 16
						adjust: false
						vname: LBL_GRAND_TOTALS
				vname: LBL_SKEL_QUOTE_TOTALS_HEADER
			--
				name: quote_totals
				type: freeform
				title: Purchase Order Totals Row
				height: 15
				elements
					--
						x: 460
						y: 0
						type: field
						width: 195
						height: 15
						field: total_name
						font: sans
						size: 14
						adjust: true
						align: right
					--
						x: 660
						y: 0
						type: field
						width: 125
						height: 15
						field: total_value
						font: sans
						size: 14
						adjust: false
						align: right
				vname: LBL_SKEL_QUOTE_TOTALS
			--
				name: notes
				data_id: header
				type: freeform
				title: Notes
				height: 55
				elements
					--
						x: 10
						y: 5
						type: text
						width: 160
						height: 20
						text: Notes
						font: sans
						size: 16
						adjust: false
						vname: LBL_PDF_NOTES
					--
						x: 20
						y: 30
						type: field
						width: 760
						height: 20
						field: description
						font: sans
						size: 12
						adjust: true
				vname: LBL_SKEL_NOTES
			--
				name: terms
				data_id: header
				type: freeform
				title: Terms
				height: 35
				elements
					--
						x: 20
						y: 10
						type: field
						width: 760
						height: 20
						field: standard_terms
						font: sans
						size: 11
						adjust: true
				vname: LBL_SKEL_TERMS
			--
				name: footer
				data_id: header
				type: freeform
				title: Purchase Order Footer
				height: 20
				elements
				vname: LBL_SKEL_FOOTER
--
	name: Default Quote
	vname: LBL_DEFAULT_QUOTE
	template_type: quote
	template_module: Quotes
	list_order: 1
	template
		sections
			--
				name: header
				type: freeform
				title: Quote Header
				height: 220
				elements
					--
						x: 0
						y: 0
						type: image
						width: 315
						height: 70
						pdf_logo: true
					--
						x: 515
						y: 0
						type: text
						width: 215
						height: 25
						text: Quotation
						font: sans
						size: 18
						adjust: false
						vname: LBL_PDF_PROPOSAL
						align: center
					--
						x: 475
						y: 30
						type: text
						width: 110
						height: 20
						text: Quote Number:
						font: sans
						size: 14
						adjust: true
						vname: LBL_PDF_QUOTE_NUMBER
					--
						x: 475
						y: 50
						type: text
						width: 110
						height: 20
						text: Terms:
						font: sans
						size: 14
						adjust: true
						vname: LBL_PDF_TERMS
					--
						x: 475
						y: 70
						type: text
						width: 110
						height: 20
						text: Date:
						font: sans
						size: 14
						adjust: true
						vname: LBL_PDF_DATE
					--
						x: 475
						y: 90
						type: text
						width: 110
						height: 20
						text: Sales Person:
						font: sans
						size: 14
						adjust: true
						vname: LBL_PDF_SALES_PERSON
					--
						x: 475
						y: 110
						type: text
						width: 110
						height: 20
						text: Valid Until:
						font: sans
						size: 14
						adjust: true
						vname: LBL_PDF_VALID_UNTIL
					--
						x: 475
						y: 130
						type: text
						width: 110
						height: 20
						text: Tax Info.:
						font: sans
						size: 14
						adjust: true
						vname: LBL_PDF_TAX_INFO
					--
						x: 595
						y: 30
						type: field
						width: 195
						height: 20
						field: number
						font: sans
						size: 14
						adjust: true
					--
						x: 595
						y: 50
						type: field
						width: 195
						height: 20
						field: terms
						font: sans
						size: 14
						adjust: true
					--
						x: 595
						y: 70
						type: field
						width: 195
						height: 20
						field: date
						font: sans
						size: 14
						adjust: true
					--
						x: 595
						y: 90
						type: field
						width: 195
						height: 20
						field: sales_person
						font: sans
						size: 14
						adjust: true
					--
						x: 595
						y: 110
						type: field
						width: 195
						height: 20
						field: valid_until
						font: sans
						size: 14
						adjust: true
					--
						x: 595
						y: 130
						type: field
						width: 195
						height: 20
						field: tax_info
						font: sans
						size: 14
						adjust: true
					--
						x: 10
						y: 105
						type: text
						width: 210
						height: 20
						text: Bill To
						font: sans
						size: 16
						adjust: false
						vname: LBL_PDF_BILL_TO
					--
						x: 230
						y: 105
						type: text
						width: 210
						height: 20
						text: Ship To
						font: sans
						size: 16
						adjust: false
						vname: LBL_PDF_SHIP_TO
					--
						x: 20
						y: 130
						type: field
						width: 200
						height: 85
						field: billing_address
						font: sans
						size: 14
						adjust: true
						line_height: 1.2
					--
						x: 240
						y: 130
						type: field
						width: 200
						height: 85
						field: shipping_address
						font: sans
						size: 14
						adjust: true
						line_height: 1.2
				vname: LBL_SKEL_HEADER
			--
				name: group_header
				type: freeform
				title: Group Header
				height: 30
				elements
					--
						x: 10
						y: 5
						type: field
						width: 780
						height: 20
						field: group_name
						font: sans
						size: 16
						adjust: false
				vname: LBL_SKEL_GROUP_HEADER
			--
				name: group_items
				type: table
				title: Group Items
				columns
					--
						width: 41
						field: number
						label: "#"
						vname: LBL_PDF_INDEX
					--
						width: 49
						field: quantity
						label: Qty.
						vname: LBL_PDF_QUANTITY
					--
						width: 381
						field: product
						label: Product
						vname: LBL_PDF_PRODUCT
					--
						width: 104
						field: listprice
						label: List Price
						vname: LBL_PDF_LISTPRICE
						align: right
					--
						width: 95
						field: unitprice
						label: Unit Price
						vname: LBL_PDF_UNITPRICE
						align: right
					--
						width: 118
						field: extprice
						label: Ext. Price
						vname: LBL_PDF_EXTPRICE
						align: right
				vname: LBL_SKEL_GROUP_ITEMS
			--
				name: group_totals_header
				type: freeform
				title: Group Totals Header
				height: 30
				elements
					--
						x: 435
						y: 5
						type: text
						width: 185
						height: 20
						text: Group Totals
						font: sans
						size: 16
						adjust: false
						vname: LBL_GROUP_TOTALS
				vname: LBL_SKEL_GROUP_TOTALS_HEADER
			--
				name: group_totals
				type: freeform
				title: Group Totals Row
				height: 15
				elements
					--
						x: 460
						y: 0
						type: field
						width: 195
						height: 15
						field: total_name
						font: sans
						size: 14
						adjust: true
						align: right
					--
						x: 660
						y: 0
						type: field
						width: 125
						height: 15
						field: total_value
						font: sans
						size: 14
						adjust: false
						align: right
				vname: LBL_SKEL_GROUP_TOTALS
			--
				name: group_footer
				data_id: group_header
				type: freeform
				title: Group Footer
				height: 22
				elements
				vname: LBL_SKEL_GROUP_FOOTER
			--
				name: quote_totals_header
				type: freeform
				title: Quote Totals Header
				height: 35
				elements
					--
						x: 5
						y: 5
						width: 790
						type: line
					--
						x: 435
						y: 10
						type: text
						width: 185
						height: 20
						text: Quotation Totals
						font: sans
						size: 16
						adjust: false
						vname: LBL_GRAND_TOTALS
				vname: LBL_SKEL_QUOTE_TOTALS_HEADER
			--
				name: quote_totals
				type: freeform
				title: Quote Totals Row
				height: 15
				elements
					--
						x: 460
						y: 0
						type: field
						width: 195
						height: 15
						field: total_name
						font: sans
						size: 14
						adjust: true
						align: right
					--
						x: 660
						y: 0
						type: field
						width: 125
						height: 15
						field: total_value
						font: sans
						size: 14
						adjust: false
						align: right
				vname: LBL_SKEL_QUOTE_TOTALS
			--
				name: notes
				data_id: header
				type: freeform
				title: Notes
				height: 55
				elements
					--
						x: 10
						y: 5
						type: text
						width: 160
						height: 20
						text: Notes
						font: sans
						size: 16
						adjust: false
						vname: LBL_PDF_NOTES
					--
						x: 20
						y: 30
						type: field
						width: 760
						height: 20
						field: description
						font: sans
						size: 12
						adjust: true
				vname: LBL_SKEL_NOTES
			--
				name: terms
				data_id: header
				type: freeform
				title: Terms
				height: 35
				elements
					--
						x: 20
						y: 10
						type: field
						width: 760
						height: 20
						field: standard_terms
						font: sans
						size: 11
						adjust: true
				vname: LBL_SKEL_TERMS
			--
				name: quote_accept
				data_id: header
				type: freeform
				title: Quote Acceptance
				height: 155
				elements
					--
						x: 10
						y: 5
						type: text
						width: 385
						height: 20
						text: Quotation Accepted By
						font: sans
						size: 16
						adjust: false
						vname: LBL_PDF_ACCEPT_TITLE
					--
						x: 20
						y: 30
						type: text
						width: 150
						height: 20
						text: Quote Number
						font: sans
						size: 14
						adjust: false
						vname: LBL_PDF_QUOTE_NUMBER
					--
						x: 170
						y: 30
						type: field
						width: 225
						height: 20
						field: number
						font: sans
						size: 14
						adjust: false
					--
						x: 20
						y: 55
						type: text
						width: 150
						height: 20
						text: Print Name
						font: sans
						size: 14
						adjust: false
						vname: LBL_PDF_ACCEPT_PRINT_NAME
					--
						x: 170
						y: 55
						type: text
						width: 225
						height: 20
						text: ___________________________
						font: sans
						size: 14
						adjust: false
					--
						x: 20
						y: 80
						type: text
						width: 150
						height: 20
						text: Title
						font: sans
						size: 14
						adjust: false
						vname: LBL_PDF_ACCEPT_EMPLOYEE_TITLE
					--
						x: 20
						y: 105
						type: text
						width: 150
						height: 20
						text: Signature
						font: sans
						size: 14
						adjust: false
						vname: LBL_PDF_ACCEPT_SIGNATURE
					--
						x: 20
						y: 130
						type: text
						width: 150
						height: 20
						text: Date
						font: sans
						size: 14
						adjust: false
						vname: LBL_PDF_ACCEPT_DATE
					--
						x: 170
						y: 80
						type: text
						width: 225
						height: 20
						text: ___________________________
						font: sans
						size: 14
						adjust: false
					--
						x: 170
						y: 105
						type: text
						width: 225
						height: 20
						text: ___________________________
						font: sans
						size: 14
						adjust: false
					--
						x: 170
						y: 130
						type: text
						width: 225
						height: 20
						text: ___________________________
						font: sans
						size: 14
						adjust: false
				vname: LBL_SKEL_QUOTE_ACCEPT
			--
				name: footer
				data_id: header
				type: freeform
				title: Quote Footer
				height: 20
				elements
				vname: LBL_SKEL_FOOTER
--
	name: Default Proforma
	vname: LBL_DEFAULT_PROFORMA
	template_type: proforma
	template_module: Quotes
	list_order: 2
	template
		sections
			--
				name: header
				type: freeform
				title: Quote Header
				height: 220
				elements
					--
						x: 0
						y: 0
						type: image
						width: 315
						height: 70
						pdf_logo: true
					--
						x: 515
						y: 0
						type: text
						width: 215
						height: 25
						text: Pro forma Invoice
						font: sans
						size: 18
						adjust: false
						vname: LBL_PDF_PROFORMA_TITLE
						align: center
					--
						x: 450
						y: 30
						type: text
						width: 135
						height: 20
						text: Pro forma Number:
						font: sans
						size: 14
						adjust: true
						vname: LBL_PDF_PROFORMA_NUMBER
					--
						x: 450
						y: 50
						type: text
						width: 135
						height: 20
						text: Terms:
						font: sans
						size: 14
						adjust: true
						vname: LBL_PDF_TERMS
					--
						x: 450
						y: 70
						type: text
						width: 135
						height: 20
						text: Date:
						font: sans
						size: 14
						adjust: true
						vname: LBL_PDF_DATE
					--
						x: 450
						y: 90
						type: text
						width: 135
						height: 20
						text: Sales Person:
						font: sans
						size: 14
						adjust: true
						vname: LBL_PDF_SALES_PERSON
					--
						x: 450
						y: 110
						type: text
						width: 135
						height: 20
						text: Valid Until:
						font: sans
						size: 14
						adjust: true
						vname: LBL_PDF_VALID_UNTIL
					--
						x: 595
						y: 30
						type: field
						width: 195
						height: 20
						field: number
						font: sans
						size: 14
						adjust: false
					--
						x: 595
						y: 50
						type: field
						width: 195
						height: 20
						field: terms
						font: sans
						size: 14
						adjust: true
					--
						x: 595
						y: 70
						type: field
						width: 195
						height: 20
						field: date
						font: sans
						size: 14
						adjust: true
					--
						x: 595
						y: 90
						type: field
						width: 195
						height: 20
						field: sales_person
						font: sans
						size: 14
						adjust: true
					--
						x: 595
						y: 110
						type: field
						width: 195
						height: 20
						field: valid_until
						font: sans
						size: 14
						adjust: true
					--
						x: 10
						y: 105
						type: text
						width: 210
						height: 20
						text: Bill To
						font: sans
						size: 16
						adjust: false
						vname: LBL_PDF_BILL_TO
					--
						x: 230
						y: 105
						type: text
						width: 210
						height: 20
						text: Ship To
						font: sans
						size: 16
						adjust: false
						vname: LBL_PDF_SHIP_TO
					--
						x: 20
						y: 130
						type: field
						width: 200
						height: 85
						field: billing_address
						font: sans
						size: 14
						adjust: true
						line_height: 1.2
					--
						x: 240
						y: 130
						type: field
						width: 200
						height: 85
						field: shipping_address
						font: sans
						size: 14
						adjust: true
						line_height: 1.2
				vname: LBL_SKEL_HEADER
			--
				name: group_header
				type: freeform
				title: Group Header
				height: 30
				elements
					--
						x: 10
						y: 5
						type: field
						width: 780
						height: 20
						field: group_name
						font: sans
						size: 16
						adjust: false
				vname: LBL_SKEL_GROUP_HEADER
			--
				name: group_items
				type: table
				title: Group Items
				columns
					--
						width: 41
						field: number
						label: "#"
						vname: LBL_PDF_INDEX
					--
						width: 49
						field: quantity
						label: Qty.
						vname: LBL_PDF_QUANTITY
					--
						width: 381
						field: product
						label: Product
						vname: LBL_PDF_PRODUCT
					--
						width: 104
						field: listprice
						label: List Price
						vname: LBL_PDF_LISTPRICE
						align: right
					--
						width: 95
						field: unitprice
						label: Unit Price
						vname: LBL_PDF_UNITPRICE
						align: right
					--
						width: 118
						field: extprice
						label: Ext. Price
						vname: LBL_PDF_EXTPRICE
						align: right
				vname: LBL_SKEL_GROUP_ITEMS
			--
				name: group_totals_header
				type: freeform
				title: Group Totals Header
				height: 30
				elements
					--
						x: 435
						y: 5
						type: text
						width: 185
						height: 20
						text: Group Totals
						font: sans
						size: 16
						adjust: false
						vname: LBL_GROUP_TOTALS
				vname: LBL_SKEL_GROUP_TOTALS_HEADER
			--
				name: group_totals
				type: freeform
				title: Group Totals Row
				height: 15
				elements
					--
						x: 460
						y: 0
						type: field
						width: 195
						height: 15
						field: total_name
						font: sans
						size: 14
						adjust: true
						align: right
					--
						x: 660
						y: 0
						type: field
						width: 125
						height: 15
						field: total_value
						font: sans
						size: 14
						adjust: false
						align: right
				vname: LBL_SKEL_GROUP_TOTALS
			--
				name: group_footer
				data_id: group_header
				type: freeform
				title: Group Footer
				height: 22
				elements
				vname: LBL_SKEL_GROUP_FOOTER
			--
				name: quote_totals_header
				type: freeform
				title: Quote Totals Header
				height: 35
				elements
					--
						x: 5
						y: 5
						width: 780
						type: line
					--
						x: 435
						y: 10
						type: text
						width: 185
						height: 20
						text: Quotation Totals
						font: sans
						size: 16
						adjust: false
						vname: LBL_PDF_PROFORMA_TOTALS
				vname: LBL_SKEL_QUOTE_TOTALS_HEADER
			--
				name: quote_totals
				type: freeform
				title: Quote Totals Row
				height: 15
				elements
					--
						x: 460
						y: 0
						type: field
						width: 195
						height: 15
						field: total_name
						font: sans
						size: 14
						adjust: true
						align: right
					--
						x: 660
						y: 0
						type: field
						width: 125
						height: 15
						field: total_value
						font: sans
						size: 14
						adjust: false
						align: right
				vname: LBL_SKEL_QUOTE_TOTALS
			--
				name: notes
				data_id: header
				type: freeform
				title: Notes
				height: 55
				elements
					--
						x: 10
						y: 5
						type: text
						width: 160
						height: 20
						text: Notes
						font: sans
						size: 16
						adjust: false
						vname: LBL_PDF_NOTES
					--
						x: 20
						y: 30
						type: field
						width: 760
						height: 20
						field: description
						font: sans
						size: 12
						adjust: true
				vname: LBL_SKEL_NOTES
			--
				name: terms
				data_id: header
				type: freeform
				title: Terms
				height: 35
				elements
					--
						x: 20
						y: 10
						type: field
						width: 760
						height: 20
						field: standard_terms
						font: sans
						size: 11
						adjust: true
				vname: LBL_SKEL_TERMS
			--
				name: footer
				data_id: header
				type: freeform
				title: Quote Footer
				height: 20
				elements
				vname: LBL_SKEL_FOOTER
--
	name: Default Sales Order
	vname: LBL_DEFAULT_SALES_ORDER
	template_type: confirmation
	template_module: SalesOrders
	list_order: 1
	template
		sections
			--
				name: header
				type: freeform
				title: Order Header
				height: 157
				elements
					--
						x: 0
						y: 0
						type: image
						width: 315
						height: 70
						pdf_logo: true
					--
						x: 515
						y: 0
						type: text
						width: 215
						height: 25
						text: Sales Order
						font: sans
						size: 18
						adjust: false
						vname: LBL_PDF_SALESORDER_TITLE
						align: center
					--
						x: 475
						y: 30
						type: text
						width: 110
						height: 20
						text: Order Number:
						font: sans
						size: 14
						adjust: true
						vname: LBL_PDF_SO_NUMBER
					--
						x: 595
						y: 30
						type: field
						width: 195
						height: 20
						field: number
						font: sans
						size: 14
						adjust: true
					--
						x: 475
						y: 50
						type: text
						width: 110
						height: 20
						text: Order Date:
						font: sans
						size: 14
						adjust: true
						vname: LBL_PDF_ORDER_DATE
					--
						x: 595
						y: 50
						type: field
						width: 195
						height: 20
						field: date
						font: sans
						size: 14
						adjust: true
					--
						x: 475
						y: 70
						type: text
						width: 110
						height: 20
						text: Terms:
						font: sans
						size: 14
						adjust: true
						vname: LBL_PDF_TERMS
					--
						x: 595
						y: 70
						type: field
						width: 195
						height: 20
						field: terms
						font: sans
						size: 14
						adjust: true
					--
						x: 475
						y: 90
						type: text
						width: 110
						height: 20
						text: Due Date
						font: sans
						size: 14
						adjust: false
						vname: LBL_PDF_DUE_DATE
					--
						x: 595
						y: 90
						type: field
						width: 195
						height: 20
						field: date_due
						font: sans
						size: 14
						adjust: false
					--
						x: 475
						y: 110
						type: text
						width: 110
						height: 20
						text: Sales Person:
						font: sans
						size: 14
						adjust: true
						vname: LBL_PDF_SALES_PERSON
					--
						x: 595
						y: 110
						type: field
						width: 195
						height: 20
						field: sales_person
						font: sans
						size: 14
						adjust: true
					--
						x: 475
						y: 130
						type: text
						width: 110
						height: 20
						text: Purchase Order:
						font: sans
						size: 14
						adjust: true
						vname: LBL_PDF_PO_NUMBER
					--
						x: 595
						y: 130
						type: field
						width: 195
						height: 20
						field: purchase_order_num
						font: sans
						size: 14
						adjust: true
					--
						x: 10
						y: 105
						type: text
						width: 210
						height: 20
						text: Bill To
						font: sans
						size: 16
						adjust: false
						vname: LBL_PDF_BILL_TO
					--
						x: 20
						y: 130
						type: field
						width: 200
						height: 20
						field: billing_address
						font: sans
						size: 14
						adjust: true
						line_height: 1.2
					--
						x: 230
						y: 105
						type: text
						width: 210
						height: 20
						text: Ship To
						font: sans
						size: 16
						adjust: false
						vname: LBL_PDF_SHIP_TO
					--
						x: 240
						y: 130
						type: field
						width: 200
						height: 20
						field: shipping_address
						font: sans
						size: 14
						adjust: true
						line_height: 1.2
				vname: LBL_SKEL_HEADER
			--
				name: group_header
				type: freeform
				title: Group Header
				height: 30
				elements
					--
						x: 10
						y: 5
						type: field
						width: 780
						height: 20
						field: group_name
						font: sans
						size: 16
						adjust: false
				vname: LBL_SKEL_GROUP_HEADER
			--
				name: group_items
				type: table
				title: Group Items
				columns
					--
						width: 66
						field: number
						label: "#"
						vname: LBL_PDF_INDEX
					--
						width: 82
						field: quantity
						label: Qty
						vname: LBL_PDF_QUANTITY
					--
						width: 433
						field: product
						label: Product
						vname: LBL_PDF_PRODUCT
					--
						width: 114
						field: unitprice
						label: Unit Price
						vname: LBL_PDF_UNITPRICE
						align: right
					--
						width: 94
						field: extprice
						label: Ext. Price
						vname: LBL_PDF_EXTPRICE
						align: right
				header_font: sans
				header_font_size: 11
				cell_font: sans
				cell_font_size: 11
				vname: LBL_SKEL_GROUP_ITEMS
			--
				name: group_totals_header
				type: freeform
				title: Group Totals Header
				height: 30
				elements
					--
						x: 435
						y: 5
						type: text
						width: 185
						height: 20
						text: Group Totals
						font: sans
						size: 16
						adjust: false
						vname: LBL_GROUP_TOTALS
				vname: LBL_SKEL_GROUP_TOTALS_HEADER
			--
				name: group_totals
				type: freeform
				title: Group Totals Row
				height: 15
				elements
					--
						x: 460
						y: 0
						type: field
						width: 195
						height: 15
						field: total_name
						font: sans
						size: 14
						adjust: true
						align: right
					--
						x: 660
						y: 0
						type: field
						width: 125
						height: 15
						field: total_value
						font: sans
						size: 14
						adjust: false
						align: right
				vname: LBL_SKEL_GROUP_TOTALS
			--
				name: group_footer
				data_id: group_header
				type: freeform
				title: Group Footer
				height: 21
				elements
				vname: LBL_SKEL_GROUP_FOOTER
			--
				name: quote_totals_header
				type: freeform
				title: Order Totals Header
				height: 35
				elements
					--
						x: 5
						y: 5
						width: 780
						type: line
					--
						x: 435
						y: 10
						type: text
						width: 185
						height: 20
						text: Order Totals
						font: sans
						size: 16
						adjust: false
						vname: LBL_GRAND_TOTALS
				vname: LBL_SKEL_QUOTE_TOTALS_HEADER
			--
				name: quote_totals
				type: freeform
				title: Order Totals Row
				height: 15
				elements
					--
						x: 460
						y: 0
						type: field
						width: 195
						height: 15
						field: total_name
						font: sans
						size: 14
						adjust: true
						align: right
					--
						x: 660
						y: 0
						type: field
						width: 125
						height: 15
						field: total_value
						font: sans
						size: 14
						adjust: false
						align: right
				vname: LBL_SKEL_QUOTE_TOTALS
			--
				name: notes
				data_id: header
				type: freeform
				title: Notes
				height: 55
				elements
					--
						x: 10
						y: 5
						type: text
						width: 160
						height: 20
						text: Notes
						font: sans
						size: 16
						adjust: false
						vname: LBL_PDF_NOTES
					--
						x: 20
						y: 30
						type: field
						width: 760
						height: 20
						field: description
						font: sans
						size: 12
						adjust: true
				vname: LBL_SKEL_NOTES
			--
				name: terms
				data_id: header
				type: freeform
				title: Terms
				height: 35
				elements
					--
						x: 20
						y: 10
						type: field
						width: 760
						height: 20
						field: standard_terms
						font: sans
						size: 11
						adjust: true
				vname: LBL_SKEL_TERMS
			--
				name: footer
				data_id: header
				type: freeform
				title: Order Footer
				height: 20
				elements
				vname: LBL_SKEL_FOOTER
--
	name: Default Packing Slip
	vname: LBL_DEFAULT_PACKING_SLIP
	template_type: shipping
	template_module: Shipping
	list_order: 1
	template
		sections
			--
				name: header
				type: freeform
				title: Shipping Order Header
				height: 233
				elements
					--
						x: 0
						y: 0
						type: image
						width: 315
						height: 70
						pdf_logo: true
					--
						x: 480
						y: 0
						type: text
						width: 215
						height: 25
						text: Packing Slip
						font: sans
						size: 18
						adjust: false
						vname: LBL_PDF_PACKING_SLIP_TITLE
						align: center
					--
						x: 375
						y: 30
						type: text
						width: 215
						height: 20
						text: Shipping Order Number:
						font: sans
						size: 14
						adjust: true
						vname: LBL_PDF_SHIPPING_NUMBER
					--
						x: 375
						y: 70
						type: text
						width: 215
						height: 20
						text: Custumer Purchase Order:
						font: sans
						size: 14
						adjust: true
						vname: LBL_PDF_PO_REF
					--
						x: 375
						y: 110
						type: text
						width: 215
						height: 20
						text: Tracking Number:
						font: sans
						size: 14
						adjust: true
						vname: LBL_PDF_TRACKING_NUM
					--
						x: 375
						y: 50
						type: text
						width: 215
						height: 20
						text: Sales Person:
						font: sans
						size: 14
						adjust: true
						vname: LBL_PDF_SALES_PERSON
					--
						x: 375
						y: 90
						type: text
						width: 215
						height: 20
						text: Shipping Provider:
						font: sans
						size: 14
						adjust: true
						vname: LBL_PDF_PROVIDER
					--
						x: 375
						y: 130
						type: text
						width: 215
						height: 20
						text: Date Shipped:
						font: sans
						size: 14
						adjust: true
						vname: LBL_PDF_DATE_SHIPPED
					--
						x: 595
						y: 30
						type: field
						width: 195
						height: 20
						field: number
						font: sans
						size: 14
						adjust: true
					--
						x: 595
						y: 90
						type: field
						width: 195
						height: 20
						field: shipping_provider
						font: sans
						size: 14
						adjust: true
					--
						x: 595
						y: 70
						type: field
						width: 195
						height: 20
						field: purchase_order
						font: sans
						size: 14
						adjust: true
					--
						x: 595
						y: 50
						type: field
						width: 195
						height: 20
						field: sales_person
						font: sans
						size: 14
						adjust: true
					--
						x: 595
						y: 110
						type: field
						width: 195
						height: 20
						field: tracking_number
						font: sans
						size: 14
						adjust: true
					--
						x: 595
						y: 130
						type: field
						width: 195
						height: 20
						field: date_shipped
						font: sans
						size: 14
						adjust: true
					--
						x: 10
						y: 105
						type: text
						width: 310
						height: 20
						text: Ship To
						font: sans
						size: 16
						adjust: false
						vname: LBL_PDF_SHIP_TO
					--
						x: 20
						y: 130
						type: field
						width: 300
						height: 85
						field: shipping_address
						font: sans
						size: 14
						adjust: true
						line_height: 1.2
				vname: LBL_SKEL_HEADER
			--
				name: group_header
				type: freeform
				title: Group Header
				height: 30
				elements
					--
						x: 10
						y: 5
						type: field
						width: 780
						height: 20
						field: group_name
						font: sans
						size: 16
						adjust: false
				vname: LBL_SKEL_GROUP_HEADER
			--
				name: group_items
				type: table
				title: Group Items
				columns
					--
						width: 56
						field: number
						label: "#"
						vname: LBL_PDF_INDEX
					--
						width: 93
						field: quantity
						label: Qty.
						vname: LBL_PDF_QUANTITY
					--
						width: 632
						field: product
						label: Product
						vname: LBL_PDF_PRODUCT
				header_font: sans
				header_font_size: 11
				cell_font: sans
				cell_font_size: 11
				vname: LBL_SKEL_GROUP_ITEMS
			--
				name: group_footer
				data_id: group_header
				type: freeform
				title: Group Footer
				height: 23
				elements
				vname: LBL_SKEL_GROUP_FOOTER
			--
				name: footer
				data_id: header
				type: freeform
				title: Shipping Order Footer
				height: 50
				elements
					--
						x: 10
						y: 0
						type: text
						width: 160
						height: 20
						text: Notes
						font: sans
						size: 16
						adjust: false
						vname: LBL_PDF_NOTES
					--
						x: 20
						y: 25
						type: field
						width: 760
						height: 20
						field: description
						font: sans
						size: 12
						adjust: true
				vname: LBL_SKEL_FOOTER
--
	name: Default Service Work Order
	vname: LBL_DEFAULT_SERVICE_WORK_ORDER
	template_type: work_order
	template_module: Cases
	list_order: 1
	template
		sections
			--
				name: header
				type: freeform
				title: Order Header
				height: 277
				elements
					--
						x: 555
						y: 45
						type: field
						width: 225
						height: 20
						field: number
						font: sans
						size: 14
						adjust: false
					--
						x: 5
						y: 0
						type: image
						width: 205
						height: 65
						pdf_logo: true
					--
						x: 385
						y: 10
						type: text
						width: 360
						height: 25
						text: Service Work Order
						vname: LBL_PDF_ORDER
						font: sans
						size: 20
						adjust: false
						align: center
					--
						x: 555
						y: 65
						type: field
						width: 225
						height: 20
						field: date
						font: sans
						size: 14
						adjust: true
					--
						x: 555
						y: 85
						type: field
						width: 225
						height: 20
						field: contact
						font: sans
						size: 14
						adjust: true
					--
						x: 555
						y: 105
						type: field
						width: 225
						height: 20
						field: cust_req_number
						font: sans
						size: 14
						adjust: true
					--
						x: 555
						y: 125
						type: field
						width: 225
						height: 20
						field: contact_phone
						font: sans
						size: 14
						adjust: true
					--
						x: 360
						y: 45
						type: text
						width: 180
						height: 20
						text: Case Number
						vname: LBL_PDF_CASE_NUMBER
						font: sans
						size: 14
						adjust: true
					--
						x: 360
						y: 65
						type: text
						width: 180
						height: 20
						text: Date
						vname: LBL_PDF_DATE
						font: sans
						size: 14
						adjust: true
					--
						x: 360
						y: 85
						type: text
						width: 180
						height: 20
						text: Contact
						font: sans
						size: 14
						adjust: true
						vname: LBL_PDF_CUSTOMER
					--
						x: 360
						y: 105
						type: text
						width: 180
						height: 20
						text: "Customer Req. #"
						vname: LBL_PDF_CUSTOMER_REQ_NO
						font: sans
						size: 14
						adjust: true
					--
						x: 360
						y: 125
						type: text
						width: 180
						height: 20
						text: Contact Phone
						vname: LBL_PDF_CUSTOMER_PHONE
						font: sans
						size: 14
						adjust: true
					--
						x: 10
						y: 85
						type: text
						width: 280
						height: 20
						text: Account Location
						vname: LBL_PDF_CUSTOMER_ADDRESS
						font: sans
						size: 18
						adjust: false
					--
						x: 20
						y: 110
						type: field
						width: 280
						height: 65
						field: address
						font: sans
						size: 14
						adjust: true
						line_height: 1.2
					--
						x: 10
						y: 215
						type: text
						width: 280
						height: 20
						text: Case:
						vname: LBL_PDF_NOTES
						font: sans
						size: 16
						adjust: false
					--
						x: 20
						y: 240
						type: field
						width: 760
						height: 20
						field: case_subject
						font: sans
						size: 16
						adjust: true
				vname: LBL_SKEL_HEADER
			--
				name: hours_header
				type: freeform
				title: Hours Header
				height: 30
				elements
					--
						x: 10
						y: 5
						type: text
						width: 325
						height: 20
						text: Booked Hours
						vname: LBL_PDF_BH_TITLE
						font: sans
						size: 16
						adjust: false
				vname: LBL_SKEL_HOURS_HEADER
			--
				name: hours
				type: table
				title: Booked Hours
				columns
					--
						width: 32
						field: number
						label: "#"
						vname: LBL_PDF_INDEX
					--
						width: 157
						field: subject
						label: Subject
						vname: LBL_PDF_BH_SUBJECT
					--
						width: 59
						field: hours
						label: Hours
						vname: LBL_PDF_BH_HOURS
					--
						width: 104
						field: status
						label: Status
						vname: LBL_PDF_BH_STATUS
					--
						width: 146
						field: booking_class
						label: Booking Class
						vname: LBL_PDF_BH_BOOKING_CLASS
					--
						width: 129
						field: date
						label: Date
						vname: LBL_PDF_BH_DATE
					--
						width: 155
						field: user
						label: User
						vname: LBL_PDF_BH_USER
				vname: LBL_SKEL_HOURS
			--
				name: parts_header
				type: freeform
				title: Service Parts Header
				height: 30
				elements
					--
						x: 10
						y: 5
						type: text
						width: 330
						height: 20
						text: Service Parts
						vname: LBL_SP_TITLE
						font: sans
						size: 16
						adjust: false
				vname: LBL_SKEL_PARTS_HEADER
			--
				name: parts
				type: table
				title: Service Parts
				columns
					--
						width: 44
						field: number
						label: "#"
						vname: LBL_PDF_INDEX
					--
						width: 207
						field: name
						label: Name
						vname: LBL_SP_NAME
					--
						width: 235
						field: category
						label: Category
						vname: LBL_SP_CATEGORY
					--
						width: 194
						field: type
						label: Type
						vname: LBL_SP_TYPE
					--
						width: 107
						field: price
						label: Selling Price
						vname: LBL_SP_SELLING_PRICE
						align: right
				vname: LBL_SKEL_PARTS
			--
				name: footer
				data_id: header
				type: freeform
				title: Order Footer
				height: 243
				elements
					--
						x: 10
						y: 65
						type: text
						width: 335
						height: 25
						text: Order Approved By
						vname: LBL_PDF_ACCEPT_TITLE
						font: sans
						size: 16
						adjust: false
					--
						x: 20
						y: 100
						type: text
						width: 235
						height: 20
						text: "Case Number "
						vname: LBL_PDF_CASE_NUMBER
						font: sans
						size: 16
						adjust: false
					--
						x: 260
						y: 100
						type: field
						width: 135
						height: 20
						field: number
						font: sans
						size: 16
						adjust: false
					--
						x: 20
						y: 125
						type: text
						width: 235
						height: 20
						text: Print Name
						vname: LBL_PDF_ACCEPT_PRINT_NAME
						font: sans
						size: 16
						adjust: false
					--
						x: 20
						y: 150
						type: text
						width: 235
						height: 20
						text: Title
						vname: LBL_PDF_ACCEPT_CUSTOMER_TITLE
						font: sans
						size: 16
						adjust: false
					--
						x: 20
						y: 175
						type: text
						width: 235
						height: 20
						text: Signature
						vname: LBL_PDF_ACCEPT_SIGNATURE
						font: sans
						size: 16
						adjust: false
					--
						x: 20
						y: 200
						type: text
						width: 235
						height: 20
						text: Date
						vname: LBL_PDF_ACCEPT_DATE
						font: sans
						size: 16
						adjust: false
					--
						x: 260
						y: 125
						type: text
						width: 450
						height: 20
						text: __________________________
						font: sans
						size: 16
						adjust: false
					--
						x: 260
						y: 150
						type: text
						width: 450
						height: 20
						text: __________________________
						font: sans
						size: 16
						adjust: false
					--
						x: 260
						y: 175
						type: text
						width: 450
						height: 20
						text: __________________________
						font: sans
						size: 16
						adjust: false
					--
						x: 260
						y: 200
						type: text
						width: 450
						height: 20
						text: __________________________
						font: sans
						size: 16
						adjust: false
					--
						x: 20
						y: 5
						type: field
						width: 775
						height: 20
						field: description
						font: sans
						size: 12
						adjust: true
					--
						x: 20
						y: 30
						type: field
						width: 775
						height: 20
						field: standard_terms
						font: sans
						size: 11
						adjust: true
				vname: LBL_SKEL_FOOTER
--
	name: Default Timesheet
	vname: LBL_DEFAULT_TIMESHEET
	template_type: timesheet
	template_module: Timesheets
	list_order: 1
	template
		sections
			--
				name: header
				type: freeform
				title: Timesheet Header
				height: 292
				elements
					--
						x: 405
						y: 10
						type: text
						width: 295
						height: 20
						text: Timesheet
						vname: LBL_PDF_TIMESHEET
						font: sans
						size: 18
						adjust: false
						align: center
					--
						x: 5
						y: 5
						type: image
						width: 205
						height: 60
						pdf_logo: true
					--
						x: 535
						y: 45
						type: field
						width: 250
						height: 20
						field: employee
						font: sans
						size: 14
						adjust: true
					--
						x: 535
						y: 65
						type: field
						width: 250
						height: 20
						field: title
						font: sans
						size: 14
						adjust: true
					--
						x: 535
						y: 85
						type: field
						width: 250
						height: 20
						field: department
						font: sans
						size: 14
						adjust: true
					--
						x: 535
						y: 105
						type: field
						width: 250
						height: 20
						field: reports_to
						font: sans
						size: 14
						adjust: true
					--
						x: 535
						y: 125
						type: field
						width: 250
						height: 20
						field: employee_number
						font: sans
						size: 14
						adjust: true
					--
						x: 535
						y: 145
						type: field
						width: 250
						height: 20
						field: period_start
						font: sans
						size: 14
						adjust: true
					--
						x: 535
						y: 165
						type: field
						width: 250
						height: 20
						field: period_end
						font: sans
						size: 14
						adjust: true
					--
						x: 535
						y: 185
						type: field
						width: 250
						height: 20
						field: total_hours
						font: sans
						size: 14
						adjust: true
					--
						x: 535
						y: 205
						type: field
						width: 250
						height: 20
						field: approval_status
						font: sans
						size: 14
						adjust: true
					--
						x: 10
						y: 225
						type: text
						width: 200
						height: 20
						text: Notes
						vname: LBL_PDF_NOTES
						font: sans
						size: 16
						adjust: false
					--
						x: 20
						y: 250
						type: field
						width: 760
						height: 35
						field: description
						font: sans
						size: 12
						adjust: true
					--
						x: 365
						y: 45
						type: text
						width: 160
						height: 20
						text: Employee
						font: sans
						size: 14
						adjust: false
						vname: LBL_PDF_EMPLOYEE
					--
						x: 365
						y: 65
						type: text
						width: 160
						height: 20
						text: Title
						font: sans
						size: 14
						adjust: false
						vname: LBL_PDF_TITLE
					--
						x: 365
						y: 85
						type: text
						width: 160
						height: 20
						text: Department
						font: sans
						size: 14
						adjust: false
						vname: LBL_PDF_DEPARTMENT
					--
						x: 365
						y: 105
						type: text
						width: 160
						height: 20
						text: Reports To
						font: sans
						size: 14
						adjust: false
						vname: LBL_PDF_REPORTS_TO
					--
						x: 365
						y: 125
						type: text
						width: 160
						height: 20
						text: Employee Number
						font: sans
						size: 14
						adjust: false
						vname: LBL_PDF_EMPLOYEE_NUM
					--
						x: 365
						y: 145
						type: text
						width: 160
						height: 20
						text: Period Start
						font: sans
						size: 14
						adjust: false
						vname: LBL_PDF_PERIOD_START
					--
						x: 365
						y: 165
						type: text
						width: 160
						height: 20
						text: Period End
						font: sans
						size: 14
						adjust: false
						vname: LBL_PDF_PERIOD_END
					--
						x: 365
						y: 185
						type: text
						width: 160
						height: 20
						text: Total Hours
						font: sans
						size: 14
						adjust: false
						vname: LBL_PDF_TOTAL_HOURS
					--
						x: 365
						y: 205
						type: text
						width: 160
						height: 20
						text: Approval Status
						font: sans
						size: 14
						adjust: false
						vname: LBL_PDF_STATUS
				vname: LBL_SKEL_HEADER
			--
				name: items
				type: table
				title: Timesheet Items
				columns
					--
						width: 162
						field: time
						label: ""
					--
						width: 208
						field: subject
						label: Activity
						vname: LBL_PDF_ACTIVITY
					--
						width: 208
						field: account
						label: Account
						vname: LBL_PDF_ACCOUNT
					--
						width: 208
						field: related_to
						label: ""
				vname: LBL_SKEL_ITEMS
			--
				name: footer
				data_id: header
				type: freeform
				title: Order Footer
				height: 181
				elements
					--
						x: 10
						y: 25
						type: text
						width: 310
						height: 20
						text: Timesheet Approved By
						vname: LBL_PDF_ACCEPT_TITLE
						font: sans
						size: 18
						adjust: false
					--
						x: 20
						y: 55
						type: text
						width: 160
						height: 20
						text: Timesheet
						font: sans
						size: 14
						adjust: false
						vname: LBL_PDF_ACCEPT_TIMESHEET
					--
						x: 185
						y: 55
						type: field
						width: 225
						height: 20
						field: name
						font: sans
						size: 14
						adjust: false
					--
						x: 20
						y: 80
						type: text
						width: 160
						height: 20
						text: Print Name
						font: sans
						size: 14
						adjust: false
						vname: LBL_PDF_ACCEPT_PRINT_NAME
					--
						x: 20
						y: 105
						type: text
						width: 160
						height: 20
						text: Title
						font: sans
						size: 14
						adjust: false
						vname: LBL_PDF_ACCEPT_CUSTOMER_TITLE
					--
						x: 20
						y: 130
						type: text
						width: 160
						height: 20
						text: Signature
						font: sans
						size: 14
						adjust: false
						vname: LBL_PDF_ACCEPT_SIGNATURE
					--
						x: 20
						y: 155
						type: text
						width: 160
						height: 20
						text: Date
						font: sans
						size: 14
						adjust: false
						vname: LBL_PDF_ACCEPT_DATE
					--
						x: 185
						y: 80
						type: text
						width: 280
						height: 20
						text: _______________________
						font: sans
						size: 14
						adjust: false
					--
						x: 185
						y: 105
						type: text
						width: 280
						height: 20
						text: _______________________
						font: sans
						size: 14
						adjust: false
					--
						x: 185
						y: 130
						type: text
						width: 280
						height: 20
						text: _______________________
						font: sans
						size: 14
						adjust: false
					--
						x: 185
						y: 155
						type: text
						width: 280
						height: 20
						text: _______________________
						font: sans
						size: 14
						adjust: false
				vname: LBL_SKEL_FOOTER
# -------------------------------------------------------------------
--
	name: Default Account Statement
	vname: LBL_DEFAULT_ACCOUNT_STATEMENT
	template_type: statement
	template_module: Accounts
	list_order: 1
	template
		sections
			--
				name: header
				type: freeform
				title: Header
				height: 187
				elements
					--
						x: 20
						y: 95
						type: field
						width: 495
						height: 20
						field: name
						url: ""
						align: left
						number_align: left
						font: sans
						size: "14"
						line_height: "1.0"
						adjust: false
						page_break: false
						bold: false
						italic: false
						color: "000000"
						background: ffffff
						border_color: "000000"
						border_width: "0"
					--
						x: 20
						y: 115
						type: field
						width: 495
						height: 20
						field: tax_information
						url: ""
						align: left
						number_align: left
						font: sans
						size: "14"
						line_height: "1.0"
						adjust: false
						page_break: false
						bold: false
						italic: false
						color: "000000"
						background: ffffff
						border_color: "000000"
						border_width: "0"
					--
						x: 20
						y: 135
						type: field
						width: 495
						height: 45
						field: billing_address
						url: ""
						align: left
						number_align: left
						font: sans
						size: "14"
						line_height: "1.0"
						adjust: true
						page_break: false
						bold: false
						italic: false
						color: "000000"
						background: ffffff
						border_color: "000000"
						border_width: "0"
					--
						x: 0
						y: 0
						type: image
						width: 315
						height: 70
						src: http://localhost/claro/include/images/iah/1crm-pdfhead.png
						pdf_logo: true
					--
						x: 430
						y: 20
						type: text
						width: 320
						height: 35
						text: Account Statement
						url: ""
						align: center
						font: sans
						size: "18"
						line_height: "1.0"
						adjust: false
						page_break: false
						bold: false
						italic: false
						background: ffffff
						color: "000000"
						border_color: "000000"
						border_width: "0"
			--
				name: invoice_info
				type: table
				title: Invoice Info
				columns
					--
						width: 101
						field: number
						vname: LBL_SAMPLE_INVOICE_NUMBER
						align: left
						header_align: left
					--
						width: 99
						field: due_date
						vname: LBL_SAMPLE_DUE_DATE
						align: left
						header_align: left
					--
						width: 480
						field: subject
						vname: LBL_SAMPLE_INVOICE_SUBJECT
						align: left
						header_align: left
					--
						width: 109
						field: amount
						vname: LBL_SAMPLE_INVOICE_AMOUNT
						align: left
						header_align: left
			--
				name: invoice_payments_header
				type: freeform
				title: Payments Header
				height: 30
				elements
					--
						x: 0
						y: 5
						type: text
						width: 800
						height: 20
						vname: LBL_PDF_PAYMENTS
						url: ""
						align: center
						font: sans
						size: "16"
						line_height: "1.0"
						adjust: false
						page_break: false
						bold: true
						italic: false
						background: ffffff
						color: "000000"
						border_color: "000000"
						border_width: "0"
			--
				name: payments_list
				type: table
				title: Payments List
				columns
					--
						width: 125
						field: date
						vname: LBL_SAMPLE_PAYMENY_DATE
						align: left
						header_align: left
					--
						width: 127
						field: payment_id
						vname: LBL_SAMPLE_PAYMENT_ID
						align: left
						header_align: left
					--
						width: 190
						field: payment_ref
						vname: LBL_SAMPLE_PAYMENT_REF
						align: left
						header_align: left
					--
						width: 158
						field: type
						vname: LBL_SAMPLE_PAYMENT_TYPE
						align: left
						header_align: left
					--
						width: 147
						field: amount
						vname: LBL_SAMPLE_PAYMENT_AMOUNT
						align: left
						header_align: left
				offset: 40
			--
				name: credit_payments_header
				type: freeform
				title: Credits Header
				height: 30
				elements
					--
						x: 0
						y: 5
						type: text
						width: 800
						height: 20
						vname: LBL_PDF_CREDITS
						url: ""
						align: center
						font: sans
						size: "16"
						line_height: "1.0"
						adjust: false
						page_break: false
						bold: true
						italic: false
						background: ffffff
						color: "000000"
						border_color: "000000"
						border_width: "0"
			--
				name: credits_list
				type: table
				title: Credits List
				columns
					--
						width: 96
						field: date
						vname: LBL_SAMPLE_CREDIT_DATE
						align: left
						header_align: left
					--
						width: 108
						field: number
						vname: LBL_SAMPLE_CREDIT_NUMBER
						align: left
						header_align: left
					--
						width: 398
						field: subject
						vname: LBL_SAMPLE_CREDIT_SUBJECT
						align: left
						header_align: left
					--
						width: 148
						field: amount
						vname: LBL_SAMPLE_CREDIT_AMOUNT
						align: left
						header_align: left
				offset: 40
			--
				name: invoice_footer
				type: freeform
				title: Invoice Footer
				height: 35
				columns
				elements
					--
						x: 595
						y: 10
						type: field
						width: 205
						height: 20
						field: amount_due
						url: ""
						align: left
						number_align: left
						font: sans
						size: "14"
						line_height: "1.0"
						adjust: false
						page_break: false
						bold: false
						italic: false
						color: "000000"
						background: ffffff
						border_color: "000000"
						border_width: "0"
					--
						x: 410
						y: 10
						type: text
						width: 180
						height: 20
						vname: LBL_PDF_AMOUNT_DUE
						url: ""
						align: right
						font: sans
						size: "14"
						line_height: "1.0"
						adjust: false
						page_break: false
						bold: true
						italic: false
						background: ffffff
						color: "000000"
						border_color: "000000"
						border_width: "0"
					--
						x: 0
						y: 5
						type: line
						width: 800
						height: 20
						line_width: 2
						color: "000000"
			--
				name: footer
				data_id: header
				type: freeform
				title: Footer
				height: 44
				elements
					--
						x: 595
						y: 20
						type: field
						width: 205
						height: 20
						field: balance
						url: ""
						align: left
						number_align: left
						font: sans
						size: "14"
						line_height: "1.0"
						adjust: false
						page_break: false
						bold: false
						italic: false
						color: "000000"
						background: ffffff
						border_color: "000000"
						border_width: "0"
					--
						x: 415
						y: 20
						type: text
						width: 175
						height: 20
						vname: LBL_PDF_BALANCE
						url: ""
						align: right
						font: sans
						size: "14"
						line_height: "1.0"
						adjust: false
						page_break: false
						bold: true
						italic: false
						background: ffffff
						color: "000000"
						border_color: "000000"
						border_width: "0"
					--
						x: 0
						y: 5
						type: line
						width: 800
						height: 20
						line_width: "5"
						color: "000000"

--
	name: Default Billing Status
	vname: LBL_DEFAULT_SALES_ORDER_BILLING_STATUS
	template_type: billing_status
	template_module: SalesOrders
	list_order: 2
	template
		sections
			--
				name: header
				type: freeform
				title: Order Header
				height: 157
				elements
					--
						x: 0
						y: 0
						type: image
						width: 315
						height: 70
						pdf_logo: true
					--
						x: 515
						y: 0
						type: text
						width: 215
						height: 25
						text: Sales Order
						font: sans
						size: 18
						adjust: false
						vname: LBL_PDF_SALESORDER_TITLE
						align: center
					--
						x: 475
						y: 30
						type: text
						width: 110
						height: 20
						text: Order Number:
						font: sans
						size: 14
						adjust: true
						vname: LBL_PDF_SO_NUMBER
					--
						x: 595
						y: 30
						type: field
						width: 195
						height: 20
						field: number
						font: sans
						size: 14
						adjust: true
					--
						x: 475
						y: 50
						type: text
						width: 110
						height: 20
						text: Order Date:
						font: sans
						size: 14
						adjust: true
						vname: LBL_PDF_ORDER_DATE
					--
						x: 595
						y: 50
						type: field
						width: 195
						height: 20
						field: date
						font: sans
						size: 14
						adjust: true
					--
						x: 475
						y: 70
						type: text
						width: 110
						height: 20
						text: Terms:
						font: sans
						size: 14
						adjust: true
						vname: LBL_PDF_TERMS
					--
						x: 595
						y: 70
						type: field
						width: 195
						height: 20
						field: terms
						font: sans
						size: 14
						adjust: true
					--
						x: 475
						y: 90
						type: text
						width: 110
						height: 20
						text: Due Date
						font: sans
						size: 14
						adjust: false
						vname: LBL_PDF_DUE_DATE
					--
						x: 595
						y: 90
						type: field
						width: 195
						height: 20
						field: date_due
						font: sans
						size: 14
						adjust: false
					--
						x: 475
						y: 110
						type: text
						width: 110
						height: 20
						text: Sales Person:
						font: sans
						size: 14
						adjust: true
						vname: LBL_PDF_SALES_PERSON
					--
						x: 595
						y: 110
						type: field
						width: 195
						height: 20
						field: sales_person
						font: sans
						size: 14
						adjust: true
					--
						x: 475
						y: 130
						type: text
						width: 110
						height: 20
						text: Purchase Order:
						font: sans
						size: 14
						adjust: true
						vname: LBL_PDF_PO_NUMBER
					--
						x: 595
						y: 130
						type: field
						width: 195
						height: 20
						field: purchase_order_num
						font: sans
						size: 14
						adjust: true
					--
						x: 10
						y: 105
						type: text
						width: 210
						height: 20
						text: Bill To
						font: sans
						size: 16
						adjust: false
						vname: LBL_PDF_BILL_TO
					--
						x: 20
						y: 130
						type: field
						width: 200
						height: 20
						field: billing_address
						font: sans
						size: 14
						adjust: true
						line_height: 1.2
					--
						x: 230
						y: 105
						type: text
						width: 210
						height: 20
						text: Ship To
						font: sans
						size: 16
						adjust: false
						vname: LBL_PDF_SHIP_TO
					--
						x: 240
						y: 130
						type: field
						width: 200
						height: 20
						field: shipping_address
						font: sans
						size: 14
						adjust: true
						line_height: 1.2
				vname: LBL_SKEL_HEADER
			--
				name: group_header
				type: freeform
				title: Group Header
				height: 30
				elements
					--
						x: 10
						y: 5
						type: field
						width: 780
						height: 20
						field: group_name
						font: sans
						size: 16
						adjust: false
				vname: LBL_SKEL_GROUP_HEADER
			--
				name: group_items
				type: table
				title: Group Items
				columns
					--
						width: 66
						field: number
						label: "#"
						vname: LBL_PDF_INDEX
					--
						width: 82
						field: quantity
						label: Qty
						vname: LBL_PDF_QUANTITY
					--
						width: 433
						field: product
						label: Product
						vname: LBL_PDF_PRODUCT
					--
						width: 114
						field: unitprice
						label: Unit Price
						vname: LBL_PDF_UNITPRICE
						align: right
					--
						width: 94
						field: extprice
						label: Ext. Price
						vname: LBL_PDF_EXTPRICE
						align: right
				header_font: sans
				header_font_size: 11
				cell_font: sans
				cell_font_size: 11
				vname: LBL_SKEL_GROUP_ITEMS
			--
				name: group_totals_header
				type: freeform
				title: Group Totals Header
				height: 30
				elements
					--
						x: 435
						y: 5
						type: text
						width: 185
						height: 20
						text: Group Totals
						font: sans
						size: 16
						adjust: false
						vname: LBL_GROUP_TOTALS
				vname: LBL_SKEL_GROUP_TOTALS_HEADER
			--
				name: group_totals
				type: freeform
				title: Group Totals Row
				height: 15
				elements
					--
						x: 460
						y: 0
						type: field
						width: 195
						height: 15
						field: total_name
						font: sans
						size: 14
						adjust: true
						align: right
					--
						x: 660
						y: 0
						type: field
						width: 125
						height: 15
						field: total_value
						font: sans
						size: 14
						adjust: false
						align: right
				vname: LBL_SKEL_GROUP_TOTALS
			--
				name: group_footer
				data_id: group_header
				type: freeform
				title: Group Footer
				height: 21
				elements
				vname: LBL_SKEL_GROUP_FOOTER
			--
				name: quote_totals_header
				type: freeform
				title: Order Totals Header
				height: 35
				elements
					--
						x: 5
						y: 5
						width: 780
						type: line
					--
						x: 435
						y: 10
						type: text
						width: 185
						height: 20
						text: Order Totals
						font: sans
						size: 16
						adjust: false
						vname: LBL_GRAND_TOTALS
				vname: LBL_SKEL_QUOTE_TOTALS_HEADER
			--
				name: quote_totals
				type: freeform
				title: Order Totals Row
				height: 15
				elements
					--
						x: 460
						y: 0
						type: field
						width: 195
						height: 15
						field: total_name
						font: sans
						size: 14
						adjust: true
						align: right
					--
						x: 660
						y: 0
						type: field
						width: 125
						height: 15
						field: total_value
						font: sans
						size: 14
						adjust: false
						align: right
				vname: LBL_SKEL_QUOTE_TOTALS
			--
				name: invoices_header
				type: freeform
				title: Invoices List Header
				height: 25
				elements
					--
						x: 10
						y: 0
						type: text
						width: 220
						height: 25
						text: Milestone Invoices
						url: ""
						align: left
						font: sans
						size: "18"
						line_height: "1.0"
						adjust: false
						page_break: false
						bold: false
						italic: false
						background: ffffff
						color: "000000"
						border_color: "000000"
						border_width: "0"
                vname: LBL_SKEL_INVOICES_HEADER
			--
				name: invoices_table
				type: table
				title: Invoices List
				columns
					--
						width: 78
						field: invoice_date
						label: Invoice Date
						align: left
						header_align: left
                        vname: LBL_PDF_INVOICE_DATE
					--
						width: 66
						field: invoice_number
						label: "#"
						align: left
						header_align: left
                        vname: LBL_PDF_INVOICE_NUMBER
					--
						width: 129
						field: pretax_amount
						label: Pretax Amount
						align: right
						header_align: right
                        vname: LBL_PDF_INVOICE_PRETAX_AMOUNT
					--
						width: 129
						field: tax_amount
						label: Tax Amount
						align: right
						header_align: right
                        vname: LBL_PDF_INVOICE_TAX_AMOUNT
					--
						width: 129
						field: shipping_amount
						label: Shipping Amount
						align: right
						header_align: right
                        vname: LBL_PDF_INVOICE_SHIPPING_AMOUNT
					--
						width: 129
						field: total_amount
						label: Total Amount
						align: right
						header_align: right
                        vname: LBL_PDF_INVOICE_TOTAL_AMOUNT
					--
						width: 129
						field: paid_amount
						label: Paid Amount
						align: right
						header_align: right
                        vname: LBL_PDF_INVOICE_PAID_AMOUNT
				header_font: sans
				header_font_size: "11"
				cell_font: sans
				cell_font_size: "11"
				cell_border_width: "0"
				cell_border_color: "000000"
				color: "000000"
				odd_background: ffffff
				even_background: ececec
				header_background: c8c8c8
				header_color: "000000"
				header_border_width: "1"
				header_border_color: "000000"
				header_bold: true
				offset: 0
                vname: LBL_SKEL_INVOICES_TABLE
			--
				name: invoices_footer
				type: freeform
				title: Invoices List Footer
				height: 25
				elements
					--
						x: 5
						y: 5
						type: text
						width: 110
						height: 20
						text: Total
						url: ""
						align: left
						font: sans
						size: "14"
						line_height: "1.0"
						adjust: false
						page_break: false
						bold: false
						italic: false
						background: ffffff
						color: "000000"
						border_color: "000000"
						border_width: "0"
                        vname: LBL_PDF_INVOICE_TOTAL
					--
						x: 154
						y: 5
						type: field
						width: 120
						height: 20
						field: total_pretax
						url: ""
						align: right
						number_align: right
						font: sans
						size: "12"
						line_height: "1.0"
						adjust: false
						page_break: false
						bold: false
						italic: false
						color: "000000"
						background: ffffff
						border_color: "000000"
						border_width: "0"
					--
						x: 283
						y: 5
						type: field
						width: 120
						height: 20
						field: total_tax
						url: ""
						align: right
						number_align: right
						font: sans
						size: "12"
						line_height: "1.0"
						adjust: false
						page_break: false
						bold: false
						italic: false
						color: "000000"
						background: ffffff
						border_color: "000000"
						border_width: "0"
					--
						x: 412
						y: 5
						type: field
						width: 120
						height: 20
						field: total_shipping
						url: ""
						align: right
						number_align: right
						font: sans
						size: "12"
						line_height: "1.0"
						adjust: false
						page_break: false
						bold: false
						italic: false
						color: "000000"
						background: ffffff
						border_color: "000000"
						border_width: "0"
					--
						x: 541
						y: 5
						type: field
						width: 120
						height: 20
						field: total_amount
						url: ""
						align: right
						number_align: right
						font: sans
						size: "12"
						line_height: "1.0"
						adjust: false
						page_break: false
						bold: false
						italic: false
						color: "000000"
						background: ffffff
						border_color: "000000"
						border_width: "0"
					--
						x: 670
						y: 5
						type: field
						width: 120
						height: 20
						field: total_paid
						url: ""
						align: right
						number_align: right
						font: sans
						size: "12"
						line_height: "1.0"
						adjust: false
						page_break: false
						bold: false
						italic: false
						color: "000000"
						background: ffffff
						border_color: "000000"
						border_width: "0"
					--
						x: 0
						y: 0
						type: line
						width: 790
						height: 20
						line_width: 2
						color: "000000"
                vname: LBL_SKEL_INVOICES_FOOTER
			--
				name: invoices_summary
				type: freeform
				title: Invoices List Summary
				height: 30
				elements
					--
						x: 5
						y: 5
						type: text
						width: 110
						height: 15
						text: Balance
						url: ""
						align: left
						font: sans
						size: "12"
						line_height: "1.0"
						adjust: false
						page_break: false
						bold: false
						italic: false
						background: ffffff
						color: "000000"
						border_color: "000000"
						border_width: "0"
                        vname: LBL_PDF_INVOICE_SUMMARY
					--
						x: 5
						y: 25
						type: text
						width: 130
						height: 15
						text: Amount Due
						url: ""
						align: left
						font: sans
						size: "12"
						line_height: "1.0"
						adjust: false
						page_break: false
						bold: true
						italic: false
						background: ffffff
						color: "000000"
						border_color: "000000"
						border_width: "0"
                        vname: LBL_PDF_INVOICE_AMOUNT_DUE
					--
						x: 665
						y: 25
						type: field
						width: 125
						height: 15
						field: amount_due_sum
						url: ""
						align: right
						number_align: right
						font: sans
						size: "12"
						line_height: "1.0"
						adjust: false
						page_break: false
						bold: true
						italic: false
						color: "000000"
						background: ffffff
						border_color: "000000"
						border_width: "0"
					--
						x: 154
						y: 5
						type: field
						width: 120
						height: 15
						field: pretax_sum
						url: ""
						align: right
						number_align: right
						font: sans
						size: "12"
						line_height: "1.0"
						adjust: false
						page_break: false
						bold: false
						italic: false
						color: "000000"
						background: ffffff
						border_color: "000000"
						border_width: "0"
					--
						x: 283
						y: 5
						type: field
						width: 120
						height: 15
						field: tax_sum
						url: ""
						align: right
						number_align: right
						font: sans
						size: "12"
						line_height: "1.0"
						adjust: false
						page_break: false
						bold: false
						italic: false
						color: "000000"
						background: ffffff
						border_color: "000000"
						border_width: "0"
					--
						x: 412
						y: 5
						type: field
						width: 120
						height: 15
						field: shipping_sum
						url: ""
						align: right
						number_align: right
						font: sans
						size: "12"
						line_height: "1.0"
						adjust: false
						page_break: false
						bold: false
						italic: false
						color: "000000"
						background: ffffff
						border_color: "000000"
						border_width: "0"
					--
						x: 540
						y: 5
						type: field
						width: 120
						height: 15
						field: amount_sum
						url: ""
						align: right
						number_align: right
						font: sans
						size: "12"
						line_height: "1.0"
						adjust: false
						page_break: false
						bold: false
						italic: false
						color: "000000"
						background: ffffff
						border_color: "000000"
						border_width: "0"
					--
						x: 0
						y: 0
						type: line
						width: 790
						height: 20
						line_width: 2
						color: "000000"
                vname: LBL_SKEL_INVOICES_SUMMARY
			--
				name: notes
				data_id: header
				type: freeform
				title: Notes
				height: 55
				elements
					--
						x: 10
						y: 5
						type: text
						width: 160
						height: 20
						text: Notes
						font: sans
						size: 16
						adjust: false
						vname: LBL_PDF_NOTES
					--
						x: 20
						y: 30
						type: field
						width: 760
						height: 20
						field: description
						font: sans
						size: 12
						adjust: true
				vname: LBL_SKEL_NOTES
			--
				name: terms
				data_id: header
				type: freeform
				title: Terms
				height: 35
				elements
					--
						x: 20
						y: 10
						type: field
						width: 760
						height: 20
						field: standard_terms
						font: sans
						size: 11
						adjust: true
				vname: LBL_SKEL_TERMS
			--
				name: footer
				data_id: header
				type: freeform
				title: Order Footer
				height: 20
				elements
				vname: LBL_SKEL_FOOTER
