<?php return; /* no output */ ?>

detail
	type: bean
	bean_file: modules/PDFTemplates/PDFTemplate.php
	duplicate_merge: false
	table_name: pdf_templates
	primary_key: id
	default_order_by: name
	reportable: false
	display_name: display_name
hooks
	before_save
		--
			class_function: before_save
	after_save
		--
			class_function: after_save
	new_record
		--
			class_function: init_record
fields
	app.id
	app.date_entered
	app.date_modified
	app.modified_user
	app.created_by_user
	app.deleted
	name
		vname: LBL_NAME
		type: name
		len: 150
		required: true
	display_name
		type: name
		vname: LBL_NAME
		required: true
		source
			type: function
			value_function
				- PDFTemplate
				- get_display_name
			fields
				- name
				- vname
	vname
		vname: ""
		type: name
		len: 150
		editable: false
	template_module
		vname: LBL_MODULE
		type: varchar
		required: true
	template_type
		vname: LBL_TYPE
		type: varchar
		len: 100
	template
		type: text
	signing_enabled
		type: bool
		vname: LBL_ENABLE_SIGINIG
	signers
		type: text
		vname: LBL_SIGNERS
	std
		type: bool
		default: 0
	list_order
		vname: LBL_LIST_ORDER
		type: int
		default: 0
		required: true
	page_orientation
		vname: LBL_ORIENTATION
		type: enum
		options: page_orientation_dom
		default: portrait
		options_add_blank: false
	margin_left
		vname: LBL_MARGIN_LEFT
		type: double
		required: false
		no_format_blank: true
	margin_top
		vname: LBL_MARGIN_TOP
		type: double
		required: false
		no_format_blank: true

