<?php
/*
 *
 * The contents of this file are subject to the info@hand Software License Agreement Version 1.3
 *
 * ("License"); You may not use this file except in compliance with the License.
 * You may obtain a copy of the License at <http://1crm.com/pdf/swlicense.pdf>.
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the
 * specific language governing rights and limitations under the License,
 *
 * All copies of the Covered Code must include on each user interface screen:
 * (i) the 1CRM copyright notice,
 * (ii) the "Powered by the 1CRM Engine" logo, 
 *
 * (iii) the "Powered by SugarCRM" logo, and
 * (iv) the SugarCRM copyright notice
 * in the same form as they appear in the distribution.
 * See full license for requirements.
 *
 * The Original Code is : 1CRM Engine proprietary commercial code.
 * The Initial Developer of this Original Code is 1CRM Corp.
 * and it is Copyright (C) 2004-2012 by 1CRM Corp.
 *
 * All Rights Reserved.
 * Portions created by SugarCRM are Copyright (C) 2004-2008 SugarCRM, Inc.;
 * All Rights Reserved.
 *
 */
if(!defined('sugarEntry') || !sugarEntry) die('Not A Valid Entry Point'); 


global $mod_strings;
$module_menu = array();

if (ACLController::checkAccess('Payments', 'edit', true)) $module_menu[]= array(
		"index.php?module=Payments&action=EditView&return_module=Payments&return_action=DetailView&direction=incoming",
		$mod_strings['LNK_NEW_INCOMING_PAYMENT'], "CreatePayments");

if (ACLController::checkAccess('Payments', 'edit', true)) $module_menu[]= array(
		"index.php?module=Payments&action=EditView&return_module=Payments&return_action=DetailView&direction=outgoing",
		$mod_strings['LNK_NEW_OUTGOING_PAYMENT'], "CreatePayments");

if (ACLController::checkAccess('Payments', 'edit', true)) $module_menu[]= array(
		"index.php?module=Payments&action=EditView&return_module=Payments&return_action=DetailView&direction=credit",
		$mod_strings['LNK_NEW_CREDIT_PAYMENT'], "CreatePayments");

if (ACLController::checkAccess('Payments', 'edit', true)) $module_menu[]= array(
		"index.php?module=Payments&action=EditView&return_module=Payments&return_action=DetailView&direction=refund",
		$mod_strings['LNK_NEW_REFUND_PAYMENT'], "CreatePayments");

if (ACLController::checkAccess('Payments', 'list', true)) $module_menu[]= array(
		"index.php?module=Payments&action=index&return_module=Payments&return_action=DetailView&layout=Incoming",
		$mod_strings['LBL_INCOMING_PAYMENTS'], "Payments");

if (ACLController::checkAccess('Payments', 'list', true)) $module_menu[]= array(
		"index.php?module=Payments&action=index&return_module=Payments&return_action=DetailView&layout=Outgoing",
		$mod_strings['LBL_OUTGOING_PAYMENTS'], "Payments");

if (ACLController::checkAccess('Payments', 'list', true)) $module_menu[]= array(
		"index.php?module=Payments&action=index&return_module=Payments&return_action=DetailView&layout=Credit",
		$mod_strings['LBL_CREDIT_PAYMENTS'], "Payments");

if(ACLController::checkAccess('Payments','list', true)) $module_menu['SEARCH'] = Array('#', '<span style="display: none">wp_shortcut_fill_0</span>', '');
else unset($module_menu['SEARCH']);

?>
