<?php return; /* no output */ ?>

detail
    title: LBL_MODULE_TITLE
layout
    scripts
        --
            file: "modules/ProductCatalog/products.js"
        --
            file: "modules/ProductCatalog/product_formulas.js"
    form_hooks
    	oninit: "initProductForm({FORM})"
	summary
    	image: image
		subheader
			fields
				- product_category
				- product_type
		actions
	sections
		--
			id: main
			elements
				- is_available
				- all_stock
                - purchase_name
                - date_available
                - track_inventory
                - model
                - manufacturer
                - supplier
                - manufacturers_part_no
                - vendor_part_no
                - currency
                - weight
                - tax_code
				--
					name: cost
					hidden: !userpref.product_costs
				--
					name: support_cost
					hidden: !userpref.product_costs
                - list_price
                - support_list_price
                - purchase_price
                - support_selling_price
                - pricing_formula
                - support_price_formula
                - ppf_perc
                - support_ppf_perc
                -
                --
                    name: url
                    width: 50
                    len: 255
                    colspan: 2
                --
                    name: description
                    colspan: 2
                --
                    name: description_portal
                    colspan: 2
        --
        	id: estore
        	vname: LBL_ESTORE_HEADER
        	elements
        		- eshop
        		--
        			name: image_url
        			colspan: 2
        		--
        			name: thumbnail_url
        			colspan: 2
        		--
        			name: description_long
        			colspan: 2
	subpanels
		--
			name: pricebooks
			hidden: !license.enterprise
        - warehouses
        - suppliers
        - productattributes

