<?php return; /* no output */ ?>

list
	default_order_by: date_entered desc
	buttons
		print_quotes
			icon: icon-print
			vname: LBL_MASS_PRINT_BUTTON_LABEL
			type: button
			perform: sListView.massPrint('{LIST_ID}')
	massupdate_handlers
		--
			name: PrintTemplate
			class: PDFTemplatePrinter
			file: modules/PDFTemplates/PDFTemplatePrinter.php
view
	pdf_manager
		file: modules/Quotes/QuotePDF.php
		class: QuotePDF
hooks
	view
		--
			class_function: show_sales_popup
			required_fields: [billing_account_id]
	edit
		--
			class_function: show_sales_popup
	after_edit
		--
			class_function: edit_redirect			
basic_filters
	view_closed
	billing_account
filters
	view_closed
		default_value: false
		type: flag
		negate_flag: true
		vname: LBL_VIEW_CLOSED_ITEMS
		field: quote_stage
		operator: not_like
		match: prefix
		value: "Closed "
fields
	billing_address
		vname: LBL_BILLING_ADDRESS
		type: address
		source
			type: address
			prefix: billing_
	shipping_address
		vname: LBL_SHIPPING_ADDRESS
		type: address
		source
			type: address
			prefix: shipping_
	line_items
		vname: LBL_LINE_ITEMS
		widget: TallyWidget
		reportable: false
	default_discount_id
		type: id
		reportable: false
		updateable: true
	default_tax_code_id
		type: id
		reportable: false
		updateable: true
widgets
	TallyWidget
		type: section
		path: modules/Quotes/widgets/TallyWidget.php
notify
	messages
		assigned
			fields
				- quote_stage
				- billing_account
				- amount
				- valid_until
				- approval_problem
				- description
		approved
			inherit: assigned
		rejected
			inherit: assigned
		submitted
			inherit: assigned
