<?php return; /* no output */ ?>

detail
	type: bean
	bean_file: modules/RecordActions/RecordAction.php
	unified_search: false
	duplicate_merge: false
	table_name: record_actions
	primary_key: id
	display_name: type
hooks
	before_save
		--
			class_method: before_save
fields
	app.id
	app.deleted
	app.date_entered
	app.date_modified
	app.assigned_user
    app.created_by_user
    app.modified_user
    type
    	vname: LBL_TYPE
    	type: enum
    	options_function: [RecordAction, get_action_types]
    	len: 25
    	required: true
    	detail_link: true
    	updateable: false
	status
		vname: LBL_STATUS
		type: enum
		options: record_action_status_dom
		len: 25
		default: Not Started
		required: true
		updateable: false
	errmsg
		vname: LBL_ERRMSG
		type: varchar
		updateable: false
	source
		vname: LBL_SOURCE
		type: enum
		options: record_action_source_dom
		len: 25
	action
		vname: LBL_ACTION
		type: enum
		options: workflow_trigger_dom
		len: 25
	sequence
		vname: LBL_SEQUENCE
		type: int
	date_start
		vname: LBL_START_DATE_AND_TIME
		type: datetime
	parent_type
		vname: LBL_PARENT_TYPE
		type: module_name
	parent
		vname: LBL_PARENT
		type: ref
		dynamic_module: parent_type
	related_type
		vname: LBL_RELATED_TYPE
		type: module_name
	related
		vname: LBL_RELATED
		type: ref
		dynamic_module: related_type
	workflow
		vname: LBL_WORKFLOW
		type: ref
		bean_name: Workflow
	wf_action
		vname: LBL_WORKFLOW_ACTION
		type: ref
		bean_name: WFOperation
	params
		vname: LBL_PARAMS
		type: text
	depends_on
		vname: LBL_DEPENDS_ON
		type: ref
		bean_name: RecordAction
    description
    	vname: LBL_DESCRIPTION
    	type: text
	hidden
		vname: LBL_HIDDEN
		type: bool
indices
	idx_parent
		fields
			- parent_type
			- parent_id
	idx_parent_workflow
		fields
			- parent_id
			- workflow_id
