<?php
if(!defined('sugarEntry') || !sugarEntry) die('Not A Valid Entry Point');

function remove_expired_report_runs() {
	global $db;
	require_bean('ReportData');
	if(!defined('inScheduler')) die('Unauthorized access');

	$lq = new ListQuery('Report', array('max_keep', 'name'));
	$lq->addSimpleFilter('max_keep', 0, '>');
	$lq->addSimpleFilter('run_method', 'scheduled');

	$res = $lq->runQuery(0, null, false, null, 50);
	while(! $res->failed) {
		foreach($res as $row) {
			$lq2 = new ListQuery('ReportData', array('id'));
			$lq2->addSimpleFilter('report_id', $row->getField('id'));
			$count = $lq2->fetchResultCount();
			if ($count > $row->getField('max_keep')) {
				$limit = $count - $row->getField('max_keep');
				$lq2->setOrderBy('date_entered');
				$res2 = $lq2->runQuery(0, $limit);
				while(! $res2->failed) {
					foreach($res2 as $row2) {
						$data_id = $row2->getField('id');
						$query = "DELETE FROM reports_data WHERE id='" . $db->quote($data_id) . "'";
						$db->query($query, true);
						ReportData::remove_data_files($data_id);
					}
					if($res2->page_finished)
						break;
					$lq2->pageResult($res2);
				}
			}
		}
		if($res->page_finished)
			break;
		$lq->pageResult($res);
	}
	$query = "DELETE FROM reports_data WHERE deleted = 1";
	$db->query($query, true);
}

