<?php
/*
 *
 * The contents of this file are subject to the info@hand Software License Agreement Version 1.3
 *
 * ("License"); You may not use this file except in compliance with the License.
 * You may obtain a copy of the License at <http://1crm.com/pdf/swlicense.pdf>.
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the
 * specific language governing rights and limitations under the License,
 *
 * All copies of the Covered Code must include on each user interface screen:
 * (i) the 1CRM copyright notice,
 * (ii) the "Powered by the 1CRM Engine" logo,
 *
 * (iii) the "Powered by SugarCRM" logo, and
 * (iv) the SugarCRM copyright notice
 * in the same form as they appear in the distribution.
 * See full license for requirements.
 *
 * The Original Code is : 1CRM Engine proprietary commercial code.
 * The Initial Developer of this Original Code is 1CRM Corp.
 * and it is Copyright (C) 2004-2012 by 1CRM Corp.
 *
 * All Rights Reserved.
 * Portions created by SugarCRM are Copyright (C) 2004-2008 SugarCRM, Inc.;
 * All Rights Reserved.
 *
 */
?><?php return; /* no output */ ?>

detail
	name: LBL_STD_REPORT_COMMISSION_DUE_INVOICE
	run_method: scheduled
	run_interval: 1
	run_interval_unit: months
	primary_module: Commissions
sources
	--
		name: commissions
		display: primary
		module: Commissions
		bean_name: Commission
		required: 1
columns
	--
		field: invoice
		name: invoice
		vname: LBL_INVOICE
		vname_module: Commissions
	--
		field: invoice.billing_account
		name: invoice.billing_account
		vname: LBL_BILLING_ACCOUNT
		vname_module: Invoice
	--
		field: invoice.date_entered
		name: invoice.date_entered
		vname: LBL_DATE_ENTERED
		vname_module: app
	--
		field: invoice.purchase_order_num
		name: invoice.purchase_order_num
		vname: LBL_PURCHASE_ORDER_NUM
		vname_module: Invoice
	--
		field: invoice.amount
		name: invoice.amount
		vname: LBL_AMOUNT
		vname_module: Invoice
	--
		field: invoice.gross_profit
		name: invoice.gross_profit
		vname: LBL_GROSS_PROFIT
		vname_module: Invoice
	--
		field: commission_total
		name: commission_total
		vname: LBL_COMMISSION_TOTAL
		vname_module: Commissions
	--
		field: commission
		name: commission
		vname: LBL_COMMISSION
		vname_module: Commissions
filters
	--
		name: shipping_stage
		field: invoice.shipping_stage
		source: invoice
		operator: any_of
		value: "Delivered"
	--
		field: date_entered
		operator: period_prev
		value: month
