detail
	name: LBL_STD_REPORT_EVENTS_ATTENDANCE
	primary_module: EventSessions
	run_method: manual
	chart_series: ""
sources
	--
		name: t0
		display: primary
		module: EventSessions
		bean_name: EventSession
		link_name: null
	--
		name: attendees
		display: nested
		vname: LBL_ATTENDEES
		vname_module: EventSessions
		module: EventsCustomers
		field_name: attendees
		parent: t0
		link_name: attendees
columns
	--
		field: event
		vname: LBL_LIST_EVENT_NAME
		vname_module: EventSessions
		label: Event Name
		width: 40
		grouped: 1
		show_icon: true
	--
		field: session_number
		vname: LBL_LIST_SESSION_NUMBER
		vname_module: EventSessions
		label: "Session #"
		list_format: separate
		list_position: prefix
		add_fields
			--
				field: event.format
				vname: LBL_FORMAT
				vname_module: Events
				label: Format
				width: 40
	--
		field: event.event_type
		vname: LBL_TYPE
		vname_module: Events
		label: Type
		width: 40
		show_icon: true
	--
		field: date_start
		vname: LBL_LIST_DATE_START
		vname_module: EventSessions
		label: Start
		width: 30
	--
		field: date_end
		vname: LBL_LIST_DATE_END
		vname_module: EventSessions
		label: End
		width: 30
	--
		field: attendee_limit
		vname: LBL_LIST_CAPACITY
		vname_module: EventSessions
		label: Capacity
	--
		field: registrant_count
		vname: LBL_LIST_REGISTRANT_COUNT
		vname_module: EventSessions
		label: Registrants
	--
		name: registered:count
		source: attendees
		field: registered
		vname: LBL_REGISTERED
		vname_module: EventsCustomers
		label: Registered: Count
		total: count
	--
		name: attended:count
		source: attendees
		field: attended
		vname: LBL_ATTENDED
		vname_module: EventsCustomers
		label: Attended: Count
		total: count
filters
	--
		name: filter_text
		field: filter_text
		label: Search Text
	--
		name: filter_owner
		field: filter_owner
		label: Owner
