<?php return; /* no output */ ?>

detail
    title: LBL_MODULE_TITLE
layout
	form_buttons
        convert_po
        	icon: theme-icon create-PurchaseOrder
			vname: LBL_CREATE_PURCHASE_ORDER
			url: ?module=PurchaseOrders&action=EditView&salesorder_id={RECORD}&{RETURN}&return_panel=purchaseorders
			group: convert
		convert_inv
        	icon: theme-icon create-Invoice
			vname: LBL_CREATE_INVOICE
			url: ?module=Invoice&action=EditView&salesorder_id={RECORD}&{RETURN}&return_panel=invoice
			group: convert
		convert_proj
        	icon: theme-icon create-Project
			vname: LBL_CONV_TO_PROJECT
			widget: ConvertProjectButton
			param_name: salesorder_id
			link_name: project
			group: convert
        convert_ship
            icon: theme-icon create-Shipping
            vname: LBL_CREATE_SHIPPING
            url: ?module=Shipping&action=EditView&salesorder_id={RECORD}&{RETURN}&return_panel=shipping
            hidden: bean.so_stage=Closed - Shipped and Invoiced
            group: convert
        gen_final_invoice
            icon: theme-icon create-Invoice
            vname: LBL_GEN_FINAL_INVOICE
            url: ?module=Invoice&action=EditView&layout=Standard&from_so_id={RECORD}&final=1&{RETURN}&return_panel=invoice
            hidden: bean.so_stage=Closed - Shipped and Invoiced
	summary
		header
			fields
				- full_number
				- name
		subheader
			fields
				- so_stage
		meta
			fields
				--
					name: partner
					show_label: false
		notes
			fields
				- description
	sections
		--
			id: main
			elements
				- due_date
				- opportunity
				- terms
				- related_quote
				- delivery_date
				- purchase_order_num
		--
			id: address_information
			elements
				--
					name: billing_address
					copy_to: shipping_address
				--
					name: shipping_address
					copy_to: billing_address
		--
			id: price_ship
			column_titles
				- LBL_PRICING_INFO
				- LBL_SHIPPING_INFO
			elements
				- currency
				- tax_information
				--
					name: pricebook
					hidden: !license.enterprise
				--
                    name: tax_exempt
                    onchange: "TallyEditor.tax_exempt_changed(this);"
				- shipping_provider
				--
                    name: discount_before_taxes
                    onchange: "TallyEditor.tax_discount_changed(this);"
                - gross_profit_so
		- line_items
		--
			id: pdf_print
			vname: LBL_PDF_OUTPUT_OPTIONS
			elements
				- show_components
				- show_list_prices
    subpanels
        - activities
        - history
		--
			name:  signed_documents
			title: LBL_SIGNED_DOCUMENTS_SUBPANEL_TITLE
			no_create : true
			show_config_panel_link: false
        - invoice
        - purchaseorders
        - shipping
		--
			name: comms
			hidden: config.company.commission_module!=SalesOrders
