<?php

class  SigningProjectFields {
	static function calculateFields($src) {
		$w = json_decode($src, true);
		return [
			'total_actions' => array_get_default($w, 'totalActions'),
			'remaining_actions' => array_get_default($w, 'remainingActions'),
		];
	}

	static function getFieldValue($spec, $fmt) {
		$values = self::calculateFields($spec['raw_values']['project_source']);
		$target_spec = array_get_default($spec, 'target_spec', []);
		return $fmt->formatRowValue(
			$target_spec,
			$values, 
			array_get_default($values, array_get_default($spec, 'name'))
		);
	}
}

