<?php return; /* no output */ ?>

detail
	type: bean
	bean_file: modules/SigningProjects/SigningProject.php
	unified_search: false
	duplicate_merge: false
	comment: Signing Projects
	table_name: signing_projects
	primary_key: id
	default_order_by: name
	display_name: name
fields
	app.id
	app.deleted
	app.date_entered
	app.date_modified
	app.modified_user
	app.assigned_user
	app.created_by_user
	name
		type: name
		len: 200
		vname: LBL_NAME
		required: true
		unified_search: true
	description
		type: text
		vname: LBL_DESCRIPTION
	workflow_id
		type: char
		len: 50
	linked_document
		type: ref
		bean_name: Document
		vname: LBL_DOCUMENT
	project_source
		type: text
	audit_trail
		vname: LBL_AUDIT_TRAIL
		type: file_ref
	workflow_status
		vname: LBL_WORKFLOW_STATUS
		vname_module: SigningProjects
		type: enum
		options: signing_project_status_dom
		editable: false
	parallel_actions
		vname: LBL_PARALLEL_ACTIONS
		type: bool
		editable: false
	expires_on
		vname: LBL_EXPIRES_ON
		type: datetime
		editable: false

indices
	idx_signing_project_wf_id
		fields
			- workflow_id
	idx_signing_project_name
		fields
			- name
			- deleted
