<?php return; /* no output */ ?>

list
hooks
	view
		--
			class_function: show_service_popup
			required_fields: [account_id]
	edit
		--
			class_function: show_service_popup
			required_fields: [account_id]
auto_filters
    account_id
basic_filters
	- account
filters
	is_active
		operator: =
		options_add_blank: true
fields
	status
		vname: LBL_STATUS
		type: status_color
		source
			type: subselect
			class: SubContract
			function: status_subselect
	prepaid_balance
		vname: LBL_SUBC_PREPAID_BALANCE
		type: currency
		source
			type: non-db
			class: SubContract
			value_function: [SubContract, convert_balance]
			fields: [id]
	total_purchase
		vname: LBL_SUBC_TOTAL_PURCHASE
		vname_list: LBL_SUBC_LIST_TOTAL_PURCHASE
		type: currency
		source
			type: non-db
			value_function: [SubContract, calc_total_purchase]
            fields: [id]
	total_support_cost
		vname: LBL_SUBC_TOTAL_SUPPORT_COST
		vname_list: LBL_SUBC_LIST_TOTAL_SUPPORT_COST
		type: currency
		source
			type: non-db
			value_function: [SubContract, calc_total_support]
            fields: [id]
notify
	messages
		expire_warn
			fields
				- contract_type
				- account
				- customer_contact
				- date_start
				- date_expire
				- description
		expired
			inherit: expire_warn
