<?php
if(!defined('sugarEntry') || !sugarEntry) die('Not A Valid Entry Point'); 
/*********************************************************************************
 * The contents of this file are subject to the SugarCRM Public License Version
 * 1.1.3 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.sugarcrm.com/SPL
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * All copies of the Covered Code must include on each user interface screen:
 *    (i) the "Powered by SugarCRM" logo and
 *    (ii) the SugarCRM copyright notice
 * in the same form as they appear in the distribution.  See full license for
 * requirements.
 *
 * The Original Code is: SugarCRM Open Source
 * The Initial Developer of the Original Code is SugarCRM, Inc.
 * Portions created by SugarCRM are Copyright (C) 2004-2006 SugarCRM, Inc.;
 * All Rights Reserved.
 * Contributor(s): ______________________________________.
 ********************************************************************************/
/*********************************************************************************

 * Description: Subscriptions module Menu items
 * Portions created by SugarCRM are Copyright (C) SugarCRM, Inc.
 * All Rights Reserved.
 * Contributor(s): w.barath
 ********************************************************************************/

global $mod_strings, $app_strings;

// FIXME: Production ACL checks
if (ACLController::checkAccess('Subscriptions', 'list', true)) {
	$module_menu[]=Array(
		"index.php?module=Subscriptions&action=index&return_module=Subscriptions&return_action=DetailView",
		translate('LNK_SUBSCRIPTION_LIST', 'Subscriptions'),"Subscriptions", 'Subscriptions');
	$module_menu[]=Array(
		"index.php?module=SubscriptionPlans&action=index",
		translate('LNK_PLANS', 'Subscriptions'),"SubscriptionPlans", 'SubscriptionPlans');
	$module_menu[]=Array(
		"index.php?module=SubscriptionAddons&action=index",
		translate('LNK_ADDONS', 'Subscriptions'),"SubscriptionAddons", 'SubscriptionAddons');
	$module_menu[]=Array(
		"index.php?module=SubscriptionOptions&action=index",
		translate('LNK_OPTIONS', 'Subscriptions'),"SubscriptionOptions", 'SubscriptionOptions');
	$module_menu[]=Array(
		"index.php?module=SubscriptionCoupons&action=index",
		translate('LNK_COUPONS', 'Subscriptions'),"SubscriptionCoupons", 'SubscriptionCoupons');
	$module_menu[]=Array(
		"index.php?module=CustomerLevels&action=index",
		translate('LNK_LEVELS', 'Subscriptions'),"CustomerLevels", 'CustomerLevels');
}

