<?php; return true; ?>

groups
    subscription-manager
        title: "Subscription Manager"
        docs: "Subscription Management Endpoint"
		comment: "Actions ie create / update / pause / cancel"
		hidden: true
    subscription-meta
        title: "Subscription Metadata"
        docs: "Subscription Metadata Endpoint"
        comment: "Full subscription descriptors"
		hidden: true
    subscription-events
        title: "Subscription Events"
        docs: "Subscription Events Endpoint"
        comment: "Inbound state notifications from Payment Processors"
		hidden: true

endpoints
    --
        file: modules/Subscriptions/API/Subscription/AddCard.php
        class: OneCRM\API\Subscription\AddCard
        group: subscription-manager
    --
        file: modules/Subscriptions/API/Subscription/SignupInfo.php
        class: OneCRM\API\Subscription\SignupInfoEndpoint
        group: subscription-manager
    --
        file: modules/Subscriptions/API/Subscription/CreateSubscription.php
        class: OneCRM\API\Subscription\CreateSubscription
        group: subscription-manager
    --
        file: modules/Subscriptions/API/Subscription/CancelSubscription.php
        class: OneCRM\API\Subscription\CancelSubscription
        group: subscription-manager
    --
        file: modules/Subscriptions/API/Subscription/CreateCustomer.php
        class: OneCRM\API\Subscription\CreateCustomer
        group: subscription-manager
    --
        file: modules/Subscriptions/API/Subscription/Data.php
        class: OneCRM\API\Subscription\Data
        group: subscription-manager
    --
        file: modules/Subscriptions/API/Subscription/DataRecord.php
        class: OneCRM\API\Subscription\DataRecord
        group: subscription-manager
    --
        file: modules/Subscriptions/API/Subscription/DataRelated.php
        class: OneCRM\API\Subscription\DataRelated
        group: subscription-manager
    --
        file: modules/Subscriptions/API/Subscription/SubscriptionDetails.php
        class: OneCRM\API\Subscription\SubscriptionDetails
        group: subscription-manager
    --
        file: modules/Subscriptions/API/Subscription/Metadata.php
        class: OneCRM\API\Subscription\Metadata
        group: subscription-metadata
    --
        file: modules/Subscriptions/API/Subscription/Events.php
        class: OneCRM\API\Subscription\Events
        group: subscription-events
