<?php return; /* no output */ ?>

detail
	type: bean
	bean_file: modules/SystemMessages/SystemMessage.php
	optimistic_locking: true
	comment:
		System messages are used to display messages to all users or a particular team
	table_name: system_messages
	primary_key: id
	default_order_by: date_entered desc
hooks
	process_list_result
		--
			class_function: load_standard_text
fields
	app.id
	app.date_entered
	app.date_modified
	app.modified_user
	app.assigned_user
	app.created_by_user
	app.deleted
	app.shared_with
	name
		type: name
		vname: LBL_TITLE
		unified_search: true
		required: true
		source
			type: db
			fields
				- std_filename
	body
		type: html
		vname: LBL_MESSAGE_BODY
		source
			type: db
			fields
				- std_filename
	auto_display
		type: bool
		vname: LBL_AUTO_DISPLAY
		default: true
	std_filename
		type: varchar
		len: 150
		vname: LBL_STD_FILENAME
links
	app.securitygroups
		relationship: securitygroups_sysmessages
indices
	idx_sysmsg_id_del
		fields
			- id
			- deleted
	idx_sysmsg_assigned_del
		fields
			- deleted
			- assigned_user_id
relationships
	securitygroups_sysmessages
		lhs_key: id
		rhs_key: id
		relationship_type: many-to-many
		join_table: securitygroups_records
		join_key_lhs: securitygroup_id
		join_key_rhs: record_id
		relationship_role_column: module
		relationship_role_column_value: SystemMessages
		lhs_bean: SecurityGroup
		rhs_bean: SystemMessage

