<?php return; /* no output */ ?>

detail
	type: bean
	bean_file: modules/Timesheets/Timesheet.php
	unified_search: false
	duplicate_merge: false
	table_name: timesheets
	audit_enabled: true
	primary_key: id
    reportable: true
    record_status: status
hooks
    new_record
        --
            class_function: init_record
    before_save
        --
            class_function: set_name
    after_save
    	--
    		class_function: update_lines_status
fields
	app.id
	app.date_entered
	app.date_modified
	app.assigned_user
	app.modified_user
	app.created_by_user
	app.deleted
	name
		vname: LBL_TIMESHEET_NAME
		type: name
		len: 255
		vname_list: LBL_LIST_NAME
		audited: true
        unified_search: true
	description
		vname: LBL_DESCRIPTION
		audited: true
		type: text
	date_starting
		vname: LBL_DATE_STARTING
		type: date
		required: true
		massupdate: false
		audited: true
		vname_list: LBL_LIST_DATE_STARTING
		updateable: false
	date_ending
		vname: LBL_DATE_ENDING
		type: date
		required: true
		massupdate: false
		audited: true
		vname_list: LBL_LIST_DATE_ENDING
		updateable: false
	timesheet_period
		vname: LBL_TIMESHEET_PERIOD
		type: enum
		options: timesheet_period_dom
		dbType: int
		default: 1
		audited: true
		required: true
		massupdate: false
		editable: false
	status
		vname: LBL_STATUS
		type: status
		options: timesheet_status_dom
		len: 30
		required: true
		audited: true
		massupdate: false
		vname_list: LBL_LIST_STATUS
		default: draft
	total_hours
		vname: LBL_TOTAL_HOURS
		type: float
		audited: true
		dbType: double
		massupdate: false
		vname_list: LBL_LIST_TOTAL_HOURS
links
	app.signed_documents
	booked_hours
		relationship: booked_hours_timesheet
		bean_name: BookedHours
		vname: LBL_BOOKED_HOURS
indices
	timesheet_name_index
		fields
			- name
relationships
	app.signed_documents

