<?php return; /* no output */ ?>

detail
	type: bean
	bean_file: modules/Users/UserReporting.php
	duplicate_merge: false
	table_name: users_reporting
	primary_key: id
	display_name: UserReporting
	default_order_by: date_entered
    reportable: true
fields
    app.id
    app.date_entered
        comment: this will be set to activity start time
	user
		type: ref
		required: true
		bean_name: User
        reportable: true
	end_time
		type: datetime
		required: true
        reportable: true
	duration
		vname: LBL_DURATION
		type: duration
		len: 4
		comment: session duration in seconds
    actions
        vname: LBL_ACTIONS
        type: int
        len: 9
        comment: this is the sum of all actions including login/logout
        reportable: true
	records_read
        vname: LBL_RECORDS_READ
        type: int
        len: 9
        comment: this is the sum of both read and write actions
        reportable: true
    records_written
        vname: LBL_RECORDS_WRITTEN
        type: int
        len: 9
        reportable: true

links
	userreporting_user
		relationship: userreporting_user
		vname: LBL_USER_ACTIVITY_REPORTS
		reportable: true

indices
	activity_time
		fields
			- date_entered
    activity_user
        fields
            - user_id

relationships
    userreporting_user
		lhs_key: user_id
        rhs_key: id
        relationship_type: one-to-one
        lhs_bean: UserReporting
        rhs_bean: User
