<?php return; /* no output */ ?>

detail
    title: LBL_MODULE_TITLE
layout
    form_buttons
        change_password
            vname: LBL_CHANGE_PASSWORD_BUTTON_LABEL
            accesskey: LBL_CHANGE_PASSWORD_BUTTON_KEY
            type: button
            onclick: "open_password_form();"
            acl: edit
            icon: ACL
    form_hooks
        oninit: "setPasswordValidation({FORM}); showHideCertificateVerification({FORM}); smtp_auth_update({FORM}); "
	scripts
		--
			file: "modules/EmailPOP3/wizard.js"
    tabs
		Standard
			vname: LBL_LAYOUT_STANDARD
		Display
			vname: LBL_LAYOUT_DISPLAY
			acl: owner
		Email
			vname: LBL_LAYOUT_EMAIL
			acl: owner
		Integration
			vname: LBL_LAYOUT_INTEGRATION
			acl: owner
		ACL
			vname: LBL_LAYOUT_ACL
			acl: admin
    summary
    	image: photo
    	header
    		fields
                --
                	name: first_name
                	widget: SalutationNameWidget
    			--
    				name: last_name
    				list_format: none
		subheader
    		fields
    			- status
    			--
    				name: user_name
    				width: 25
    				editable: mode.admin
    	actions
    		email
    			fields
    				primary: email1
    				alternate: email2
    		phone
    			fields
    				work: phone_work
    				home: phone_home
    				mobile: phone_mobile
    				other: phone_other
    			# move local_extension here
			skype
				fields
					- skype_id
			web
				fields
					- website
    		social
	sections
        --
            id: user_password
			hidden: ! mode.new_record
			mode: edit
			elements
				- password
				- confirm_password
				- need_new_password
        --
            id: user_info
            vname: LBL_USER_INFORMATION
            elements
                --
                	name: employee_status
                	editable: mode.admin
                - in_directory
				--
					name: multi_fa_settings
					hidden: config.config.is_demo_site
				--
					name: multi_fa_description
					hidden: config.config.is_demo_site
                --
                	name: title
                	editable: mode.admin
                --
                	name: department
                	editable: mode.admin
                --
                	name: reports_to
                	editable: mode.admin
                - location
                - local_extension
                - phone_fax
                --
                    name: description
                    colspan: 2
				- signature_image
        --
            id: required_skills
            vname: LBL_USER_SKILLS
            widget: SkillsWidget
        --
            id: locale_settings
			tab: Display
			vname: LBL_USER_SETTINGS
			columns: 1
			show_descriptions: true
			elements
				- dateformat
				- timeformat
				- timezone
				- user_holidays
				- currency
				- default_number_format
				- default_locale_name_format
				- use_real_names
				- default_address_format
				- week_start_day
				- day_begin_hour
				- day_end_hour
        --
            id: interface_settings
			tab: Display
			vname: LBL_INTERFACE_SETTINGS
			columns: 1
			show_descriptions: true
			elements
				- show_reminders
				- reminder_time
				- default_export_format
				- default_export_charset
				- file_download_mode
        --
            id: layout_settings
            tab: Display
            vname: LBL_LAYOUT_OPTIONS
			columns: 1
			show_descriptions: true
            elements
            	- hide_tabs
            	- max_tabs
            	- max_subtabs
            	- swap_last_viewed
            	- swap_shortcuts
            	- navigation_paradigm
            	- show_footer_module_links
        --
            id: email_settings
			tab: Email
			vname: LBL_MAIL_OPTIONS_TITLE
			elements
				--
					name: receive_notifications
					colspan: 2
				- email_link_type
				- default_email_charset
				- mail_fromname
				- mail_fromaddress
				- mail_autobcc_address
				- signature_id
				- out_of_office
				- signature_prepend
				- email_compose_format
				- email_sound_disable
				- email_display_format
				- show_images
				- trash_cleanup_age
				- inbox_cleanup_age
				- inbox_assoc_cleanup_age
				- sent_cleanup_age
				- sent_assoc_cleanup_age
        --
            id: outbound_email
            tab: Email
            vname: LBL_EMAIL_OUTBOUND_TITLE
			elements
				--
					id: sendmail_disabled
					type: section
					vname: LBL_SENDMAIL_DISABLED
					elements
						- __dummy
					hidden: !config.site.sendmail_disabled
					colspan: 2
				--
					name: email_setup
					widget: EmailAccountSetupWidget
					colspan: 2
					mode: edit
				--
					name: mail_sendtype
					onchange: smtp_security_changed
				--
					id: smtp_settings
					type: section
					toggle_display
						name: mail_sendtype
						value: SMTP
					elements
						--
							name: mail_smtpserver
							onchange: smtp_security_changed
						- mail_smtpport
						--
							name: mail_smtpauth_req
							onchange: smtp_auth_changed
						--
							name: mail_smtpsecurity
							onchange: smtp_security_changed
						--
							name: mail_smtp_verification
							onchange: smtp_security_changed
				--
					type: section
					id: smtp_user
					toggle_display
						name: mail_smtpauth_req
					elements
						- mail_smtpuser
				--
					type: section
					id: smtp_password
					toggle_display
						name: mail_smtpauth_req
						value: "1"
					elements
						--
							name: mail_smtppass
							mode: edit
				--
					type: section
					id: o365_auth
					toggle_display
						name: mail_smtpauth_req
						value: ["o365", "gmail"]
					elements
						- o365_auth_token
        --
			id: calendar_settings
			tab: Integration
			hidden: true
			vname: LBL_CALENDAR_OPTIONS
			columns: 1
			show_descriptions: true
			elements
				- calendar_publish_key

        --
            id: ringcentral
			tab: Integration
			vname: LBL_RINGCENTRAL_SETTINGS
			hidden: config.telephony.integration!=ringcentral
			elements
				- ringcentral_number_direct
				- ringcentral_press_one
				- ringcentral_expand
        --
            id: mobile_calls
			tab: Integration
			vname: LBL_MOBILE_CALL_SETTINGS
			elements
				- mobile_calls

        --
            id: google_account_settings
			tab: Integration
			vname: LBL_GOOGLE_OPTIONS
			columns: 1
			show_descriptions: true
			elements
				--
					name: google_access_token
        --
            id: google_calendar_settings
			tab: Integration
			vname: LBL_GOOGLE_CALENDAR_OPTIONS
			columns: 1
			show_descriptions: true
			elements
				- google_calendar_id
				--
					name: google_calendar_id_desc
					mode: edit
				- google_restrict_since
				- google_calendar_direction
				- google_calendar_meeting
				- google_calendar_call
				- google_calendar_task
        --
            id: google_documents_settings
			tab: Integration
			vname: LBL_GOOGLE_DOCS_OPTIONS
			elements
				- google_docs_direction
				-
				- google_docs_doc
				- google_docs_spreadsheet
				- google_docs_presentation
        --
            id: google_contacts_settings
			tab: Integration
            vname: LBL_GOOGLE_CONTACTS_OPTIONS
			elements
				- google_contacts_direction
				- google_contacts_which
        --
			id: dav_settings
			columns: 1
			tab: Integration
			vname: LBL_DAV_OPTIONS
			show_descriptions: true
			elements
				- dav_password_explanation
				- dav_password_edit
				--
					name: dav_reset_token
					mode: edit
        --
			id: carddav_settings_view
			vdesc: LBL_CARDDAV_DESC
			mode: view
			columns: 1
			tab: Integration
            vname: LBL_CARDDAV_OPTIONS
            hidden: ! config.site.features.carddav_sync_enabled
			elements
				- carddav_contacts_which
				- carddav_create_accounts
				- contacts_principal_url
				- addressbook_url
        --
			id: carddav_settings_edit
			mode: edit
			columns: 1
			tab: Integration
            vname: LBL_CARDDAV_OPTIONS
            hidden: ! config.site.features.carddav_sync_enabled
			elements
				- carddav_contacts_which
				- carddav_create_accounts
        --
			id: caldav_settings_view
			mode: view
			tab: Integration
            vname: LBL_CALDAV_OPTIONS
			vdesc: LBL_CALDAV_DESC
            hidden: ! config.site.features.caldav_sync_enabled
			columns: 1
			elements
				- calendar_principal_url
				- calls_calendar_url
				- meetings_calendar_url
				- tasks_calendar_url
				- caldav_meetings
				- caldav_calls
				- caldav_tasks
        --
			id: caldav_settings_edit
			mode: edit
			tab: Integration
            vname: LBL_CALDAV_OPTIONS
            hidden: ! config.site.features.caldav_sync_enabled
			columns: 1
			elements
				- caldav_meetings
				- caldav_calls
				- caldav_tasks
		--
			id: dropbox
			tab: Integration
			vname: LBL_DROPBOX_OPTIONS
			vdesc: LBL_DROPBOX_OPTIONS_DESC
			columns: 1
			show_descriptions: true
			elements
				- dropbox_auth_status
				- dropbox_auth_token
		--
			id: notarius
			vname: LBL_NOTARIUS_CONFIG
			tab: Integration
			elements
				- notarius_language
				--
				- notarius_signature_type
				- notarius_second_factor
				--
					type: section
					id: notarius_phone_config
					toggle_display
						name: notarius_second_factor
						value: [sms, call]
					elements
						- notarius_phone
				--
					type: section
					id: notarius_question_config
					toggle_display
						name: notarius_second_factor
						value: question
					elements
						- notarius_question
						- notarius_answer
				--
					type: section
					id: notarius_cert_config
					toggle_display
						name: notarius_signature_type
						value: [certifiocloud, certifio]
					elements
						- notarius_subject_dn
		--
			id: zapier
			tab: Integration
            vname: LBL_ZAPIER_OPTIONS
			columns: 1
			elements
				- zapier_templates
        --
            id: acl_settings
            tab: ACL
			vname: LBL_ACCESS_SETTINGS
			columns: 1
			show_descriptions: true
			label_widths: 30%
			widths: 5%
			desc_widths: 65%
			label_position: left
			elements
				- is_admin
				- portal_only
				- noncatalog_products
				- nonstandard_prices
				- manual_discounts
				- standard_discounts
				- product_costs
				- financial_information
        --
            id: acl_roles
            tab: ACL
            vname: LBL_ACL_ROLES
            mode: view
            widget: RolesWidget
    subpanels
        --
        	name: aclroles
			tab: ACL
		--
			name: mailboxes
			tab: Email
