<?php
if(!defined('sugarEntry') || !sugarEntry) die('Not A Valid Entry Point');
/*
 *
 * The contents of this file are subject to the info@hand Software License Agreement Version 1.3
 *
 * ("License"); You may not use this file except in compliance with the License.
 * You may obtain a copy of the License at <http://1crm.com/pdf/swlicense.pdf>.
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the
 * specific language governing rights and limitations under the License,
 *
 * All copies of the Covered Code must include on each user interface screen:
 * (i) the 1CRM copyright notice,
 * (ii) the "Powered by the 1CRM Engine" logo, 
 *
 * (iii) the "Powered by SugarCRM" logo, and
 * (iv) the SugarCRM copyright notice
 * in the same form as they appear in the distribution.
 * See full license for requirements.
 *
 * The Original Code is : 1CRM Engine proprietary commercial code.
 * The Initial Developer of this Original Code is 1CRM Corp.
 * and it is Copyright (C) 2004-2012 by 1CRM Corp.
 *
 * All Rights Reserved.
 * Portions created by SugarCRM are Copyright (C) 2004-2008 SugarCRM, Inc.;
 * All Rights Reserved.
 *
 */

$date = gmdate("Y-m-d", strtotime("yesterday 00:00:00"));

$lq = new ListQuery('Vacation');
$lq->addFilterClause("DATE_ADD(date_start, INTERVAL days-1 DAY) < '$date'");
$lq->addSimpleFilter('status', 'approved', 'eq');
$lq->addSimpleFilter('leave_type', 'vacation', 'like', null, 'prefix');
$result = $lq->fetchAll();

$total = 0;
if($result && ! $result->failed)
foreach($result->getRowIndexes() as $idx) {
	$upd = $result->getRowUpdate($idx);
	$upd->set('status', 'days_taken');
	$upd->validate() && $upd->save();
	if($total ++ > 150) // limit batch size
		break;
}

