<?php
require_once('WooOrder.php');

class WooSalesOrder extends WooOrder {

	/**
	 * WooSalesOrder constructor.
	 *
	 * @param WooRequest $request
	 */
	public function __construct(WooRequest $request) {
		$this->model = 'SalesOrder';
		parent::__construct($request);
	}

	/**
	 * @param array $data
	 *
	 * @return RowUpdate
	 */
	protected function init($data) {
		require_bean($this->model);

		$upd = RowUpdate::blank_for_model($this->model, $this->getAssignedUserId());
		SalesOrder::init_record($upd, $data);

		return $upd;
	}
}