<?php
    // Indicate a valid entry point
	define('sugarEntry', true);
	define('ONECRM_CSRF_PROTECT', 'none');
    // Include initialization
	include 'include/entryPoint.php';
	// Get access to the database object
    global $db;
    // Initialize the phone number
    $intPhoneNumber = -1;
    // First of all, determine the valid phone number
    if (intval($_REQUEST['caller_id']) > 0) {
    	// Use the phone number value
    	$intPhoneNumber = intval($_REQUEST['caller_id']);
	} elseif (intval($_REQUEST['name']) > 0) {
    	// Use the caller id value
    	$intPhoneNumber = intval($_REQUEST['name']);
	}
    // Check that we have a valid number
    if ($intPhoneNumber != -1) {
	    // Valid number, do the search
		$strRegex = '.*' . preg_replace('/./', '\0[^0-9+]*', substr($intPhoneNumber, 0, -1)) . substr($intPhoneNumber, -1) . '\s*$';
        // Initialize the where query
		$strQuery = "
			SELECT
				contacts.id
			FROM
				contacts
			WHERE
				(contacts.phone_work regexp '{$strRegex}'
            OR
            	contacts.phone_home regexp '{$strRegex}'
            OR
            	contacts.phone_mobile regexp '{$strRegex}'
            OR
            	contacts.phone_other regexp '{$strRegex}'
				)
			AND
				contacts.deleted = 0
			LIMIT
				0, 1
			";

		$hResult = $db->query($strQuery, true);
		// Execute the query
        if (($hResult) && ($arRow = $db->fetchByAssoc($hResult))) {
        	// Found a matching contact, redirect to it
			header("Location: index.php?module=Contacts&action=DetailView&record={$arRow['id']}");
			// Nothing else to do
			exit;
		}
        // Initialize the where query
		$strQuery = "
			SELECT
				contacts.id
			FROM
				contacts
			WHERE
				(contacts.phone_work regexp '{$strRegex}'
            OR
            	contacts.phone_home regexp '{$strRegex}'
            OR
            	contacts.phone_mobile regexp '{$strRegex}'
            OR
            	contacts.phone_other regexp '{$strRegex}'
				)
			AND
				contacts.deleted = 0
			LIMIT
				0, 1
			";

		$hResult = $db->query($strQuery, true);
		// Execute the query
        if (($hResult) && ($arRow = $db->fetchByAssoc($hResult))) {
        	// Found a matching contact, redirect to it
			header("Location: index.php?module=Contacts&action=DetailView&record={$arRow['id']}");
			// Nothing else to do
			exit;
		}
        // Initialize the where query
		$strQuery = "
			SELECT
				leads.id
			FROM
				leads
			WHERE
				(leads.phone_work regexp '{$strRegex}'
            OR
            	leads.phone_home regexp '{$strRegex}'
            OR
            	leads.phone_mobile regexp '{$strRegex}'
            OR
            	leads.phone_other regexp '{$strRegex}'
				)
			AND
				leads.deleted = 0
			LIMIT
				0, 1
			";

		$hResult = $db->query($strQuery, true);
		// Execute the query
        if (($hResult) && ($arRow = $db->fetchByAssoc($hResult))) {
        	// Found a matching contact, redirect to it
			header("Location: index.php?module=Leads&action=DetailView&record={$arRow['id']}");
			// Nothing else to do
			exit;
		}
		// If we get to here, no matching record has been found
		echo "No matching record found for the phone number: {$intPhoneNumber}";
	} else {
	    // Indicate an error
	    echo "No valid phone number specified";
	}
?>
