<?php
$vars = array(
	'HEADERLESS_STYLE', 'FOOTER_LINKS', 'FOOTER_ETC' => array(), 'FOOTER_COPYRIGHT',
	'APP_NAME', 'DEV_BRANCH', 'LICENSEE', 'MAX_USERS', 'WARN', 'UPDATES', 'is_demo_site',
	'IAH_INFO_LINK',
);
foreach($vars as $v => $vv) {
	$def = null;
	if(is_int($v)) $v = $vv;
	else $def = $vv;
	$$v = array_get_default($tpl_vars, $v, $def);
}
?>
</main><!-- main body-->
</div><!-- outer body-->

<footer class="footer" style="<?php echo $HEADERLESS_STYLE; ?>">	
	<?php
		if(! empty($FOOTER_LINKS)) echo '<div class="footerBlock footerLinks">' . $FOOTER_LINKS . '</div>';
		if(! empty($FOOTER_ETC['settings'])) echo '<div class="footerBlock footerSettings">' . $FOOTER_ETC['settings'] . '</div>';
		if(! empty($FOOTER_ETC['debug'])) echo '<div class="footerBlock footerDebug">' . $FOOTER_ETC['debug'] . '</div>';
	?>
	<div class="footerBlock footerBottom">
		<div id="bottom-app-name" class="footerAppName">
		<a href="<?php echo $IAH_INFO_LINK; ?>">
			<span class="app-name"><?php echo $APP_NAME; ?>
				<?php if($is_demo_site) echo '['.translate('LBL_DEMO_VERSION', 'app').']'; ?>
				<?php if($DEV_BRANCH) echo '<span class="dev-branch">['.$DEV_BRANCH.']</span>'; ?>
				<?php if($LICENSEE) echo "<span class=\"lic-info\">&bull; $LICENSEE ({$MAX_USERS}U)</span>"; ?>
			</span>
			<?php echo $WARN; ?>
			<?php echo $UPDATES; ?>
		</a></div>
		<?php echo $FOOTER_COPYRIGHT; ?>
	</div>
</footer>

</div><!--all-page-->
