<?php

require_once('include/layout/BaseTheme.php');

class ClaroTheme extends BaseTheme {
	var $theme_name = 'Claro';
	var $custom_max_tabs = -1;
	var $custom_max_subtabs = -1;
	var $hide_dupe_list_shortcuts = true;
	var $texture_support = false;
	var $support_color_styles = false;
	var $support_font_styles = false;

	function __construct($name, $params=null) {
		parent::__construct($name, $params);
		$this->can_set_background = true;
	}

	function get_global_links() {
		global $current_user;
		$l = parent::get_global_links();
		$ban = array('admin', 'myaccount', 'directory', 'logout');
		foreach(array_keys($l) as $key)
			if(in_array($key, $ban) || (! empty($current_user->id) && $key == 'about'))
				unset($l[$key]);
		return $l;
	}
	
}

?>
