function claroApplyBackground() {
	var url = $('personalise_background_url').value;
	if (url != '') {
		localStorage.setItem('claro-background', url);
		location.reload();
	}
}

function claroRemoveBackground() {
	localStorage.removeItem('claro-background');
	location.reload();
}

function themeCustomizeDialog() {
    var html = '<div class="personalise-content card-body dialog-body dialog-pad-body fill">\n' +
        '      <div class="personalise-background">\n' +
        '        <div class="row form-row">\n' +
        '         <div class="column form-cell">\n' +
        '            <div class="form-entry">\n' +
        '              <p class="form-label">\n' +
                            SUGAR.themes.customize_bg_label +
        '              </p>\n' +
        '              <div class="form-value">\n' +
        '                <input type="text" id="personalise_background_url" class="input-text input-block" />\n' +
        '                <div class="form-buttons" style="padding: .4rem .0rem;">\n' +
        '                  <button class="input-button apply-background" onclick="claroApplyBackground();" type="button"><div class="input-icon left icon-accept"></div><span class="input-label">'+mod_string('LBL_SAVE_BUTTON_LABEL')+'</span></button>\n' +
        '                  <button class="input-button remove-background" onclick="claroRemoveBackground();" type="button"><div class="input-icon left icon-cancel"></div><span class="input-label">'+mod_string('LBL_REMOVE')+'</span></button>\n' +
        '                </div>\n' +
        '              </div>\n' +
        '            </div>\n' +
        '          </div>\n' +
        '        </div>\n' +
        '      </div>\n' +
        '    </div>\n';

    var popup = new SUGAR.ui.Dialog('claro_customisation', {width: '400px', height: '450px', title: SUGAR.themes.customize_bg_title});
    popup.destroy_on_close = true;
    popup.setContent(html);
    popup.render();
    popup.show();
}

function claroInit() {
    // assign background
    var background = localStorage.getItem('claro-background');

    if(background != null){
        var css =
            'body { background-image: url("' + background + '") !important}',
            style = document.createElement('style');

        // cross browser stuff
        style.type = 'text/css';
        if (style.styleSheet) {
            style.styleSheet.cssText = css;
        } else {
            style.appendChild(document.createTextNode(css));
        }

        // insert style designating background origin
        document.head.appendChild(style);
    }
}

claroInit();

