<div id="personalise" class="personalise-modal">
  <div class="personalise-wrap card-outer dialog-outer popup-dialog">
    <div class="card-header dialog-header tools-row">
      <div class="dialog-title">
        <h4><?php echo htmlspecialchars(translate('LBL_CUSTOMIZE_THEME', 'Administration')) ?></h4>
      </div>
      <div onclick="window.location.href=window.location.href + '-closed'" class="uii uii-md uii-cancel active-icon dialog-close"></div>
    </div>
    <div class="personalise-content card-body dialog-body dialog-pad-body fill">
      <div class="personalise-background">
        <div class="row form-row">
      	  <div class="column form-cell">
            <div class="form-entry">
              <p class="form-label">
                <?php echo htmlspecialchars(translate('LBL_CUSTOMIZE_BACKGROUND', 'Administration')) ?>
              </p>
              <div class="form-value">
                <input type="text" id="personalise_background_url" class="input-text input-block" />
                <div class="form-buttons">
                  <button class="input-button apply-background" onclick="flexApplyBackground()" type="button"><div class="input-icon left icon-accept"></div><span class="input-label"><?php echo htmlspecialchars(translate('LBL_SAVE_BUTTON_LABEL')) ?></span></button>
                  <button class="input-button remove-background" onclick="flexRemoveBackground()" type="button"><div class="input-icon left icon-cancel"></div><span class="input-label"><?php echo htmlspecialchars(translate('LBL_REMOVE')) ?></span></button>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div class="personalise-colors">
          <?php $schemeGroups = array('COLORS', 'NATURE', 'ACTIVE') ?>
          <?php if ($schemeGroups) : foreach ($schemeGroups as $groupName) : $■['groupName'] = $groupName; ?>
          <div class="row form-row">
          <div class="column form-cell">
            <p class="form-label">
              <?php echo htmlspecialchars(translate(add('LBL_CUSTOMIZE_COLORSCHEME_', $groupName), 'Administration')) ?>
            </p>
          </div>
          </div>
          <div class="colorschemes row form-row">
            <?php for ($i = 1; $i < 5; $i++) : ?>
            <?php if ($colorschemes) : foreach ($colorschemes as $scheme) : $■['scheme'] = $scheme; ?>
            <?php if ($scheme['group'] == $groupName) : ?>
            <?php if ($scheme['order'] == $i) : ?>
            <?php $name = $scheme['id'] ?>
            <div class="column form-cell">
            <div class="scheme-swatch" <?php attr( 'style', $scheme['swatchStyle'], true) ?>
              <?php attr_class('scheme-swatch', $name) ?>>
              <button<?php attr( 'data-scheme', $name, true) ?>
                <?php attr_class('select-scheme', $name) ?> onclick="flexSetStyle(this);">
                <?php echo htmlspecialchars($scheme['name']) ?>
                </button>
              <button<?php attr( 'style', $scheme['invertStyle'], true) ?>
                  <?php attr('data-scheme', add($name, ' invert-scheme'), true) ?>
                  <?php attr_class('select-scheme-invert', $name) ?> onclick="flexSetStyle(this);"></button>
            </div></div>
            <?php endif ?>
            <?php endif ?>
            <?php endforeach; endif ?>
            <?php endfor ?>
        </div>
        <?php endforeach; endif ?>
      </div>
    </div>
  </div>
</div>
<div class="personalise-pageMask"></div>
