<?php

/* given year, month and day, this function returns either empty string,
 * if specified date is not a holiday, or a key to language file.
 */
	function calculate_holiday($year, $month, $day) {
		$weekday = date('w', mktime(0, 0, 0, (int)$month, (int)$day, (int)$year));
		switch ($month) {
			case 1:
				if ($day < 6)
					return "LBL_HDY_NEWYEAR";
				if ($day == 7)
					return "LBL_HDY_CRISTMAS";
				break;
			case 2:
				if ($day == 23)
					return "LBL_HDY_ARMY_DAY";
				break;
			case 3:
				if ($day == 8)
					return "LBL_HDY_WOMEN_DAY";
				break;
			case 5:
				if ($day == 1)
					return "LBL_HDY_LABOR_DAY";
				if ($day == 9)
					return "LBL_HDY_VICTORY_DAY";
				break;
			case 6:
				if ($day == 12)
					return "LBL_HDY_RUSSIA_DAY";
				break;
			case 11:
				if ($day == 4)
					return "LBL_HDY_UNITY_DAY";
				break;
	  }
	  
	  
	  return '';
	}

