<?php return; /* no output */ ?>

product_import_doc_detail
	- <b>Available:</b> A boolean value, default is yes.
	- <b>Category ID:</b> If you know ID of the existing Product Category, you can use it here.
	- <b>Category:</b> The name of the Product Category. Either this field or the Category ID are required.
	- <b>Currency:</b> The ISO 4217 code of the currency, as defined in the Currencies module under Administration. The system default currency is used for missing, blank or unknown values.
	- <b>Date Available:</b> The availability date in your chosen date format.
	- <b>Date Created:</b> The creation date in your chosen date format.
	- <b>Deleted:</b> A boolean value.
	- <b>Description:</b> A single line of text.
	- <b>ID:</b> The ID of an existing Product you are updating.
	- <b>Last Modified:</b> The modification date in your chosen date format.
	- <b>Manufacturer:</b> The name of the Account which manufactures this product.
	- <b>Manufacturer ID:</b> If you know the ID of the existing Manufacturer (Account), you can use it here.
	- <b>Mfr. Part Number:</b> Required field. Text.
	- <b>Model:</b> The name of the Model of this product. It will be created if it does not already exist and the Manufacturer is given.
	- <b>Model ID:</b> If you know the ID of the existing Model, you can use it here.
	- <b>Modified By:</b> The user name or ID of the user who last modified this product.
	- <b>Product Name:</b> Required field. Text.
	- <b>Product URL:</b> Text (URL).
	- <b>Quantity in stock:</b> An integer value.
	- <b>Raw Cost:</b> The product cost as a decimal currency value (currency symbols and other characters are ignored).
	- <b>Raw List Price:</b> The product list price as a decimal currency value.
	- <b>Raw Selling Price:</b> The product selling price as a decimal currency value.
	- <b>Raw Support Cost:</b> The product support cost as a decimal currency value.
	- <b>Raw Support List Price:</b> The product support list price as a decimal currency value.
	- <b>Raw Support Selling Price:</b> The product support selling price as a decimal currency value.
	- <b>Selling Price Formula:</b> The formula for calculating the selling price.<br>May contain one of: "Fixed Price", "Profit Margin", "Markup Over Cost", "Discount from List", or "Same As List".
	- <b>Selling Price Percent Adjustment:</b> A decimal value.
	- <b>Supplier ID:</b> If you know the ID of the existing Supplier, you can use it here.
	- <b>Supplier:</b> The Supplier name. Either this field or the Category ID are required.
	- <b>Support Price Formula:</b> The formula for calculating the support selling price.<br>May contain one of: "Fixed Price", "Profit Margin", "Markup Over Cost", "Discount from List", "Same As List", or "Percent of Selling Price".
	- <b>Support Price Percent Adjustment:</b> A decimal value.
	- <b>Taxable:</b> Can be one of "Taxable", "Non-taxable" or a boolean value. The default is yes (Taxable).
	- <b>Type ID:</b> If you know the ID of the existing Product Type, you can use it here.
	- <b>Type:</b> The name of the Product Type.
	- <b>Vendor Part Number:</b> Text.
	- <b>Weight (lbs.):</b> A decimal value.
	- <b>Weight (oz.):</b> A decimal value.
