<?php ?>

# List of info@hand versions this package can be installed in.
# Current version should match at least one version specified
# by regex_matches or exact_matches
acceptable_sugar_versions
	# regular expressions
	regex_matches
		- 7\.[0]\.[0-9][a-z]?
	# exact version numbers
	# exact_matches
	#	- 7.0.0a
	#	- 7.0.1
# Package name
name: Example module

# Package description
description: Example module

# Package author/publisher
author: Long Reach Corporation

# Package publish date
published_date: 2011-12-20

# Package version
version: 1.0.1

# Package type
type: module

# True if this package can be uninstalled by 
# -  deleting new files created during installation
# -  restoring files overwritten during installation
is_uninstallable: true

# Package ID. ID/version combination should be unique.
# When new version is released, keep ID, and increase version number
id: ExampleModule

# List of files to copy.
# Each entry is an array of 2 elements
#	- from specifies source file(s), path is relative to zip file root
#	- to specifies destination file(s), path is relative to info@hand root directory
# 'from' can be file or directory. If 'from' is a directory, 'to' should be a directory
# as well. If 'from' is a file, 'to' can be a directory or file. Use trailing slash
# to designate that 'to' is a directory.
copy
	--
		from: root
		to: "/" # copy to info@hand root dir
	--
		from: modules/Example
		to: modules/Example
	--
		from: images/Example.gif
		to: themes/Default/images/Example.gif
	--
		from: administration
		to: custom/modules/Administration/

# Hooks are functions executed before or after an installation step.
# hooks.file is name of file to include (relative to zip file root).
#
# Functions should be named 'beforeXXX' or 'afterXXX', where XXX is one of
# precopy, checkSystem, checkPermissions, commit (for installation)
# or checkRemovePermissions, commitUninstall (for uninstallation)
#
# precopy is only available for patches
# checkSystem is only available for patches and modules
#
# The functions can be either regular functions, or static methods
# of a class. In the latter case, class name mus be specified in hooks.class
#
# Functions must accept 2 arguments:
#	- an instance of IAHManifest
#	- string with directory name where the package is unzipped
#
# Functions can throw UWizardError.
#
hooks
	file: hooks/hooks.php
	class: ExampleHooks



