<?php ?>

# List of info@hand versions this package can be installed in.
# Current version should match at least one version specified
# by regex_matches or exact_matches
acceptable_sugar_versions
	# regular expressions
	regex_matches
	#	- 7\.[0]\.[0-9][a-z]?
	# exact version numbers
	exact_matches
	- 7.0.1
# Package name
name: info@hand

# Package description
description: info@hand 7.0.1 to 7.0.2 upgrade

# Package author/publisher
author: Long Reach Corporation

# Package publish date
published_date: 2011-12-20

# Package version. For 'patch' packages this should match
# the new info@hand version number
version: 7.0.2

# Package type
type: patch

# True if this package can be uninstalled by 
# -  deleting new files created during installation
# -  restoring files overwritten during installation
is_uninstallable: false

# Package ID. ID/version combination should be unique.
# When new version is released, keep ID, and increase version number
id: InfoAtHand

# List of files to copy.
# Each entry is an array of 2 elements
#	- from specifies source file(s), path is relative to zip file root
#	- to specifies destination file(s), path is relative to info@hand root directory
# 'from' can be file or directory. If 'from' is a directory, 'to' should be a directory
# as well. If 'from' is a file, 'to' can be a directory or file. Use trailing slash
# to designate that 'to' is a directory.
#
# This simple example just includes few files
#
copy
	--
		from: modules
		to: modules

# List of files to copy before installation begins
# This may include upgrading UWizard module, for example to add checks
# for new system requirements. Any files added or modified during precopy
# stage should not break functionality of info@hand version the patch is
# being installed on
precopy
	--
		from: precopy/modules/UWizard/IAHManifest.php
		to: modules/UWizard/IAHManifest.php


