<?php

require_once('include/layout/BaseTheme.php');

class ExampleTheme extends BaseTheme {
	var $theme_name = 'Example';
	var $custom_max_tabs = -1;
	var $custom_max_subtabs = -1;
	var $hide_dupe_list_shortcuts = true;
	var $texture_support = true;
	var $support_color_styles = true;
	var $support_font_styles = true;
	
	function __construct__($theme_name='') {
		if(preg_match('~themes[/\\\\](\w+)~i', __FILE__, $m))
			$this->theme_name = $m[1];
		parent::__construct__($theme_name);
	}
	
	function get_global_links() {
		global $current_user;
		$l = parent::get_global_links();
		$ban = array('admin', 'myaccount', 'directory', 'logout');
		foreach(array_keys($l) as $key)
			if(in_array($key, $ban) || (! empty($current_user->id) && $key == 'about'))
				unset($l[$key]);
		return $l;
	}
	
	function populate_header(&$tpl) {
		parent::populate_header($tpl);
	}

}

?>
