<?php
/*********************************************************************************
 * The contents of this file are subject to the SugarCRM Public License Version
 * 1.1.3 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.sugarcrm.com/SPL
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * All copies of the Covered Code must include on each user interface screen:
 *    (i) the "Powered by SugarCRM" logo and
 *    (ii) the SugarCRM copyright notice
 * in the same form as they appear in the distribution.  See full license for
 * requirements.
 *
 * The Original Code is: SugarCRM Open Source
 * The Initial Developer of the Original Code is SugarCRM, Inc.
 * Portions created by SugarCRM are Copyright (C) 2004-2006 SugarCRM, Inc.;
 * All Rights Reserved.
 * Contributor(s): ______________________________________.
 ********************************************************************************/

define('sugarEntry', true);
define('ONECRM_CSRF_PROTECT', 'none');
require_once('include/entryPoint.php');
require_once('modules/Campaigns/utils.php');

global $current_user;
$current_user = new User;
$queue_user_id = AppConfig::setting('company.case_queue_user');
$current_user->getSystemUser();

if(!empty($_REQUEST['identifier'])) {
	$keys = CampaignActivityTracker::log_campaign_activity($_REQUEST['identifier'],'viewed');
} else if(!empty($_REQUEST['e'])) {
	require_once('modules/EmailTrackers/EmailTracker.php');
	EmailTracker::track_email();
}
sugar_cleanup();
header("Content-Type: image/gif");
$fn=fopen("./include/images/blank.gif","r");
fpassthru($fn);
