/*
Copyright (c) 2003-2010, CKSource - Frederico Knabben. All rights reserved.
For licensing, see LICENSE.html or http://ckeditor.com/license
*/

CKEDITOR.editorConfig = function( config )
{
	config.skin = 'moono';
	config.toolbarCanCollapse = true;
	config.toolbarStartupExpanded = false;
	config.baseHref = SUGAR.session.static_url;
	config.resize_enabled = false;
	config.entities = false ;
	config.entities_greek = false ;
	config.entities_latin = false ;
	
	config.extraAllowedContent = 'style;*[id,rel,bgcolor](*){*}';

	config.toolbarStartupExpanded = true;
	config.scayt_autoStartup = false;
	config.disableNativeSpellChecker = false;
	config.removePlugins = 'scayt';
	config.startupFocus = false;
	config.enterMode = CKEDITOR.ENTER_BR;
	config.allowedContent = true;
	config.removeFormatAttributes = '';
	config.baseFloatZIndex = 1050;

	config.extraPlugins = 'articleref';

	//config.filebrowserBrowseUrl =  config.baseHref + 'include/CKeditor/filemanager/index.html';
	//config.filebrowserImageBrowseUrl = config.baseHref + 'include/CKeditor/filemanager/index.html?type=Images';
	//config.filebrowserFlashBrowseUrl = config.baseHref + 'include/CKeditor/filemanager/index.html?type=Images';

	config.toolbar =
	[
		{ name: 'clipboard', items : [ 'Cut','Copy','Paste','PasteText','PasteFromWord','-','Undo','Redo' ] },
		{ name: 'editing', items : [ 'Find','Replace','-','SelectAll' ] },
		{ name: 'insert', items : [ 'Image','Table','HorizontalRule','SpecialChar'] },
		{ name: 'links', items : [ 'Link','Unlink','Anchor' ] },
		{ name: 'tools', items : [ 'Preview','Maximize','Source','-','About' ] },
                '/',
		{ name: 'basicstyles', items : [ 'Bold','Italic','Underline','Strike','-','TextColor','BGColor','-','JustifyLeft','JustifyCenter','JustifyRight','-','RemoveFormat' ] },
		{ name: 'styles', items : [ /*'Styles',*/'Format','Font','FontSize' ] },
		{ name: 'paragraph', items : [ 'NumberedList','BulletedList','-','Outdent','Indent','-','Blockquote' ] }
	];

	if(getParameterByName('module') == 'KBArticles') {
		config.toolbar =
		[
			{ name: 'clipboard', items : [ 'Cut','Copy','Paste','PasteText','PasteFromWord','-','Undo','Redo' ] },
			{ name: 'editing', items : [ 'Find','Replace','-','SelectAll' ] },
			{ name: 'insert', items : [ 'Image','Table','HorizontalRule','SpecialChar'] },
			{ name: 'links', items : [ 'Link','Unlink','Anchor' ] },
			{ name: 'tools', items : [ 'Preview','Maximize','Source','-','About' ] },
	                '/',
			{ name: 'basicstyles', items : [ 'Bold','Italic','Underline','Strike','-','TextColor','BGColor','-','JustifyLeft','JustifyCenter','JustifyRight','-','RemoveFormat' ] },
			{ name: 'styles', items : [ /*'Styles',*/'Format','Font','FontSize' ] },
			{ name: 'paragraph', items : [ 'NumberedList','BulletedList','-','Outdent','Indent','-','Blockquote' ] },
					'/',
			{ name: 'reference', items: [ 'articleref_btn' ] }
		];
	}
	
	if(SUGAR.session.scayt_enabled) {
		config.toolbar[1].items.push('-');
		config.toolbar[1].items.push('Scayt');
	}
	if (typeof(window.CKEDITOR_extraConfigFunction) == 'function') {
		window.CKEDITOR_extraConfigFunction(config);
	}
	// load custom config for CKeditor, function name in the file defined in Configuration under "layout.ckeditor_custom_config" has to be "CKEDITOR_ext" (contributed by visual4)
	if (typeof(window.CKEDITOR_ext) == 'function') {
		window.CKEDITOR_ext(config);
	}
};

function getParameterByName(name, url) {
    if (!url) url = window.location.href;
    name = name.replace(/[\[\]]/g, '\\$&');
    var regex = new RegExp('[?&]' + name + '(=([^&#]*)|&|#|$)'),
        results = regex.exec(url);
    if (!results) return null;
    if (!results[2]) return '';
    return decodeURIComponent(results[2].replace(/\+/g, ' '));
}
