<?php

class CreditCardUtils {
	// checks if currency specified by ISO code is zero-decimal
	// https://support.stripe.com/questions/which-zero-decimal-currencies-does-stripe-support
	public static function stripe_zero_decimal($code) {
		static $codes = array(
			'BIF', 'CLP', 'DJF', 'GNF', 'JPY',
			'KMF', 'KRW', 'MGA', 'PYG', 'RWF',
			'VND', 'VUV', 'XAF', 'XOF', 'XPF',
		);
		return in_array($code, $codes);
	}
}

