<?php
/**
 * Smarty plugin
 * @package Smarty
 * @subpackage plugins
 */


/**
 * Smarty {iah_icon_image} function plugin
 *
 * Type:     function<br>
 * Name:     iah_icon_image<br>
 * Purpose:  formats a number
 */
function smarty_function_iah_icon_image($params, $template) {
	
	if(! empty($params['name']))
		$path = $params['name'];
	else if(! empty($params['var'])) {
		if(is_array($params['var'])) {
			$path = $params['var']['name'];
		} /*else {
			$smarty->_compile_source('evaluated template', $params['var'], $_var_compiled);
			$path = $params['rowData'][$params['var']];
		}*/
	}
	else if(! empty($params['path']))
		$path = $params['path'];
	
	if(empty($path))
		return '';
	
	$width = array_get_default($params, 'width', '');
	$height = array_get_default($params, 'height', '');
	$attrs = array_get_default($params, 'attrs', '').' border="0"';
	$no_div = array_get_default($params, 'no_div', false);

	$_contents = get_image($path, $attrs, $width, $height, $no_div);
	
    if (!empty($params['assign'])) {
        $template->assign($params['assign'], $_contents);
    } else {
        return $_contents;
    }
}
?>
