<?php
/**
 * Smarty plugin
 * @package Smarty
 * @subpackage plugins
 */


/**
 * Smarty {iah_icon_image} function plugin
 *
 * Type:     function<br>
 * Name:     iah_icon_image<br>
 * Purpose:  formats a number
 */
function smarty_function_iah_include_style($params, $template) {
	$smarty =& $template->smarty;
	if(! isset($smarty->inc_mgr) || (empty($params['src']) && empty($params['group'])))
		return '';
	
	$prio = null;
	if(isset($params['priority'])) {
		$prio = $params['priority'];
		unset($params['priority']);
	}
	if(isset($params['group'])) {
		$grp = $params['group'];
		unset($params['group']);
		$smarty->inc_mgr->add_css_include_group($grp, $params, $priority);
	} else {
		$src = $params['src'];
		unset($params['src']);	
		$smarty->inc_mgr->add_css_include($src, $params, $priority);
	}
}
?>
