// vim: set filetype=markdown tw=80:

This type represents a webhook filter by a date or datetime field.

`filter` can be one of the following:

* `not_empty` field value is not empty
* `empty`  field value is empty
* `before_date`  field value is before the date passed in `value`
* `after_date` field value is after the date passed in `value`
* `on_date` field value equals the date passed in `value`
* `not_on_date` field value does not equal the date passed in `value`
* `yesterday` field value is yesterday's date
* `today`  field value is today's date
* `tomorrow`  field value is tomorrow's date
* `between_dates` field value is between dates passed in `value` and `value2`,
  inclusive

You can also pass `period_prev`, `period_current`, or `period_next` in `filter`.
In this case filed value will be checked against previous, current, or next
period relative to current date. Period length is determined by `value`:


* `day` one day
* `week` calendar week
* `month` calendar month
* `quarter` calendar quarter
* `year` calendar year
* `fiscal_quarter` fiscal quarter
* `fiscal_year` fiscal year
* `days_N` N days


