// vim: set filetype=markdown tw=80:

This type represents the type of change webhook filter reacts to.

* `changed` Field value was changed. Actual previous and new values are not important
* `not_changed`  Field value was not changed.
* `changed_to` Field was changed to a value that matches the criteria defined
  by filter's `operator`
* `current_value` Field's current value matches the criteria defined by filter's
  `operator`, regardless of whether it was changed or not.
* `prev_value` Field was changed, and its previous value matches the criteria
  defined by filter's `operator`

