<?php

namespace OneCRM\API\Endpoints\Auth;

class AccessTokenContact extends AccessTokenBase {

	public function resourceOwnerType() {
		return 'Contacts';
	}

	public function endpoint() {
		return '/auth/contact/access_token';
	}

	public function descriptor($method) {
		if ($method == 'post') {
			$desc = parent::descriptor($method);
			$desc['title'] = 'Authorization grant for contact';
			return $desc;
		}
	}
}

