<?php

namespace OneCRM\API\Endpoints\Auth;

class LoginContact extends LoginBase {

	public function endpoint() {
		return '/auth/contact/login';
	}

	public function getRouteName($method) {
		if (strtolower($method) === 'get') {
			return 'loginContact';
		}
	}

	protected function authRouteName() {
		return 'authorizeContact';
	}

	protected function resourceOwnerType() {
		return 'Contacts';
	}

}

