<?php

namespace OneCRM\API\Middleware;

use Psr\Http\Message\ResponseInterface;
use Psr\Http\Message\ServerRequestInterface as Request;
use Psr\Http\Server\RequestHandlerInterface as RequestHandler;
use Psr\Http\Message\ResponseInterface as Response;

class CssUrl
{
	public function __invoke(Request $request, RequestHandler $handler): ResponseInterface
	{
		$css_url = dirname($request->getServerParams()['SCRIPT_FILENAME']).'css';
		$request = $request->withAttribute('css_url', $css_url);
		return  $handler->handle($request);
	}
}
