<?php
/*
 *
 * The contents of this file are subject to the info@hand Software License Agreement Version 1.3
 *
 * ("License"); You may not use this file except in compliance with the License.
 * You may obtain a copy of the License at <http://1crm.com/pdf/swlicense.pdf>.
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the
 * specific language governing rights and limitations under the License,
 *
 * All copies of the Covered Code must include on each user interface screen:
 * (i) the 1CRM copyright notice,
 * (ii) the "Powered by the 1CRM Engine" logo, 
 *
 * (iii) the "Powered by SugarCRM" logo, and
 * (iv) the SugarCRM copyright notice
 * in the same form as they appear in the distribution.
 * See full license for requirements.
 *
 * The Original Code is : 1CRM Engine proprietary commercial code.
 * The Initial Developer of this Original Code is 1CRM Corp.
 * and it is Copyright (C) 2004-2012 by 1CRM Corp.
 *
 * All Rights Reserved.
 * Portions created by SugarCRM are Copyright (C) 2004-2008 SugarCRM, Inc.;
 * All Rights Reserved.
 *
 */
?><?php return; ?>
@cfg-version 1
@tabsize 4

{# test
	multiline
		comment #}

# line comment
	# line comment

bean_name: Account
table: accounts
audited: true
unified_search: true
duplicate_merge: true
comment:
	Accounts are organizations or entities that are the target
	of selling, support, and marketing activities, or have already
	purchased products or services
fields
	id
		vname: LBL_ID
		required: true
		reportable: false
		type: id
		comment: Unique identifier
	date_entered
		vname: LBL_DATE_ENTERED
		type: datetime
		required: true
		comment: Date record created
relationships
	member_accounts
		lhs_module: Accounts
		lhs_table: accounts
		lhs_key: id
		rhs_module: Accounts
		rhs_table: accounts
		rhs_key: parent_id
		relationship_type: one-to-many
