<?php return; ?>
@info
	description:
		Default company settings. May be overridden by database values.
		Numbers are represented as strings so that DB values can match strictly.

business_model: "B2B"
b2c_name_format: "l, f"
fiscal_year_start: "1"
hours_in_work_day: "8"
day_begin_hour: "8"
day_end_hour: "18"
week_start_day: "1"
timesheet_period: "1"
timesheet_offset: "0"
forecast_period: Monthly
retain_forecast_periods: "6"
retain_history_periods: "6"
personal_auto_units: ""

invoice_prefix: %Y-
credit_prefix: %Y-
quotes_prefix: %Y-
purchase_order_prefix: %Y-
sales_order_prefix: %Y-
payment_prefix: PID-
shipping_prefix: %Y-
receiving_prefix: %Y-
expense_prefix: %Y-
bill_prefix: %Y-

notarius_signature_width: 165
notarius_signature_height: 37

envelope_window_position: left
quote_layout: "QuotePDF"
quote_add_comments: ""
quote_pdf_acceptance: true
quote_pdf_show_contact_phone: true
quote_pdf_show_contact_email: true
quote_pdf_combine_taxes: true
quote_pdf_combine_discounts: true
quote_show_net_prices: false
print_statement_layout: "QuoteForEnvelope"
email_statement_layout: "QuotePDF"
add_booked_hours: true
approve_quotes: false
tax_shipping: false
approve_booking_Cases: false
approve_booking_ProjectTask: false
quote_threshold: ""
margin_threshold: ""
quotes_show_list: false
show_pretax_totals: false
lifetime_revenue_with_taxes: true
pdf_paper_size: "Letter"
pdf_font_face: "freesans"
pdf_show_header_url: true
quote_default_components: all
track_partial_shipping: true

create_invoice_products: false
invoice_line_events: false
invoice_line_serials: false
kb_allow_new_tags: true

tax_information: ""
std_case_terms: ""
std_quote_terms: ""
std_invoice_terms: ""
std_so_terms: ""
std_po_terms: ""
default_pricing_method: ""

update_opportunity_close_date: true
revenue_forecast_table_show_country: false

oauth_server: toronto_oauth_1crmcloud_com

case_email_subject: "Case ID#: nnnn"
case_enable_surveys: false
case_survey_comments: true

logo_file: include/images/iah/1crm-pdfhead.png
gtm_api_key: "9e832a316aebb72c1708b184ec07f43e"
gtm_ath_token: false

meetings_recurrence_max_instances: 30
meetings_recurrence_max_days: 30

oauth2_server_keys

oauth2_crypto_keys
	washington_oauth_1crmcloud_com: """-----BEGIN PUBLIC KEY-----
MIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEA4M3Kx/Mqry5ebWLazHoi
bwOPhGGviV9UWUga5Hl6GCjatjXIZf8rLLYjn7A/NsOsS8qNQYBZ4VkK5TgAktjL
IoPupsIybFRksDxpRP43JCVgYHDVP2z4eeE0Ha5oSxPkrdTMpjUOyDpi+rnMpywW
O3EkNJh4XGtfLScMKP/elEjDl7yvVjHNZxueK55LRw/5OY/7wjXoH6Nncis/IXwQ
3KZPbghA8HnaL8V5/oC6QIGwYKaXB0MnA51VdXjJFYJvy95HaFZibOtz+4zYcHSX
A2UIe65FyVCdQT91L8Ph9Ud+OiTNPoltNJIvwXSBptifE2KPz9/HStJLMIuyhx3D
JQIDAQAB
-----END PUBLIC KEY-----
"""
	toronto_oauth_1crmcloud_com: """-----BEGIN PUBLIC KEY-----
MIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEAuYeuFiiDk9lUtMAmCgWn
YTiHehCBk20BZg3YiSYKyapFgRC0z3Y3mi1s33maa9dWFwYKozCqeJ7hScUI0fEB
yuQHPcH22ZVf2H3OiHUYT5rh6SohP+XwqFNyl34PIWTLVMw/j+orWx3ZAXJRbpGd
G5UvgjYVszZ+AIJIw0Uw0Bs8BuU2+2gp6iJh8wVkAMGmxXzxl0RgiA3+5W3tkHJ4
Op1er4PQrDZX8HV+i7asVP6YWgqlYGL/3IuaM6KH/y5ybjAnnFAFTLsK6kTs7mGI
IschHFSkyGY5fVRzQqWB82yRUIwfIc5PAs4vsBfxpYyi1yhnBXHLNvfAN3/U6i94
VwIDAQAB
-----END PUBLIC KEY-----
"""
	singapore_oauth_1crmcloud_com: """-----BEGIN PUBLIC KEY-----
MIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEAxbP47janciaOC8eSegeh
VO/ZjITCfNHTR+pmH7Ep/u39E3/RL03YZQbOydbtO1eBv8JDEOoulgGvhy4xF+AC
gghuHXCjx79+/yi0I7TQLnnCYEYUowz00vJ7QLVDJGFJNo6syAfw34qEfxZ7Z8fx
1mOQhzSIW3HKjSpS2Rl9kV8Afs+GwBuqIBc51M3GNN/atvutgm0sdrolR9BgOv88
Vz9a5eHIrmcd/Y/wrVDXkscULtMFWTHSm4yXxq+snuVEEyWyhVsAwtSrjX2ZN69/
q5NEJ2sgmA+9vam9XNtrv/ZzJDffvv7Rv8Ih6gPAqx1Qnlke0ddFTDllgkj+CzVp
lwIDAQAB
-----END PUBLIC KEY-----
"""
	amsterdam_oauth_1crmcloud_com: """-----BEGIN PUBLIC KEY-----
MIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEAyPvMlE8z4RRNA0LaK8EA
P1KvUODfzwQZBuSkkvAvw/theN1KTNYKS3tys2WLEMGAc9Wb1eivL6piBfPWJkpV
XUJPZF7ycZo2jn+edxeVtzwxNR/Ng7kOXGKD5zymN0LcoX+NPUX7tm0w8IyRRXRY
fYGpUsjY5rtFd9RsIpsl30DxwaBjfSBn6KZN8tJ7Acwgb9P+GLuDUMLCzwNlytdE
8fhkGuBpfeXw3dHIbXyJ0/L1hPc2bYhJfAs/e2gIfJFrUl8kN/EdsY6pwBJDYwb3
oBY1bFnpiULFo0qVny3LqpzZKBc09g88FWbMbrsmPnqEpWB+pfDsMyZOLMyHJqyN
8wIDAQAB
-----END PUBLIC KEY-----
"""
	stuttgart_oauth_1crm_de: """-----BEGIN PUBLIC KEY-----
MIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEAu2PAkzi0Q/WNf8rHGDms
RIxNyuGMKW17qq280wTfihdp61era0iX1AsvwB47gMuJ40wBA6DFxptckbhtAWXO
S4AQF7DNi1xRYE4hSQkT1+9mOMAxPMP74AJUMGDLLESdCkYHYbiw52G1c5Jpf/Ep
/4SOaeSFnUdCJdlOmHGHqdEgSlHGPZmdG9q/ZjvhsOtWZ39jg8Mb9oUrVOZ0MG44
2g3D1Vbg9RgMHSuJXIG7tyrUKtwr12R9DVmcOVuDFg+OtYCuXzyiJeh0EdkulVSh
w7JbJ6KAJLaeLrM0kSvyQgESZX0c/9G8fUQMiMQzF1QG8p3cLKGtdpqTSq6ElSg6
lwIDAQAB
-----END PUBLIC KEY-----
"""
