<?php return; /* no output */ ?>

emailmandelivery
	run_interval_unit: hours
	run_interval: 1
	description: Send pending emails from recently launched campaigns.
	run_on_user_login: 1
	file: modules/EmailMan/EmailManDelivery.php
emaildripfeed
	run_interval_unit: days
	run_interval: 1
	description: Schedule drip-feed campaign emails for sending.
	run_on_user_login: 0
	file: modules/Campaigns/ScheduleDripFeedEmails.php
emailimport
	run_interval_unit: minutes
	run_interval: 10
	description: Retrieve new messages from user and group email accounts.
	run_on_user_login: 1
	file: modules/Emails/EmailImport.php
	function: run_email_import
runreports
	run_interval_unit: minutes
	run_interval: 5
	description: Run pending scheduled reports.
	run_on_user_login: 1
	file: modules/Reports/RunScheduled.php
user_activity_reporting
	run_interval_unit: days
	run_interval: 1
    next_run: today 23:59:00
	description: Update User Activity Reporting Stats
	run_on_user_login: 0
	file: modules/Users/UserActivityTrackingStats.php
runforecasts
	run_interval_unit: months
	run_interval: 1
	description: Check Forecast periods, and create/delete as required.
	run_on_user_login: 0
	file: modules/Forecasts/RunScheduled.php
email_expired_subcontracts
	run_interval_unit: days
	run_interval: 1
	description: Send email with list of expiring subcontracts.
	run_on_user_login: 1
	file: modules/SubContracts/EmailExpiredSubcontracts.php
	enabled: 0
email_overdue_project_tasks
	run_interval_unit: days
	run_interval: 1
	description: Send email with list of overdue project tasks.
	run_on_user_login: 1
	file: modules/ProjectTask/EmailOverdue.php
	enabled: 0
prunedatabase
	run_interval_unit: months
	run_interval: 1
	description: Prune Database Monthly
	run_on_user_login: 0
	file: modules/Scheduler/pruneDatabase.php
processbounces
	run_interval_unit: days
	run_interval: 1
	description: Process Bounced Campaign Emails
	run_on_user_login: 0
	file: modules/Emails/EmailImport.php
	function: process_campaign_bounces
email_cleanup
	run_interval_unit: days
	run_interval: 1
	description: Cleanup Emails
	run_on_user_login: 0
	file: modules/Emails/EmailCleanup.php
update_rates
	run_interval_unit: days
	run_interval: 1
	description: Update Currencies Exchange Rates from The European Central Bank (www.ecb.int)
	enabled: 0
	run_on_user_login: 0
	file: modules/Currencies/updateRates.php
add_recurring
	run_interval_unit: days
	run_interval: 1
	description: Create instances of recurring items
	run_on_user_login: 0
	file: modules/Recurrence/ScheduledCreate.php
activities_notification
	run_interval_unit: minutes
	run_interval: 5
	description: Send email notifications about upcoming calls and meetings
	run_on_user_login: 0
	file: modules/Activities/SendNotifications.php
	enabled: 0
event_reminders
	run_interval_unit: minutes
	run_interval: 15
	description: Send email reminders about upcoming marketing events
	run_on_user_login: 0
	file: modules/EventReminders/SendScheduled.php
	enabled: 0
send_monthly_services_invoices
	run_interval_unit: days
	run_interval: 1
	description: Send Invoices to Recurring Services users
	run_on_user_login: 0
	file: modules/MonthlyServices/ServicesSchedule.php
	enabled: 0
process_workflow
	run_interval_unit: minutes
	run_interval: 5
	description: Process workflow conditions
	run_on_user_login: 0
	file: modules/Workflow/Scheduler.php
google_sync
	run_interval_unit: minutes
	run_interval: 15
	description: Sync Google events with the 1CRM Calendar
	enabled: 0
	run_on_user_login: 0
	file: modules/Calendar/CalendarGoogleSyncScheduler.php
sync_google_docs
	run_interval_unit: minutes
	run_interval: 15
	description: Synchronize with Google Drive
	enabled: 0
	run_on_user_login: 0
	file: modules/Documents/GoogleDocsSyncScheduler.php
sync_google_contacts
	run_interval_unit: minutes
	run_interval: 15
	description: Synchronize with Google Contacts
	enabled: 0
	run_on_user_login: 0
	file: modules/Contacts/GoogleContactsSyncScheduler.php
close_vacations
	run_interval_unit: days
	run_interval: 1
	description: Mark Vacations in the Past as Completed
	enabled: 0
	run_on_user_login: 0
	file: modules/Vacations/Scheduler.php
run_backup
	run_interval_unit: days
	run_interval: 1
	description: Run System Backup with Database Dumping
	enabled: 0
	run_on_user_login: 0
	file: modules/Administration/BackupSchedule.php
check_for_updates
	run_interval_unit: days
	run_interval: 3
	description: Check for Software Updates
	enabled: 1
	run_on_user_login: 0
	file: modules/LicenseInfo/check_updates.php
	function: check_for_updates
	hidden: true
check_push_messages
	run_interval_unit: hours
	run_interval: 3
	description: Check for Push Messages from 1CRM
	enabled: 1
	run_on_user_login: 0
	file: modules/SystemMessages/pull.php
	function: pull_system_messages
	hidden: true
fetch_api_clients
	run_interval_unit: hours
	run_interval: 3
	description: Update list of public API clients
	enabled: 1
	run_on_user_login: 0
	file: modules/APIClients/scheduler.php
	function: fetch_api_clients
	hidden: true
close_expired_cases
	run_interval_unit: hours
	run_interval: 6
	description: Close Expired Cases
	enabled: 1
	run_on_user_login: 0
	file: modules/Cases/close_expired.php
remove_expired_reports
	run_interval_unit: days
	run_interval: 1
	description: Remove Expired Report Runs
	enabled: 0
	run_on_user_login: 0
	file: modules/Reports/RemoveExpired.php
	function: remove_expired_report_runs
send_apns
	run_interval_unit: minutes
	run_interval: 1
	description: Send scheduled APNs notifications
	enabled: 1
	run_on_user_login: 0
	file: include/utils/apns_utils.php
	function: send_scheduled_apns_notifications
	hidden: true
initial_leadguerrilla_push
	run_interval_unit: minutes
	run_interval: 5
	description: Initial push of 1CRM Leads/Contacts to Lead Guerrilla
	enabled: 1
	run_on_user_login: 0
	file: modules/LeadGuerrilla/initial_push.php
	function: initial_leadguerrilla_push
	hidden: true
update_maxmind_db
	run_interval_unit: days
	run_interval: 1
	description: Download MaxMind GeoIP database
	enabled: 0
	run_on_user_login: 0
	file: modules/EmailTrackers/update_maxmind_db.php
	function: update_maxmind_db
update_diskspace_usage
	run_interval_unit: days
	run_interval: 1
	description: Update Disk Space Usage
	enabled: 1
	run_on_user_login: 0
	file: modules/Configurator/updateDiskSpace.php
sfimports
	run_interval_unit: minutes
	run_interval: 5
	description: Imports SF Accounts from SFImport module.
	run_on_user_login: 0
	file: modules/SFImport/scheduler.php
