<?php
if(!defined('sugarEntry') || !sugarEntry) die('Not A Valid Entry Point');

function ft() {
	$args = func_get_args();
	$name = array_shift($args);
	return array(
		'name' => $name,
		'exts' => $args,
	);
}

global $tlr_file_types;

$tlr_file_types = array(
	'Acrobat PDF' => ft('Acrobat PDF', 'pdf'),
	'Audio' => ft('Audio', 'wav', 'mp3', 'wma'),
	'Compressed' => ft('Compressed', 'arc', 'arj', 'bz2', '7zip', 'gz', 'rar', 'sit', 'tar', 'tbz', 'tgz', 'z', 'zip'),
	'HTML' => ft('HTML', 'htm', 'html'),
	'Image' => ft('Image', 'gif', 'jpg', 'jpeg', 'png', 'tiff'),
	'Spreadsheet' => ft('MS Excel', 'xls', 'csv'),
	'Presentation' => ft('MS PowerPoint', 'ppt'),
	'Project' => ft('MS Project', 'mpp'),
	'Chart' => ft('MS Visio', 'vsd'),
	'Document' => ft('MS Word', 'doc'),
	'Text' => ft('Text', 'txt'),
	'Video' => ft('Video', 'avi', 'mpg', 'mp4', 'mov', 'wmv'),
);

?>