<?php
if(!defined('sugarEntry') || !sugarEntry) die('Not A Valid Entry Point');
require_once('include/layout/DuplicateManager.php');

$key = array_get_default($_REQUEST, 'key');
$data = DuplicateManager::get_stored_data($key);

if ($data) {
    /** @var RowUpdate $new_record */
    $new_record = $data['new_record'];
    /** @var ListResult $duplicates */
    $duplicates = $data['duplicates'];

    $manager = new DuplicateManager($new_record, $data['input']);
    $manager->showList($duplicates);
} else {
    header("Location: index.php?module=" .$_REQUEST['module']. "&action=index");
}
?>
