<?php

if(!defined('sugarEntry') || !sugarEntry) die('Not A Valid Entry Point');

function gmaps_enabled() {
	$disabled = AppConfig::setting('company.google_maps_disabled');
	return (! $disabled);
}

function gmaps_add_includes($force=false, $prio=null) {
	static $loaded;
	if(isset($loaded) && ! $force) return;
	$loaded = true;
	$key = AppConfig::setting('company.google_maps_key');
	
	if(! isset($prio))
		$prio = LOAD_PRIORITY_BODY;
	
	global $pageInstance, $current_language;
	$pageInstance->add_js_include('include/javascript/gmaps.js', null, $prio);
	$pageInstance->add_js_literal("
		IAHMap.script_url = 'https://maps.googleapis.com/maps/api/js?key=$key&v=3&language=$current_language';
", null, $prio);
}

?>
