<?php
/*
 *
 * The contents of this file are subject to the info@hand Software License Agreement Version 1.3
 *
 * ("License"); You may not use this file except in compliance with the License.
 * You may obtain a copy of the License at <http://1crm.com/pdf/swlicense.pdf>.
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the
 * specific language governing rights and limitations under the License,
 *
 * All copies of the Covered Code must include on each user interface screen:
 * (i) the 1CRM copyright notice,
 * (ii) the "Powered by the 1CRM Engine" logo,
 *
 * (iii) the "Powered by SugarCRM" logo, and
 * (iv) the SugarCRM copyright notice
 * in the same form as they appear in the distribution.
 * See full license for requirements.
 *
 * The Original Code is : 1CRM Engine proprietary commercial code.
 * The Initial Developer of this Original Code is 1CRM Corp.
 * and it is Copyright (C) 2004-2012 by 1CRM Corp.
 *
 * All Rights Reserved.
 * Portions created by SugarCRM are Copyright (C) 2004-2008 SugarCRM, Inc.;
 * All Rights Reserved.
 *
 */
?><?php return; /* no output */ ?>

moduleListSingular
	Home: Today
	Dashboard: Dashboard
	Contacts: Contact
	Accounts: Account
	Opportunities: Opportunity
	Cases: Case
	Notes: Note
	Calls: Call
	Emails: Email
	Meetings: Meeting
	Tasks: Task
	Calendar: Calendar
	Leads: Lead
	Activities: Activity
	ACLRoles: ACL Role
	Bugs: Software Bug
	Feeds: News Feed
	iFrames: Website
	Project: Project
	ProjectTask: Project Task
	Campaigns: Campaign
	Documents: Document
	Sync: Sync
	Users: User
	HR: Human Resource
	Directory: Employee
	MonthlyServices: Recurring Service
	ProductCatalog: Product
	Assets: Supported Product
	EmailFolders: Email Folder
	EmailTemplates: Email Template
	Resources: Resource
	Quotes: Quote
	ExpenseReports: Expense Report
	Invoice: Invoice
    Payments: Payment
	Reports: Report
	ReportData: Report
	Administration: Administration
	Timesheets: Timesheet
	Vacations: Leave
	Assemblies: Assembly
	SupportedAssemblies: Supported Assembly
	EmailMarketing: Email Marketing
	ProspectLists: Target List
	Prospects: Target
	SerialNumbers: Serial Number
	SubContracts: Service Subcontract
	ContractTypes: Svc. Contract Type
	TaxRates: Tax Rate
	TaxCodes: Tax Code
	Discounts: Discount
	ShippingProviders: Shipping Provider
	PurchaseOrders: Purchase Order
	SalesOrders: Sales Order
	Shipping: Shipping
	Receiving: Receiving
	CampaignLog: Campaign Log
	Forums: Forum
	Threads: Thread
	Posts: Post
	ForumTopics: Forum Category
	PrepaidAmounts: Prepaid Amount
	ProductAttributes: Product Attribute
	SecurityGroups: Team
	Roles: Role
	Booking: Booked Hours
	BookingCategories: Booking Category
	EventSessions: Event
	EventTypes: Event Type
	CompanyAddress: Company Address
	CampaignTrackers: Campaign Tracker
	KBArticles: KB Article
	ACLActions: ACL Action
	ActivityLog: Activity Log
	Audit: Audit
	Bills: Bill
	BookableObjects: Bookable Object
	Charts: Chart
	CreditNotes: Credit Note
	Currencies: Currency
	DocumentRevisions: Document Revision
	EventReminders: Event Reminder
	Events: Event
	LicenseInfo: License Info
	Models: Model
	PDFTemplates: PDF Form
	Partners: Partner
	PaymentsOut: Outgoing Payments
	PriceBooks: Price Book
	ProductCategories: Product Category
	ProductTypes: Product Type
	Releases: Release
	Skills: Skill
	SocialAccounts: Social Account
	SoftwareProducts: Software Product
	SystemMessages: System Message
	Versions: Version
	Workflow: Workflow
	vCals: vCal
account_type_dom
	Analyst: Analyst
	Competitor: Competitor
	Customer: Customer
	Investor: Investor
	Partner: Partner
	Press: Press
	Prospect: Target
	Supplier: Supplier
	Manufacturer: Manufacturer
	Other: Other
industry_dom
	Apparel: Apparel
	Banking: Banking
	Biotechnology: Biotechnology
	Chemicals: Chemicals
	Communications: Communications
	Construction: Construction
	Consulting: Consulting
	Education: Education
	Electronics: Electronics
	Energy: Energy
	Engineering: Engineering
	Entertainment: Entertainment
	Environmental: Environmental
	Finance: Finance
	Government: Government
	Healthcare: Healthcare
	Hospitality: Hospitality
	Insurance: Insurance
	Machinery: Machinery
	Manufacturing: Manufacturing
	Media: Media
	Not For Profit: Not For Profit
	Recreation: Recreation
	Retail: Retail
	Shipping: Shipping
	Technology: Technology
	Telecommunications: Telecommunications
	Transportation: Transportation
	Utilities: Utilities
	Other: Other
lead_source_dom
	Cold Call: Cold Call
	Existing Customer: Existing Customer
	Self Generated: Self Generated
	Employee: Employee
	Partner: Partner
	Public Relations: Public Relations
	Direct Mail: Direct Mail
	Conference: Conference
	Trade Show: Trade Show
	Web Site: Web Site
	Customer Portal: Customer Portal
	Word of mouth: Word of mouth
	Email: Email
	Other: Other
opportunity_type_dom
	Existing Business: Existing Business
	New Business: New Business
roi_type_dom
	Budget: Budget
	Investment: Investment
	Expected_Revenue: Expected Revenue
	Weighted_Revenue: Weighted Revenue
	Revenue: Actual Revenue
sales_stage_dom
	Prospecting: Prospecting
	Qualification: Qualification
	Needs Analysis: Needs Analysis
	Value Proposition: Value Proposition
	Id. Decision Makers: Id. Decision Makers
	Perception Analysis: Perception Analysis
	Proposal/Price Quote: Proposal/Price Quote
	Negotiation/Review: Negotiation/Review
	Awaiting Paperwork: Awaiting Paperwork
	Closed Won: Closed Won
	Closed Lost: Closed Lost
sales_probability_dom
	Prospecting: 10
	Qualification: 20
	Needs Analysis: 25
	Value Proposition: 30
	Id. Decision Makers: 40
	Perception Analysis: 50
	Proposal/Price Quote: 65
	Negotiation/Review: 80
	Awaiting Paperwork: 90
	Closed Won: 100
	Closed Lost: 0
activity_dom
	Call: Call
	Meeting: Meeting
	Task: Task
	Email: Email
	Note: Note
salutation_dom
	Mr.: Mr.
	Ms.: Ms.
	Mrs.: Mrs.
	Dr.: Dr.
	Prof.: Prof.
reminder_time_options
	-1: No reminder
	60: 1 minute prior
	300: 5 minutes prior
	600: 10 minutes prior
	900: 15 minutes prior
	1800: 30 minutes prior
	3600: 1 hour prior
	7200: 2 hours prior
	14400: 4 hours prior
	28800: 8 hours prior
	86400: 1 day prior
chat_status_dom
	In Progress: In Progress
	Finished: Finished
task_status_dom
	Not Started: Not Started
	In Progress: In Progress
	Completed: Completed
	Pending Input: Pending Input
	Deferred: Deferred
meeting_status_dom
	Planned: Planned
	Held: Held
	Not Held: Not Held
meeting_booking_status_dom
    Pending: Pending
    Approved: Approved
call_status_dom
	Planned: Planned
	Held: Held
	Not Held: Not Held
call_direction_dom
	Inbound: Inbound
	Outbound: Outbound
invitees_filter_dom
    all: Any Invitees
    mine: Invited To
    accepted: Accepted Invite
    not_accepted: Pending
    not_invited: Not Invited
lead_status_dom
	New: New
	Assigned: Assigned
	In Process: In Process
	Converted: Converted
	Recycled: Recycled
	Dead: Dead
case_status_dom
	Active - New: New
	Active - Assigned: Assigned
	Pending: Pending
	Closed - Complete: Complete
	Closed - No Fault: No Fault
	Closed - Expired: Expired
case_priority_dom
	P1: High
	P2: Medium
	P3: Low
user_status_dom
	Active: Active
	Inactive: Inactive
	Info Only: Info Only
employee_status_dom
	Active: Active
	Terminated: Terminated
	Leave of Absence: Leave of Absence
project_task_status_options
	Not Started: Not Started
	In Progress: In Progress
	Completed: Completed
	Pending Input: Pending Input
	Deferred: Deferred
quote_stage_dom
	Draft: Draft
	Negotiation: Negotiation
	Delivered: Delivered
	On Hold: On Hold
	Confirmed: Confirmed
	Closed Accepted: Closed Accepted
	Closed Lost: Closed Lost
	Closed Dead: Closed Dead
bug_resolution_dom
	Accepted: Accepted
	Duplicate: Duplicate
	Fixed: Fixed
	Out of Date: Out of Date
	Invalid: Invalid
	Later: Later
bug_status_dom
	New: New
	Assigned: Assigned
	Closed: Closed
	Pending: Pending
	Rejected: Rejected
bug_type_dom
	Defect: Defect
	Feature: Feature
source_dom
	Internal: Internal
	Forum: Forum
	Web: Web
	Email: Email
product_category_dom
	Accounts: Accounts
	Activities: Activities
	Bug Tracker: Bug Tracker
	Calendar: Calendar
	Calls: Calls
	Campaigns: Campaigns
	Cases: Cases
	Contacts: Contacts
	Currencies: Currencies
	Dashboard: Dashboard
	Documents: Documents
	Emails: Emails
	Feeds: Feeds
	Forecasts: Forecasts
	Help: Help
	Home: Home
	Leads: Leads
	Meetings: Meetings
	Notes: Notes
	Opportunities: Opportunities
	Outlook Plugin: Outlook Plugin
	Product Catalog: Product Catalog
	Products: Products
	Projects: Projects
	Quotes: Quotes
	Releases: Releases
	SoftwareProducts: Software Products
	RSS: RSS
	Studio: Studio
	Upgrade: Upgrade
	Users: Users
campaign_status_dom
	Planning: Planning
	Active: Active
	Inactive: Inactive
	Complete: Complete
	In Queue: In Queue
	Sending: Sending
campaign_type_dom
	Telesales: Telesales
	Mail: Mail
	Email: Email
    Dripfeed: Drip-Feed Email
	Print: Print
	Web: Web
	Radio: Radio
	Television: Television
	NewsLetter: Newsletter
newsletter_frequency_dom
	Weekly: Weekly
	Monthly: Monthly
	Quarterly: Quarterly
	Annually: Annually
notifymail_sendtype
	sendmail: sendmail
	SMTP: SMTP
dom_email_types
	received: Received
	sent: Sent
	out: Sent
    send_error: Send Error
	archived: Archived
	draft: Draft
	inbound: Inbound
dom_email_status
	archived: Archived
	closed: Closed
	draft: Draft
	read: Read
	replied: Replied
	sent: Sent
	send_error: Send Error
	unread: Unread
	received: Received
dom_smtp_ssl_verify
	none: None
	selfsigned: Self-Signed OK
	"": Require 3rd Party
dom_email_server_type
	IMAP: IMAP
	POP3: POP3
dom_mailbox_type
	bug: Create Bug
	support: Create Case
	bounce: Bounce Handling
dom_email_distribution
	direct: Direct Assign
	roundRobin: Round-Robin
	leastBusy: Least-Busy
dom_int_bool
	1: Yes
	0: No
dom_email_link_type
	"": System Default Mail Client
	sugar: 1CRM Mail Client
	mailto: External Mail Client
dom_email_link_type_system
	sugar: 1CRM Mail Client
	mailto: External Mail Client
dom_email_editor_option
	"": Default Email Format
	html: HTML Email
	plain: Plain Text Email
schedulers_times_dom
	not run: Past Run Time, Not Executed
	ready: Ready
	in progress: In Progress
	failed: Failed
	completed: Completed
	no curl: Not Run: No cURL available
forecast_type_dom
	personal: Personal Forecast
	team_individual: Team Individual Forecast
	team_rollup: Team Roll-Up Forecast
document_category_dom
	Marketing: Marketing
	Knowledge Base: Knowledge Base
	Sales: Sales
document_subcategory_dom
	Marketing Collateral: Marketing Collateral
	Product Brochures: Product Brochures
	FAQ: FAQ
document_status_dom
	Draft: Draft
	To Be Approved: To Be Approved
	Approved: Approved
	Archived: Archived
document_template_type_dom
	mailmerge: Mail Merge
	eula: EULA
	nda: NDA
	license: License Agreement
dom_meeting_accept_status
	accept: Accepted
	decline: Declined
	tentative: Tentative
	none: None
prospect_list_type_dom
	default: Default
	seed: Seed
	exempt_domain: Suppression List - By Domain
	exempt_address: Suppression List - By Email Address
	exempt: Suppression List - By Id
	test: Test
email_marketing_status_dom
	active: Active
	inactive: Inactive
dripfeed_delay_unit_dom
	days: Days
	months: Months
campainglog_activity_type_dom
	targeted: Message Sent/Attempted
	viewed: Viewed Message
	link: Click-thru Link
	lead: Leads Created
	contact: Contacts Created
	invalid email: Bounced Messages, Invalid Email
	send error: Bounced Messages, Other
	removed: Opted Out
	optin: Opted In
merge_operators_dom
	like: Contains
	exact: Exactly
	start: Starts With
custom_fields_merge_dup_dom
	0: Disabled
	1: Enabled
navigation_paradigms
	m: Modules
	gm: Grouped Modules
mobile_calls_type_dom
	"": Use the global preference
	tel: Use the built-in phone
reportModuleList
	EventSessions: Marketing Event Sessions
resource_type_dom
	Television: Television
	DVD: DVD
	VCR: VCR
	Projector: Projector
	Projection Screen: Projection Screen
	Notebook PC: Notebook PC
	Desktop PC: Desktop PC
	Conference Phone: Conference Phone
	Telephone Bridge: Telephone Bridge
	Meeting Room: Meeting Room
    Booking Appointment: Booking Appointment
task_priority_dom
	P2: High
	P1: Medium
	P0: Low
project_task_priority_options
	P2: High
	P1: Medium
	P0: Low
project_task_dependency_type
	FTS: Finish To Start
	STS: Start To Start
	FTF: Finish To Finish
bug_priority_dom
	P3: Urgent
	P2: High
	P1: Medium
	P0: Low
expense_report_status_dom
	In Preparation: In Preparation
	Submitted: Submitted
	Approved: Approved
	Rejected: Rejected
	Paid: Paid
personal_auto_units_dom
	km: km
	miles: miles
service_frequency_dom
	monthly: Monthly
	quarterly: Quarterly
	biquarterly: Semi-Annually
	annually: Annually
project_type_dom
	Bid Development: Bid Development
	Internal R&D: Internal R&D
	Services Delivery: Services Delivery
	Sub-Contract: Sub-Contract
project_status_dom
	Active - Starting Soon: Starting Soon
	Active - In Progress: In Progress
	Closed - Complete: Complete
	Closed - Not Pursued: Not Pursued
	Closed - Terminated: Terminated
task_effort_unit_dom
	minutes: minutes
	hours: hours
	days: days
departments_dom
	Administration: Administration
	Corporate Office: Corporate Office
	Customer Service: Customer Service
	Finance: Finance
	Human Resources: Human Resources
	Manufacturing: Manufacturing
	Marketing: Marketing
	MIS: MIS
	R&D: R&D
	Sales: Sales
	Shipping/Receiving: Shipping/Receiving
sex_dom
	m: Male
	f: Female
salary_period_dom
	per hour: per hour
	per day: per day
	per week: per week
	per month: per month
	per year: per year
education_dom
	High School: High School Diploma
	Technical College: Technical College Diploma
	Bachelor: Bachelor's Degree
	Masters: Masters Degree
	Doctorate: Doctorate
dep_relationship_dom
	Husband: Husband
	Wife: Wife
	Son: Son
	Daughter: Daughter
	Father: Father
	Mother: Mother
	Sibling: Sibling
	Other Family: Other Family
	Other: Other
asset_tax_class_dom
	yes: Taxable
	no: Non-taxable
prod_price_formula_dom
	Fixed Price: Editable Price
	Profit Margin: Profit Margin
	Markup Over Cost: Markup Over Cost
	Discount from List: Discount from List
	Same As List: Same As List
prod_support_price_formula_dom
	Fixed Price: Editable Price
	Profit Margin: Profit Margin
	Markup Over Cost: Markup Over Cost
	Discount from List: Discount from List
	Same As List: Same As List
	Percent of Selling Price: Percent of Selling Price
yes_no_dom
	yes: Yes
	no: No
email_isread_dom
	1: Read
	0: Unread
contract_status_dom
	yes: Active
	no: Inactive
contact_category_dom
	Business: Business
	Company Staff: Company Staff
	Customers: Customers
	Friends and Family: Friends & Family
	Partners: Partners
	Personal Services: Personal Services
	Press and Analysts: Press & Analysts
	Professional Advisors: Professional Advisors
	Restaurants: Restaurants
	Suppliers: Suppliers
contact_business_role_dom
	CEO: CEO
	MIS: MIS
	CFO: CFO
	Sales: Sales
	Admin: Admin
terms_dom
	COD: COD
	Due on Receipt: Due on Receipt
	Net 7 Days: Net 7 Days
	Net 15 Days: Net 15 Days
	Net 30 Days: Net 30 Days
	Net 45 Days: Net 45 Days
	Net 60 Days: Net 60 Days
quote_show_components_dom
	names: Details
	all: Details & Prices
quote_approval_status
	Submitted: Submitted
	Approved: Approved
	Not Approved: Not Approved
so_stage_dom
	Ordered: Ordered
	In Manufacturing: In Manufacturing
	Partially Shipped and Invoiced: Partially Shipped & Invoiced
	Partially Shipped and not Invoiced: Partially Shipped, not Invoiced
	Shipped and not Invoiced: Shipped, not Invoiced
	Closed - Shipped and Invoiced: Closed - Shipped & Invoiced
po_status_dom
	Draft: Draft
	Ordered: Ordered
	Partially Received: Partial Shipment
	Received: Received
receiving_status_dom
	Pending: Pending
	Partially Received: Partial Shipment
	Received: Received
shipping_status_dom
	In Preparation: In Preparation
	Shipped: Shipped
shipping_stage_dom
	None: No Shipment
	Pending: Pending Shipment
	Partially Shipped: Partially Shipped
	Shipped: Shipped
	Delivered: Delivered
timesheet_period_dom
	1: Weekly
	2: Bi-Weekly
	3: Semi-Monthly
	4: Monthly
timesheet_offset_dom
	-1: -1
	0: 0
	1: +1
timesheet_status_dom
	draft: Draft
	submitted: Submitted
	approved: Approved
	rejected: Rejected
standard_custom_dom
	0: Standard
	1: Custom
report_run_method_dom
	manual: Manual
	interactive: Interactive
	scheduled: Scheduled
interval_units_dom
	seconds: seconds
	minutes: minutes
	hours: hours
	days: days
	busdays: business days
	weeks: weeks
	months: months
	quarters: quarters
	fiscalquarters: fiscal quarters
	years: years
	fiscalyears: fiscal years
interval_unit_dom
	seconds: second
	minutes: minute
	hours: hour
	days: day
	busdays: business day
	weeks: week
	months: month
	quarters: quarter
	fiscalquarters: fiscal quarter
	years: year
	fiscalyears: fiscal year
payment_type_dom
	Cash: Cash
	Check: Check
	Wire Transfer: Wire Transfer
	Money Order: Money Order
	Bank Draft: Bank Draft
	PayPal: PayPal
	Western Union: Western Union
	Credit Card: Credit Card
	Credit Note: Credit Note
payment_direction_dom
	incoming: Invoice Payment
	outgoing: Bill Payment
	credit: Apply Credit
	refund: Refund Credit
payment_fee_type_dom
	bank: Bank Charge
	conversion: Conversion Loss
	processing: Processing Fee
simple_status_dom
	Active: Active
	Inactive: Inactive
paper_size_dom
	A3: A3
	A4: A4
	B4: B4
	B5: B5
	Letter: Letter
	Legal: Legal
serial_number_item_dom
	System: System
	OS: O/S Version
	Firmware: Firmware Revision
report_notify_format_dom
	html: HTML
	pdf: PDF
	csv: CSV
	tsv: TSV
	scsv: SCSV
	link: Link Only
license_type_dom
	initial: Initial
	extension: Extension
	renewal: Renewal
	trial: Trial
	hosted: Hosted
license_product_dom
	infoathand: 1CRM Professional Edition
	quickbooks: Finance (QB)
	portal: Portal
	previews: 1CRM Previews
	designer: Module Designer
	enterprise: 1CRM Enterprise Edition
	startup: 1CRM Startup Edition
	startup_plus: 1CRM Startup+ Edition
	wordpress_portal: Customer Connection for WordPress
case_category_dom
	Documentation: Documentation
	Office Supplies: Office Supplies
	PC Hardware: PC Hardware
	Server Hardware: Server Hardware
	Networking: Networking
	Client Software: Client Software
	Server Software: Server Software
	User Training: User Training
	Website: Website
case_type_dom
	Internal Development: Internal Development
	Internal Maintenance: Internal Maintenance
	Internal Support: Internal Support
	Internal Training: Internal Training
	Contract Development: Contract Development
	Contract Maintenance: Contract Maintenance
	Contract Support: Contract Support
	Contract Training: Contract Training
case_search_what_dom
	any: any word
	all: all words
	exact: exact match
search_what_dom
    all: All
	subject: Subject
	text: Text
forecast_category_dom
	Actual: Actual
	Omitted: Omitted
	Pipeline: Pipeline
	Best Case: Best Case
	Commit: Commit
	Closed: Closed
sales_forecast_dom
	Closed Won: Actual
	Closed Lost: Omitted
	Prospecting: Pipeline
	Qualification: Pipeline
	Needs Analysis: Pipeline
	Value Proposition: Pipeline
	Id. Decision Makers: Pipeline
	Perception Analysis: Best Case
	Proposal/Price Quote: Best Case
	Negotiation/Review: Commit
	Awaiting Paperwork: Commit
forecast_period_dom
	Monthly: Monthly
	Quarterly: Quarterly
tax_compounding_dom
	compounded: Compounded (eg. Quebec PST)
taxation_scheme_dom
	tax: Taxable
	nontax: Non-Taxable
	list: Apply Tax List
discount_type_dom
	percentage: Price Percentage
	fixed: Fixed Amount
discount_applies_dom
	0: Any Product
	1: Selected Products Only
assembly_discount_type_dom
	std: Standard Discount
	percentage: Price Percentage
	fixed: Fixed Amount
quote_group_type_dom
	products: Products
	support: Support
	service: Services
	expenses: Expenses
quote_pricing_method_dom
	fixed: Catalog Prices
	margin: Profit Margin
	markup: Markup Over Cost
	discount: Discount From List
	stddiscount: Standard Discount
	list: Same As List
	"": Custom Prices
quote_pricing_method_short_dom
	fixed: Catalog
	"": Custom
	margin: Margin
	markup: Markup
	discount: Discount
	premium: Premium
	list: List
price_adjustment_type_dom
	StandardTax: Standard Tax
	CompoundedTax: Compounded Tax
	TaxedShipping: Taxed Shipping
	UntaxedShipping: Untaxed Shipping
	StandardDiscount: Standard Discount
quotation_modes
	"": No Limitations
	catalog_only: Limit user to quoting only products from the catalog
	standard_prices:
		Limit user to quoting only products from the catalog, and only at standard pricing
project_modes
	"": No Limitations
email_reminder_time_options
	900: 15 minutes prior
	1800: 30 minutes prior
	3600: 1 hour prior
	7200: 2 hours prior
	10800: 3 hours prior
	21600: 6 hours prior
	86400: 1 day prior
booked_hours_status_dom
	draft: Tentative
	pending: Pending
	submitted: Submitted
	approved: Approved
	rejected: Rejected
booked_hours_related_dom
	Cases: Case
	ProjectTask: Project Task
booked_hours_billing_status_dom
	billed: Billed
	notbilled: Not Billed
booking_classes_dom
	billable-work: Billable Work
	nonbill-work: Non-Billable Work
	expenses: Expenses
	services-monthly: Recurring Services
expense_units_short_dom
	day: days
	month: months
	year: years
	km: km
	mi: mi
	L: L
	gal: gal
	unit: units
expense_units_dom
	day: Days
	month: Months
	year: Years
	km: Kilometres
	mi: Miles
	L: Litres
	gal: Gallons
	unit: Units
address_format_names_dom
	Britain: Britain/US/Canada
	France: Europe 1 (Contact first)
	Germany: Europe 2 (Account first)
	Japan: Japan
	Switzerland: Switzerland
business_model_dom
	B2B: Business to Business
	B2C: Business to Consumer
event_format_dom
	Teleseminar: Teleseminar
	Seminar: Seminar
	Program: Program
	Live Event: Live Event
	Material: Material
event_color_dom
	red: Red
	green: Green
	blue: Blue
	magenta: Magenta
	cyan: Cyan
	brown: Brown
	violet: Violet
	chocolate: Chocolate
	crimson: Crimson
	firebrick: FireBrick
	fuchsia: Fuchsia
	indigo: Indigo
	orangered: OrangeRed
	yellowgreen: YellowGreen
placement_dom
	all: Tab Menu and Shortcut Menu
	tab: Tab Menu
	shortcut: Shortcut Menu
iframe_type_dom
	personal: Personal
	global: Global
temperature_dom
	Smoking: Smoking
	Hot: Hot
	Warm: Warm
	Cold: Cold
quote_add_comment_options
	"": Do not add part descriptions
	products: Only add product descriptions
	assemblies: Only add assembly descriptions
	all: Add all part descriptions
track_inventory_dom
	untracked: Not Tracked / Intangible
	manual: Manually Updated
	semiauto: Automatically Adjusted
booking_location_dom
	onsite: Onsite
	offsite: Offsite
booking_seniority_dom
	junior: Junior
	intermediate: Intermediate
	senior: Senior
booking_duration_dom
	hour: Hours
	day: Days
leave_status_dom
	planned: Planned
	approved: Approved
	not_approved: Not Approved
	cancelled: Cancelled
	days_taken: Days Taken
leave_type_dom
	vacation: Vacation
	sick: Sick Days
country_codes
	AF: Afghanistan
	AX: Åland Islands
	AL: Albania
	DZ: Algeria
	AS: American Samoa
	AD: Andorra
	AO: Angola
	AI: Anguilla
	AQ: Antarctica
	AG: Antigua and Barbuda
	AR: Argentina
	AM: Armenia
	AW: Aruba
	AU: Australia
	AT: Austria
	AZ: Azerbaijan
	BS: Bahamas
	BH: Bahrain
	BD: Bangladesh
	BB: Barbados
	BY: Belarus
	BE: Belgium
	BZ: Belize
	BJ: Benin
	BM: Bermuda
	BT: Bhutan
	BO: Bolivia
	BQ: Bonaire, Sint Eustatius and Saba
	BA: Bosnia and Herzegovina
	BW: Botswana
	BV: Bouvet Island
	BR: Brazil
	IO: British Indian Ocean Territory
	BN: Brunei Darussalam
	BG: Bulgaria
	BF: Burkina Faso
	BI: Burundi
	KH: Cambodia
	CM: Cameroon
	CA: Canada
	CV: Cape Verde
	KY: Cayman Islands
	CF: Central African Republic
	TD: Chad
	CL: Chile
	CN: China
	CX: Christmas Island
	CC: Cocos (Keeling) Islands
	CO: Colombia
	KM: Comoros
	CG: Congo
	CD: Congo, the Democratic Republic of the
	CK: Cook Islands
	CR: Costa Rica
	HR: Croatia
	CU: Cuba
	CW: Curaçao
	CY: Cyprus
	CZ: Czech Republic
	CI: Côte d'Ivoire
	DK: Denmark
	DJ: Djibouti
	DM: Dominica
	DO: Dominican Republic
	EC: Ecuador
	EG: Egypt
	SV: El Salvador
	GQ: Equatorial Guinea
	ER: Eritrea
	EE: Estonia
	ET: Ethiopia
	FK: Falkland Islands
	FO: Faroe Islands
	FJ: Fiji
	FI: Finland
	FR: France
	GF: French Guiana
	PF: French Polynesia
	TF: French Southern Territories
	GA: Gabon
	GM: Gambia
	GE: Georgia
	DE: Germany
	GH: Ghana
	GI: Gibraltar
	GR: Greece
	GL: Greenland
	GD: Grenada
	GP: Guadeloupe
	GU: Guam
	GT: Guatemala
	GG: Guernsey
	GN: Guinea
	GW: Guinea-Bissau
	GY: Guyana
	HT: Haiti
	HM: Heard Island and McDonald Islands
	HN: Honduras
	HK: Hong Kong
	HU: Hungary
	IS: Iceland
	IN: India
	ID: Indonesia
	IR: Iran
	IQ: Iraq
	IE: Ireland
	IM: Isle of Man
	IL: Israel
	IT: Italy
	JM: Jamaica
	JP: Japan
	JE: Jersey
	JO: Jordan
	KZ: Kazakhstan
	KE: Kenya
	KI: Kiribati
	KW: Kuwait
	KG: Kyrgyzstan
	LA: Laos
	LV: Latvia
	LB: Lebanon
	LS: Lesotho
	LR: Liberia
	LY: Libya
	LI: Liechtenstein
	LT: Lithuania
	LU: Luxembourg
	MO: Macao
	MK: Macedonia
	MG: Madagascar
	MW: Malawi
	MY: Malaysia
	MV: Maldives
	ML: Mali
	MT: Malta
	MH: Marshall Islands
	MQ: Martinique
	MR: Mauritania
	MU: Mauritius
	YT: Mayotte
	MX: Mexico
	FM: Micronesia
	MD: Moldova
	MC: Monaco
	MN: Mongolia
	ME: Montenegro
	MS: Montserrat
	MA: Morocco
	MZ: Mozambique
	MM: Myanmar
	NA: Namibia
	NR: Nauru
	NP: Nepal
	NL: Netherlands
	NC: New Caledonia
	NZ: New Zealand
	NI: Nicaragua
	NE: Niger
	NG: Nigeria
	NU: Niue
	NF: Norfolk Island
	KP: North Korea
	MP: Northern Mariana Islands
	NO: Norway
	OM: Oman
	PK: Pakistan
	PW: Palau
	PS: Palestine
	PA: Panama
	PG: Papua New Guinea
	PY: Paraguay
	PE: Peru
	PH: Philippines
	PN: Pitcairn
	PL: Poland
	PT: Portugal
	PR: Puerto Rico
	QA: Qatar
	RO: Romania
	RU: Russia
	RW: Rwanda
	RE: Réunion
	BL: Saint Barthélemy
	SH: Saint Helena, Ascension and Tristan da Cunha
	KN: Saint Kitts and Nevis
	LC: Saint Lucia
	MF: Saint Martin
	PM: Saint Pierre and Miquelon
	VC: Saint Vincent and the Grenadines
	WS: Samoa
	SM: San Marino
	ST: Sao Tome and Principe
	SA: Saudi Arabia
	SN: Senegal
	RS: Serbia
	SC: Seychelles
	SL: Sierra Leone
	SG: Singapore
	SX: Sint Maarten
	SK: Slovakia
	SI: Slovenia
	SB: Solomon Islands
	SO: Somalia
	ZA: South Africa
	GS: South Georgia and the South Sandwich Islands
	KR: South Korea
	SS: South Sudan
	ES: Spain
	LK: Sri Lanka
	SD: Sudan
	SR: Suriname
	SJ: Svalbard and Jan Mayen
	SZ: Swaziland
	SE: Sweden
	CH: Switzerland
	SY: Syria
	TW: Taiwan
	TJ: Tajikistan
	TZ: Tanzania
	TH: Thailand
	TL: Timor-Leste
	TG: Togo
	TK: Tokelau
	TO: Tonga
	TT: Trinidad and Tobago
	TN: Tunisia
	TR: Turkey
	TM: Turkmenistan
	TC: Turks and Caicos Islands
	TV: Tuvalu
	UG: Uganda
	UA: Ukraine
	AE: United Arab Emirates
	GB: United Kingdom
	US: United States
	UM: United States Minor Outlying Islands
	UY: Uruguay
	UZ: Uzbekistan
	VU: Vanuatu
	VA: Vatican City State
	VE: Venezuela
	VN: Vietnam
	VG: Virgin Islands, British
	VI: Virgin Islands, U.S.
	WF: Wallis and Futuna
	EH: Western Sahara
	YE: Yemen
	ZM: Zambia
	ZW: Zimbabwe
debit_credit_dom
	debit: Debit
	credit: Credit
envelope_window_position_dom
	left: Left
	right: Right
relative_time_dom
	yesterday: Yesterday
	yesterday_time: Yesterday, {TIME}
	today: Today
	today_time: Today, {TIME}
	tomorrow: Tomorrow
	tomorrow_time: Tomorrow, {TIME}
	weekday: {WDAY}
	weekday_time: {WDAY}, {TIME}
	moments_ago: Moments ago
	n_second_ago: One second ago
	n_seconds_ago: {N} seconds ago
	n_minute_ago: One minute ago
	n_minutes_ago: {N} minutes ago
	n_hour_ago: An hour ago
	n_hours_ago: {N} hours ago
	n_days_ago: {N} days ago
	n_days_ago_time: {N} days ago, {TIME}
	date_time: {DATE}, {TIME}
	now: Now
google_contacts_sync_dom
	"": "- Sync Disabled -"
	to_iah: (One-Way) Bring Contacts In To 1CRM
	to_google: (One-Way) Send Contacts Out To Google
	both: Two-Way Sync
google_calendar_sync_dom
	"": "- Sync Disabled -"
	to_iah: (One-Way) Bring Events In To 1CRM
	to_google: (One-Way) Send Events Out To Google
	both: Two-Way Sync
google_docs_sync_dom
	"": "- Sync Disabled -"
	to_iah: (One-Way) Bring Documents In To 1CRM
	to_google: (One-Way) Send Documents Out To Google
	both: Two-Way Sync
email_import_since_dom
	prev_n_days: Previous {N} days
	prev_n_months: Previous {N} months
	prev_n_years: Previous {N} years
	all: All messages
calendar_import_since_dom
	prev_n_days: Previous {N} days
	prev_n_months: Previous {N} months
	prev_n_years: Previous {N} years
	all: All Calendar Entries
module_types_dom
	theme: Theme
	langpack: Language
	module: Module
	patch: Patch
	holidays: Holidays Pack
	pers_pack: Personality Pack
user_activity_tracker_dom
    off: Off
    session: Login Duration
    modules: Modules Used
    records: Records Used
log_level_dom
	debug: Debug level (verbose)
	info: Informational
	warn: Warnings and errors
	error: All errors
	fatal: Only fatal errors
	off: Off (logging disabled)
log_clear_activities_interval_dom
    30: 30 days
    60: 60 days
    90: 90 days
    120: 120 days
dashboard_position_dom
	0: Start
	10: End
expense_report_type_dom
	Customer: Customer
	Marketing: Marketing
	Sales: Sales
	Support: Support
	Executive: Executive
date_filter_operators_dom
	"": Any date
	before_date: Before:
	after_date: After:
	before_today: Before Today
	after_today: After Today
	on_date: On date:
	not_on_date: Not on date:
	between_dates: Between:
	empty: Empty
	not_empty: Not empty
	yesterday: Yesterday
	today: Today
	tomorrow: Tomorrow
	period_prev: Previous:
	period_current: Current:
	period_next: Next:
	month: Select Month:
	year: Select Year:
	fiscal_year: Select Fiscal Year:
date_filter_period_dom
	week: Week
	month: Month
	quarter: Quarter
	year: Year
	fiscal_quarter: Fiscal Quarter
	fiscal_year: Fiscal Year
	days_7: 7 Days
	days_14: 14 Days
	days_30: 30 Days
	days_60: 60 Days
	days_90: 90 Days
	days_180: 180 Days
	days_365: 365 Days
date_range_operators_dom
	any: Any date
	date: On date
	not_date: Not on date
	between: Between
	from: Select date
	from_field: Select date field
	before: Before date
	after: After date
	before_today: Before Today
	after_today: After Today
	before_pfx: Before
	after_pfx: After
	empty: Empty
	not_empty: Not empty
	month: Select month
	year: Select year
	fiscalyear: Select fiscal year
	to: To date
	to_field: To date field
	to_offset: To offset date
	to_start: To start of
	to_end: To end of
	offset: Offset date
	within: Within range
	start: Start of
	end: End of
	previous: Previous
	next: Next
	current: Current
	this: This
	offset_custom: Custom offset
	to_offset_custom: To custom offset
	range: Range
	plus: Plus
	minus: Minus
	not: Not
	start_pfx: Start of the
	end_pfx: End of the
	within_pfx: Within
	from_pfx: From
date_range_embed_dom
	start: start of
	end: end of
	previous: previous
	next: next
	current: current
	this: this
	plus: plus
	minus: minus
	before: before
	after: after
	not: not
	within: within
	from: from
	to: to
	of: of
number_filter_operators_dom
	"": Any value
	eq: Equal to
	lt: Less than
	gt: Greater than
	not_eq: Not equal to
	gte: Not less than
	lte: Not greater than
	between: Between
	empty: Empty
	not_empty: Not empty
text_filter_operators_dom
	"": Any value
	eq: Equal to
	like: Contains
	prefix: Starts with
	suffix: Ends with
	not_like: Doesn't contain
	not_eq: Not equal to
	empty: Empty
	not_empty: Not empty
select_filter_operators_dom
    "": Any value
    eq: Equal to
    any_of: Any of
    not_eq: Not equal to
    not_any_of: None of
	empty: Empty
	not_empty: Not empty
field_type_dom
	id: ID
	name: Name
	person_name: Person Name
	user_display_name: User Display Name
	enum: Drop-down Selection
	date: Date
	datetime: Date & Time
	time: Time
	duration: Duration
	multienum: Multi-Select Drop-down
	ref: Related Value
	char: Text
	varchar: Text
	text: Multi-line Text
	bool: True or False
	int: Integer
	number: Number
	float: Real Number
	double: Real Number
	currency: Currency Value
	base_currency: Base Currency Value
	raw_currency: Raw Currency Value
	percentage: Percent Value
	rate_percent: Rate Percentage
	email: Email Address
	phone: Phone Number
	extension_number: Extension Number
	fax: Fax Number
	skype: Skype ID
	url: URL
	module_name: Module Name
	address: Postal Address
	location_city: City & State
	html: HTML
	widget: Widget
	calculated: Calculated
	reminder: Reminder Time
	item_number: Item Number
	sequence_number: Sequence Number
	sequence_prefix: Sequence Prefix
	status_color: Color
	image: Image
	file_size: File Size
	file_ref: File Name
	star_rating: Star Rating
	progress: Progress Meter
	status: Status Indicator
	flag: True or False
	email_recips: Email Recipients
	color: Color
	blob: Blob
field_format_dom
	none: Standard
	date_only: Date Only
	time_only: Time Only
	month: Month
	qtr: Quarter
	year: Year
	yearmonth: Year & Month
	fqtr: Fiscal Quarter
	fy: Fiscal Year
	full_name: Full Name
	rounded: Rounded
	thousands: In Thousands
	millions: In Millions
	days_past: Days in Past
	days_future: Days in Future
	hours: Hours
	minutes: Minutes
multi_update_mode_dom
	"": No change
	add: Add
	remove: Remove
	replace: Replace
total_type_dom
	count: Count
	sum: Sum
	min: Minimum
	max: Maximum
	avg: Average
	stddev: Standard Deviation
total_type_short_dom
	count: Count
	sum: Sum
	min: Min
	max: Max
	avg: Avg
	stddev: StdDev
chart_type_dom
	"": (No chart)
	hbar: Horizontal Bar Chart
	vbar: Vertical Bar Chart
	pie: Pie Chart
	line: Line Graph
	area: Area Chart
weekdays_dom
	- Sun
	- Mon
	- Tue
	- Wed
	- Thu
	- Fri
	- Sat
weekdays_long_dom
	- Sunday
	- Monday
	- Tuesday
	- Wednesday
	- Thursday
	- Friday
	- Saturday
months_dom
	- ""
	- Jan
	- Feb
	- Mar
	- Apr
	- May
	- Jun
	- Jul
	- Aug
	- Sep
	- Oct
	- Nov
	- Dec
months_long_dom
	- ""
	- January
	- February
	- March
	- April
	- May
	- June
	- July
	- August
	- September
	- October
	- November
	- December
source_display_dom
	primary: Primary
	joined: Joined rows
	nested: Nested rows
workflow_execute_mode_dom
	newRecordOnly: New Record Only
	existingRecordOnly: Existing Records Only
	newRecordAndExisting: New Record and Existing Records
workflow_occurs_dom
	saved: Record is Saved
	time: Time Elapses
workflow_trigger_dom
	saved: Saved
	deleted: Deleted
workflow_execute_dom
	trigger: User who triggers workflow
	admin: Administrator
	owner: Record owner
workflow_status_dom
	inactive: Inactive
	active: Active
reassign_accounts_dom
	Contacts: Contacts
	Activities: Activities
	History: History
	Quotes: Quotes
	Invoices: Invoices
	Opportunities: Opportunities
	Cases: Cases
reassign_leads_dom
	Activities: Activities
	History: History
telephony_integration_dom
    "": Disabled
	skypeout: SkypeOut
	ringcentral: RingCentral
	tel: Generic Telephony
chat_integration_dom
	livechat: LiveChat Inc.
backup_filter_options_dom
	none: "No application files"
	minimal: "Application config, custom/ and modules/"
	maximal: "All but cache and file attachments"
	complete: "Entire application directory"
activity_log_status_dom
	assigned: Assigned
	invited: Invited
	reminder: Reminder
    created: Created
    moved: Rescheduled
    closed: Closed
    reopened: Reopened
    cancelled: Cancelled
    won: Won
	lost: Lost
	converted: Converted
	expired: Expired
	expire_warn: Expiring Soon
	overdue: Overdue
	report: Scheduled Report
	submitted: Submitted
	approved: Approved
	rejected: Rejected
	thread_reply: Thread Reply
dashlet_auto_refresh_dom
    0: never
    5: 5 mins
    10: 10 mins
    15: 15 mins
    20: 20 mins
    30: 30 mins
shared_with_dom
	"": None
	all: All Users
	teams: Selected Teams
smtp_security_dom
	"": None
	ssl: SSL
	tls: TLS
download_status_dom
	init: Initiating
	headers: Receiving headers
	connect: Connected
	in_progress: In progress
	complete: Complete
	failed: Failed
	timeout: Timed out
remote_backup_type_dom
	"": Disabled
	ftp: FTP
	ssh: SSH
	dropbox: Dropbox
page_orientation_dom
	portrait: Portrait
	landscape: Landscape
partner_type_dom
	Referral: Referral
	Sales Only: Sales Only
	Full Service: Full Service
	Multi-Level: Multi-Level
email_folder_types
	1: Inbox
	2: Sent
	3: Drafts
	4: Trash
	5: Campaigns
	6: Support
custom_checkbox_dependent
	"": Always
	1: When Checked
	0: When Unchecked
paid_status_dom
	due: Due
	overdue: Overdue
	paid: Paid
	cancelled: Cancelled
opp_active_dom
	neutral: ""
	active: Active
	pending: In Progress
	won: Closed Won
	lost: Closed Lost
request_method_dom
	get: GET
	post: POST
	post_json: POST with JSON body
record_action_status_dom
	scheduled: Scheduled
	pending: Pending
	progress: In Progress
	complete: Complete
	canceled: Canceled
	failed: Failed
	# overdue?
record_action_source_dom
	manual: Manual
	workflow: Workflow
apns_notification_mode_dom
	immediate: Immediate
	scheduled: Scheduled
dropzone_messages
	dictDefaultMessage: "Drop attachments here, or click to select file(s)"
	dictFallbackMessage: "Your browser does not support drag'n'drop file uploads."
	dictFallbackText: "Please use the fallback form below to upload your files like in the olden days."
	dictFileTooBig: "File is too big ({{filesize}}MiB). Max filesize: {{maxFilesize}}MiB."
	dictInvalidFileType: "You can't upload files of this type."
	dictResponseError: "Server responded with {{statusCode}} code."
	dictCancelUpload: "Cancel upload"
	dictCancelUploadConfirmation: "Are you sure you want to cancel this upload?"
	dictRemoveFile: "Remove file"
	dictMaxFilesExceeded: "You can not upload any more files."
filter_properties_dom
	min: min
	max: max
	value: value
	prefix: prefix
	suffix: suffix
data_privacy_type_dom
	erase: Right to Erase Information
	consent: Consent to Process
	withdraw: Withdraw Consent
	view: Request to View
data_privacy_status_dom
	open: Open
	processing: In Progress
	closed: Closed
storageutil_notifytype_dom
	GB: GB Free
	Percentage: Percentage Used
storageutil_autoreport_dom
	Daily: Daily
	Weekly: Weekly
	Monthly: Monthly
option_type_dom
    varchar: String
    enum: Select One
    multienum: Select Many
    file_ref: File Upload
    bool: Boolean
    number: Number
    int: Integer
    phone: Phone No.
    email: Email
    url: Web Address
    currency: Currency
    date: Date
    datetime: Date and Time
    html: HTML
lag_type_dom
	days: Days
	weeks: Weeks
	months: Months
optout_type_dom
	track: Click Tracker
	optin: Opt-In
	optout: Opt-Out
	optout-all: Opt-Out From All
workflow_occurs_type
	i: Minutes
	h: Hours
	d: Days
	w: Weeks
	m: Months
	y: Years
smtp_auth_type
	"": None
	"1": Username and Password
	"o365": Office365 OAuth
	"gmail": GMail OAuth
imap_auth_type
	"": Username and Password
	"o365": Office365 OAuth
	"gmail": GMail OAuth
oauth_server_dom
	washington_oauth_1crmcloud_com: Washington, Virginia, USA
	toronto_oauth_1crmcloud_com: Toronto, Ontario, Canada
	singapore_oauth_1crmcloud_com: Singapore
	amsterdam_oauth_1crmcloud_com: Amsterdam, Netherlands
	stuttgart_oauth_1crm_de: Stuttgart, Germany
	custom: localhost
notarius_language_dom
	en: English
	fr: French
notarius_auth_factor_dom
	sms: SMS
	call: Phone Call
	question: Secret Question
notarius_signature_type_dom
	esig: Electronic Signature
	certifio: CertifiO Desktop Digital Signature
	certifiocloud: CertifiO Cloud Digital Signature
signing_action_status_dom
	NOT_STARTED: Not Started
	STARTED: Started
	COMPLETED: Completed
	IN_PROGRESS: In Process
	DECLINED: Declined
signing_action_type_dom
	Signer: Signer
signing_project_status_dom
	0: Not Started
	1: In Process
	2: Completed
	3: Expired
	4: Created From Template
	5: Declined

