<?php
/*
 *
 * The contents of this file are subject to the info@hand Software License Agreement Version 1.3
 *
 * ("License"); You may not use this file except in compliance with the License.
 * You may obtain a copy of the License at <http://1crm.com/pdf/swlicense.pdf>.
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the
 * specific language governing rights and limitations under the License,
 *
 * All copies of the Covered Code must include on each user interface screen:
 * (i) the 1CRM copyright notice,
 * (ii) the "Powered by the 1CRM Engine" logo, 
 *
 * (iii) the "Powered by SugarCRM" logo, and
 * (iv) the SugarCRM copyright notice
 * in the same form as they appear in the distribution.
 * See full license for requirements.
 *
 * The Original Code is : 1CRM Engine proprietary commercial code.
 * The Initial Developer of this Original Code is 1CRM Corp.
 * and it is Copyright (C) 2004-2012 by 1CRM Corp.
 *
 * All Rights Reserved.
 * Portions created by SugarCRM are Copyright (C) 2004-2008 SugarCRM, Inc.;
 * All Rights Reserved.
 *
 */

require_once('include/layout/BaseTheme.php');

class CompatTheme extends BaseTheme {
	function add_theme_styles() {
		if(function_exists('add_theme_styles')) // defined in layout_utils.php
			add_theme_styles($this->theme_name);
	}
	
	function render_header() {
	}
	
	function render_footer($footer_copyright=null, $params=null) {
		global $moduleList, $modListHeader, $current_user;
		include ('themes/'.$this->theme_name.'/footer.php');
		if (empty($_REQUEST['hide_theme_headers'])) {
			echo "<table cellpadding='0' cellspacing='0' width='100%' border='0' class='underFooter'>";
			echo "<tr><td align='center'>";
			echo array_get_default($params, 'settings');
			echo '</td></tr><tr><td align="center" class="copyRight">';
			echo array_get_default($params, 'debug') . "<p>$footer_copyright</p>";
			echo "</td></tr></table>\n";
		}
	}
}
