<?php

class RingCentralWidget {
	public function render($data) {
		$lang = AppConfig::setting('lang.strings.current.app');
		ob_start();
?>
<div id="ringcentral-square">
	<img src="themes/Default/images/ringcentral_sq.png" />
</div>

<div id="ringcentral-container">
	<div id="ringcentral-header">
	<img src="themes/Default/images/ringcentral.png" />
	<div class="input-icon icon-cancel active ringcentral-logout-icon" id="ringcentral-logout-icon"></div>
	<div id="ringcentral-error-counter">12</div>
	</div>
	<div id="ringcentral-content">
		<div id="ringcentral-main">
			<div id="ringcentral-calls-list-container">
				<div id="ringcentral-calls-list-navigator" style="text-align:center">
					<button type="button" id="ringcentral-prev-button" class="input-button input-outer nav-button" disabled="disabled" style="float:left"><div id="ringcentral-prev-icon" class="input-icon icon-prev off"></div></button>
					<button type="button" id="ringcentral-next-button" class="input-button input-outer nav-button" disabled="disabled" style="float: right"><div id="ringcentral-next-icon" class="input-icon icon-next off"></div></button>
				<span id="ringcentral-calls-count"></span>
				<div style="clear:both"></div>
				</div>
				<div id="ringcentral-calls-list">
				</div>
			</div>
			<div id="ringcentral-login">
				<form id="ringcentral-login-form" autocomplete="false">
					<div style="height: 0px; overflow:hidden">
						<input type="text" value="" />
						<input type="password" value="" />
					</div>
					<table class="form-buttons" border="0" width="100%">
						<tr>
							<td align="left">
								<button type="submit" class="input-button group-left" >
									<div class="input-icon left icon-accept"></div>
									<span class="input-label">Login</span>
								</button>
							</td>
						</tr>
					</table>
				</form>
			</div>
			<div id="ringcentral-connection-status">
				<img id="ringcentral-loading" src="themes/Default/images/sqsWait.gif" class="wait-icon" width="16" height="16" />
				<div id="ringcentral-login-error">
					<div id="ringcentral-login-error-message">
					</div>
					<button id="ringcentral-retry-button" class="input-button group-left">
						<span class="input-label">Retry</span>
					</span>
				</div>
			</div>
		</div>
		<div id="ringcentral-errors">
		</div>
	</div>
</div>
<?php
		return ob_get_clean();
	}
}


