<?php return; /* no output */ ?>

detail
	type: link
	table_name: document_relations
	primary_key: [relation_type, relation_id, document_id]
fields
	app.date_modified
	app.deleted
	document
		vname: LBL_DOCUMENT_ID
		required: true
		type: ref
		bean_name: Document
	relation_type
		vname: LBL_RELATION_TYPE
		type: module_name
		required: true
	relation
		vname: LBL_RELATION_ID
		required: true
		type: ref
		dynamic_module: relation_type
	document_revision
		vname: LBL_DOCUMENT_REVISION_ID
		type: ref
		bean_name: DocumentRevision
	relation_role
		vname: LBL_RELATION_ROLE
		type: varchar
		len: 30
indices
	document_relations_docid
		fields
			- document_id
relationships
	documents_accounts
		lhs_key: id
		rhs_key: id
		relationship_type: many-to-many
		join_key_lhs: document_id
		join_key_rhs: relation_id
		relationship_role_column: relation_type
		relationship_role_column_value: Accounts
		lhs_bean: Document
		rhs_bean: Account
	documents_contacts
		lhs_key: id
		rhs_key: id
		relationship_type: many-to-many
		join_key_lhs: document_id
		join_key_rhs: relation_id
		relationship_role_column: relation_type
		relationship_role_column_value: Contacts
		lhs_bean: Document
		rhs_bean: Contact
	documents_opportunities
		lhs_key: id
		rhs_key: id
		relationship_type: many-to-many
		join_key_lhs: document_id
		join_key_rhs: relation_id
		relationship_role_column: relation_type
		relationship_role_column_value: Opportunities
		lhs_bean: Document
		rhs_bean: Opportunity
	documents_projects
		lhs_key: id
		rhs_key: id
		relationship_type: many-to-many
		join_key_lhs: document_id
		join_key_rhs: relation_id
		relationship_role_column: relation_type
		relationship_role_column_value: Project
		lhs_bean: Document
		rhs_bean: Project
	documents_leads
		lhs_key: id
		rhs_key: id
		relationship_type: many-to-many
		join_key_lhs: document_id
		join_key_rhs: relation_id
		relationship_role_column: relation_type
		relationship_role_column_value: Leads
		lhs_bean: Document
		rhs_bean: Lead
	documents_bugs
		lhs_key: id
		rhs_key: id
		relationship_type: many-to-many
		join_key_lhs: document_id
		join_key_rhs: relation_id
		relationship_role_column: relation_type
		relationship_role_column_value: Bugs
		lhs_bean: Document
		rhs_bean: Bug
	documents_cases
		lhs_key: id
		rhs_key: id
		relationship_type: many-to-many
		join_key_lhs: document_id
		join_key_rhs: relation_id
		relationship_role_column: relation_type
		relationship_role_column_value: Cases
		lhs_bean: Document
		rhs_bean: aCase
	documents_employees
		lhs_key: id
		rhs_key: id
		relationship_type: many-to-many
		join_key_lhs: document_id
		join_key_rhs: relation_id
		relationship_role_column: relation_type
		relationship_role_column_value: Employees
		lhs_bean: Document
		rhs_bean: Employee
