<?php return; /* no output */ ?>

detail
	type: link
	table_name: pricebooks_products
	primary_key
		- product_id
		- pricebook_id
hooks
	validate
		--
			class_function: validate_custom_formula
			class: PriceBook
			file: modules/PriceBooks/PriceBook.php
fields
	app.created_by_user
	app.date_modified
	app.deleted
	pricebook_id
		type: char
		len: 36
		required: true
	product_id
		type: char
		len: 36
		required: true
	custom_formula
		type: varchar
		len: 255
		required: false
		is_override: true
indices
	idx_pbook
		fields
			- pricebook_id
relationships
	pricebooks_products
		lhs_key: id
		rhs_key: id
		relationship_type: many-to-many
		join_key_lhs: product_id
		join_key_rhs: pricebook_id
		lhs_bean: Product
		rhs_bean: PriceBook
