/*********************************************************************************
 * The contents of this file are subject to the SugarCRM Public License Version
 * 1.1.3 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.sugarcrm.com/SPL
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * All copies of the Covered Code must include on each user interface screen:
 *    (i) the "Powered by SugarCRM" logo and
 *    (ii) the SugarCRM copyright notice
 * in the same form as they appear in the distribution.  See full license for
 * requirements.
 *
 * The Original Code is: SugarCRM Open Source
 * The Initial Developer of the Original Code is SugarCRM, Inc.
 * Portions created by SugarCRM are Copyright (C) 2004-2006 SugarCRM, Inc.;
 * All Rights Reserved.
 * Contributor(s): ______________________________________.
 ********************************************************************************/


function toggleCreateUser() {
	var create = $('setup_db_create_sugarsales_user');
	if(create) {
		toggleDisplay('password_retype_required', create.checked);
		if(create.checked)
			$('setup_db_username_is_privileged').checked = 0;
		toggleDisplay('is_privileged', ! create.checked);
		toggleUsernameIsPrivileged();
	}
}

function toggleDropTables() {
	var create = $('setup_db_create_database');
	if(create) toggleDisplay('drop_tables', ! create.checked);
}

function toggleUsernameIsPrivileged() {
	var priv = $('setup_db_username_is_privileged');
	if(priv) toggleDisplay('privileged_user_info', ! priv.checked);
}

function showMb() {
	var dd = $('demoData');
	if(dd) toggleDisplay('demo_mb', dd.checked);
}

