<?php
$kb_seed_data = array (
  0 => 
  array (
    'name' => 'Customization',
    'description' => 'Info on all the many ways you can customize 1CRM using the Studio features in Administration. ',
    'category_icon' => 'fas fa-palette',
    'image_filename' => NULL,
    'subcategories' => 
    array (
    ),
    'articles' => 
    array (
      0 => 
      array (
        'name' => 'How do I disable (hide) certain modules?',
        'description' => '<div>
<div>Any 1CRM modules you don&rsquo;t need can be removed by disabling access to them in the default Role in Admin. Then they will simply vanish from the user interface.</div>
</div>',
        'summary' => ' Any 1CRM modules you don’t need can be removed by disabling access to them in the default Role in Admin.',
      ),
      1 => 
      array (
        'name' => 'Can I make changes to 1CRM to suit my needs?',
        'description' => '<div>
<div>
<div>Yes you can.<br data-text="true" />
<br />
<strong>Small/medium custom changes</strong>&nbsp;can be made in the application – in Admin using the Studio.<br data-text="true" />
<br />
<strong>Larger changes</strong>&nbsp;– all clients get all the source code, and if you have a PHP developer, they can customize the actual code.<br />
<br />
If you have a cloud account, you will need a Dedicated Virtual Machine ($25/month addition for a small DVM) to enable ssh access for your developer.</div>
</div>
</div>
',
        'summary' => ' Yes you can!',
      ),
    ),
  ),
  1 => 
  array (
    'name' => 'Documentation',
    'description' => 'All the latest documentation for 1CRM 8.5. The User Guide, Implementation Guide, Developer Guide, Mobile User Guide plus the QuickStart Checklist. ',
    'category_icon' => 'fas fa-book-open',
    'image_filename' => NULL,
    'subcategories' => 
    array (
    ),
    'articles' => 
    array (
      0 => 
      array (
        'name' => '1CRM 8.5 QuickStart Checklist',
        'description' => '<div>
<p>This single page 1CRM 8.5 QuickStart Checklist is a handy list organized to help you check off the sequence of steps to follow when implementing 1CRM.&nbsp;While the Implementation Guide below is organized as a reference guide, this checklist provides a directed sequence of actions required for the initial task of implementing the CRM, including creating the users, importing data, defining roles and teams, configuring user preferences, and customizing the system to better fit your business.<br />
<br />
<strong><a href="https://1crm.com/docs/QuickStart_Checklist.pdf" target="_blank">Download Checklist&nbsp;»</a></strong></p>
</div>
',
        'summary' => ' This single page 1CRM 8.5 QuickStart Checklist is a handy list organized to help you check off the sequence of steps to follow when implementing 1CRM.',
      ),
      1 => 
      array (
        'name' => '1CRM 8.5 Implementation Guide',
        'description' => '<div>
<div>
<div>
<p>This Implementation Guide describes the entire process for implementing and administering 1CRM System 8.5. This guide covers installations on CentOS 7.3 Linux, Windows Server 2012 with WampServer 2.5, macOS Sierra, plus CentOS 7.3 Linux on the Windows Azure Cloud. (221 pages)<br />
<br />
<strong><a href="https://1crm.com/docs/1CRM_8.5_Implementation_Guide.pdf" target="_blank">Download Guide&nbsp;»</a></strong></p>
</div>
</div>
</div>
',
        'summary' => ' This Implementation Guide describes the entire process for implementing and administering 1CRM System 8.5.',
      ),
      2 => 
      array (
        'name' => '1CRM 8.5 Developer Guide',
        'description' => '<div>
<div>
<div>
<p>This 1CRM 8.5 Developer Guide is your complete reference source for advanced customization of the 1CRM System – with all-new extended content about the REST API and the API Client Library for PHP. Learn how to interface with external APIs, develop for the 1CRM framework and package custom extensions. (71 pages)<br />
<br />
<strong><a href="https://1crm.com/docs/1CRM_8.5_Developer_Guide.pdf" target="_blank">Download Guide&nbsp;»</a></strong></p>
</div>
</div>
</div>
',
        'summary' => ' This 1CRM 8.5 Developer Guide is your complete reference source for advanced customization of the 1CRM System – with all-new extended content about the REST API and the API Client Library for PHP.',
      ),
      3 => 
      array (
        'name' => '1CRM 8.5 Mobile User Guide',
        'description' => '<div>
<div>
<div>
<div>
<p>This 1CRM Mobile User Guide covers CRMFlex – 1CRM’s unique adaptive browser access by Android and iOS Smartphones. It also includes full documentation for the 1CRM iPhone App, and explains how to use CRMSync to sync Contact, Calendar and Reminder data with iOS and Android devices. (31 pages)</p>
<strong><a href="https://1crm.com/docs/1CRM_Mobile_User_Guide.pdf" target="_blank">Download Guide&nbsp;»</a></strong></div>
</div>
</div>
</div>
',
        'summary' => ' This 1CRM Mobile User Guide covers CRMFlex – 1CRM’s unique adaptive browser access by Android and iOS Smartphones. It also includes full documentation for the 1CRM iPhone App, and explains how to use CRMSync to sync Contact, Calendar and Reminder data with iOS and Android devices.',
      ),
      4 => 
      array (
        'name' => '1CRM 8.5 User Guide',
        'description' => '<div>
<div>
<div>
<div>
<p>Here is the latest 1CRM User Guide! This guide adds content on the latest enhancements to the 1CRM experience including the CRMFlex Mobile browser access for Android and iPhone, the new Flex theme with a dozen colour scheme options and user-provided background images, LiveChat and PieSync integrations, and a new Chats module.<br />
<br />
<a href="https://1crm.com/docs/1CRM_8.5_User_Guide.pdf" target="_blank">Download User Guide »&nbsp;</a></p>

<h5>&nbsp;</h5>
</div>
</div>
</div>
</div>
',
        'summary' => ' This guide adds content on the latest enhancements to the 1CRM experience including the CRMFlex Mobile browser access for Android and iPhone, the new Flex theme with a dozen colour scheme options and user-provided background images, LiveChat and PieSync integrations, and a new Chats module.',
      ),
    ),
  ),
  2 => 
  array (
    'name' => 'General',
    'description' => 'General info about your 1CRM system. ',
    'category_icon' => 'fas fa-chalkboard-teacher',
    'image_filename' => NULL,
    'subcategories' => 
    array (
    ),
    'articles' => 
    array (
      0 => 
      array (
        'name' => 'Is 1CRM an Open Source CRM System?',
        'description' => '<div>
<div>Every edition of 1CRM comes with the source code of the CRM system. This provides you with insight into the functionality of 1CRM and the opportunity to modify it to suit your needs. 1CRM can also be used as a platform to create CRM extensions. You can sell them, or provide them as open source software to the community.<br data-text="true" />
<br />
1CRM is not a pure Open Source solution, as you will not be allowed to modify the source code of 1CRM and then sell it without a license. 1CRM is often called an open source CRM system with the addition of commercial open source, because it excludes the files on which the license and user management of the CRM system is implemented.&nbsp;<a href="http://www.1crm.com/open-source-crm/" rel="noopener noreferrer" target="_blank" title="http://www.1crm.com/open-source-crm/">Learn more</a>.<br data-text="true" />
<br />
Check out our&nbsp;<a href="http://www.1crm.com/partner-products/" rel="noopener noreferrer" target="_blank" title="http://www.1crm.com/partner-products/">Partner Products</a>&nbsp;to see some 1CRM Extensions.</div>
</div>
',
        'summary' => ' Every edition of 1CRM comes with the source code of the CRM system.',
      ),
      1 => 
      array (
        'name' => 'How do I update my 1CRM System?',
        'description' => '<div>
<div>The On-Premise Startup Edition cannot be updated, as this free system is not eligible for updates. All other systems which have a current subscription in place can be updated by system administrators, using&nbsp;System Support Tools&nbsp;-&gt;&nbsp;Upgrades &amp; Customization.<br data-text="true" />
<br />
From release 7.1.3 on, administrators of systems with support can always see if there is a new release by using the&nbsp;Check for Updates&nbsp;button on the&nbsp;License &amp; Support&nbsp;screen.<br data-text="true" />
<br />
As well, your 1CRM server (while it has an active support &amp; update subscription) performs this check itself automatically every 3 days (as long as your&nbsp;Scheduler&nbsp;is running) – and if an update is found, a green up-arrow is displayed as a notification in the license info area of every screen.</div>
</div>
',
        'summary' => ' Systems which have a current subscription in place can be updated by system administrators, using System Support Tools -> Upgrades & Customization.',
      ),
    ),
  ),
  3 => 
  array (
    'name' => 'Getting Started',
    'description' => 'Answering your most common questions about how to get started with 1CRM. ',
    'category_icon' => 'fas fa-power-off',
    'image_filename' => NULL,
    'subcategories' => 
    array (
    ),
    'articles' => 
    array (
      0 => 
      array (
        'name' => 'What is CRM?',
        'description' => '<div>
<div>We’re glad you asked!&nbsp;<a href="http://www.1crm.com/crm/" target="_blank">CRM</a>&nbsp;stands for Customer Relationship Management. It’s a business strategy that focuses on attracting, retaining, and delighting customers. Happy customers will often buy more, tell their friends about your business, and stay loyal to your brand. A CRM solution (software or service) typically combines sales, marketing, service and support all into a single online platform. It then automates business processes, and shares that information with everyone in the company – even when they’re working remotely. This increases productivity, collaboration, and sales.<br />
&nbsp;<br />
Having all of your business information linked together enables you to see a complete view of any customer at any time. Access their contact information, purchase history, full interaction history, support requests, and upcoming opportunities with the click of a button.<br />
&nbsp;<br />
1CRM stands out in the market of CRM solutions because it adapts to any industry with it’s extensive customization options and open source code. In addition to standard CRM features, it also includes full order management and project management modules – to manage every aspect of your business. Lastly, 1CRM is one of the most affordable CRM solutions with a&nbsp;<a href="http://www.1crm.com/startup-edition/">Free 3 User Startup Edition</a>, and Cloud Service starting at&nbsp;<a href="http://www.1crm.com/editions-and-pricing/">$12/user/month</a>.</div>
</div>
',
        'summary' => ' We’re glad you asked! CRM stands for Customer Relationship Management. It’s a business strategy that focuses on attracting, retaining, and delighting customers. Happy customers will often buy more, tell their friends about your business, and stay loyal to your brand.',
      ),
      1 => 
      array (
        'name' => 'Can I upgrade to Professional or Enterprise from Startup?',
        'description' => '<div>
<div>Yes! &nbsp;You only need to purchase and apply a new license key from the&nbsp;<a href="http://www.1crm.com/subscribe-now/" rel="noopener noreferrer" target="_blank" title="http://www.1crm.com/subscribe-now/">Store</a>, and all of your information will automatically become available within the upgraded Edition.</div>
</div>
',
        'summary' => ' Yes!  You only need to purchase and apply a new license key from the Store.',
      ),
      2 => 
      array (
        'name' => 'How do I log into the 1CRM Mobile iPhone App?',
        'description' => '<div>
<div><strong>In order to use the 1CRM Mobile iPhone app, you need the following:&nbsp;</strong>
<ul>
	<li>Your 1CRM System must be running at least release 7.8.8 or later</li>
	<li>Your 1CRM System must be either the Professional or Enterprise Edition – Startup and Startup+ do not work with the App.</li>
</ul>

<p>Given you satisfy those two requirements then you log in to the App using your normal 1CRM URL – but be sure to prefix it with&nbsp;<strong>https://</strong>&nbsp;– not just&nbsp;<strong>http://</strong></p>

<p>However – this requires an&nbsp;<em>SSL certificate</em>&nbsp;be loaded on your 1CRM system. For 1CRM Cloud clients – this is not a problem – all Cloud systems have this. But if you are setup&nbsp;<em>On Premise,&nbsp;</em>it might not be the case.</p>

<p>If you are&nbsp;<em>On Premise</em>, and do not have an&nbsp;<em>SSL Certificate</em>, then you may want to connect the App using a non-SSL connection. If you do:</p>

<ul>
	<li>Go to the&nbsp;<em>Admin, System Settings</em>&nbsp;screen in your normal browser-based 1CRM access, and in the&nbsp;<em>Advanced</em>&nbsp;panel check the option&nbsp;<strong><em>Enable Non-SSL API Calls</em></strong>.</li>
	<li>Enter the URL in&nbsp;the login screen of the App with just the&nbsp;<strong>http://</strong>&nbsp;prefix, not&nbsp;<strong>https://</strong></li>
</ul>

<p>If you do not have 1CRM Professional/Enterprise and you’d like to test out&nbsp;<a href="https://appsto.re/ca/GwZZcb.i" target="_blank">1CRM Mobile</a>, you can login using a&nbsp;<a href="http://www.1crm.com/free-trial/" target="_blank">30-day free trial</a>, or through our&nbsp;<a href="http://www.1crm.com/live-demo/" target="_blank">Live Demo.</a></p>

<p><strong>Enjoy 1CRM Mobile!&nbsp;</strong></p>
</div>
</div>
',
        'summary' => ' In order to use the 1CRM Mobile iPhone app, you need the following...',
      ),
      3 => 
      array (
        'name' => 'Can I convert my Free Trial into a regular plan?',
        'description' => '<div>
<div>Yes – to&nbsp;save your data and continue growing your business with 1CRM, you can apply your trial license key to a new 1CRM Subscription&nbsp;<a href="http://www.1crm.com/subscribe-now/" rel="noopener noreferrer" target="_blank" title="http://www.1crm.com/subscribe-now/">here</a>&nbsp;anytime before your 30 day free trial is up. See&nbsp;<a href="http://www.1crm.com/editions-and-pricing/" rel="noopener noreferrer" target="_blank" title="http://www.1crm.com/editions-and-pricing/">Editions &amp; Pricing</a>&nbsp;for more details on the CRM solutions 1CRM offers.</div>
</div>
',
        'summary' => ' Yes – to save your data and continue growing your business with 1CRM, you can apply your trial license key to a new 1CRM Subscription here anytime before your 30 day free trial is up.',
      ),
      4 => 
      array (
        'name' => 'What payment methods do you accept?',
        'description' => '<div>
<div>
<div>
<p>For paid plans, 1CRM accepts all major credit cards, Paypal, and cheques.&nbsp;&nbsp;(All prices in US$)</p>
</div>
</div>
</div>
',
        'summary' => ' For paid plans, 1CRM accepts all major credit cards, Paypal, and cheques.  (All prices in US$)',
      ),
      5 => 
      array (
        'name' => 'What are the main features 1CRM includes?',
        'description' => '<div>
<div>&nbsp;</div>

<div>1CRM is an all-in-one CRM system, including sales &amp; marketing automation, full order management and project management, customer service, and daily activities, such as an integrated email and calendar system. Explore&nbsp;<a href="https://www.1crm.com/wp-content/uploads/2014/09/Editions-Pricing-Chart1.pdf" rel="noopener" target="_blank">this chart</a>&nbsp;to see a full list of features. &nbsp;</div>
</div>
',
        'summary' => ' 1CRM is an all-in-one CRM system, including sales & marketing automation, full order management and project management, customer service, and daily activities, such as an integrated email and calendar system.',
      ),
      6 => 
      array (
        'name' => 'Can I use 1CRM on my mobile device?',
        'description' => 'Yes! You can access your 1CRM anytime, anywhere, and from any Windows, Mac, iOS, Android or Windows Phone device.<br />
<br />
See the <span><abbr contenteditable="false" title="1CRM 8.5 Mobile User Guide"><onecrm:article contenteditable="false" id="b20a851b-a978-159a-f547-5c4619243591" slug="mobile-guide">1CRM 8.5 Mobile User Guide</onecrm:article></abbr></span>&nbsp;for more info.&nbsp;',
        'summary' => ' Yes! You can access your 1CRM anytime, anywhere, and from any Windows, Mac, iOS, Android or Windows Phone device.',
      ),
      7 => 
      array (
        'name' => 'If I start using 1CRM On-Premise or 1CRM Cloud, can I switch at a later date?',
        'description' => '<div>
<div>Yes, you&nbsp;can move&nbsp;from <strong>Cloud to On-Premise&nbsp;</strong>at any time.&nbsp;You can do this by&nbsp;making a backup to your computer or perhaps Dropbox, then restoring that backup onto your&nbsp;own server.<br data-text="true" />
<br />
If you or someone working with you is&nbsp;IT capable, then you&nbsp;can do it yourselves&nbsp;using our documentation. Instructions on how to make a local backup and restore it are detailed&nbsp;in&nbsp;section 7.2.2 of the&nbsp;<a href="http://www.1crm.com/documentation/" rel="noopener noreferrer" target="_blank" title="http://www.1crm.com/documentation/">1CRM&nbsp;Implementation Guide</a>.&nbsp;Or&nbsp;if you’d like it done for you, we offer&nbsp;a billable service.<br data-text="true" />
<br />
To move&nbsp;from <strong>On Premise</strong><strong> to the Cloud</strong>, you need to take a backup, and restore the backup onto our cloud servers – you would need us do it for you for a fee, typically $150.</div>
</div>
',
        'summary' => ' Yes, you can move from Cloud to On-Premise at any time.',
      ),
      8 => 
      array (
        'name' => 'What’s the Difference Between On-Premise Software and the 1CRM Cloud Service?',
        'description' => '<div>
<div>1CRM provides two methods of deployment: On-Premise and Cloud Service. <strong>On-Premise</strong> means that you purchase user licences, and then install them on your company server, or perhaps at your local ISP. On one hand, there is more work involved in having your own server, and someone with enough technical savvy to take care of it. But on the other, you may prefer to have your business-critical information on your own server, not someone else’s.<br data-text="true" />
<br />
<strong>1CRM Cloud Service</strong> is often referred to as Cloud CRM, SaaS, On-Demand CRM, or web CRM. In this option, you never have to install the software or maintain a server. You are simply provided with a URL to your 1CRM system. Backups of your software and data are managed transparently, and the solution ultimately allows you to focus less on information technology, and more on growing your business. This option starts at $12/user per month and Support &amp; Updates are included.<br data-text="true" />
<br />
See&nbsp;<a href="http://www.1crm.com/editions-and-pricing/" rel="noopener noreferrer" target="_blank" title="http://www.1crm.com/editions-and-pricing/">Editions &amp; Pricing</a>&nbsp;or&nbsp;<a href="http://www.1crm.com/choosing-software-or-cloud/" rel="noopener noreferrer" target="_blank" title="http://www.1crm.com/choosing-software-or-cloud/">Choosing Software or Cloud</a>&nbsp;for more details.</div>
</div>
',
        'summary' => ' 1CRM provides two methods of deployment: On-Premise and Cloud Service.',
      ),
      9 => 
      array (
        'name' => 'How secure is my data in your 1CRM Cloud Service? Can I access the service using HTTPS?',
        'description' => '<div>
<div>Yes, you can access your 1CRM Cloud service using either HTTPS or HTTP. The HTTPS capability (HTTP over SSL or TLS) is made possible by a self-generated certificate installed on each 1CRM Cloud instance by default. If you prefer, you can install your own commercial certificate instead.<br />
&nbsp;<br />
Your browser will need to support a feature called Server Name Indication (SNI) to access your 1CRM Cloud Service via HTTPS. A commercial wildcard certificate for the entire 1CRM Cloud is available for browsers that do not support Server Name Indication (SNI) – primarily the Internet Explorer browser on Windows XP.<br />
&nbsp;<br />
As well, you can perform regular backups of your 1CRM Cloud system, using SSH, FTP, or simply to Dropbox! Using backup, your data as well as all the 1CRM software will be saved to the location of your choice. We hope this provides added confidence to those still wary of the Cloud!</div>
</div>
',
        'summary' => ' Yes, you can access your 1CRM Cloud service using either HTTPS or HTTP.',
      ),
      10 => 
      array (
        'name' => 'What\'s the difference between the Free 1CRM Startup Edition and the 30 Day Free Trial?',
        'description' => '<div>
<div>The On-Premise&nbsp;<a href="http://www.1crm.com/startup-edition/" rel="noopener noreferrer" target="_blank" title="http://www.1crm.com/startup-edition/">1CRM Startup Edition</a>&nbsp;needs to be downloaded and installed on your server. Up to 3 users have lifetime access to the 1CRM system.<br data-text="true" />
<br />
The&nbsp;<a href="http://www.1crm.com/free-trial/" rel="noopener noreferrer" target="_blank" title="http://www.1crm.com/free-trial/">30 Day Free Trial</a>&nbsp;uses the 1CRM Cloud Service – so there is no install required. We simply provide you with a link to login to your 1CRM. Up to 5 users have access to it for 30 days, at which point you can decide if 1CRM is right for your business.</div>
</div>
',
        'summary' => ' The On-Premise 1CRM Startup Edition needs to be downloaded and installed on your server. Up to 3 users have lifetime access to the 1CRM system.',
      ),
      11 => 
      array (
        'name' => 'Is 1CRM an Open Source CRM System?',
        'description' => '<div>
<div>Every edition of 1CRM comes with the source code of the CRM system. This provides you with insight into the functionality of 1CRM and the opportunity to modify it to suit your needs. 1CRM can also be used as a platform to create CRM extensions. You can sell them, or provide them as open source software to the community.<br data-text="true" />
<br />
1CRM is not a pure open source solution, as you will not be allowed to modify the source code of 1CRM and then sell it without license. 1CRM is often called an open source CRM system with the addition of commercial open source, because it excludes the files on which the license and user management of the CRM system is implemented.&nbsp;<a href="http://www.1crm.com/open-source-crm/" rel="noopener noreferrer" target="_blank" title="http://www.1crm.com/open-source-crm/">Learn more</a>.<br data-text="true" />
<br />
Check out our&nbsp;<a href="http://www.1crm.com/partner-products/" rel="noopener noreferrer" target="_blank" title="http://www.1crm.com/partner-products/">Partner Products</a>&nbsp;to see some 1CRM Extensions.</div>
</div>
',
        'summary' => ' Every edition of 1CRM comes with the source code of the CRM system.',
      ),
      12 => 
      array (
        'name' => 'What is my Trial URL?',
        'description' => '<div>
<div>The Trial URL field above usually contains your business name, or an abbreviation of it. For example, if your business was called Sweet Woodruff, you could type ‘sweetwoodruff’ into the field, and then your Trial URL would be sweetwoodruff.1crmcloud.com.<br />
&nbsp;
<p>No spaces, special characters, or uppercase letters. Numbers, dashes and underscores are allowed in this field as it will become&nbsp;your free trial URL.</p>
</div>
</div>
',
        'summary' => ' The Trial URL field above usually contains your business name, or an abbreviation of it. For example, if your business was called Sweet Woodruff, you could type ‘sweetwoodruff’ into the field, and then your Trial URL would be sweetwoodruff.1crmcloud.com.',
      ),
      13 => 
      array (
        'name' => 'Will 1CRM give refunds?',
        'description' => '<div>
<div>
<p>As per our terms of service, 1CRM does not issue refunds. If you are on a paid plan, you can cancel at any time, but you will not receive a refund for any unused portion of your subscription.</p>

<h3 aria-controls="ui-id-21" aria-expanded="false" aria-selected="false" id="ui-id-20" role="tab" tabindex="-1">&nbsp;</h3>
</div>
</div>
',
        'summary' => ' As per our terms of service, 1CRM does not issue refunds.',
      ),
      14 => 
      array (
        'name' => 'Can I try before I buy?',
        'description' => 'Yes - try our&nbsp;<a href="https://1crm.com/live-demo/">Live CRM Demo</a>&nbsp;- or get a <a href="https://1crm.com/free-trial/">30-Day Free Trial</a>!',
        'summary' => ' Yes - try our Live CRM Demo - or get a 30-Day Free Trial!',
      ),
      15 => 
      array (
        'name' => 'What are the main differences between the various 1CRM Editions?',
        'description' => '<div>
<div><strong>1CRM Startup and Startup+</strong>&nbsp;have capacity limits for targets, leads, contacts and accounts, which means once you reach the limit, you cannot add any more to the system. At that time, you can upgrade to Professional or Enterprise to continue adding more. They also have user limits, which means that you can only purchase up to 10 users on Startup+ and 3 users on Startup. The&nbsp;<a href="http://www.1crm.com/startup-edition/" rel="noopener noreferrer" target="_blank" title="http://www.1crm.com/startup-edition/">free On-Premise Startup Edition</a>&nbsp;also cannot be updated as 1CRM evolves, and contains&nbsp;1CRM branding on the footer of 1CRM PDF Documents, and at the bottom of sent emails.<br data-text="true" />
<br />
<strong>1CRM Professional</strong>&nbsp;is our standard edition that includes no capacity or user limit, and all the regular features of 1CRM. It also includes the REST API Service and access to the 1CRM Mobile iPhone App.<br data-text="true" />
<br />
<strong>1CRM Enterprise</strong>&nbsp;is the most customizable edition, because it includes the PDF Form Designer, Module Designer and Price Books, in addition to all the features of 1CRM Professional Edition.<br data-text="true" />
<br />
You can <strong>upgrade or downgrade your 1CRM system at any time</strong> by purchasing a new license key.&nbsp;Any amount already paid will be used as credit towards your new edition, not refunded.&nbsp;To learn more, see&nbsp;<a href="http://www.1crm.com/editions-and-pricing/" rel="noopener noreferrer" target="_blank" title="http://www.1crm.com/editions-and-pricing/">Editions and Pricing</a>, or create your custom CRM solution&nbsp;<a href="http://www.1crm.com/subscribe-now/" rel="noopener noreferrer" target="_blank" title="http://www.1crm.com/subscribe-now/">here</a>.</div>
</div>
',
        'summary' => ' 1CRM Startup and Startup+ have capacity limits for targets, leads, contacts and accounts, which means once you reach the limit, you cannot add any more to the system. 1CRM Professional is our standard edition that includes no capacity or user limit, and all the regular features of 1CRM.',
      ),
    ),
  ),
  4 => 
  array (
    'name' => 'Products by 1CRM Systems',
    'description' => 'Details on the products produced by 1CRM Systems Corp.: 1CRM for CRM and Business Management; Lead Guerrilla for Marketing Automation; and 1CRM Customer Connection - a WordPress Plugin which provides a customer self-service portal. ',
    'category_icon' => '',
    'image_filename' => 'include/images/iah/1crm_account_logo.png',
    'subcategories' => 
    array (
      0 => 
      array (
        'name' => '1CRM - CRM & Business Management',
        'description' => 'Summary information about our flagship CRM product - an All-in-One CRM which includes Order Management, Service Management and Project Management in addition to conventional Sales and Marketing capabilities. ',
        'category_icon' => NULL,
        'image_filename' => 'include/images/iah/1crm_account_logo.png',
        'subcategories' => 
        array (
        ),
        'articles' => 
        array (
          0 => 
          array (
            'name' => '1CRM Overview',
            'description' => '<ol class="paragraph-style-3 list-style-default_0 indent" style="caret-color: rgb(0, 0, 0); color: rgb(0, 0, 0); font-family: -webkit-standard; margin-top: 0px; margin-bottom: 0px; padding-right: 0px; padding-left: 0pt; margin-left: 0pt; list-style-type: none;">
	<li class="paragraphstyle-116" style="font-size: 11pt; font-family: Arial; margin-bottom: 6.6pt;"><span class="characterstyle-89">The 1CRM system is available in four Editions:&nbsp;</span></li>
</ol>

<ol class="paragraphstyle-452 liststyle-113_0" style="caret-color: rgb(0, 0, 0); color: rgb(0, 0, 0); font-family: -webkit-standard; margin-top: 0px; margin-bottom: 0px; padding-right: 0px; padding-left: 19.8pt; margin-left: 19.8pt; list-style-type: disc;">
	<li class="paragraphstyle-452" style="font-size: 11pt; font-family: Arial; margin-bottom: 6.6pt;" value="1">Startup Edition: Free for use On Premise. Request a license key and download link, and you can install Startup Edition on your own server at no charge. It offers all the features of 1CRM Professional Edition, but is limited to 3 Users, 300 Accounts, 750 Leads, 750 Contacts, and 750 Targets.&nbsp;<span class="characterstyle-68">Although it only offers Community support, and no updates, the Startup Edition is a great way for an early stage business to get itself organized and productive while operating on a shoestring budget</span>!</li>
	<li class="paragraphstyle-452" style="font-size: 11pt; font-family: Arial; margin-bottom: 6.6pt;" value="2">Startup+ Edition: Similar to the Startup Edition, but for somewhat larger firms, with capacity limits of 10 users, 600 Accounts, 1,500 Contacts, 1,500 Leads and 1,500 Targets. Unlike the Startup Edition, this is a commercial product, available on the 1CRM Cloud or for On Premise software installation.&nbsp;</li>
	<li class="paragraphstyle-452" style="font-size: 11pt; font-family: Arial; margin-bottom: 6.6pt;" value="3">Professional Edition: 1CRM Professional is our mainstream small business CRM product offering, available on the 1CRM Cloud or for On Premise software installation. Includes the next generation 1CRM REST API for custom integration capabilities (also required to use the iPhone App).&nbsp;</li>
	<li class="paragraphstyle-271" style="font-size: 11pt; font-family: Arial; margin-bottom: 13.2pt;" value="4">Enterprise Edition: Our premium product. It offers all the features of 1CRM Professional Edition, plus a number of additional features of particular interest to larger, more sophisticated businesses. Administrators can use the Module Designer and PDF Form Designer to create more advanced customizations. Price Books let you establish pricing for multiple client levels. The iOS client provides optimized system access from an iPhone. And Advanced Reporting offers more sophisticated reporting capabilities.&nbsp;</li>
</ol>

<ol class="paragraphstyle-116 list-style-default_0 indent" style="caret-color: rgb(0, 0, 0); color: rgb(0, 0, 0); font-family: -webkit-standard; margin-top: 0px; margin-bottom: 0px; padding-right: 0px; padding-left: 0pt; margin-left: 0pt; list-style-type: none;">
	<li class="paragraphstyle-116" style="font-size: 11pt; font-family: Arial; margin-bottom: 6.6pt;"><span class="characterstyle-89">Unlike most CRM solutions, 1CRM offers comprehensive Order Management. It includes&nbsp;</span>a Product Catalog, plus the ability to create Quotations, Sales Orders and Invoices using products from the Catalog. Incoming Payments may be received and allocated against invoices, and the system can produce PDF documents for Quotes, Sales Orders, Invoices, Receipts, and Statements. Purchase Orders may also be created, and Outgoing Payments recorded against them.</li>
	<li class="paragraphstyle-116" style="font-size: 11pt; font-family: Arial; margin-bottom: 6.6pt;">1CRM also offers extensive features for Project Management, Service Management, and general office administration (including Expense Reports, Timesheets, Vacation scheduling and tracking, and HR).&nbsp;</li>
	<li class="paragraphstyle-113" style="font-size: 11pt; font-family: Arial; margin-bottom: 13.2pt;">Most importantly, the 1CRM system seamlessly blends all of these capabilities into an intuitive and friendly interface.</li>
</ol>
',
            'summary' => ' The 1CRM system is available in four Editions. Unlike most CRM solutions, 1CRM offers comprehensive Order Management, Project Management, Service Management, and general office administration.',
          ),
        ),
      ),
      1 => 
      array (
        'name' => '1CRM Customer Connection: WordPress Portal',
        'description' => 'Introductory information about the 1CRM Customer Connection self-service customer portal - a WordPress plugin. ',
        'category_icon' => NULL,
        'image_filename' => 'include/images/iah/1crm_account_logo.png',
        'subcategories' => 
        array (
        ),
        'articles' => 
        array (
          0 => 
          array (
            'name' => '1CRM Customer Connection Overview',
			'description' => '<p>A principal goal of any business should be to connect more closely with its customers. When you are in close contact with your clients, when it is easy for them to interact with you, and when this relationship consistently delivers for them over time - that’s when you gain customer loyalty.</p>

<p>If you use a Content Management System (CMS) to create your website, and most organizations do, then you’ll know that WordPress dominates that market. So when we set out to make a system that would let businesses connect with their clients easily, often, and intimately via their website, we needed to build it for the WordPress platform.</p>

<p>The <em>1CRM Customer Connection</em> is a WordPress plugin that enables your clients to interact with your business at any time of day, all by themselves. Studies show this increases customer satisfaction, and reduces administrative costs - what’s not to like?</p>

<p>You can implement this on your WordPress website by yourself using this Guide, or you can have us do it for you. Either way it allows your clients to connect with you in these ways:</p>

<ul>
	<li>Login</li>
	<li>Get Help, by Searching a Knowledge Base</li>
	<li>Review and Create Service Cases</li>
	<li>Review, Print and Approve Quotes</li>
	<li>Review Invoice and Payment History</li>
	<li>Interact on Projects - Upload &amp; Download Documents, Check Progress</li>
	<li>Review and Update Their Contact Info</li>
	<li>File Sharing</li>
	<li>Manage Subscriptions</li>
</ul>

<p>If you’re excited to get these kinds of capabilities working for your organization, read more <a href="https://1crm.com/1crm-wordpress-customer-connection/">here</a>, try it live on the <a href="https://1crm.com/live-demo/">demo site</a>, download the <a href="https://1crm.com/documentation/1crm-customer-connection-guide/">1CRM Customer Connection Guide</a>,&nbsp;or just <a href="https://1crm.com/contact-us/">drop us a line</a> and we’ll demonstrate what it can do for you!</p>
',
            'summary' => ' The 1CRM Customer Connection is a WordPress plugin that enables your clients to interact with your business at any time of day, all by themselves. Studies show this increases customer satisfaction, and reduces administrative costs - what’s not to like?',
          ),
        ),
      ),
      2 => 
      array (
        'name' => 'Lead Guerrilla: Marketing Automation',
        'description' => 'Summary information about our advanced Marketing Automation product - Lead Guerrilla. It has been carefully designed to integrate seamlessly with 1CRM to create a powerful CRM and Marketing Automation duo. ',
        'category_icon' => NULL,
        'image_filename' => 'include/images/iah/1crm_account_logo.png',
        'subcategories' => 
        array (
        ),
        'articles' => 
        array (
          0 => 
          array (
            'name' => 'Lead Guerrilla Overview',
            'description' => 'Picture a black box that plugs into the wall. Plug it in, turn on the switch, and qualified leads with an interaction history are automatically added into your 1CRM system – day in and day out – while the system is running. You’ll also get charts and feedback on which messages clients respond to best, so that the ‘machine’ can just get more and more effective over time.<br />
<br />
Lead Guerrilla is a control panel for your brand’s marketing efforts, organizing your website, social media, text and email communications into a single, intuitive Marketing Automation system.&nbsp;You can see how Lead Guerrilla integrates with 1CRM <a href="https://1crm.com/lead-guerrilla-integration/">here</a>. Or learn more about our approach to advanced marketing automation at the dedicated website for Lead Guerrilla – <a href="https://leadguerrrilla.com">leadguerrrilla.com</a>.',
            'summary' => ' Lead Guerrilla is a control panel for your brand’s marketing efforts, organizing your website, social media, text and email communications into a single, intuitive Marketing Automation system.',
          ),
        ),
      ),
    ),
    'articles' => 
    array (
      0 => 
      array (
        'name' => '1CRM Products Overview',
        'description' => '1CRM offers three core products:&nbsp;
<ul>
	<li><span><abbr contenteditable="false" title="1CRM - CRM &amp; Business Management"><onecrm:category contenteditable="false" id="4d6a0388-af55-24f2-63a8-5c47563c736b">1CRM - CRM &amp; Business Management</onecrm:category></abbr></span>&nbsp;- An ‘all-in-one’ Customer Relationship Management (CRM) with Business Management features included.&nbsp;</li>
	<li><span><abbr contenteditable="false" title="Lead Guerrilla: Marketing Automation"><onecrm:category contenteditable="false" id="a60367d8-2560-020e-2634-5c475710541e">Lead Guerrilla: Marketing Automation</onecrm:category></abbr></span>&nbsp;&nbsp;-&nbsp;An advanced Marketing&nbsp;Automation Platform&nbsp;(MAP) which can integrate with 1CRM, or alternatively with Salesforce.com, SugarCRM, or several other CRM systems.&nbsp;</li>
	<li><span><abbr contenteditable="false" title="1CRM Customer Connection: WordPress Portal"><onecrm:category contenteditable="false" id="d038ccad-d987-4cf2-1364-5c47583121eb">1CRM Customer Connection: WordPress Portal</onecrm:category></abbr></span>&nbsp;&nbsp;- A&nbsp;self-service customer portal which installs as a plugin for WordPress websites.&nbsp;</li>
</ul>
1CRM also offers a series of supporting products:&nbsp;

<ul>
	<li><a href="https://1crm.com/iphone-app/">1CRM Mobile App for iOS</a></li>
	<li><a href="https://1crm.com/android-app/">1CRM Mobile App for Android</a></li>
	<li><a href="https://leadguerrilla.com/plugins/">Plugins</a> for WordPress, Joomla!, Drupal and TYPO3&nbsp;to implement&nbsp;lead capture forms which send lead data into 1CRM or Lead Guerrilla.&nbsp;</li>
</ul>
',
        'summary' => ' 1CRM offers three core products - the core 1CRM System, Lead Guerrilla marketing automation, and the 1CRM Customer Connection portal.',
      ),
    ),
  ),
  5 => 
  array (
    'name' => 'Startup Edition',
    'description' => '1CRM offers a Startup Edition specifically for early stage companies. This topic covers your most common questions about this free On Premise version of 1CRM. ',
    'category_icon' => 'fas fa-car-side',
    'image_filename' => NULL,
    'subcategories' => 
    array (
    ),
    'articles' => 
    array (
      0 => 
      array (
        'name' => 'What happens when the Lead/Target/Account limit is reached on 1CRM Startup or Startup+ Edition?',
        'description' => '<div>
<div>When you try to save Account number 301, or Contact/Lead/Target number 751 for example, you will get a message that the capacity limit has been reached, and the Save will not work.<br data-text="true" />
<br />
To add more, you will have to upgrade your 1CRM. It is not recommended to delete contacts, as 1CRM is more powerful when it includes your past, as well as your present and future.</div>
</div>
',
        'summary' => ' You will get a message that the capacity limit has been reached, and the Save will not work.',
      ),
      1 => 
      array (
        'name' => 'Is the On-Premise Startup Edition really free?',
        'description' => '<div>
<div>
<p>Yes, it’s totally free – no catches. You don’t even need a credit card to install and use 1CRM, and it’s not a trial so you can use it for as long as you like! Up to 3 users can have access, so it’s perfect for small businesses.</p>

<h3 aria-controls="ui-id-19" aria-expanded="false" aria-selected="false" id="ui-id-18" role="tab" tabindex="0">&nbsp;</h3>
</div>
</div>
',
        'summary' => ' Yes, it’s totally free – no catches.',
      ),
      2 => 
      array (
        'name' => 'Can I use the 1CRM Cloud Service with the Startup Edition?',
        'description' => '<div>
<div>
<p>Yes! &nbsp;You can use the 1CRM Startup Edition Cloud Service for as little as $12/month!&nbsp;</p>

<h3 aria-controls="ui-id-29" aria-expanded="false" aria-selected="false" id="ui-id-28" role="tab" tabindex="-1">&nbsp;</h3>
</div>
</div>
',
        'summary' => ' Yes!  You can use the 1CRM Startup Edition Cloud Service for as little as $12/month!',
      ),
      3 => 
      array (
        'name' => 'Does the Startup Edition receive Support or Updates?',
        'description' => '<div>
<div>
<p>1CRM Startup Edition Cloud Service receives support and updates, while the free On-Premise software does not. We encourage Startup users to visit the Video Learning Library, review the User Guide, access the 1CRM Help Center.</p>

<h3 aria-controls="ui-id-15" aria-expanded="false" aria-selected="false" id="ui-id-14" role="tab" tabindex="-1">&nbsp;</h3>
</div>
</div>
',
        'summary' => ' 1CRM Startup Edition Cloud Service receives support and updates, while the free On-Premise software does not.',
      ),
      4 => 
      array (
        'name' => 'Is the 1CRM Customer Connection Portal included in the Startup Edition?',
        'description' => '<div>
<div>The 1CRM Customer Connection portal is only compatible with the Professional and Enterprise Editions of 1CRM.<br data-text="true" />
<br />
And the 1CRM Customer Connection portal has its own licensing fee, in addition to the costs for using 1CRM.&nbsp;</div>
</div>
',
        'summary' => ' The 1CRM Customer Connection portal is only compatible with the Professional and Enterprise Editions of 1CRM, and has its own license fee.',
      ),
    ),
  ),
  6 => 
  array (
    'name' => 'Videos',
    'description' => 'The 1CRM Video Channel features videos on all the core topics you want to learn about!',
    'category_icon' => 'fas fa-video',
    'image_filename' => NULL,
    'subcategories' => 
    array (
    ),
    'articles' => 
    array (
      0 => 
      array (
        'name' => 'Order Management',
        'description' => '<div>
<div>&nbsp;</div>

<div>Learn how to manage your orders, using 1CRM!&nbsp;<br />
<br />
<a href="https://vimeo.com/116567114" onclick="window.open(this.href, \'\', \'resizable=yes,status=no,location=no,toolbar=no,menubar=no,fullscreen=no,scrollbars=no,dependent=no\'); return false;">Creating a Quote&nbsp;»</a>

<p>In addition to Sales &amp; Marketing, 1CRM includes full order &amp; project management capabilities. This video will show you how to create a sample quote &amp; generate a PDF to send to your customer.<br />
<br />
&nbsp;</p>
</div>
</div>
',
        'summary' => ' In addition to Sales & Marketing, 1CRM includes full order & project management capabilities.',
      ),
      1 => 
      array (
        'name' => '1CRM Introduction',
        'description' => '<div>
<div>
<div>
<div>
<div>Learn all about 1CRM by watching these informative tutorials!&nbsp;<br />
<br />
<a href="https://vimeo.com/112883632" onclick="window.open(this.href, \'\', \'resizable=yes,status=no,location=no,toolbar=no,menubar=no,fullscreen=no,scrollbars=no,dependent=no\'); return false;">1CRM Quick Demo&nbsp;»</a>
<p>More than just CRM, 1CRM is a Customer Relationship and Business Management system. Providing all the tools you need to manage and grow your business within just one online platform. Marketing Automation, Order Management, Service &amp; Project Management are just some of the features 1CRM provides. Available anytime, anywhere, on any device, 1CRM is there for wherever your business takes you.</p>
<br />
<a href="https://vimeo.com/80463872" onclick="window.open(this.href, \'\', \'resizable=yes,status=no,location=no,toolbar=no,menubar=no,fullscreen=no,scrollbars=no,dependent=no\'); return false;">1CRM Extended Demo Part 1&nbsp;»</a>

<p>This video is Part 1 of an extended introduction to the 1CRM system.</p>
<br />
<a href="https://vimeo.com/81166867" onclick="window.open(this.href, \'\', \'resizable=yes,status=no,location=no,toolbar=no,menubar=no,fullscreen=no,scrollbars=no,dependent=no\'); return false;">1CRM Extended Demo - Part II&nbsp;</a><a href="https://vimeo.com/81166867">»</a>&nbsp;

<p>Part 2/2 of the 1CRM Extended Demo. A Beginners view of the customizations, features, and benefits of 1CRM.<br />
<br />
<a href="https://vimeo.com/83707919" onclick="window.open(this.href, \'\', \'resizable=yes,status=no,location=no,toolbar=no,menubar=no,fullscreen=no,scrollbars=no,dependent=no\'); return false;">Dashboards &amp; Dashlets&nbsp;»&nbsp;</a><br />
Customize your CRM today by learning all about the Dashboards &amp; Dashlets in 1CRM! A well-organized dashboard can save you time each day, and increase efficiency within your business.</p>
</div>
</div>
</div>
</div>
</div>
',
        'summary' => ' More than just CRM, 1CRM is a Customer Relationship and Business Management system. Providing all the tools you need to manage and grow your business within just one online platform. Marketing Automation, Order Management, Service & Project Management are just some of the features 1CRM provides.',
      ),
      2 => 
      array (
        'name' => 'Sales & Marketing',
        'description' => '<div>
<div>
<div>&nbsp;</div>

<div>Learn how to perform many Sales &amp; Marketing tasks within 1CRM!&nbsp;<br />
<br />
<a href="https://vimeo.com/118288491" onclick="window.open(this.href, \'\', \'resizable=yes,status=no,location=no,toolbar=no,menubar=no,fullscreen=no,scrollbars=no,dependent=no\'); return false;">Lifecycle of a Lead »</a>

<p>Learn all about the lifecycle of a lead within the 1CRM Customer Relationship &amp; Business Management system. Discover how to convert your target into a lead, your lead into a contact &amp; account, and how to create an opportunity and a quote.<br />
&nbsp;</p>
</div>

<div><a href="https://vimeo.com/27385411">Mail Merge&nbsp;»</a>

<p>This video quickly describes how to perform a Mail Merge within 1CRM. Mail Merge is a very handy capability for generating a physical mail-out to a group of clients of personalized letters.<br />
&nbsp;</p>
</div>

<div><a href="https://vimeo.com/122464301" onclick="window.open(this.href, \'\', \'resizable=yes,status=no,location=no,toolbar=no,menubar=no,fullscreen=no,scrollbars=no,dependent=no\'); return false;">Email Marketing Campaigns&nbsp;»</a>

<p>In this video, you will learn how to create a basic email marketing campaign and track your results within the 1CRM Customer Relationship &amp; Business Management system. Along the way, you will also learn how to create an email template and a target list.<br />
&nbsp;</p>
</div>

<div><a href="https://vimeo.com/149832318" onclick="window.open(this.href, \'\', \'resizable=yes,status=no,location=no,toolbar=no,menubar=no,fullscreen=no,scrollbars=no,dependent=no\'); return false;">1CRM for RingCentral&nbsp;»</a>

<p>Integrate your 1CRM with RingCentral today!</p>
</div>
</div>
</div>
',
        'summary' => ' Learn how to perform many Sales & Marketing tasks within 1CRM!',
      ),
      3 => 
      array (
        'name' => 'Project Management',
        'description' => '<div>
<div>&nbsp;</div>

<div>Manage your projects effectively, using 1CRM!&nbsp;<br />
<br />
<a href="https://vimeo.com/129799782" onclick="window.open(this.href, \'\', \'resizable=yes,status=no,location=no,toolbar=no,menubar=no,fullscreen=no,scrollbars=no,dependent=no\'); return false;">Booked Hours &amp; Timesheets »</a>

<p>Discover how easy it is to log your hours worked on projects, cases or anything else! And then create timesheets within 1CRM!</p>

<section id="comments">&nbsp;</section>
</div>
</div>
',
        'summary' => ' Manage your projects effectively, using 1CRM!',
      ),
    ),
  ),
);
