/*********************************************************************************
 * The contents of this file are subject to the SugarCRM Public License Version
 * 1.1.3 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.sugarcrm.com/SPL
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * All copies of the Covered Code must include on each user interface screen:
 *    (i) the "Powered by SugarCRM" logo and
 *    (ii) the SugarCRM copyright notice
 * in the same form as they appear in the distribution.  See full license for
 * requirements.
 *
 * The Original Code is: SugarCRM Open Source
 * The Initial Developer of the Original Code is SugarCRM, Inc.
 * Portions created by SugarCRM are Copyright (C) 2004-2006 SugarCRM, Inc.;
 * All Rights Reserved.
 * Contributor(s): ______________________________________.
 ********************************************************************************/


function toggleSiteDefaults() {
	var defaults = $('setup_site_defaults');
	if(defaults) {
		if(defaults.checked) {
			$('setup_site_custom_log').checked = false;
			$('setup_site_custom_session_path').checked = false;
			$('setup_site_specify_guid').checked = false;
			toggleSession();
			toggleLogDir();
			toggleGUID();
		}
		toggleDisplay('advancedOptions', ! defaults.checked);
	}
}

function toggleSession(){
	var custom = $('setup_site_custom_session_path');
	toggleDisplay('sessionOptions', custom && custom.checked);
}

function toggleLogDir(){
	var custom = $('setup_site_custom_log');
	toggleDisplay('logOptions', custom && custom.checked);
}

function toggleGUID(){
	var custom = $('setup_site_specify_guid');
	toggleDisplay('guidOptions', custom && custom.checked);
}

