<?php

function repair_activity_account_associations($silent=true) {
	global $db;
	$models = array('Call', 'Meeting', 'Task', 'Email', 'Note');
	$updated = 0;
	foreach($models as $m) {
		$table = AppConfig::setting("model.detail.$m.table_name");
		if($table) {
			$table = $db->quoteField($table);
			$query = "UPDATE $table SET account_id=IFNULL(account_id, parent_id), parent_type=NULL, parent_id=NULL WHERE "
				.  "parent_type='Accounts' AND NOT deleted";
			$r = $db->query($query, false);
			if(! $r && ! $silent)
				pr2("Query failed for model: $m");
			$updated += $db->getAffectedRowCount();
		}
	}
	if(! $silent && $updated)
		pr2("$updated rows updated");
	return $updated;
}
