<?php

function calculate_holiday($year, $month, $day) {

	$weekday = date('w', mktime(0, 0, 0, $month, $day, $year));
	// +
	if ($month == 1 && $day == 1) {
		return "LBL_HDY_NEWYEAR";
	}
	
	// +
	if ($month == 5 && $day == 1) {
		return "LBL_HDY_LABOUR_DAY_BELGIUM";
	}
	
	
	// +
	if ($month == 7 && $day == 21) {
		return "LBL_HDY_BELGIUM_DAY";
	}
	
	// +
	if ($month == 8 && $day == 15) {
		return "LBL_HDY_ASSOMPTION";
	}
	
	// +
	if ($month == 11 && $day == 1) {
		return "LBL_HDY_TOUSSAINT";
	}
	
	// +
	if ($month == 11 && $day == 11) {
		return "LBL_HDY_ARMISTICE";
	}
	
	// +
	if ($month == 12 && $day == 25) {
		return "LBL_HDY_CRISTMAS";
	}
	
	// +
	if  (easter_relative($year, $month, $day, +1)) {
		return 'LBL_HDY_LUNDI_PAQUES';
	}
	
	// +
	if  (easter_relative($year, $month, $day, +39)) {
		return 'LBL_HDY_JEUDI_ASCENSION';
	}
	
	// +
	if  (easter_relative($year, $month, $day, +50)) {
		return 'LBL_HDY_LUNDI_PENTECOTE';
	}
}


?>
