<?php
if(!defined('sugarEntry') || !sugarEntry) die('Not A Valid Entry Point');
require_once('include/DetailView/DetailFactory.php');
require_once 'modules/Campaigns/widgets/WizardWidget.php';
global $mod_strings;

$mgr = DetailFactory::getManager('standard');
$layout = 'WizardEmailSetup';
$mgr->layout_name = $layout;
$mgr->setModule('Campaigns');
$mgr->action = 'WizardEmailSetup';

$perform = 'edit';
if (isset($_REQUEST['record_perform']) && $_REQUEST['record_perform'] == 'save') {
    $perform = 'save';
}

$mgr->perform = $perform;
$mgr->standardInit();
$mgr->form_title = $mod_strings['LBL_EMAIL_SETUP_WIZARD_TITLE'];

$return_module = 'Campaigns';
$return_action = 'index';
$return_record = '';

if(isset($_REQUEST['return_module']) && isset($_REQUEST['return_action'])) {
    $return_module = $_REQUEST['return_module'];
    $return_action = $_REQUEST['return_action'];
    if (isset($_REQUEST['return_record']))
        $return_record = $_REQUEST['return_record'];
}

$hidden = array('return_module' => $return_module, 'return_action' => $return_action,
    'return_record' => $return_record);

$mgr->layout->addFormHiddenFields($hidden, false);
$mgr->form_gen->form_obj->addHiddenFields($hidden);
$mgr->layout->setFormButtons(WizardWidget::getFormButtons($layout));
$mgr->layout->buttons_position = 'top';

if ($mgr->perform == 'save') {
	$upd = RowUpdate::for_result($mgr->record);
    $mgr->form_gen->loadUpdateRequest($upd, $_REQUEST);
    $mgr->form_gen->afterUpdate($upd);

    $return_url = "index.php?module=Campaigns&action=index";
    echo '<script>SUGAR.util.navigateTo("'.addcslashes($return_url, '"').'");</script>';
    return true;
}

global $pageInstance;
$t = $mgr->getPageTitle();
if(strlen($t))
    $pageInstance->set_title($t);

echo $mgr->renderLayout();
?>
