function addCaptcha() {
    var edit_inp = SUGAR.ui.getFormInput('DetailForm', 'add_captcha');
    var check = edit_inp.getValue();
    var description = document.getElementById("captcha_description_container");

    if (check == 1) {
        if (description && typeof description != 'undefined')
            description.style.display = '';

        switchContainerVisibility('captcha_key');
        switchContainerVisibility('captcha_secret');
    } else {
        if (description && typeof description != 'undefined')
            description.style.display = 'none';

        switchContainerVisibility('captcha_key', false);
        switchContainerVisibility('captcha_secret', false);
    }
}

function switchContainerVisibility(name, show = true) {
    var container = document.getElementById(name + "_container");

    if (typeof container == 'undefined' || ! container)
        return false;

    var lbl = document.getElementById(name + '_label').innerText;

    if (show) {
        var input = new SUGAR.ui.TextInput(
            document.getElementById(name),
            {name: lbl, required: true}
        );

        SUGAR.ui.registerInput('DetailForm', input);
        container.style.display = '';
    } else {
        SUGAR.ui.unregisterInput('DetailForm', lbl);
        container.style.display = 'none';
    }
}
