<?php return; /* no output */ ?>

list
	default_order_by: case_number DESC
    mass_merge_duplicates: true
    show_favorites: true
    buttons
        get_a_case
            icon: theme-icon module-Cases
            vname: LBL_GET_CASE
            perform: window.location.href='index.php?module=Cases&action=GetCase'
            type: button
            hidden: ! config.company.case_queue_user
	subpanel_mass_buttons
		mass_invoice
			parent_modules: [Accounts]
			vname: LBL_INVOICE_CASES
			icon: "theme-icon module-Invoice"
			params
            	perform: "sListView.sendMassUpdate('{LIST_ID}', 'InvoiceCases', false, {}, false);"
	massupdate_handlers
		--
			name: InvoiceCases
			class: aCase
hooks
    view
        --
            class_function: show_service_popup
            required_fields: [account_id]
    edit
        --
            class_function: show_service_popup
basic_filters
	view_closed
auto_filters
    account_id
    user_id
    view_closed
filters
	view_closed
		default_value: false
		type: flag
		negate_flag: true
		vname: LBL_VIEW_CLOSED_ITEMS
		operator: OR
		multiple
			--
				field: status
				value: Pending
			--
				field: status
				operator: like
				match: prefix
				value: Active -
	user_id
		field: assigned_user_id
		operator: eq
fields
	required_skills
		vname: LBL_SKILLS
		widget: SkillsWidget
    activity_time
        vname: LBL_ACTIVITY_TIME
        type: formula
        formula
            type: function
            class: aCase
            function: calc_activity_time
            alias_fields
                effort_actual: effort_actual
                effort_actual_unit: effort_actual_unit
                travel_time: travel_time
                travel_time_unit: travel_time_unit
		source
            fields: [effort_actual, effort_actual_unit]
    effort_actual_display
        vname: LBL_TIME_USED
        type: formula
        formula
            type: function
            class: aCase
            function: format_effort_actual
            alias_fields
                effort_actual: effort_actual
				effort_actual_unit: effort_actual_unit
		source
            fields: [effort_actual, effort_actual_unit]
widgets
	EscalateButton
		type: form_button
		path: modules/Cases/widgets/EscalateButton.php
notify
	messages
		assigned
			fields
				- account
				- priority
				- status
				- description
				- resolution
		survey
			display_name: name
			fields
				- case_number
				- status
				- account
				- rating
				- survey_comments
		survey_comments
			inherit: survey
			fields
				- case_number
				- status
				- account
				- rating
				- survey_comments
		survey_thanks
			inherit: survey
			fields
				- case_number
				- status
				- account
				- rating
				- survey_comments
		created
			inherit: survey
			fields
				- case_number
				- status
				- description
		expire_warn
			inherit: survey
			fields
				- case_number
				- status
				- account
				- description