<?php return; /* no output */ ?>

detail
    title: LBL_MODULE_TITLE
layout
    form_buttons
        booking
            type: button
            widget: BookingButton
            order: 55
        kb
            vname: LBL_KB_BUTTON_TITLE
            type: button
            order: 60
            perform: "addToKB(this.form);"
        escalate
            vname: LBL_ESCALATE_BUTTON_TITLE
            type: button
            widget: EscalateButton
            perform: "showSlider('escalate');"
    scripts
        --
            file: "modules/Cases/cases.js"
        --
            file: "modules/Booking/booking_dialog/bookingEditView.js"
        --
            file: "include/javascript/slider.js"
    form_hooks
    	oninit: "initCaseForm({FORM})"
	summary
		header
			fields
				- case_number
				- type
				--
					name: badge_status
					mode: view
				--
					name: rating
					hidden: ! config.company.case_enable_surveys
		subheader
			fields
				--
					name: name
					height: 4
					width: 60
	sections
		--
			id: main
			require_fields
                - effort_actual
                - effort_actual_unit
                - travel_time_unit
			elements
				- status
				- account
				- priority
                - cust_contact
                - category
                - cust_phone_no
                - contract
                - cust_req_no
                - default_booking_category
                - asset
                - arrival_time
                - asset_serial_no
                - travel_time
                - vendor_rma_no
                - effort_actual_display
                - vendor_svcreq_no
                - activity_time
                -
                - date_closed
                - date_billed
        --
        	id: text
        	elements
                --
                    name: description
                    colspan: 2
                    height: 14
                    width: 80
                --
                    name: resolution
                    colspan: 2
                    height: 14
                    width: 80
        - required_skills
    subpanels
		--
			name:  signed_documents
			title: LBL_SIGNED_DOCUMENTS_SUBPANEL_TITLE
			no_create : true
			show_config_panel_link: false
        - kb_articles
        - contacts
        - accounts
        - activities
        - history
        - bugs
        - documents
        - booked_hours
        - prepaid_amounts
        - invoices
        - threads
		- products
        - expensereports
