<?php return; /* no output */ ?>

detail
	type: bean
	bean_file: modules/Chats/Chat.php
	audit_enabled: true
	activity_log_enabled: true
	unified_search: true
	duplicate_merge: true
	optimistic_locking: true
	table_name: chats
	primary_key: id
	default_order_by: date_start desc
	reportable: true
	record_status: status
hooks
fields
	app.id
	app.date_entered
	app.date_modified
	app.modified_user
	app.assigned_user
	app.created_by_user
	app.deleted
	name
		vname: LBL_NAME
		required: true
		type: name
		len: 255
		comment: Display name
		unified_search: true
	parent_type
		vname: LBL_RELATED_TYPE
		type: module_name
		reportable: false
		options
			- Leads
			- Contacts
	parent
		vname: LBL_RELATED_TO
		type: ref
		dynamic_module: parent_type
		massupdate: true
	date_started
		type: datetime
		vname: LBL_DATE_STARTED
		editable: false
	date_ended
		type: datetime
		vname: LBL_DATE_ENDED
	provider_name
		type: varchar
		vname: LBL_CHAT_TYPE
	external_id
		type: varchar
		charset: ascii
	transcript
		type: text
		vname: LBL_TRANSCRIPT
		fulltext_search: true
	status
		vname: LBL_STATUS
		type: status
		len: 25
		width: 10
		options: chat_status_dom
		required: true
		default: In Progress
		massupdate: true
		list_subtitle: true
indices
	idx_chat_id_del
		fields
			- id
			- deleted
	idx_chat_ext_id_prov_del
		fields
			- external_id
			- provider_name(200)
			- deleted
	idx_chat_assigned_del
		fields
			- deleted
			- assigned_user_id
	idx_chat_parent_id
		fields
			- parent_id
	idx_chat_ftext_s
		type: fulltext
		fields
			- transcript
