<?php return; /* no output */ ?>

fields
	inspector_enabled
		config: inspector.enabled
		vname: LBL_INSPECTOR_ENABLED
		vdesc: LBL_INSPECTOR_ENABLED_DESC
		type: bool
	inspector_limit_ip
		config: inspector.limit_ip
		vname: LBL_INSPECTOR_LIMIT_IP
		vdesc: LBL_INSPECTOR_LIMIT_IP_DESC
		len: 20
	inspector_new_password
		config: inspector.new_password
		vname: LBL_INSPECTOR_NEW_PASSWORD
		vdesc: LBL_INSPECTOR_NEW_PASSWORD_DESC
		type: password
		len: 20
	layout_show_empty_detail_rows
		config: layout.show_empty_detail_rows
		vname: LBL_SHOW_EMPTY_DETAIL_ROWS
		vdesc: LBL_SHOW_EMPTY_DETAIL_ROWS_DESC
		type: bool
	layout_list_default_display_rows
		config: layout.list.default_display_rows
		vname: LIST_ENTRIES_PER_LISTVIEW
		type: number
		min: 5
		max: 100
	layout_list_subpanel_display_rows
		config: layout.list.subpanel_display_rows
		vname: LIST_ENTRIES_PER_SUBPANEL
		type: number
		min: 2
		max: 100
	layout_list_sidebar_display_rows
		config: layout.list.sidebar_display_rows
		vname: LIST_ENTRIES_PER_SIDEBAR
		type: number
		min: 2
		max: 100
	layout_history_long_text_limit
		config: layout.history.long_text_limit
		vname: HISTORY_LONG_TEXT_LIMIT
		type: int
		min: 50
		max: 100000
		default: 150
		disable_num_format: true
	layout_list_long_text_limit
		config: layout.list.long_text_limit
		vname: LIST_LONG_TEXT_LIMIT
		type: int
		min: 50
		max: 100000
		disable_num_format: true
	layout_lock_subpanels
		config: layout.lock_subpanels
		vname: LOCK_SUBPANELS
		type: bool
	layout_max_dashlets_homepage
		config: layout.max_dashlets_homepage
		vname: MAX_DASHLETS
		type: number
		min: 2
		max: 20
	layout_mobile_columns
		config: layout.mobile_columns
		vname: LBL_MOBILE_COLUMNS
		type: enum
		options_function: get_mobile_columns_options
		options_add_blank: false
	layout_jsmin_enabled
		config: layout.jsmin_enabled
		vname: LBL_ENABLE_JSMIN
		type: bool
	layout_svg_charts_enabled
		config: layout.svg_charts_enabled
		vname: LBL_ENABLE_SVG_CHARTS
		type: bool
	layout_pdf_footer_link_title
		config: layout.pdf.footer_link_title
		vname: LBL_PDF_FOOTER_LINK_TITLE
		width: 30
		type: varchar
	layout_pdf_footer_link_url
		config: layout.pdf.footer_link_url
		vname: LBL_PDF_FOOTER_LINK_URL
		width: 30
		type: url
	site_security_verify_client_ip
		config: site.security.verify_client_ip
		vname: VERIFY_CLIENT_IP
		type: bool
	site_security_email_password_recovery
		config: site.security.email_password_recovery
		vname: EMAIL_PASSWORD_RECOVERY
		type: bool
	site_user_activity_tracker
		config: site.user.activity.tracker
		vname: USER_ACTIVITY_TRACKER
		type: enum
		options: user_activity_tracker_dom
		required: true
		default: off
	site_user_activity_timeout
		config: site.user.activity.timeout
		vname: USER_ACTIVITY_TIMEOUT
		type: int
		len: 10
		required: true
		default: 15
	site_user_activity_grace
		config: site.user.activity.grace
		vname: USER_ACTIVITY_GRACE
		type: int
		required: true
		default: 5
	site_upload_maxsize
		config: site.upload.maxsize
		vname: UPLOAD_MAX_SIZE
		type: int
		len: 10
	site_log_stack_trace_errors
		config: site.log.stack_trace_errors
		vname: STACK_TRACE_ERRORS
		type: bool
	site_log_level
		config: site.log.level
		vname: LOG_LEVEL
		type: enum
		options: log_level_dom
		required: true
	site_log_file_size
		config: site.log.file_size
		vname: LOG_FILE_SIZE
		type: varchar
		len: 10
	site_log_backup_count
		config: site.log.backup_count
		vname: LOG_BACKUP_COUNT
		type: int
	site_log_clear_activities_interval
		config: site.log.clear_activities_interval
		vname: LOG_CLEAR_ACTIVITY_INTERVAL
		type: enum
		options: log_clear_activities_interval_dom
		options_add_blank: false
	site_performance_calculate_response_time
		config: site.performance.calculate_response_time
		vname: DISPLAY_RESPONSE_TIME
		type: bool
	site_performance_dump_slow_queries
		config: site.performance.dump_slow_queries
		vname: LOG_SLOW_QUERIES
		type: bool
	site_performance_slow_query_time_msec
		config: site.performance.slow_query_time_msec
		vname: SLOW_QUERY_TIME_MSEC
		type: int
	site_security_insecure_api_calls
		config: site.security.insecure_api_calls
		vname: LBL_INSECURE_API_CALLS
		type: bool
	site_notarius_auth_key
		config: site.notarius.auth_key
		vname: LBL_NOTARIUS_AUTH_KEY
		type: varchar
	site_notarius_auth_secret
		config: site.notarius.auth_secret
		vname: LBL_NOTARIUS_AUTH_SECRET
		type: varchar
	company_create_invoice_products
		config: company.create_invoice_products
		vname: LBL_ADD_PRODUCTS_FROM_INVOICE
		type: bool
	company_invoice_line_events
		config: company.invoice_line_events
		vname: LBL_INVOICE_LINE_ITEM_EVENTS
		type: bool
	company_invoice_line_serials
		config: company.invoice_line_serials
		vname: LBL_INVOICE_LINE_ITEM_SERIALS
		type: bool
	company_invoice_default_terms
		config: company.invoice_default_terms
		vname: LBL_INVOICE_DEFAULT_TERMS
		type: enum
		options: terms_dom
	company_bill_default_terms
		config: company.bill_default_terms
		vname: LBL_BILL_DEFAULT_TERMS
		type: enum
		options: terms_dom
	company_business_model
		config: company.business_model
		vname: LBL_BUSINESS_MODEL
		type: enum
		options: business_model_dom
		required: true
	company_b2c_name_format
		config: company.b2c_name_format
		vname: LBL_ACCOUNT_NAME_FORMAT
		vdesc: LBL_LOCALE_NAME_FORMAT_DESC
		type: varchar
		widget: NameFormatInput
	company_fiscal_year_start
		config: company.fiscal_year_start
		vname: LBL_FISCAL_YEAR_START
		type: enum
		options_function: get_fiscal_year_options
		required: true
	company_hours_in_work_day
		config: company.hours_in_work_day
		vname: LBL_HOURS_IN_WORK_DAY
		type: number
		min: 1
		max: 24
	company_timesheet_period
		config: company.timesheet_period
		vname: LBL_TIMESHEET_PERIOD
		type: enum
		options: timesheet_period_dom
		options_add_blank: false
	company_timesheet_offset
		config: company.timesheet_offset
		vname: LBL_TIMESHEET_OFFSET
		type: enum
		options: timesheet_offset_dom
		options_add_blank: false
	company_pdf_paper_size
		config: company.pdf_paper_size
		vname: LBL_PDF_PAPER_SIZE
		type: enum
		options: paper_size_dom
		options_add_blank: false
	company_forecast_period
		config: company.forecast_period
		vname: LBL_FORECAST_PERIOD
		type: enum
		options: forecast_period_dom
		options_add_blank: false
	company_pdf_font_face
		config: company.pdf_font_face
		vname: LBL_PDF_FONT_FACE
		type: enum
		options: pdf_font_names_dom
		options_add_blank: false
	company_retain_forecast_periods
		config: company.retain_forecast_periods
		vname: LBL_RETAIN_FORECAST_PERIODS
		type: number
		min: 0
		max: 100
	company_retain_history_periods
		config: company.retain_history_periods
		vname: LBL_RETAIN_HISTORY_PERIODS
		type: number
		min: 0
		max: 100
	company_week_start_day
		config: company.week_start_day
		vname: LBL_DEFAULT_WEEK_START_DAY
		type: enum
		options_function: get_week_day_options
		options_add_blank: false
	company_day_begin_hour
		config: company.day_begin_hour
		vname: LBL_DAY_BEGIN_HOUR
		type: enum
		options_function: get_hour_options
		options_add_blank: false
	company_day_end_hour
		config: company.day_end_hour
		vname: LBL_DAY_END_HOUR
		type: enum
		options_function: get_hour_options
		options_add_blank: false
	company_show_all_vacations
		config: company.show_all_vacations
		vname: LBL_SHOW_ALL_VACATIONS
		type: bool
		default: 0
	company_case_queue_user
		config: company.case_queue_user
		vname: LBL_QUEUE_USER
		type: ref_id
	company_case_queue_user_ref
		vname: LBL_QUEUE_USER
		type: ref
		bean_name: User
		id_name: company_case_queue_user
	company_case_default_category
		config: company.case_default_category
		vname: LBL_CASE_DEFAULT_CATEGORY
		type: ref_id
	company_case_case_default_category_ref
		vname: LBL_CASE_DEFAULT_CATEGORY
		type: ref
		bean_name: BookingCategory
		id_name: company_case_default_category
		label_key: _display
		add_filters
			booking_class
				- billable-work
				- nonbill-work
		options_function
			- BookingCategory
			- get_work_options
	company_case_auto_close_warn
		config: company.case_auto_close_warn
		vname: LBL_CASE_AUTO_CLOSE_WARN
		type: int
	company_case_auto_close_close
		config: company.case_auto_close_close
		vname: LBL_CASE_AUTO_CLOSE_CLOSE
		type: int
	company_case_enable_surveys
		config: company.case_enable_surveys
		vname: LBL_CASE_ENABLE_SURVEY
		type: bool
	company_case_survey_comments
		config: company.case_survey_comments
		vname: LBL_CASE_SURVEY_COMMENTS
		type: bool
	company_project_task_default_category
		config: company.project_task_default_category
		vname: LBL_PROJECT_DEFAULT_CATEGORY
		type: ref_id
	company_project_task_default_category_ref
		vname: LBL_PROJECT_DEFAULT_CATEGORY
		type: ref
		bean_name: BookingCategory
		id_name: company_project_task_default_category
		label_key: _display
		add_filters
			booking_class
				- billable-work
				- nonbill-work
		options_function
			- BookingCategory
			- get_work_options
	company_web_lead_user
		config: company.web_lead_user
		vname: LBL_LEAD_USER
		type: ref_id
	company_web_lead_user_ref
		vname: LBL_LEAD_USER
		type: ref
		bean_name: User
		id_name: company_web_lead_user
	company_mo_service_number_sequence
		config: company.mo_service_number_sequence
		vname: LBL_EXPENSE_REPORT_START_FROM
		min: 1
		type: int
		disable_num_format: true
	company_case_number_sequence
		config: company.case_number_sequence
		vname: LBL_CASE_START_FROM
		min: 1
		type: int
		disable_num_format: true
	company_bug_number_sequence
		config: company.bug_number_sequence
		vname: LBL_BUG_START_FROM
		min: 1
		type: int
		disable_num_format: true
	company_std_case_terms
		config: company.std_case_terms
		vname: LBL_STD_CASE_TERMS
		type: text
	company_quote_layout
		config: company.quote_layout
		vname: LBL_QUOTE_LAYOUT
		type: enum
		options_function: get_quote_layout_options
		options_add_blank: false
	company_quote_pdf_show_contact_phone
		config: company.quote_pdf_show_contact_phone
		type: bool
		vname: LBL_QUOTE_SHOW_PHONE
	company_quote_pdf_show_contact_email
		config: company.quote_pdf_show_contact_email
		type: bool
		vname: LBL_QUOTE_SHOW_EMAIL
	company_quote_add_comments
		config: company.quote_add_comments
		vname: LBL_QUOTE_ADD_COMMENT_LINES
		type: enum
		options: quote_add_comment_options
		options_add_blank: false
	company_print_statement_layout
		config: company.print_statement_layout
		vname: LBL_PRINT_STATEMENT_LAYOUT
		type: enum
		options_function: get_quote_layout_options
		options_add_blank: false
	company_email_statement_layout
		config: company.email_statement_layout
		vname: LBL_EMAIL_STATEMENT_LAYOUT
		type: enum
		options_function: get_quote_layout_options
		options_add_blank: false
	company_envelope_window_position
		config: company.envelope_window_position
		vname: LBL_ENVELOPE_WINDOW_POSITION
		type: enum
		options: envelope_window_position_dom
		options_add_blank: false
	company_add_booked_hours
		config: company.add_booked_hours
		vname: LBL_QUOTE_ADD_BOOKED_HOURS_COMMENT_LINES
		type: bool
	company_tax_information
		config: company.tax_information
		vname: LBL_TAX_INFORMATION
		vdesc: LBL_TAX_INFORMATION_DESC
		type: varchar
		width: 35
		len: 150
	features_auto_add_case_line_items
		config: site.features.auto_add_case_line_items
		vname: LBL_ADD_HOURS_TO_CASE_INVOICE
		vdesc: LBL_ADD_HOURS_TO_CASE_INVOICE_DESC
		type: bool
	features_auto_add_project_line_items
		config: site.features.auto_add_project_line_items
		vname: LBL_ADD_HOURS_TO_PROJECT_INVOICE
		vdesc: LBL_ADD_HOURS_TO_PROJECT_INVOICE_DESC
		type: bool
	company_approve_quotes
		config: company.approve_quotes
		vname: LBL_APPROVE_QUOTES
		type: bool
	company_tax_shipping
		config: company.tax_shipping
		vname: LBL_TAX_SHIPPING
		type: bool
	company_shipping_tax_code
		config: company.shipping_tax_code
		vname: LBL_SHIPPING_TAX_CODE
		type: ref_id
	company_shipping_tax_code_ref
		vname: LBL_SHIPPING_TAX_CODE
		type: ref
		bean_name: TaxCode
		id_name: company_shipping_tax_code
	company_track_partial_shipping
		config: company.track_partial_shipping
		vname: LBL_TRACK_PARTIAL_SHIPPING
		type: bool
	company_approve_booking_Cases
		config: company.approve_booking_Cases
		vname: LBL_APPROVE_BOOKING_CASES
		type: bool
	company_approve_booking_ProjectTask
		config: company.approve_booking_ProjectTask
		vname: LBL_APPROVE_BOOKING_PROJECTS
		type: bool
	company_quote_threshold
		config: company.quote_threshold
		vname: LBL_QUOTE_APPROVAL_THRESHOLD
		type: base_currency
	company_margin_threshold
		config: company.margin_threshold
		vname: LBL_MARGIN_THRESHOLD
		type: float
		min: 0
	company_quotes_show_list
		config: company.quotes_show_list
		vname: LBL_QUOTES_SHOW_LIST
		type: bool
	company_show_pretax_totals
		config: company.show_pretax_totals
		vname: LBL_SHOW_PRETAX_TOTALS
		type: bool
	company_lifetime_revenue_with_taxes
		config: company.lifetime_revenue_with_taxes
		vname: LBL_REVENUE_INCLUDES_TAXES
		type: bool
	company_quotes_prefix
		config: company.quotes_prefix
		vname: LBL_QUOTE_PREFIX
		type: varchar
	company_quotes_number_sequence
		config: company.quotes_number_sequence
		vname: LBL_QUOTE_START_FROM
		type: int
		min: 1
		disable_num_format: true
	company_opportunities_prefix
		config: company.opportunities_prefix
		vname: LBL_OPPORTUNITY_PREFIX
		type: varchar
	company_opportunities_number_sequence
		config: company.opportunities_number_sequence
		vname: LBL_OPPORTUNITY_START_FROM
		type: int
		min: 1
		disable_num_format: true
	company_account_number_sequence
		config: company.account_number_sequence
		vname: LBL_ACCOUNT_START_FROM
		min: 1
		type: int
		disable_num_format: true
	company_invoice_prefix
		config: company.invoice_prefix
		vname: LBL_INVOICE_PREFIX
		type: varchar
	company_invoice_number_sequence
		config: company.invoice_number_sequence
		vname: LBL_INVOICE_START_FROM
		type: int
		min: 1
		disable_num_format: true
	company_credit_prefix
		config: company.credit_prefix
		vname: LBL_CREDIT_PREFIX
		type: varchar
	company_credit_number_sequence
		config: company.credit_number_sequence
		vname: LBL_CREDIT_START_FROM
		type: int
		min: 1
		disable_num_format: true
	company_purchase_order_prefix
		config: company.purchase_order_prefix
		vname: LBL_PURCHASE_ORDER_PREFIX
		type: varchar
	company_purchase_order_sequence
		config: company.purchase_order_sequence
		vname: LBL_PURCHASE_ORDER_START_FROM
		type: int
		min: 1
		disable_num_format: true
	company_bill_prefix
		config: company.bill_prefix
		vname: LBL_BILL_PREFIX
		type: varchar
	company_bill_number_sequence
		config: company.bill_number_sequence
		vname: LBL_BILL_START_FROM
		type: int
		min: 1
		disable_num_format: true
	company_sales_order_prefix
		config: company.sales_order_prefix
		vname: LBL_SALES_ORDER_PREFIX
		type: varchar
	company_sales_order_sequence
		config: company.sales_order_sequence
		vname: LBL_SALES_ORDER_START_FROM
		type: int
		min: 1
		disable_num_format: true
	company_payment_prefix
		config: company.payment_prefix
		vname: LBL_PAYMENT_PREFIX
		type: varchar
	company_payment_number_sequence
		config: company.payment_number_sequence
		vname: LBL_PAYMENT_START_FROM
		type: int
		min: 1
		disable_num_format: true
	company_shipping_prefix
		config: company.shipping_prefix
		vname: LBL_SHIPPING_PREFIX
		type: varchar
	company_shipping_sequence
		config: company.shipping_sequence
		vname: LBL_SHIPPING_START_FROM
		type: int
		min: 1
		disable_num_format: true
	company_receiving_prefix
		config: company.receiving_prefix
		vname: LBL_RECEIVING_PREFIX
		type: varchar
	company_receiving_sequence
		config: company.receiving_sequence
		vname: LBL_RECEIVING_START_FROM
		type: int
		min: 1
		disable_num_format: true
	company_expense_prefix
		config: company.expense_prefix
		vname: LBL_EXPENSE_PREFIX
		type: varchar
	company_expense_number_sequence
		config: company.expense_number_sequence
		vname: LBL_EXPENSE_START_FROM
		type: int
		min: 1
		disable_num_format: true
	company_payment_gateway
		config: company.payment_gateway
		vname: LBL_PAYMENT_GATEWAY
		type: enum
		options_function: get_payment_gateway_options
	company_merchant_currency_ref
		vname: LBL_MERCHANT_CURRENCY
		type: ref
		bean_name: Currency
		id_name: company_merchant_currency
	company_merchant_currency
		config: company.merchant_currency
		vname: LBL_MERCHANT_CURRENCY
		type: ref_id
	company_merchant_login_stripe
		config: company.merchant_login_stripe
		vname: LBL_MERCHANT_LOGIN_STRIPE
		type: varchar
	company_merchant_public_key_stripe
		config: company.merchant_public_key_stripe
		vname: LBL_MERCHANT_PUBLIC_KEY_STRIPE
		type: varchar
	company_merchant_login_authnet
		config: company.merchant_login_authnet
		vname: LBL_MERCHANT_LOGIN_AUTHNET
		type: varchar
	company_merchant_password_authnet
		config: company.merchant_password_authnet
		vname: LBL_MERCHANT_PASSWORD_AUTHNET
		type: password
	company_update_opportunity_close_date
		config: company.update_opportunity_close_date
		vname: LBL_UPDATE_OPPORTUNITY_DATE
		type: bool
	site_login_use_custom_message
		config: site.login.use_custom_message
		vname: LBL_USE_CUSTOM_LOGIN_MESSAGE
		type: bool
	site_login_custom_message
		config: site.login.custom_message
		vname: LBL_CUSTOM_LOGIN_MESSAGE
		type: html
		height: 200
	company_std_quote_terms
		config: company.std_quote_terms
		vname: LBL_STD_QUOTE_TERMS
		type: text
	company_std_invoice_terms
		config: company.std_invoice_terms
		vname: LBL_STD_INVOICE_TERMS
		type: text
	company_std_so_terms
		config: company.std_so_terms
		vname: LBL_STD_SO_TERMS
		type: text
	company_std_po_terms
		config: company.std_po_terms
		vname: LBL_STD_PO_TERMS
		type: text
	company_google_maps_key
		config: company.google_maps_key
		vname: LBL_GMAPS_KEY
		type: varchar
		width: 25
	company_logo_image
		vname: LBL_QUOTE_LOGO
		vdesc: LBL_QUOTE_LOGO_DESC
		type: image
		upload_dir: {FILES}/images/logos/
		show_reset: true
		placeholder_config: company.logo_file
		store_full_path: true
		filename: company_logo_file
		display_size: [300, 100]
		max_size: 500
		pdf_format: true
	company_logo_file
		config: company.logo_file
		vname: LBL_QUOTE_LOGO_FILENAME
		type: file_ref
	company_quote_valid_days
		config: company.quote_valid_days
		vname: LBL_QUOTE_VALID_DAYS
		type: int
	site_top_logo_image
		auto_height_config: site.top_logo.auto_height
		vname: LBL_THEME_LOGO
		vdesc: LBL_THEME_LOGO_DESC
		type: image
		upload_dir: {FILES}/images/logos/
		show_reset: true
		store_full_path: true
		placeholder_config: site.top_logo.primary
		filename: site_top_logo_primary
		display_size: [300, 100]
		max_size: 500
	site_top_logo_primary
		config: site.top_logo.primary
		vname: LBL_THEME_LOGO_FILENAME
		type: file_ref
	export_enabled
		config: export.enabled
		vname: EXPORT_ENABLED
		type: bool
	export_charset
		config: export.charset
		vname: EXPORT_CHARSET
		type: enum
		options_function: get_export_charset_options
		options_add_blank: false
	export_dropdowns
		config: export.dropdowns
		vname: LBL_EXPORT_DROPDOWNS
		type: enum
		options_function: get_export_dropdowns_options
		options_add_blank: false
	export_admin_only
		config: export.admin_only
		vname: ADMIN_EXPORT_ONLY
		type: bool
	export_list_format
		config: export.list_format
		vname: EXPORT_LIST_FORMAT
		type: enum
		options_function: get_export_format_options
		options_add_blank: false
	ldap_enabled
		config: ldap.enabled
		vname: LBL_LDAP_ENABLE
		vdesc: LBL_LDAP_DESC
		type: bool
	ldap_host_name
		config: ldap.host_name
		vname: LBL_LDAP_SERVER_HOSTNAME
		vdesc: LBL_LDAP_SERVER_HOSTNAME_DESC
		type: varchar
		width: 25
	ldap_default_domain
		config: ldap.default_domain
		vname: LBL_LDAP_DEFAULT_DOMAIN
		vdesc: LBL_LDAP_DEFAULT_DOMAIN_DESC
		type: varchar
		width: 25
	ldap_port
		config: ldap.port
		vname: LBL_LDAP_SERVER_PORT
		vdesc: LBL_LDAP_SERVER_PORT_DESC
		len: 6
	ldap_base_dn
		config: ldap.base_dn
		vname: LBL_LDAP_BASE_DN
		vdesc: LBL_LDAP_BASE_DN_DESC
		type: varchar
		width: 25
	ldap_bind_attr
		config: ldap.bind_attr
		vname: LBL_LDAP_BIND_ATTRIBUTE
		vdesc: LBL_LDAP_BIND_ATTRIBUTE_DESC
		type: varchar
		width: 15
	ldap_login_attr
		config: ldap.login_attr
		vname: LBL_LDAP_LOGIN_ATTRIBUTE
		vdesc: LBL_LDAP_LOGIN_ATTRIBUTE_DESC
		type: varchar
		width: 15
	ldap_admin_user
		config: ldap.admin_user
		vname: LBL_LDAP_ADMIN_USER
		vdesc: LBL_LDAP_ADMIN_USER_DESC
		type: varchar
		width: 20
	ldap_admin_password
		config: ldap.admin_password
		vname: LBL_LDAP_ADMIN_PASSWORD
		type: password
		width: 20
	ldap_auto_create_users
		config: ldap.auto_create_users
		vname: LBL_LDAP_AUTO_CREATE_USERS
		vdesc: LBL_LDAP_AUTO_CREATE_USERS_DESC
		type: bool
	ldap_enc_key
		config: ldap.enc_key
		vname: LBL_LDAP_ENC_KEY
		vdesc: LBL_LDAP_ENC_KEY_DESC
		type: varchar
		len: 20
	portal_enabled
		config: portal.enabled
		vname: LBL_PORTAL_ON
		vdesc: LBL_PORTAL_ON_DESC
		type: bool
	portal_conversion_email
		config: portal.conversion_email
		vname: LBL_PORTAL_CONVERSION_EMAIL
		vdesc: LBL_PORTAL_CONVERSION_EMAIL_DESC
		type: bool
	portal_url
		config: portal.url
		vname: LBL_PORTAL_URL
		vdesc: LBL_PORTAL_URL_DESC
		type: url
		width: 40
	portal_perm_lead_quotes
		config: portal.perm_lead_quotes
		type: bool
		vname: LBL_PORTAL_PERM_QUOTES
	portal_perm_lead_bugs
		config: portal.perm_lead_bugs
		type: bool
		vname: LBL_PORTAL_PERM_BUGS
	portal_perm_lead_cases
		config: portal.perm_lead_cases
		type: bool
		vname: LBL_PORTAL_PERM_CASES
	portal_perm_lead_projects
		config: portal.perm_lead_projects
		type: bool
		vname: LBL_PORTAL_PERM_PROJECTS
	portal_perm_lead_events
		config: portal.perm_lead_events
		type: bool
		vname: LBL_PORTAL_PERM_EVENTS
	portal_perm_lead_kb
		config: portal.perm_lead_kb
		type: bool
		vname: LBL_PORTAL_PERM_KB
	portal_perm_lead_faq
		config: portal.perm_lead_faq
		type: bool
		vname: LBL_PORTAL_PERM_FAQ
	portal_perm_lead_forum
		config: portal.perm_lead_forum
		type: bool
		vname: LBL_PORTAL_PERM_FORUM
	portal_perm_lead_contactus
		config: portal.perm_lead_contactus
		type: bool
		vname: LBL_PORTAL_PERM_CONTACTUS
	portal_perm_lead_mycontact
		config: portal.perm_lead_mycontact
		type: bool
		vname: LBL_PORTAL_PERM_MYCONTACT
	portal_perm_lead_password
		config: portal.perm_lead_password
		type: bool
		vname: LBL_PORTAL_PERM_PASSWORD
	portal_perm_lead_request
		config: portal.perm_lead_request
		type: bool
		vname: LBL_PORTAL_PERM_REQUEST
	portal_perm_lead_subscribe
		config: portal.perm_lead_subscribe
		type: bool
		vname: LBL_PORTAL_PERM_SUBSCRIBE
	portal_perm_contact_quotes
		config: portal.perm_contact_quotes
		type: bool
		vname: LBL_PORTAL_PERM_QUOTES
	portal_perm_contact_bugs
		config: portal.perm_contact_bugs
		type: bool
		vname: LBL_PORTAL_PERM_BUGS
	portal_perm_contact_cases
		config: portal.perm_contact_cases
		type: bool
		vname: LBL_PORTAL_PERM_CASES
	portal_perm_contact_projects
		config: portal.perm_contact_projects
		type: bool
		vname: LBL_PORTAL_PERM_PROJECTS
	portal_perm_contact_events
		config: portal.perm_contact_events
		type: bool
		vname: LBL_PORTAL_PERM_EVENTS
	portal_perm_contact_kb
		config: portal.perm_contact_kb
		type: bool
		vname: LBL_PORTAL_PERM_KB
	portal_perm_contact_faq
		config: portal.perm_contact_faq
		type: bool
		vname: LBL_PORTAL_PERM_FAQ
	portal_perm_contact_forum
		config: portal.perm_contact_forum
		type: bool
		vname: LBL_PORTAL_PERM_FORUM
	portal_perm_contact_contactus
		config: portal.perm_contact_contactus
		type: bool
		vname: LBL_PORTAL_PERM_CONTACTUS
	portal_perm_contact_mycontact
		config: portal.perm_contact_mycontact
		type: bool
		vname: LBL_PORTAL_PERM_MYCONTACT
	portal_perm_contact_password
		config: portal.perm_contact_password
		type: bool
		vname: LBL_PORTAL_PERM_PASSWORD
	portal_perm_contact_request
		config: portal.perm_contact_request
		type: bool
		vname: LBL_PORTAL_PERM_REQUEST
	portal_perm_contact_subscribe
		config: portal.perm_contact_subscribe
		type: bool
		vname: LBL_PORTAL_PERM_SUBSCRIBE
	portal_perm_unreg_kb
		config: portal.perm_unreg_kb
		type: bool
		vname: LBL_PORTAL_PERM_KB
	portal_perm_unreg_faq
		config: portal.perm_unreg_faq
		type: bool
		vname: LBL_PORTAL_PERM_FAQ
	portal_perm_unreg_forum
		config: portal.perm_unreg_forum
		type: bool
		vname: LBL_PORTAL_PERM_FORUM
	portal_perm_unreg_contactus
		config: portal.perm_unreg_contactus
		type: bool
		vname: LBL_PORTAL_PERM_CONTACTUS
	portal_perm_unreg_mycontact
		config: portal.perm_unreg_mycontact
		type: bool
		vname: LBL_PORTAL_PERM_MYCONTACT
	portal_perm_unreg_request
		config: portal.perm_unreg_request
		type: bool
		vname: LBL_PORTAL_PERM_REQUEST
	portal_perm_unreg_register
		config: portal.perm_unreg_register
		type: bool
		vname: LBL_PORTAL_PERM_REGISTER


	proxy_enabled
		config: proxy.enabled
		vname: LBL_PROXY_ON
		vdesc: LBL_PROXY_ON_DESC
		type: bool
	proxy_host_name
		config: proxy.host_name
		vname: LBL_PROXY_HOST
		type: varchar
		width: 25
	proxy_port
		config: proxy.port
		vname: LBL_PROXY_PORT
	proxy_auth_req
		config: proxy.auth_req
		vname: LBL_PROXY_AUTH
		type: bool
	proxy_user_name
		config: proxy.user_name
		vname: LBL_PROXY_USERNAME
		type: varchar
	proxy_password
		config: proxy.password
		vname: LBL_PROXY_PASSWORD
		type: password
	locale_defaults_date_format
		config: locale.defaults.date_format
		vname: LBL_LOCALE_DEFAULT_DATE_FORMAT
		type: enum
		options_function: get_locale_date_options
		required: true
	locale_defaults_time_format
		config: locale.defaults.time_format
		vname: LBL_LOCALE_DEFAULT_TIME_FORMAT
		type: enum
		options_function: get_locale_time_options
		required: true
	locale_defaults_language
		config: locale.defaults.language
		vname: LBL_LOCALE_DEFAULT_LANGUAGE
		type: enum
		options_function: get_locale_language_options
		required: true
	locale_defaults_number_format
		config: locale.defaults.number_format
		vname: LBL_LOCALE_DEFAULT_NUMBER_FORMAT
		type: enum
		options_function: get_locale_number_options
		required: true
	locale_defaults_name_format
		config: locale.defaults.name_format
		vname: LBL_LOCALE_DEFAULT_NAME_FORMAT
		type: varchar
		widget: NameFormatInput
		required: true
	locale_defaults_address_format
		config: locale.defaults.address_format
		vname: LBL_LOCALE_DEFAULT_ADDRESS_FORMAT
		widget: AddressFormatInput
		required: true
	locale_defaults_use_real_names
		config: locale.defaults.use_real_names
		vname: LBL_USE_REAL_NAMES
		type: bool
	site_audit_teams
		config: site.audit_teams
		vname: LBL_AUDIT_TEAMS
		type: bool
		required: true
	site_timezone
		config: site.timezone
		vname: LBL_SERVER_TIMEZONE
		type: enum
		options_function: get_locale_timezone_options
		required: true
	site_database_primary_collation
		config: site.database.primary_collation
		vname: LBL_LOCALE_DB_COLLATION
		type: enum
		options_function: get_database_collation_options
		required: true
	locale_defaults_holidays
		config: locale.defaults.holidays
		vname: LBL_HOLIDAYS
		type: enum
		options_function: get_locale_holidays_options
	layout_defaults_theme
		config: layout.defaults.theme
		vname: DEFAULT_THEME
		type: enum
		options_function: get_theme_options
		required: true
	telephony_call_logging
		config: telephony.call_logging
		vname: LBL_CALL_LOGGING
		type: bool
	telephony_integration
		config: telephony.integration
		vname: LBL_TELEPHONY_INTEGRATION
		vdesc: LBL_TELEPHONY_INTEGRATION_DESC
		type: enum
		options: telephony_integration_dom
		options_add_blank: false
	telephony_format_phones
		config: telephony.format_phones
		vname: LBL_FORMAT_PHONES
		type: bool
	telephony_country
		config: telephony.country
		vname: LBL_PHONE_RULES
		type: enum
		options_function: get_locale_phone_country_options
	telephony_local_code
		config: telephony.local_code
		vname: LBL_LOCAL_AREA_CODE
		type: varchar
		len: 7
	telephony_ext
		config: telephony.ext
		vname: LBL_EXT_STRING
		type: varchar
		len: 5
	telephony_local_digits
		config: telephony.local_digits
		vname: LBL_LOCAL_PHONE_DIGITS
		type: varchar
		len: 5
	telephony_country_code
		config: telephony.country_code
		vname: LBL_COUNTRY_CODE
		type: varchar
		size: 7
	telephony_ringcentral_client_id
		config: telephony.ringcentral_client_id
		vname: LBL_RINGCENTRAL_CLIENT_ID
		type: varchar
	telephony_ringcentral_client_secret
		config: telephony.ringcentral_client_secret
		vname: LBL_RINGCENTRAL_CLIENT_SECRET
		type: varchar
	chat_integration
		config: chat.integration
		vname: LBL_CHAT_INTEGRATION
		type: enum
		options: chat_integration_dom

	aclconfig_additive
		config: aclconfig.additive
		vname: LBL_TEAMS_ADDITIVE
		vdesc: LBL_TEAMS_ADDITIVE_DESC
		type: bool
	aclconfig_user_role_precedence
		config: aclconfig.user_role_precedence
		vname: LBL_TEAMS_USER_ROLE_PRECEDENCE
		vdesc: LBL_TEAMS_USER_ROLE_PRECEDENCE_DESC
		type: bool
	aclconfig_inherit_creator
		config: aclconfig.inherit_creator
		vname: LBL_TEAMS_INHERIT_CREATOR
		vdesc: LBL_TEAMS_INHERIT_CREATOR_DESC
		type: bool
	aclconfig_inherit_assigned
		config: aclconfig.inherit_assigned
		vname: LBL_TEAMS_INHERIT_ASSIGNED
		vdesc: LBL_TEAMS_INHERIT_ASSIGNED_DESC
		type: bool
	aclconfig_inherit_account
		config: aclconfig.inherit_account
		vname: LBL_TEAMS_INHERIT_ACCOUNT
		vdesc: LBL_TEAMS_INHERIT_ACCOUNT_DESC
		type: bool
	#aclconfig_inherit_parent
	#aclconfig_user_popup
	#aclconfig_popup_select

	notify_enabled
		config: notify.enabled
		vname: LBL_NOTIFY_ON
		vname_module: EmailMan
		vdesc: LBL_NOTIFICATION_ON_DESC
		type: bool
	notify_from_name
		config: notify.from_name
		vname: LBL_NOTIFY_FROMNAME
		vname_module: EmailMan
		type: varchar
		len: 25
	notify_from_address
		config: notify.from_address
		vname: LBL_NOTIFY_FROMADDRESS
		vname_module: EmailMan
		type: email
		len: 35
	notify_send_by_default
		config: notify.send_by_default
		vname: LBL_NOTIFY_SEND_BY_DEFAULT
		vname_module: EmailMan
		type: bool
	notify_send_from_assigning_user
		config: notify.send_from_assigning_user
		vname: LBL_NOTIFY_SEND_FROM_ASSIGNING_USER
		vname_module: EmailMan
		type: bool
	notify_send_invites_by_default
		config: notify.send_invites_by_default
		vname: LBL_NOTIFY_SEND_INVITES_BY_DEFAULT
		type: bool
	notify_cases_contact_create
		config: notify.cases_contact_create
		vname: LBL_NOTIFY_CASES_CONTACT_CREATE
		vname_module: EmailMan
		type: bool
	notify_cases_contact_update
		config: notify.cases_contact_update
		vname: LBL_NOTIFY_CASES_CONTACT_UPDATE
		vname_module: EmailMan
		type: bool
	email_send_type
		config: email.send_type
		vname: LBL_MAIL_SENDTYPE
		vname_module: EmailMan
		type: enum
		options: notifymail_sendtype
		required: true
	email_smtp_server
		config: email.smtp_server
		vname: LBL_MAIL_SMTPSERVER
		vname_module: EmailMan
		type: hostname
		len: 100
	email_smtp_port
		config: email.smtp_port
		vname: LBL_MAIL_SMTPPORT
		vname_module: EmailMan
		type: port
		len: 5
	email_smtp_auth_req
		config: email.smtp_auth_req
		vname: LBL_MAIL_SMTPAUTH_REQ
		vname_module: EmailMan
		type: enum
		options: smtp_auth_type
		options_add_blank: false
	email_smtp_user
		config: email.smtp_user
		vname: LBL_MAIL_SMTPUSER
		vname_module: EmailMan
		type: varchar
		len: 50
		prevent_autofill: true
	email_smtp_password
		config: email.smtp_password
		vname: LBL_MAIL_SMTPPASS
		vname_module: EmailMan
		type: password
		len: 50
		prevent_autofill: true
	email_smtp_o365_token
		config: email.smtp_o365_token
		vname: LBL_O365_AUTH_TOKEN
		vname_module: EmailMan
		type: text
		widget: EmailAuthInput
		email_service_field: email_smtp_auth_req
	email_smtp_security
		config: email.smtp_security
		vname: LBL_MAIL_SMTP_SECURITY
		vname_module: EmailMan
		type: enum
		options: smtp_security_dom
	email_smtp_verification
		config: email.smtp_verification
		vname: LBL_MAIL_SMTP_VERIFICATION
		type: enum
		options: dom_smtp_ssl_verify
	email_default_client
		config: email.default_client
		vname: LBL_EMAIL_DEFAULT_EDITOR
		vname_module: EmailMan
		type: enum
		options: dom_email_link_type_system
		options_add_blank: false
	email_default_editor
		config: email.default_editor
		vname: LBL_EMAIL_DEFAULT_CLIENT
		vname_module: EmailMan
		type: enum
		options: dom_email_editor_option
	email_default_charset
		config: email.default_charset
		vname: LBL_EMAIL_DEFAULT_CHARSET
		vname_module: EmailMan
		type: enum
		options_function: get_export_charset_options
		options_add_blank: false
	massemailer_campaign_emails_per_run
		config: massemailer.campaign_emails_per_run
		vname: LBL_EMAILS_PER_RUN
		vname_module: EmailMan
		type: enum
		options_function: get_email_outbound_max_messages_options
		options_add_blank: false
	#massemailer_tracking_entities_location_type
	#	vname: LBL_LOCATION_TRACK
	email_relate_inbound
		config: email.relate_inbound
		vname: LBL_RELATE_INBOUND
		vname_module: EmailMan
		type: bool
	email_relate_skipdomains
		config: email.relate_skipdomains
		vname: LBL_RELATE_SKIPDOMAINS
		vname_module: EmailMan
		type: varchar
		len: 50
	email_no_account_relations
		config: email.no_account_relations
		vname: LBL_EMAIL_NO_ACCOUNT_RELATIONS
		type: bool
	email_import_max_session_messages
		config: email.import.max_session_messages
		vname: LBL_MAX_SESSION_MESSAGES
		vname_module: EmailMan
		type: enum
		options_function: get_email_inbound_max_messages_options
		options_add_blank: false
	email_tracking
		config: email.tracking_enabled
		vname: LBL_TRACK_EMAIL_OPEN
		type: bool
	email_keep_raw
		config: email.keep_raw
		vname: LBL_KEEP_RAW_EMAIL
		vdesc: LBL_KEEP_RAW
		vname_module: EmailMan
		type: bool
	email_fulltext_search
		config: email.fulltext_search
		vname: LBL_EMAIL_FULLTEXT
		type: bool
	backup_enabled
		config: backup.enabled
		vname: LBL_BACKUP_ENABLED
		vdesc: LBL_BACKUP_ENABLED_DESC
		type: bool
	backup_time
		config: backup.time
		vname: LBL_BACKUP_TIME
		vdesc: LBL_BACKUP_TIME_DESC
		type: time
	backup_dump_enabled
		config: backup.dump_enabled
		vname: LBL_BACKUP_DUMP_ENABLED
		vdesc: LBL_BACKUP_DUMP_ENABLED_DESC
		type: bool
	backup_dump_available
		vname: LBL_BACKUP_DUMP_AVAILABLE
		vdesc: LBL_BACKUP_DUMP_AVAILABLE_DESC
		type: bool
		editable: false
	backup_crypto_available
		vname: LBL_BACKUP_CRYPTO_AVAILABLE
		vdesc: LBL_BACKUP_CRYPTO_AVAILABLE_DESC
		type: bool
		editable: false
	backup_crypto_reason
		type: html
		editable: false
	backup_crypto_enabled
		config: backup.crypto_enabled
		vname: LBL_BACKUP_CRYPTO_ENABLED
		vdesc: LBL_BACKUP_CRYPTO_ENABLED_DESC
		type: bool
	backup_crypto_cert
		config: backup.crypto_cert
		vname: LBL_BACKUP_CRYPTO_CERT
		type: text
	backup_target_dir
		config: site.paths.backup_dir
		vname: LBL_BACKUP_DIRECTORY
		type: varchar
		len: 40
	backup_mysqldump_path
		config: backup.mysqldump_path
		vname: LBL_BACKUP_MYSQLDUMP_PATH
		type: varchar
		len: 255
	backup_zip_files_filter
		config: backup.zip_files_filter
		vname: LBL_BACKUP_ZIP_FILES_FILTER
		type: enum
		options: backup_filter_options_dom
		options_add_blank: false
		width: 60
	backup_remote_type
		config: backup.remote_type
		vname: LBL_BACKUP_REMOTE_BACKUP
		type: enum
		options: remote_backup_type_dom
	backup_rsync_enabled
		config: backup.rsync_enabled
		vname: LBL_BACKUP_RSYNC_ENABLED
		type: bool
	backup_files_to_keep
		config: backup.num_files_to_keep
		vname: LBL_BACKUP_FILES_TO_KEEP
		vdesc: LBL_BACKUP_FILES_TO_KEEP_DESC
		type: int
		default: 5
	backup_remote_files_to_keep
		config: backup.num_remote_files_to_keep
		vname: LBL_BACKUP_REMOTE_FILES_TO_KEEP
		vdesc: LBL_BACKUP_REMOTE_FILES_TO_KEEP_DESC
		type: int
		default: 5
	backup_rsync_available
		config: backup.rsync_available
		vname: LBL_BACKUP_RSYNC_AVAILABLE
		vdesc: LBL_BACKUP_RSYNC_AVAILABLE_DESC
		type: bool
		editable: false
	backup_rsync_path
		config: backup.rsync_path
		vname: LBL_BACKUP_RSYNC_PATH
		type: varchar
		len: 40
	backup_rsync_target_dir
		config: backup.rsync_target_dir
		vname: LBL_BACKUP_RSYNC_TARGET_DIR
		vdesc: LBL_BACKUP_RSYNC_TARGET_DIR_DESC
		type: varchar
		len: 40
	company_meetings_recurrence_max_instances
		config: company.meetings_recurrence_max_instances
		vname: LBL_COMPANY_MEETINGS_REC_MAX
		type: int
	company_meetings_recurrence_max_days
		config: company.meetings_recurrence_max_days
		vname: LBL_COMPANY_MEETINGS_REC_MAX_DAYS
		type: int
	backup_ftp_host
		config: backup.ftp_host
		vname: LBL_BACKUP_FTP_HOST
		type: varchar
		len: 255
	backup_ftp_username
		config: backup.ftp_username
		vname: LBL_BACKUP_FTP_USERNAME
		type: varchar
		len: 255
	backup_ftp_password
		config: backup.ftp_password
		vname: LBL_BACKUP_FTP_PASSWORD
		type: password
		len: 255
	backup_ftp_dir
		config: backup.ftp_dir
		vname: LBL_BACKUP_FTP_DIR
		type: varchar
		len: 255
	backup_ftp_pasv
		config: backup.ftp_pasv
		vname: LBL_BACKUP_FTP_PASV
		type: bool
	backup_ftp_encrypt
		config: backup.ftp_encrypt
		vname: LBL_BACKUP_FTP_ENCRYPT
		type: bool
		default: false
	backup_ssh_host
		config: backup.ssh_host
		vname: LBL_BACKUP_SSH_HOST
		type: varchar
		len: 255
	backup_ssh_username
		config: backup.ssh_username
		vname: LBL_BACKUP_SSH_USERNAME
		type: varchar
		len: 255
	backup_ssh_dir
		config: backup.ssh_dir
		vname: LBL_BACKUP_SSH_DIR
		type: varchar
		len: 255
	backup_dropbox_auth_token
		config: backup.dropbox_auth_token
		vname: LBL_BACKUP_DROPBOX_AUTH_TOKEN
		vdesc: LBL_BACKUP_DROPBOX_AUTH_TOKEN_DESC
		type: password
		len: 255
		width: 15
		widget: DropboxAuthInput
	apns_notification_mode
		config: apns.notification_mode
		vname: LBL_APNS_MODE
		vdesc: LBL_APNS_MODE_DESC
		type: enum
		options: apns_notification_mode_dom
		options_add_blank: false
	dragdrop_enabled
		config: dragdrop.enabled
		vname: LBL_DRAGDROP_ENABLED
		type: bool
	dragdrop_category
		config: dragdrop.category
		vname: LBL_DRAGDROP_CATEGORY
		type: enum
		options: document_category_dom
	dragdrop_department
		config: dragdrop.department
		vname: LBL_DRAGDROP_DEPARTMENT
		type: enum
		options: departments_dom
	dragdrop_status
		config: dragdrop.status
		vname: LBL_DRAGDROP_STATUS
		type: enum
		options: document_status_dom
		options_add_blank: false
		default: Draft
	email_max_message_size
		config: email.max_message_size
		vname: LBL_EMAIL_MAX_MESSAGE_SIZE
		type: int
		min: 0
		max: 10000000
		disable_num_format: true
	module_sequences
		vname: LBL_MODULE_SEQUENCES
		widget: ModuleSequenceInput
	pdf_margin_left
		vname: LBL_PDF_MARGIN_LEFT
		type: double
		config: pdf.margins.left
	pdf_margin_top
		vname: LBL_PDF_MARGIN_TOP
		type: double
		config: pdf.margins.top
	kb_tags
		config: kbtags.enabled
		vname: LBL_KBTAGS_ENABLE
		type: bool
	require_2fa
		config: layout.list.require_2fa
		vname: LBL_REQUIRE_2FA_ENABLE
		type: bool
		default: 0
	maps_fields_account
		vname: LBL_GMAPS_ACCOUNTS_FIELDS
		vdesc: LBL_GMAPS_ACCOUNTS_FIELDS_DESC
		type: multienum
		options_function: get_map_fields_accounts
		config: company.google_maps_account_fields
		options_sorted: false
	maps_fields_contact
		vname: LBL_GMAPS_CONTACTS_FIELDS
		vdesc: LBL_GMAPS_CONTACTS_FIELDS_DESC
		type: multienum
		options_function: get_map_fields_contacts
		config: company.google_maps_contact_fields
		options_sorted: false
	maps_fields_lead
		vname: LBL_GMAPS_LEADS_FIELDS
		vdesc: LBL_GMAPS_LEADS_FIELDS_DESC
		type: multienum
		options_function: get_map_fields_leads
		config: company.google_maps_lead_fields
		options_sorted: false
	maps_key
		vname: LBL_GMAPS_KEY
		vdesc: LBL_GMAPS_KEY_DESC
		type: varchar
		config: company.google_maps_key
	default_pricing_method
		config: company.default_pricing_method
		vname: LBL_DEFAULT_PRICING
		type: enum
		options: quote_pricing_method_dom
    paypal_link
        vname: LBL_PAYPAL_LINK
        vdesc: LBL_PAYPAL_LINK_DESCRIPTION
        type: varchar
        config: company.paypal_link
	total_storage_display
		vname: LBL_TOTAL_DISKSPACE
		widget: StorageUtilW
	used_storage_display
		vname: LBL_USED_DISKSPACE
		widget: StorageUtilW
	free_storage_display
		vname: LBL_FREE_DISKSPACE
		widget: StorageUtilW
	backups_storage_display
		vname: LBL_BACKUP_USAGE
		widget: StorageUtilW
	email_storage_display
		vname: LBL_EMAIL_USAGE
		widget: StorageUtilW
	images_storage_display
		vname: LBL_IMAGES_USAGE
		widget: StorageUtilW
	reports_storage_display
		vname: LBL_REPORTS_USAGE
		widget: StorageUtilW
	upload_storage_display
		vname: LBL_UPLOAD_USAGE
		widget: StorageUtilW
	db_storage_display
		vname: LBL_DB_USAGE
		widget: StorageUtilW
	storageutil_notify_disk_space
		config: misc.notify_disk_space
		vname: LBL_NOTIFY_DISK_SPACE
		type: bool
	storageutil_notify_percentage
		config: misc.notify_percentage
		vname: LBL_NOTIFY_DISK_SPACE_VAL
		type: int
		min: 1
		max: 100
	storageutil_notify_type
		config: misc.notify_type
		vname: LBL_NOTIFY_DISK_SPACE_TYPE
		type: enum
		options: storageutil_notifytype_dom
	storageutil_notify_email
		vname: LBL_STORAGE_NOTIFY_EMAIL
		type: email
		config: misc.storageutil_notify_email
	storageutil_weekly_notify
		config: misc.storageutil_weekly_notify
		vname: LBL_NOTIFY_WEEKLY
		type: enum
		options: storageutil_autoreport_dom
	storageutil_last_notify
		config: misc.storageutil_last_notify
		type: datetime
	company_commission_percentage
		config: company.commission_percentage
		vname: LBL_COMM_PERCENTAGE
		type: number
		min: 0
		max: 100
	commission_module
		config: company.commission_module
		vname: LBL_COMMISSIONS_MODULE
		type: enum
		len: 25
		options: commission_module_dom
		comment: Indicates whether commission is based on Invoices or Sales Orders
		default: SalesOrders
	commission_type
		config: company.commission_type
		vname: LBL_COMMISSIONS_TYPE
		type: enum
		len: 25
		options: commission_type_dom
		comment: Indicates whether commission is based on GP or Total Sales value
		default: GP
	iex_key
		vname: LBL_IEX_KEY
		vdesc: LBL_IEX_KEY_DESC
		type: varchar
		config: company.iex_key
	camcard_key
		vname: LBL_CAMCARD_KEY
		vdesc: LBL_CAMCARD_KEY_DESC
		type: varchar
		config: company.camcard_key
	openweather_key
		vname: LBL_OPENWEATHER_KEY
		vdesc: LBL_OPENWEATHER_KEY_DESC
		type: varchar
		config: company.openweather_key
	maxmind_key
		vname: LBL_MAXMIND_KEY
		type: varchar
		config: company.maxmind_key
	oauth_server
		config: company.oauth_server
		vname: LBL_EXTERN_OAUTH_SERVER
		type: enum
		options_function
			file: modules/Configurator/Configurator.php
			class: Configurator
			class_function: oauthServerOptions
		options_add_blank: false
	oauth_microsoft_id
		config: company.oauth_microsoft_id
		vname: LBL_OAUTH_MICROSOFT_ID
		type: varchar
	oauth_microsoft_secret
		config: company.oauth_microsoft_secret
		vname: LBL_OAUTH_MICROSOFT_SECRET
		type: varchar
	oauth_microsoft_tenant_id
		config: company.oauth_microsoft_tenant_id
		vname: LBL_OAUTH_MICROSOFT_TENANT_ID
		type: varchar
	oauth_google_id
		config: company.oauth_google_id
		vname: LBL_OAUTH_GOOGLE_ID
		type: varchar
	oauth_google_secret
		config: company.oauth_google_secret
		vname: LBL_OAUTH_GOOGLE_SECRET
		type: varchar
	oauth_gmail_id
		config: company.oauth_gmail_id
		vname: LBL_OAUTH_GMAIL_ID
		type: varchar
	oauth_gmail_secret
		config: company.oauth_gmail_secret
		vname: LBL_OAUTH_GMAIL_SECRET
		type: varchar
widgets
	ModuleSequenceInput
		type: field
		path: modules/Configurator/widgets/ModuleSequenceInput.php
	StorageUtilW
		type: field
		path: modules/Configurator/widgets/StorageUtilW.php
notify
	messages
		disk_warn
			fields
				- used_storage_display
