
SUGAR.module('sequences', 'ui-controls').init(function(App) {
var Dom = App.dom,
	MakeElt = Dom.makeElement,
	Wrap = Dom.elementOrId;

App.ui.ModuleSequenceRender = function() {
}
App.ui.ModuleSequenceRender.prototype = {
	renderModule: function(row, field, sect_index, row_index, editor, cell) {
		var icon = App.ui.createIcon(row[field]);
		var label = row.module_label || row.module;
		/*if(! row.updated) {
			label = MakeElt('span.text-muted', label);
			App.ui.addClass(icon, 'grey');
		}*/
		return [icon, ' ', label];
	},
	renderPrefix: function(row, field, sect_index, row_index, editor, cell) {
		if(! row.prefix_name) return '';
		return false;
	},
	postFormatRow(elt, row, sect_index, index, editor) {
		if(! row.updated) {
			var elts = Wrap(elt).find('.input-label').addClass('text-muted');
		}
	}
};

window.sequenceUpdated = function(sect_idx, row_idx) {
	var row = this.sections[sect_idx].rows[row_idx];
	row.updated = true;
}

});
