<?php return; /* no output */ ?>

detail
    type: edit
    title: LBL_CONFIGURE_SETTINGS_TITLE
    icon: Administration
layout
	form_buttons
	sections
		--
			id: default
			vname: DEFAULT_SYSTEM_SETTINGS
			columns: 2
			label_widths: 25%
			widths: 25%
			show_descriptions: true
			elements
				- layout_list_default_display_rows
				- layout_max_dashlets_homepage
				- layout_list_sidebar_display_rows
				- site_performance_calculate_response_time
				- layout_list_subpanel_display_rows
				- layout_list_long_text_limit
				- layout_history_long_text_limit
				- layout_mobile_columns
				- layout_show_empty_detail_rows
				- kb_tags
				- require_2fa
		--
			id: pdf
			vname: LBL_PDF_SETTINGS
			vdesc: LBL_PDF_SETTINGS_DESC
			columns: 2
			label_widths: 25%
			widths: 25%
			elements
				- pdf_margin_left
				- pdf_margin_top
		--
			id: audit
			vname: LBL_AUDIT_SETTINGS
			vdesc: LBL_AUDIT_SETTINGS_DESC
			columns: 2
			label_widths: 25%
			widths: 25%
			elements
				- site_audit_teams
		--
			id: ldap
			vname: LBL_LDAP_TITLE
			columns: 1
			show_descriptions: true
			elements
				- ldap_enabled
				--
					id: ldap_body
					section: true
					toggle_display
						name: ldap_enabled
					elements
						- ldap_host_name
						- ldap_default_domain
						- ldap_port
						- ldap_base_dn
						- ldap_bind_attr
						- ldap_login_attr
						- ldap_admin_user
						- ldap_admin_password
						- ldap_auto_create_users
						- ldap_enc_key
		--
			id: proxy
			vname: LBL_PROXY_TITLE
			show_descriptions: true
			columns: 1
			elements
				- proxy_enabled
				--
					id: proxy_body
					section: true
					toggle_display
						name: proxy_enabled
					elements
						- proxy_host_name
						- proxy_port
						- proxy_auth_req
						- proxy_user_name
						- proxy_password
		--
			id: portal
			hidden: !config.portal.legacy_ui_enabled
			vname: LBL_PORTAL_TITLE
			columns: 1
			label_widths: 30%
			widths: 70%
			elements
				- portal_enabled
				- portal_conversion_email
				- portal_url
		--
			id: portal_unreg
			hidden: !config.portal.legacy_ui_enabled
			vname: LBL_PORTAL_PERMISSIONS_UNREG
			columns: 1
			label_widths: 30%
			widths: 70%
			label_position: left
			elements
				- portal_perm_unreg_request
				- portal_perm_unreg_contactus
				- portal_perm_unreg_register
				- portal_perm_unreg_faq
		--
			id: portal_leads
			hidden: !config.portal.legacy_ui_enabled
			vname: LBL_PORTAL_PERMISSIONS_LEADS
			columns: 1
			label_widths: 30%
			widths: 70%
			label_position: left
			elements
				- portal_perm_lead_quotes
				- portal_perm_lead_bugs
				- portal_perm_lead_cases
				- portal_perm_lead_projects
				- portal_perm_lead_events
				- portal_perm_lead_kb
				- portal_perm_lead_faq
				- portal_perm_lead_contactus
				- portal_perm_lead_mycontact
				- portal_perm_lead_password
				- portal_perm_lead_request
				- portal_perm_lead_subscribe
		--
			id: portal_contacts
			hidden: !config.portal.legacy_ui_enabled
			vname: LBL_PORTAL_PERMISSIONS_CONTACTS
			columns: 1
			label_widths: 30%
			widths: 70%
			label_position: left
			elements
				- portal_perm_contact_quotes
				- portal_perm_contact_bugs
				- portal_perm_contact_cases
				- portal_perm_contact_projects
				- portal_perm_contact_events
				- portal_perm_contact_kb
				- portal_perm_contact_faq
				- portal_perm_contact_contactus
				- portal_perm_contact_mycontact
				- portal_perm_contact_password
				- portal_perm_contact_request
				- portal_perm_contact_subscribe

		--
			id: export
			vname: EXPORT
			elements
				- export_enabled
				- export_charset
				- export_admin_only
				- export_list_format
				- export_dropdowns
		--
			id: invoices
			vname: INVOICES
			columns: 1
			label_widths: 30%
			widths: 70%
			elements
				- company_create_invoice_products
				- company_invoice_line_events
				- company_invoice_line_serials
				- company_invoice_default_terms
		--
			id: bills
			vname: BILLS
			columns: 1
			label_widths: 30%
			widths: 70%
			elements
				- company_bill_default_terms
		--
			id: dragdrop
			vname: DRAGDROP
			columns: 1
			label_widths: 30%
			widths: 70%
			elements
				- dragdrop_enabled
				- dragdrop_category
				- dragdrop_department
				- dragdrop_status
		--
			id: kb
			vname: KB
			columns: 1
			label_widths: 30%
			widths: 70%
			elements
				- company_kb_allow_new_tags
		--
			id: gmaps
			vname: LBL_GOOGLE_MAPS
			show_descriptions: true
			columns: 1
			elements
				- maps_key
				- maps_fields_account
				- maps_fields_contact
				- maps_fields_lead
		--
			id: iex
			vname: LBL_IEX_CLOUD
			show_descriptions: true
			columns: 1
			elements
				- iex_key
		--
			id: camcard
			vname: LBL_CAMCARD
			show_descriptions: true
			columns: 1
			elements
				- camcard_key
		--
			id: weather
			vname: LBL_WEATHER_API
			show_descriptions: true
			columns: 1
			elements
				- openweather_key
		--
			id: maxmind
			vname: LBL_MAXMIND_TITLE
			vdesc: LBL_MAXMIND_DESC
			elements
				- maxmind_key
		--
			id: oauth
			vname: LBL_EXTERN_OAUTH_TITLE
			vdesc: LBL_EXTERN_OAUTH_DESC
			elements
				- oauth_server
				--
					id: oauth_body
					section: true
					toggle_display
						name: oauth_server
						value: custom
					elements
						- oauth_microsoft_id
						- oauth_microsoft_secret
						- oauth_microsoft_tenant_id
						- 
				- oauth_google_id
				- oauth_google_secret
				- oauth_gmail_id
				- oauth_gmail_secret
		--
			id: notarius
			vname: LBL_NOTARIUS_TITLE
			elements
				- site_notarius_auth_key
				- site_notarius_auth_secret
		--
			id: recurrence
			vname: LBL_RECURRENCE
			vdesc: LBL_RECURRENCE_DESC
			elements
				- company_meetings_recurrence_max_instances
				- company_meetings_recurrence_max_days
		--
			id: apns
			vname: LBL_APNS_SETTINGS
			vdesc: LBL_APNS_SETTINGS_DESC
			show_descriptions: true
			columns: 1
			elements
				- apns_notification_mode
		--
			id: advanced
			vname: ADVANCED
			label_widths: 30%
			widths: 20%
			elements
				- layout_jsmin_enabled
				- site_security_verify_client_ip
				- layout_svg_charts_enabled
				- site_security_email_password_recovery
				- site_upload_maxsize
		--
			id: logging
			vname: LOGGING
			elements
				- site_log_level
				- site_log_file_size
				- site_log_backup_count
				- site_performance_dump_slow_queries
				- site_performance_slow_query_time_msec
				- site_log_stack_trace_errors
                - site_log_clear_activities_interval
                - site_user_activity_tracker
                - site_user_activity_timeout
                - site_user_activity_grace
		--
			id: inspector
			vname: LBL_INSPECTOR_TITLE
			columns: 1
			show_descriptions: true
			elements
				- inspector_enabled
				- inspector_new_password
				- inspector_limit_ip
