<?php return; /* no output */ ?>

list
	default_order_by: name
    mass_merge_duplicates: true
    show_favorites: true
	buttons_hook
		class_function: add_gmaps_script
		class: Account
		file: modules/Accounts/Account.php
    layouts
        Duplicates
            vname: LBL_DUPLICATES
            view_name: Duplicates
            hidden: true
    buttons
		email_contacts
			icon: icon-send
			vname: LBL_EMAIL_MULTI_BUTTON_LABEL
			perform: sListView.emailEntries('{LIST_ID}', 'Contacts', false)
			type: button
		export_vcards
			icon: icon-export
			vname: LBL_EXPORT_VCARDS
			perform: sListView.exportVcards('{LIST_ID}', 'Contacts')
			type: button
			acl: export
		quick_campaign
			icon: theme-icon create-Campaign
			vname: LBL_QCAMPAIGN_BUTTON_LABEL
			perform: sListView.quickCampaign('{LIST_ID}', 'Contacts')
			type: button
		convert_to_target_list
			icon: theme-icon create-ProspectList
			vname: LBL_CONVERT_TO_TARGET_LIST
			perform: sListView.convertToTargetList('{LIST_ID}', 'Contacts')
			type: button
        mail_merge
        	icon: icon-send
            vname: LBL_MAILMERGE
            perform: sListView.mailMerge('{LIST_ID}', 'Contacts')
            type: button
		multi-map
			vname: LBL_MULTIMAP_BUTTON_LABEL
			type: button
			icon: theme-icon module-CompanyAddress
			perform: sListView.MultiMapDisplay('{LIST_ID}', 'Contacts')
        clear-categories
            vname: LBL_CLEAR_CATEGORIES_BUTTON_LABEL
            type: button
            icon: icon-delete
            perform: sListView.clearCategories('{LIST_ID}')
	report_massupdate_handlers
		--
			name: ConvertToTargetList
			class: ProspectList
	massupdate_handlers
		--
			name: ConvertToTargetList
			class: ProspectList
		--
			name: RTFMerge
			class: RTFMerge
			file: modules/MailMerge/RTFMerge.php
		--
			name: EmailMultiple
			class: Email
		--
			name: QuickCampaign
			class: Campaign
		--
			name: GetMultiMap
			class: MultiMap
			file: modules/Accounts/MultiMap.php
        --
            name: ClearCategories
            class: Contact
	report_buttons_hook
		class_function: addReportButtons
		class: Contact
		file: modules/Contacts/Contact.php
view
	scripts
		--
			file: "modules/Contacts/contacts.js"
edit
	quick_create
		via_ref_input: true
	add_conversion_fields
		- mautic_id
fields
    primary_address
        vname: LBL_PRIMARY_ADDRESS
        type: address
        source
            type: address
            prefix: primary_
            no_account: true
    alt_address
        vname: LBL_ALTERNATE_ADDRESS
        type: address
        source
            type: address
            prefix: alt_
            no_account: true
	list_location
		vname: LBL_LIST_LOCATION
		type: location_city
		source
			fields: [primary_address_city, primary_address_state, primary_address_country]
    name_email
    	vname: LBL_NAME_AND_EMAIL
    	source
    		value_function: join_name_email
    		fields: [first_name, last_name, email1]
    email_matched
        vname: LBL_EMAIL_MATCHED
        type: email
        source
            type: subselect
            class: Email
            function: recipient_matched_email
            file: modules/Emails/Email.php
    social_icons
        widget: SocialIconsWidget
    account_email1
    	vname: LBL_ACCOUNT_EMAIL1
    	type: email
    	source
    		type: field
    		field: primary_account.email1
    	unified_search: true
    	reportable: false
    account_email2
    	vname: LBL_ACCOUNT_EMAIL2
    	type: email
    	source
    		type: field
    		field: primary_account.email2
    	unified_search: true
    	reportable: false
basic_filters
	- primary_account
filters
	any_phone
		vname: LBL_ANY_PHONE
		type: phone
		fields
			- phone_home
			- phone_mobile
			- phone_work
			- phone_other
			- phone_fax
			- assistant_phone
	any_email
		vname: LBL_ANY_EMAIL
		type: email
		fields
			- email1
			- email2
	address_street
		vname: LBL_ANY_ADDRESS
		type: varchar
		fields
			- primary_address_street
			- alt_address_street
	address_city
		vname: LBL_ANY_CITY
		type: varchar
		fields
			- primary_address_city
			- alt_address_city
	address_state
		vname: LBL_ANY_STATE
		type: varchar
		fields
			- primary_address_state
			- alt_address_state
	address_postalcode
		vname: LBL_ANY_POSTAL_CODE
		type: varchar
		fields
			- primary_address_postalcode
			- alt_address_postalcode
	address_country
		vname: LBL_ANY_COUNTRY
		type: varchar
		fields
			- primary_address_country
			- alt_address_country
widgets
	GoogleSyncStatusWidget
		type: section
		path: modules/Contacts/widgets/GoogleSyncStatusWidget.php
	SalutationNameWidget
		type: field
		path: modules/Contacts/widgets/SalutationNameWidget.php
	RelatedRecordsWidget
		type: section
		path: modules/Contacts/widgets/RelatedRecordsWidget.php
notify
	messages
		assigned
			fields
				- primary_account
				- department
				- title
				- categories
