<?php

require_once 'include/DetailView/StandardDetailManager.php';


class DocumentRevisionDetailManager extends StandardDetailManager
{
	function loadRecord($id=null) {
		$ret = parent::loadRecord($id);
		if ($this->perform != 'view') {
			$docId = $this->record->getField('document_id');
			$doc = ListQuery::quick_fetch('Document', $docId, ['signing_project_id']);
			if ($doc && $doc->getField('signing_project_id')) {
				ACLController::displayNoAccess();
			}
		}
		return $ret;
	}
}
