<?php return; /* no output */ ?>

@info
	cannot guess bean name
		- list_id
		- related_id
detail
	type: bean
	bean_file: modules/EmailMan/EmailMan.php
	unified_search: false
	duplicate_merge: false
	comment: Email campaign queue
	table_name: emailman
	primary_key: id
fields
	app.date_entered
	app.date_modified
	app.modified_user
	app.deleted
    id
    	vname: LBL_ID
        type: int
        len: 11
        required: true
        auto_increment: true
	user
		vname: LBL_USER
		type: ref
		bean_name: User
		massupdate: false
	campaign
		vname: LBL_LIST_CAMPAIGN
		type: ref
		bean_name: Campaign
		massupdate: false
	marketing
		vname: LBL_LIST_MESSAGE_NAME
		type: ref
		bean_name: EmailMarketing
		massupdate: false
	list
		vname: LBL_LIST
		type: ref
		bean_name: ProspectList
		massupdate: false
	send_date_time
		vname: LBL_LIST_SEND_DATE_TIME
		type: datetime
		massupdate: false
	in_queue
		vname: LBL_LIST_IN_QUEUE
		type: bool
		comment: Flag indicating if item still in queue
		massupdate: false
	in_queue_date
		vname: LBL_IN_QUEUE_DATE
		type: datetime
		comment: Datetime in which item entered queue
		massupdate: false
	send_attempts
		vname: LBL_LIST_SEND_ATTEMPTS
		type: int
		default: 0
		comment: Number of attempts made to send this item
	related
		vname: LBL_RELATED
		type: ref
		reportable: false
		dynamic_module: related_type
		massupdate: false
	related_type
		vname: LBL_RELATED_TYPE
		type: module_name
		len: 100
		massupdate: false
		options
			- Contacts
			- Leads
			- Prospects
indices
	idx_eman_rel
		fields
			- related_type
			- related_id
	idx_eman_list
		fields
			- list_id
			- user_id
			- deleted
	idx_eman_campaign_id
		fields
			- campaign_id
