<div id="dashlet-body-{$id}" class="dashlet-body listview-body">
<table id="stock_rows_{$id}" cellpadding='0' cellspacing='0' width='100%' border='0' class='listView form-bottom'>
    <tr class="listHead">
		<th scope='col' class='listViewThS1' nowrap width="25%">
			{$LANG.LBL_SYMBOL}
		</th>
		<th scope='col' class='listViewThS1 text-right' nowrap width="35%">
			{$LANG.LBL_LAST_TRADE}
		</th>
		<th scope='col' class='listViewThS1' nowrap width="40%">
			{$LANG.LBL_CHANGE}
		</th>
    </tr>

	{foreach name=rowIteration from=$data key=row_id item=rowData}
		{if $smarty.foreach.rowIteration.iteration is odd}
			{assign var='_rowColor' value=$rowColor[0]}
		{else}
			{assign var='_rowColor' value=$rowColor[1]}
		{/if}
		<tr class='listViewRow {$_rowColor}S1' onmouseover="sListView.row_action(this, 'over', '{$row_id}');" onmouseout="sListView.row_action(this, 'out', '{$row_id}');" {if $rowData.primaryExchange}onmousedown="return StockQuotes.markRow(this, 'click', '{$row_id}', '{$id}');" id="stockquotes_row_{$row_id}" style="cursor: pointer"{/if}>
			<td scope='row' valign=top class="listViewTd">
				{$rowData.symbol}
			</td>
			<td scope='row' valign=top class="listViewTd text-right text-number">
				{$rowData.latestPrice}
			</td>
			<td scope='row' valign=top class="listViewTd">
				{$rowData.change}
			</td>
	    </tr>
		{if ! $smarty.foreach.rowIteration.last && $LIST_ADD_HR}<tr><td colspan='20' class='listViewHRS1'></td></tr>{/if}
	{/foreach}
</table>
<div id="stock_details_{$id}" style="display:none" class="fade hidden">
<table cellpadding='0' cellspacing='0' width='100%' border='0' class='listView form-bottom'>
	<tr class="listHead">
		<th scope='col' class='listViewThS1' colspan="4" nowrap>
			<table cellpadding='0' cellspacing='0' width='100%' border='0'>
			<tr><td width="90%">
				<h3 style="margin:0" id="stock_name_{$id}"></h3>
			</td><td nowrap>
				<a href="https://iextrading.com/apps/stocks/#/" id="stock_ext_link_{$id}" class="chartToolsLink" target="_blank">{$LANG.LBL_VISIT_SITE} <span class="uii uii-extern"></span></a>
			</td></tr>
			</table>
		</th>
	</tr>
	<tr class="listViewRow oddListRowS1">
		<td width="20%">{$LANG.LBL_LAST_TRADE}</td>
		<td width="30%" style="font-weight:bold" id="stock_last_trade_{$id}"></td>
		<td width="20%">&nbsp;</td>
		<td width="30%" style="font-weight:bold" id="stock_days_range_{$id}"></td>
	</tr>
	{if $LIST_ADD_HR}<tr><td colspan='20' class='listViewHRS1'></td></tr>{/if}
	<tr class="listViewRow evenListRowS1">
		<td>{$LANG.LBL_TRADE_TIME}</td>
		<td style="font-weight:bold" id="stock_last_trade_time_{$id}"></td>
		<td>{$LANG.LBL_52WK_RANGE}</td>
		<td style="font-weight:bold" id="stock_last_52w_range_{$id}"></td>
	</tr>
	{if $LIST_ADD_HR}<tr><td colspan='20' class='listViewHRS1'></td></tr>{/if}
	<tr class="listViewRow oddListRowS1">
		<td>{$LANG.LBL_CHANGE}</td>
		<td style="font-weight:bold" id="stock_change_{$id}"></td>
		<td>{$LANG.LBL_VOLUME}</td>
		<td style="font-weight:bold" id="stock_volume_{$id}"></td>
	</tr>
	{if $LIST_ADD_HR}<tr><td colspan='20' class='listViewHRS1'></td></tr>{/if}
	<tr class="listViewRow evenListRowS1">
		<td>{$LANG.LBL_PREV_CLOSE}</td>
		<td style="font-weight:bold" id="stock_prev_close_{$id}"></td>
		<td>{$LANG.LBL_AVG_VOLUME}</td>
		<td style="font-weight:bold" id="stock_avg_volume_{$id}"></td>
	</tr>
	{if $LIST_ADD_HR}<tr><td colspan='20' class='listViewHRS1'></td></tr>{/if}
	<tr class="listViewRow oddListRowS1">
		<td>{$LANG.LBL_OPEN}</td>
		<td style="font-weight:bold" id="stock_open_{$id}"></td>
		<td>{$LANG.LBL_MARKET_CAP}</td>
		<td style="font-weight:bold" id="stock_market_cap_{$id}"></td>
	</tr>
	{if $LIST_ADD_HR}<tr><td colspan='20' class='listViewHRS1'></td></tr>{/if}
	<tr class="listViewRow evenListRowS1">
		<td>{$LANG.LBL_P_E}</td>
		<td style="font-weight:bold" id="stock_pe_{$id}"></td>
		<td>{$LANG.LBL_EPS}</td>
		<td style="font-weight:bold" id="stock_eps_{$id}"></td>
	</tr>
	{if $LIST_ADD_HR}<tr><td colspan='20' class='listViewHRS1'></td></tr>{/if}
	<tr class="listViewRow oddListRowS1">
		<td>{$LANG.LBL_DIV_YIELD}</td>
		<td style="font-weight:bold" id="stock_div_yield_{$id}"></td>
		<td>&nbsp;</td>
		<td style="font-weight:bold"></td>
	</tr>
</table>
<!-- div id="StockQuotesLinks_{$id}" style="text-align:center; display:none">{$LANG.LBL_CLICK_FOR_LARGER}</div>
<div id="stock_chart_{$id}" style="text-align:center; display:none">
</div -->

</div>
</div>
