{*

/**
 * The contents of this file are subject to the SugarCRM Public License Version
 * 1.1.3 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.sugarcrm.com/SPL
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * All copies of the Covered Code must include on each user interface screen:
 *    (i) the "Powered by SugarCRM" logo and
 *    (ii) the SugarCRM copyright notice
 * in the same form as they appear in the distribution.  See full license for
 * requirements.
 *
 * The Original Code is: SugarCRM Open Source
 * The Initial Developer of the Original Code is SugarCRM, Inc.
 * Portions created by SugarCRM are Copyright (C) 2004-2006 SugarCRM, Inc.;
 * All Rights Reserved.
 * Contributor(s): ______________________________________.
 */

*}
				

<script type='text/javascript'>
	SUGAR.session.dashboard_id='{$dashboard_id}';
	SUGAR.session.dashboard_edit={if $editLayout}1{else}0{/if};
	SUGAR.session.dashboard_widths={$widths_json};
</script>

{if $editLayout}
<table cellspacing='0' cellpadding='0' border='0' valign='top' width='100%'>
	<tr><td align='left'>
		<button type='button' class='input-button input-outer' id='finish_edit' onclick='document.location.replace("?module=Home&action=index&layout={$dashboard_id}");'><div class="input-icon icon-accept"></div> <span class="input-label">{$MOD.LBL_FINISH_EDIT}</span></button>
		<button type='button' class='input-button input-outer' id='add_dashlets' onclick='return SUGAR.sugarHome.showDashletsPopup();'><div class="input-icon icon-add"></div> <span class="input-label">{$MOD.LBL_ADD_DASHLETS}</span></button>
		<button type='button' class='input-button input-outer menu-source' id='set_columns'><div class="input-arrow"><div class="input-icon icon-layout"></div> <span class="input-label">{$MOD.LBL_SET_COLUMNS}</span></div></button>
	</td>
</table>
{/if}

{assign var=colCount value=$columns|@count}
<main class="dashboard-outer {if $editLayout}edit-layout{/if}" id="dashboard_columns">
	<div class="row dashboard-row md-unstack">
		{counter assign=hiddenCounter start=0 print=false}
		{foreach from=$columns key=colNum item=data}
		{if $colNum || $editLayout}{if $LIST_ADD_HR || $editLayout}{assign var=leftpad value='4px'}{else}{assign var=leftpad value='12px'}{/if}{else}{assign var=leftpad value='0px'}{/if}
		{if $colNum < $colCount-1 || $editLayout}{assign var=rightpad value='4px'}{else}{assign var=rightpad value='0px'}{/if}
		<div class="column dashboard-column {$data.colClass}" id="dash-col-{$colNum}">
			{foreach from=$data.dashlets key=id item=dashlet}
			<section id="dashlet-{$id}" class="dashlet-section">
			<script type="text/javascript">
				SUGAR.sugarHome.setDashletWidth('{$id}', '{$data.width}');
			</script>
			{$dashlet.script}
			{$dashlet.display}
			</section>
			{/foreach}
		</div>
		{counter}
		{/foreach}
	</div>
</main>

{if $editLayout}

<script>{literal}
SUGAR.onDomLoad(function() {
	SUGAR.sugarHome.setup();
	SUGAR.sugarHome.showSlider();
	SUGAR.sugarHome.makeDashletsDraggable();
});
{/literal}</script>

{/if}


