<?php return; /* no output */ ?>

detail
    title: LBL_MODULE_TITLE	
layout
	form_buttons
        credit
        	icon: theme-icon bean-CreditNote
            vname: LBL_CREDIT_BUTTON_LABEL
            accesskey: LBL_CREDIT_BUTTON_KEY
            url: ?module=CreditNotes&action=EditView&invoice_id={RECORD}&{RETURN}&return_panel=creditnotes
            group: convert
        cc
            vname: LBL_CC_BUTTON_LABEL
            type: button
			perform:
                var form_params = {module: 'Invoice', action: 'PopupCardPayment', invoice_id: '{RECORD}'};
                var popup = new SUGAR.ui.Dialog('cc_payment', {modal: true, title : SUGAR.language.getString('LBL_CC_TITLE')});
                popup.fetchContent('async.php', {postData : form_params}, null, true);
            hidden: ! config.company.payment_gateway
        ship
            vname: LBL_SHIP_BUTTON_LABEL
            accesskey: LBL_SHIP_KEY
            url: ?module=Shipping&action=EditView&invoice_id={RECORD}&{RETURN}&return_panel=shipping
        create_product
        	icon: theme-icon create-Asset
            vname: LBL_PRODUCTS_BUTTON_LABEL
            perform:
                var form_params = {module: 'Quotes', action: 'PopupCreateProducts', invoice_id: '{RECORD}'};
                var popup = new SUGAR.ui.Dialog('support_product', {modal: true, title : SUGAR.language.getString('LBL_PRODUCTS_BUTTON_LABEL')});
                popup.fetchContent('async.php', {postData : form_params}, null, true);
            type: button
            group: convert
        create_payment
        	icon: theme-icon create-Payment
        	vname: LNK_NEW_PAYMENT
        	url: ?module=Payments&action=EditView&invoice_id={RECORD}&{RETURN}&return_panel=payments
        	group: convert
		unlock
			vname: LBL_UNLOCK
			pre_perform:
				if (!confirm(SUGAR.language.getString('LBL_CONFIRM_UNLOCK'))) return false;
            url: ?module=Invoice&action=Unlock&record={RECORD}
			mode: view
			hidden: !mode.admin || !bean.locked
	summary
		header
			fields
				- full_number
				- name
		subheader
			fields
				--
					name: paid_status
					mode: view
				- shipping_stage
		meta
			fields
				--
					name: partner
					show_label: false
		notes
			fields
				- description
	sections
		--
			id: main
			elements
				- locked
				-
				--
					name: terms
					editable: !bean.locked
                    onchange: setDateFromTerm(this.form);
				- opportunity
                --
                    name: invoice_date
					editable: !bean.locked
                    onchange: setDateFromTerm(this.form);
                - from_quote
				--
					name: due_date
					editable: !bean.locked
				- from_so
				--
					name: cancelled
					editable
						type: hook
						hook
							class_function: cancel_editable
							class: Invoice
							file: modules/Invoice/Invoice.php
				- event
				- amount_due
				- purchase_order_num
		--
			id: address_info
			elements
				--
					name: billing_address
					copy_to: shipping_address
					editable: !bean.locked
				--
					name: shipping_address
					copy_to: billing_address
        --
            id: price_ship
            column_titles
                - LBL_PRICING_INFO
                - LBL_SHIPPING_INFO
            elements
                - currency
				--
					name: pricebook
					hidden: !license.enterprise
					readonly: !mode.new_record
				--
					name: gross_profit
					hidden: !userpref.product_costs
                - tax_information
				--
					name: gross_profit_pc
					hidden: !userpref.product_costs
                --
                    name: tax_exempt
					editable: !bean.locked
                    onchange: "TallyEditor.tax_exempt_changed(this);"
                - shipping_provider
                --
                    name: discount_before_taxes
					editable: !bean.locked
                    onchange: "TallyEditor.tax_discount_changed(this);"
                --
                    name: final
                    hidden: bean.final=0
        - line_items
		--
			id: pdf_print
			vname: LBL_PDF_OUTPUT_OPTIONS
			elements
				- show_components
				- 
    subpanels
        - activities
		- history
		--
			name:  signed_documents
			title: LBL_SIGNED_DOCUMENTS_SUBPANEL_TITLE
			no_create : true
			show_config_panel_link: false
			layout: SignedDocuments
        - payments
        - creditnotes
        - shipping
        - projects
        - monthlyservices
        - cases
		--
			name: comm_inv
			hidden: config.company.commission_module!=Invoices

