<?php return; /* no output */ ?>

detail
	type: bean
	bean_file: modules/KBCategories/KBCategory.php
	unified_search: false
	duplicate_merge: false
	table_name: kb_categories
	primary_key: id
	default_order_by: name
hooks
	before_save
		--
			class_function: before_save
	after_save
		--
			class_function: update_references
			file: modules/KBArticles/KBArticle.php
			class: KBArticle
		--
			class_function: update_counters
	after_delete
		--
			class_function: update_counters
	after_undelete
		--
			class_function: update_counters
	after_remove_link
		--
			class_function: update_counters_unlink
	api_decorate
		--
			class_function: add_full_path
			file: modules/KBArticles/KBArticle.php
			class: KBArticle
fields
	app.id
	app.date_entered
	app.date_modified
	app.deleted
	app.created_by_user
	app.assigned_user
	app.modified_user
	name
		vname: LBL_KB_CATEGORIES_NAME
		type: name
		len: 100
		required: true
		vname_list: LBL_LIST_NAME
		unified_search: true
	description
		vname: LBL_DESCRIPTION
		type: text
		vname_list: LBL_DESCRIPTION
		list_max_lines: 2
		max_length: 2000
	parent
		vname: LBL_PARENT_CATEGORY
		type: ref
		reportable: true
		bean_name: KBCategory
		massupdate: true
	category_icon
		vname: LBL_CATEGORY_ICON
		type: varchar
		widget: FontAwesome_Icons
        length: 255
    image
		vname: LBL_CUSTOM_IMAGE
		type: image
	image_url
		vname: LBL_IMAGE_URL
		type: url
	image_filename
		vname: LBL_IMAGE_FILENAME
		type: file_ref
	categories_count
		vname: LBL_CATEGORIES_COUNT
		comment: Number of direct sucategories
		type: int
		default: 0
		editable: false
	articles_count
		vname: LBL_ARTICLES_COUNT
		comment: Total number of articles, including sucategories
		type: int
		default: 0
		editable: false
	display_order
		type: int
		default: 0
links
	subcategories
		vname: LBL_SUBCATEGORIES
		relationship: kb_category_parent
		module: KBCategories
		bean_name: KBCategory
	articles
		vname: LBL_ARTICLES
		relationship: kb_articles_category
		module: KBArticles
		bean_name: KBArticle
relationships
	kb_category_parent
		key: id
		target_bean: KBCategory
		target_key: parent_id
		relationship_type: one-to-many
