<?php

require_once('include/layout/forms/FormField.php');

class LeadGuerrillaInitialSyncStatusWidget extends FormField {


	function renderHtml(HtmlFormGenerator $gen, $row_result, array $parents, array $context) {
		$url = AppConfig::site_url() . 'index.php?module=LeadGuerrilla';
		$this->desc = str_replace('%URL%', $url, $this->desc);
		$html = '';
		$lstyle = $gen->getLayout()->getType();
		if($lstyle == 'editview' || ($lstyle == 'record' && $gen->getLayout()->getDefaultEditable())) {
			if (!AppConfig::setting('lead_guerrilla.initial_push')) {
				$html = 'Not started';
			} elseif (AppConfig::setting('lead_guerrilla.initial_push_finished')) {
				$html = 'Completed';
			} else {
				$total = (int)AppConfig::setting('lead_guerrilla.initial_push_total');
				$count = (int)AppConfig::setting('lead_guerrilla.initial_push_count');
				if (!$total) {
					$html = 'Initializing';
				} else {
					$html = sprintf("%d%% done", $count / $total * 100);
				}
			}
		}
		return $html;
	}


}
