var checkLiveChatIncWebhooks = function (form) {
	var user_input = SUGAR.ui.getFormInput(form, 'livechat_admin_user');
	var key_input = SUGAR.ui.getFormInput(form, 'livechat_admin_apikey');
	if (!user_input || !key_input)
		return;
	var form_params = {module: 'LiveChatInc', action: 'Setup', username: user_input.getValue(), api_key: key_input.getValue()};
	var popup = new SUGAR.ui.Dialog('livechatinc_setup', {modal: true, title : SUGAR.language.getString('LBL_SETUP_DIALOG_TITLE', 'LiveChatInc')});
	popup.fetchContent('async.php', {postData : form_params}, null, true);
	console.log(form);
}

var fixLiveChatIncWebhooks = function(form) {
	SUGAR.ui.sendForm(form, {mode: 'fix'}, null, null, true);
}

var removeLiveChatIncWebhooks = function(form) {
	SUGAR.ui.sendForm(form, {mode: 'remove'}, null, null, true);
}

