<?php
class LiveChatIncSetupButton extends FormButton {

	function init($params=null, $model=null) {
		parent::init($params, $model);
		$this->label = translate('LBL_CHECK_SETTINGS', 'LiveChatInc');
		$this->perform = 'checkLiveChatIncWebhooks(this.form); return false;';
	}


	function renderHtml(HtmlFormGenerator $gen, $row_result, array $parents, array $context) {
		global $pageInstance;
		$this->beforeRender($gen);
		$pageInstance->add_js_language('LiveChatInc');
		$button_html = $gen->form_obj->renderFormButton($this, $gen->layout->in_popup, false);
		return $button_html;
	}
	function getMode() {
		return 'edit';
	}

}

