function personal_info_edit_init(form_name) {
	var UI = SUGAR.ui;
	var Dom = SUGAR.dom;
	var Wrap = Dom.ExtNode;
	UI.onInitForm(form_name, function() {
		var personal_input = UI.getFormInput(form_name, 'personal_data');
		var fields_input = UI.getFormInput(form_name, 'fields');

		var updateVisibility = function() {
			Wrap(fields_input.elt).closest('.form-section').parents().closest('.form-section').toggle(!!personal_input.getValue());
		}

		SUGAR.ui.attachInputEvent(personal_input, 'onchange', updateVisibility);

		updateVisibility();

	});

}

