<?php return; /* no output */ ?>

detail
	table_name: paymentprocessors
	comment: PaymentProcessor Master Records
	type: bean
    icon: themes/Default/images/KBArticles.gif
    tab_visibility: hidden
	bean_file: modules/PaymentProcessors/PaymentProcessor.php
	audit_enabled: false
	unified_search: false
	duplicate_merge: false
	optimistic_locking: true
	primary_key: id
	default_order_by: name ASC
	reportable: false

hooks
	validate
		--
			class_function: validate_record
	after_save
		--
			class_function: after_save

fields
	app.id
	app.deleted
	app.date_entered
	app.date_modified
	name
		vname: LBL_NAME
		type: name
		len: 100
	active
		vname: LBL_ACTIVE
        type: status
        options: simple_status_dom
	features
		vname: LBL_PROCESSOR_FEATURES
		type: multienum
		options: processor_features_dom
		comment: flags for supported features
	auth_mech
		vname: LBL_PROCESSOR_AUTH_MECH
		type: enum
		options: processor_auth_dom
		comment:
            used by the PP API:
            None, Basic, Client Secret, OAUTH2
	api_endpoint
		vname: LBL_API_ENDPOINT
		type: varchar
		len: 255
        comment: ie https://1crm.chargebee.com/api/v2
	api_user
		vname: LBL_API_USER
		type: varchar
		len: 255
		comment: doubles as API Client ID/Key
	api_pass
		vname: LBL_API_PASS
		type: varchar
		len: 255
		comment: doubles as API Client Secret
	api_ssl
		vname: LBL_API_SSL
		type: bool
        default: 1
        comment: verify SSL when connecting to PP API
	webhook_user
		vname: LBL_WEBOOK_USER
		type: varchar
		len: 255
		comment: doubles as API Client ID/Key
	webhook_pass
		vname: LBL_WEBHOOK_PASS
		type: varchar
		len: 255
		comment: doubles as API Client Secret
	webhook_ssl
		vname: LBL_WEBHOOK_SSL
		type: bool
        default: 1
        comment: refuse insecure connections
	pay_gw
		vname: LBL_PAY_GW
		type: varchar
		len: 255
	auth_gw
		vname: LBL_AUTH_GW
		type: varchar
		len: 255
	is_default
		type: bool
		vname: LBL_IS_DEFAULT

