<?php return; /* no output */ ?>

detail
	type: bean
	bean_file: modules/PriceBooks/PriceBook.php
	unified_search: false
	duplicate_merge: false
	table_name: price_books
	primary_key: id
	default_order_by: name
	importable: true
	display_name: name
hooks
	validate
		--
			class_function: validate_formula
fields
	app.id
	app.deleted
	app.date_entered
	app.date_modified
	app.assigned_user
	app.created_by_user
	app.modified_user
	name
		vname: LBL_NAME
		type: name
		dbType: char
		len: 100
		required: true
		unified_search: true
	editable
		vname: LBL_EDITABLE
		type: bool
		default: 0
		massupdate: true
	formula
		vname: LBL_FORMULA
		vdesc: LBL_FORMULA_DESC
		type: varchar
		len: 255
		default: ""
		required: true
		width: 30
	apply_to_all
		vname: LBL_APPLY_TO_ALL
		type: bool
		massupdate: true
		default: 1
	conv_currency
		vname: LBL_CONV_CURRENCY
		vdesc: LBL_CONV_CURRENCY_DESC
		type: ref
		bean_name: Currency
		required: false
		no_default: true
	round_nearest
		vname: LBL_ROUND_NEAREST
		type: float
		decimal_places: 5
		required: false
		no_format_blank: true
		min_decimals: 0
		extra_precision: 1
	part_prefix
		vname: LBL_PART_PREFIX
		type: varchar
		len: 30
	part_suffix
		vname: LBL_PART_SUFFIX
		type: varchar
		len: 30
links
	products
		relationship: pricebooks_products
		vname: LBL_PRODUCTS
		layout: PriceBooks
		initial_filter_fields
			id: pricebook_id
	app.securitygroups
		relationship: securitygroups_pricebooks
relationships
	securitygroups_pricebooks
		lhs_key: id
		rhs_key: id
		relationship_type: many-to-many
		join_table: securitygroups_records
		join_key_lhs: securitygroup_id
		join_key_rhs: record_id
		relationship_role_column: module
		relationship_role_column_value: PriceBooks
		lhs_bean: SecurityGroup
		rhs_bean: PriceBook

