<?php return; /* no output */ ?>

list
	default_order_by: name
    show_favorites: true
    layouts
        Simple
            hidden: true
            view_name: Simple
	massupdate_handlers
		--
			name: AddSelectedToInvoice
			class: CaseInvoicePopup
			file: modules/Cases/CaseInvoicePopup.php
widgets
	PopupPriceFromPriceBook
		type: column
		path: modules/ProductCatalog/widgets/PopupPriceFromPriceBook.php
basic_filters
	- view_inactive
	- product_category
	--
        field: product_type
        add_filters
            --
                param: category
                field_name: product_category
auto_filters
    supplier
    pricebook_id
filters
	pricebook_id
		type: varchar
	view_inactive
		default_value: false
		type: flag
		negate_flag: true
		vname: LBL_VIEW_INACTIVE
		multiple
			--
				field: is_available
				value: yes
fields
    assembly_quantity
        vname: LBL_LIST_QUANTITY
		type: float
    	source
    		type: field
            field: ~join.quantity
		widget: QuickEditListElt
	weight
		vname: LBL_PRODUCT_WEIGHT
		widget: WeightInput
    discount_name
        vname: LBL_LIST_DISCOUNT
        vname_module: ProductCatalog
        widget: DiscountInput
    pricebook_price
        vname: LBL_LIST_LISTPRICE
        type: formula
        massupdate: false
        reportable: false
		sortable: false
		source
			fields: [cost_usdollar, list_usdollar, purchase_usdollar, cost, list_price, purchase_price, exchange_rate, id]
        formula
            type: function
            class: Product
			file: modules/ProductCatalog/Product.php
            function: list_pricebook_price
			alias_fields
				id: id
				cost_price: cost_usdollar
				list_price: list_usdollar
				unit_price: purchase_usdollar
				raw_cost_price: cost
				raw_list_price: list_price
				raw_unit_price: purchase_price
				exchange_rate: exchange_rate
    raw_pricebook_price
        vname: LBL_LIST_LISTPRICE
        type: formula
        massupdate: false
        reportable: false
        sortable: false
		source
			fields: [cost_usdollar, list_usdollar, purchase_usdollar, cost, list_price, purchase_price, exchange_rate, id]
        formula
            type: function
            class: Product
			file: modules/ProductCatalog/Product.php
            function: list_pricebook_price
			alias_fields
				id: id
				cost_price: cost_usdollar
				list_price: list_usdollar
				unit_price: purchase_usdollar
				raw_cost_price: cost
				raw_list_price: list_price
				raw_unit_price: purchase_price
				exchange_rate: exchange_rate
	pricebook_part_no
		vname: LBL_LIST_PART_NUMBER
		type: item_number
		len: 100
        massupdate: false
        reportable: false
        sortable: false
		source
			value_function: [Product, pricebook_part_no]
			fields: [id, manufacturers_part_no]
		detail_link: true
	pricebook_currency_id
		vname: LBL_LIST_CURRENCY_ID
		type: ref_id
        massupdate: false
        reportable: false
        sortable: false
		source
			value_function: [Product, pricebook_currency_id]
			fields: [id]
widgets
    DiscountInput
        type: column
        path: modules/ProductCatalog/widgets/DiscountInput.php
    WeightInput
        type: field
        path: modules/ProductCatalog/widgets/WeightInput.php
