<?php
require_once 'include/Popups/PopupManager.php';

class ProjectConvertPopupManager extends PopupManager {
	function getButtons() {
		$buttons = parent::getButtons();
		
		$buttons['skip'] = array(
			'label' => translate('LBL_SKIP_PROJECT_TEMPLATE', 'Project'),
			'perform' => "sListView.popupReturn('{$this->list_id}', '{$this->module}', '');",
			'icon' => 'icon-accept',
			'params' => array(
				'toplevel' => 1,
			),
			//send_back_selected('$currentModule',document.PopupMassUpdate,'mass[]','" .$app_strings['ERR_NOTHING_SELECTED']."', fetch_request_data().field_to_name_array);
		);
		return $buttons;
	}
}



$manager = new ProjectConvertPopupManager;
$manager->loadRequest();
$layout = array_get_default($_REQUEST, 'layout');
$manager->init($module, $layout);
$manager->render();

