<?php return; /* no output */ ?>

list
	default_order_by: order_number
    field_formatter
        file: include/layout/HighlightedListFieldFormatter.php
        class: HighlightedListFieldFormatter
basic_filters
	view_closed
auto_filters
    status
    project_phase
    user_id
    user_status
filters
	view_closed
		default_value: false
		vname: LBL_VIEW_CLOSED_ITEMS
		type: flag
		negate_flag: true
		field: status
		operator: not_eq
		value: Completed
	parent_name
		vname: LBL_PROJECT_NAME
		field: project
    user_id
        field: booking_users~join.user_id
        type: id
        operator: eq
    user_status
        field: booking_users~join.booking_status
        type: varchar
        operator: eq
    project_phase
        field: parent.project_phase
        type: varchar
        operator: eq
fields
	any_user_id
		vname: LBL_ANY_USER_ID
		type: id
		reportable: false
		source
			type: field
			field: booking_users~join.user_id
			subselect_filter: true
	led_color
		vname: LBL_STATUS_INDICATOR
		type: status_color
		source
			type: subselect
			function: [ProjectTask, led_color]
	estimated_effort
		vname: LBL_ESTIMATED_EFFORT
		type: duration
		source
			type: subselect
			function: [ProjectTask, estim_effort_select]
	actual_effort
		vname: LBL_ACTUAL_EFFORT
		type: duration
		source
			type: subselect
			function: [ProjectTask, actual_effort_select]
	estimated_cost
		vname: LBL_ESTIMATED_COST
		type: base_currency
		display_converted: true
		display_currency_id: currency_id
		source
			type: subselect
			function: [ProjectTask, estim_cost_select]
	actual_cost
		vname: LBL_ACTUAL_COST
		type: base_currency
		display_converted: true
		display_currency_id: currency_id
		source
			type: subselect
			function: [ProjectTask, actual_cost_select]
widgets
	CostsWidget
		type: section
		path: modules/ProjectTask/widgets/CostsWidget.php
notify
	messages
		assigned
			fields
				- parent
				- status
				- priority
				- date_start!date_only
				- date_due!date_only
				- description
		overdue
			fields
				- parent
				- status
				- priority
				- date_start!date_only
				- date_due!date_only
				- description
