function dropShip() {
	var frm = SUGAR.ui.getForm('DetailForm');

	var req = new SUGAR.conn.JSONRequest('get_default_company', {}, {
		module: 'CompanyAddress'}
	);

	req.fetch(function(data) {
		var result;
		if(data && (result = data.getResult())) {
			frm.appendChild(createElement2('input', {type: 'hidden', name: 'address_street', value: result.address_street}));
			frm.appendChild(createElement2('input', {type: 'hidden', name: 'address_city', value: result.address_city}));
			frm.appendChild(createElement2('input', {type: 'hidden', name: 'address_state', value: result.address_state}));
			frm.appendChild(createElement2('input', {type: 'hidden', name: 'address_postalcode', value: result.address_postalcode}));
			frm.appendChild(createElement2('input', {type: 'hidden', name: 'address_country', value: result.address_country}));
			SUGAR.ui.onInitForm('DetailForm', addDropShip(1));
		}
	});
}

var drop_ship_address = {};

var drop_ship_fields = [
	'shipping_address_street',
	'shipping_address_city',
	'shipping_address_state',
	'shipping_address_postalcode',
	'shipping_address_country'
];

var drop_ship_fields_default = [
	'address_street',
	'address_city',
	'address_state',
	'address_postalcode',
	'address_country'
];

var drop_ship_account_name = '';
var drop_ship_account_id = '';
var drop_ship_contact_name = '';
var drop_ship_contact_id = '';

function addDropShip(init=0) {
	var frm = SUGAR.ui.getForm('DetailForm');
	var acct = SUGAR.ui.getFormInput(frm, 'shipping_account');
	var contact = SUGAR.ui.getFormInput(frm, 'shipping_contact');
	var drop_ship = SUGAR.ui.getFormInput(frm, 'drop_ship');

	if (drop_ship.getValue()) {
		acct.setDisabled(false);
		contact.setDisabled(false);
		if(drop_ship_account_id && acct.getValue() == '') {
			acct.update(drop_ship_account_id, drop_ship_account_name);
			contact.update(drop_ship_contact_id, drop_ship_contact_name);
			for (var i=0; i < drop_ship_fields.length; i++) {
				var f = drop_ship_fields[i];
				frm[f].value = drop_ship_address[f] || '';
			}
		}

		if(acct.getValue() == '') {
			for (var i=0; i < drop_ship_fields.length; i++) {
				var f = drop_ship_fields[i];
				frm[f].value = '';
			}
		}

	} else {
		drop_ship_account_id = acct.getKey();
		drop_ship_account_name = acct.getValue();
		drop_ship_contact_id = contact.getKey();
		drop_ship_contact_name = contact.getValue();
		acct.setDisabled(true);
		contact.setDisabled(true);
		acct.clear();
		contact.clear();

		for (var i=0; i < drop_ship_fields.length; i++) {
			var f = drop_ship_fields[i];
			drop_ship_address[f] = frm[f].value;
			drop_ship_fields[f] = frm[f].value;
			if(frm.record.value == '' || frm[f].value == '' || init==0)
				frm[f].value = document.getElementsByName(drop_ship_fields_default[i])[0].value;
		}
	}
}

