<?php return; /* no output */ ?>

detail
    title: LBL_MODULE_TITLE
layout
	form_buttons
        convert_so
        	icon: theme-icon create-SalesOrder
			vname: LBL_CREATE_SALES_ORDER
			url: ?module=SalesOrders&action=EditView&related_quote_id={RECORD}&return_panel=salesorders
			group: convert
			hidden
				type: hook
				hook
					file: modules/Quotes/Quote.php
					class: Quote
					class_function: needsApproval
		convert_inv
        	icon: theme-icon create-Invoice
			vname: LBL_CREATE_INVOICE
			url: ?module=Invoice&action=EditView&quote_id={RECORD}&return_panel=invoice
			group: convert
			hidden
				type: hook
				hook
					file: modules/Quotes/Quote.php
					class: Quote
					class_function: needsApproval
        convert_product
            icon: theme-icon create-Asset
            vname: LBL_CREATE_PRODUCTS
            perform:
                var form_params = {module: 'Quotes', action: 'PopupCreateProducts', quote_id: '{RECORD}'};
                var popup = new SUGAR.ui.Dialog('support_product', {modal: true, title : SUGAR.language.getString('LBL_CREATE_PRODUCTS')});
                popup.fetchContent('async.php', {postData : form_params}, null, true);
            group: convert
			hidden
				type: hook
				hook
					file: modules/Quotes/Quote.php
					class: Quote
					class_function: needsApproval
        convert_opp
            icon: theme-icon create-Opportunity
            vname: LBL_CREATE_OPPORTUNITY
            url: ?module=Opportunities&action=EditView&quote_id={RECORD}&return_module=Quotes&return_action=DetailView&return_record={RECORD}
            group: convert
        submit
            vname: LBL_SUBMIT_BUTTON_LABEL
            type: button
			module: Quotes
			perform : return SUGAR.ui.sendForm(document.forms.DetailForm, {action: 'Submit'}, null);
			hidden
				type: hook
				hook
					file: modules/Quotes/Quote.php
					class: Quote
					class_function: submitHidden
    buttons_hooks
    	--
			class: Quote
			file: modules/Quotes/Quote.php
			class_function: mutateDetailButtons
    scripts
    	--
    		file: modules/Quotes/quotes.js
	summary
		header
			fields
				- full_number
				- name
		subheader
			fields
				- quote_stage
		notes
			fields
				- description
		meta
			fields
				--
					name: partner
					show_label: false
		actions
			email
			phone
			meeting
			task
	sections
		--
			vname: LBL_CONVERTED
			id: converted
			hidden: ! bean.sales_order_id
			elements
				- sales_order
				-
		--
			id: main
			required_fields
				- amount_usdollar
				- margin
			elements
				- valid_until
				- opportunity
				- terms
				- purchase_order_num
				- budgetary_quote
		--
			id: address_info
			elements
				--
					name: billing_address
					copy_to: shipping_address
				--
					name: shipping_address
					copy_to: billing_address
		--
			id: price_ship
			column_titles
				- LBL_PRICING_INFO
				- LBL_SHIPPING_INFO
			elements
				- currency
				--
					name: pricebook
					hidden: !license.enterprise
					readonly: !mode.new_record
				--
					name: gross_profit
					hidden: !userpref.product_costs
				- tax_information
				--
					name: gross_profit_pc
					hidden: !userpref.product_costs
				--
                    name: tax_exempt
                    onchange: "TallyEditor.tax_exempt_changed(this);"
				- shipping_provider
				--
                    name: discount_before_taxes
                    onchange: "TallyEditor.tax_discount_changed(this);"
		--
			id: approval_caution
			vdesc: LBL_APPROVAL_CAUTION
			hidden
				type: hook
				hook
					class: Quote
					class_function: approvalCautionHidden
					file: modules/Quotes/Quote.php
		--
			id: approval
			vname: LBL_APPROVAL
			hidden	
				type: hook
				hook
					class: Quote
					class_function: approvalHidden
					file: modules/Quotes/Quote.php
			elements
				--
					name: approval
					editable
						type: hook
						hook
							class: Quote
							class_function: approvalEditable
							file: modules/Quotes/Quote.php
				--
					name: approved_user
					editable
						type: hook
						hook
							class: Quote
							class_function: approvalEditable
							file: modules/Quotes/Quote.php
				--
					name: approval_problem
					editable
						type: hook
						hook
							class: Quote
							class_function: approvalEditable
							file: modules/Quotes/Quote.php
					colspan: 2
		- line_items
		--
			id: pdf_print
			vname: LBL_PDF_OUTPUT_OPTIONS
			elements
				- show_components
				- show_list_prices
    subpanels
        - activities
        - history
		--
			name:  signed_documents
			title: LBL_SIGNED_DOCUMENTS_SUBPANEL_TITLE
			no_create : true
			show_config_panel_link: false
        - salesorders
        - invoice

