<?php return; /* no output */ ?>

detail
	name: LBL_STD_REPORT_USER_TIMESHEET_DAILY
	primary_module: Users
	description:
	run_method: interactive
	run_interval: "1"
	run_interval_unit: weeks

sources_spec
	t0
		name: t0
		display: primary
		module: Users
		bean_name: User
	userreportingdaily_user
		name: userreportingdaily_user
		display: nested
		vname: LBL_USER_ACTIVITY_DAILY_REPORTS
		vname_module: Users
		module: Users
		field_name: userreportingdaily_user
		parent: t0
		link_name: userreportingdaily_user

columns_spec
	--
		field: full_name
		vname: LBL_NAME
		vname_module: Users
		label: Name
	--
		field: user_name
		vname: LBL_LIST_USER_NAME
		vname_module: Users
		label: User Name
	--
		field: department
		vname: LBL_LIST_DEPARTMENT
		vname_module: Users
		label: Department
	--
		field: status
		vname: LBL_LIST_STATUS
		vname_module: Users
		label: Status
	--
		name: date_entered
		source: userreportingdaily_user
		field: date_entered
		vname: LBL_DATE_ENTERED
		vname_module: app
		label: Date
		format: date_only
	--
		name: date_entered1
		source: userreportingdaily_user
		field: date_entered
		vname: LBL_DATE_ENTERED
		vname_module: app
		label: First Log In
		format: time_only
	--
		name: end_time
		source: userreportingdaily_user
		field: end_time
		vname_module: Users
		label: Last Log out
		format: time_only
	--
		name: duration
		source: userreportingdaily_user
		field: duration
		vname: LBL_DURATION
		vname_module: Users
		label: Time Logged In
	--
		name: actions
		source: userreportingdaily_user
		field: actions
		vname: LBL_ACTIONS
		vname_module: Users
		label: Actions
	--
		name: records_read
		source: userreportingdaily_user
		field: records_read
		vname: LBL_RECORDS_READ
		vname_module: Users
		label: Read
	--
		name: records_written
		source: userreportingdaily_user
		field: records_written
		vname: LBL_RECORDS_WRITTEN
		vname_module: Users
		label: Written
	--
		name: actions:sum
		source: userreportingdaily_user
		field: actions
		vname: LBL_ACTIONS
		vname_module: Users
		label: Actions: Sum
		total: sum
	--
		name: records_read:sum
		source: userreportingdaily_user
		field: records_read
		vname: LBL_RECORDS_READ
		vname_module: Users
		label: Read: Sum
		total: sum
	--
		name: records_written:sum
		source: userreportingdaily_user
		field: records_written
		vname: LBL_RECORDS_WRITTEN
		vname_module: Users
		label: Written: Sum
		total: sum
	--
		name: duration:sum
		source: userreportingdaily_user
		field: duration
		vname: LBL_DURATION
		vname_module: Users
		label: Time Logged In: Sum
		total: sum

filters_spec
	--
		name: filter_text
		field: filter_text
		label: Search Text
	--
		name: filter_owner
		field: filter_owner
		label: Owner
		hidden: true
	--
		name: date_entered
		field: userreportingdaily_user.date_entered
		label: Start Date

filter_values
	filter_owner: all
	date_entered-operator: period_current
	date_entered-period: week

sort_order
	--
		field: date_entered
		order: asc
		source: userreportingdaily_user
