<?php return; /* no output */ ?>

detail
	type: bean
	bean_file: modules/RevenueForecast/RevenueForecast.php
	unified_search: false
	duplicate_merge: false
	table_name: revenue_forecast
	primary_key: id
hooks
	before_save
		--
			class_function: before_save
	after_save
		--
			class_function: update_opp_amount
	after_delete
		--
			class_function: update_opp_amount
	after_add_link
		--
			class_function: update_opp_amount
	after_remove_link
		--
			class_function: update_opp_amount
		--
			class_function: rem_link
fields
	app.id
	app.deleted
	app.date_entered
	app.date_modified
	app.assigned_user
    app.created_by_user
    app.currency
		required: true
	name
		type: name
		vname: LBL_NAME
		len: 150
		vname_list: LBL_LIST_NAME
		required: true
	opportunity
		vname: LBL_OPPORTUNITY
		type: ref
		bean_name: Opportunity
		massupdate: true
	amount
		vname: LBL_AMOUNT
		type: currency
		required: true
		audited: true
		widget: QuickEditListElt
		base_field: amount_usdollar
	lag
		vname: LBL_LAG
		type: int
		widget: QuickEditListElt
		audited: true
	lag_type
		vname: LBL_LAG_TYPE
		type: enum
		widget: QuickEditListElt
		options: lag_type_dom
		audited: true
	billing_date
		vname: LBL_BILLING_DATE
		type: date
		audited: true
	terms
		vname: LBL_TERMS
		type: enum
		widget: QuickEditListElt
		options: terms_dom
		audited: true
	expected_revenue_date
		vname: LBL_EXPECTED_REVENUE_DATE
		type: date
		audited: true
	product
		vname: LBL_PRODUCT
		type: ref
		bean_name: Product
	qty
		vname: LBL_QTY
		type: double
		widget: QuickEditListElt
		default: 1
	unit_price
		vname: LBL_UNIT_PRICE
		widget: QuickEditListElt
		type: currency
		base_field: unit_price_usdollar
links
	opportunity_revenue_link
		vname: LBL_OPPORTUNITY
		relationship: revenueforecast_opportunities
		link_type: one
		side: left
		module: Opportunities
		bean_name: Opportunity
relationships
	revenueforecast_opportunities
		key: opportunity_id
		target_bean: Opportunity
		target_key: id
		relationship_type: one-to-many