<?php return; /* no output */ ?>

list
	default_order_by: date_entered desc
    field_formatter
        file: include/layout/HighlightedListFieldFormatter.php
        class: HighlightedListFieldFormatter
	buttons
		print_so
			icon: icon-print
			vname: LBL_MASS_PRINT_BUTTON_LABEL
			type: button
			perform: sListView.massPrint('{LIST_ID}')
	massupdate_handlers
		--
			name: PrintTemplate
			class: PDFTemplatePrinter
			file: modules/PDFTemplates/PDFTemplatePrinter.php
view
	pdf_manager
		file: modules/SalesOrders/SalesOrderPDF.php
		class: SalesOrderPDF
hooks
    view
        --
            class_function: switch_final_invoice_button
	edit
		--
			class_function: set_account_balance
			required_fields: [billing_account]
basic_filters
	view_closed
	billing_account
filters
	view_closed
		default_value: false
		type: flag
		negate_flag: true
		vname: LBL_VIEW_CLOSED_ITEMS
		field: so_stage
		operator: not_like
		match: prefix
		value: "Closed "
	related_quote_number
		vname: LBL_RELATED_QUOTE_NUM
        type: int
		field: quotes.quote_number
fields
	billing_address
		vname: LBL_BILLING_ADDRESS
		type: address
		source
			type: address
			prefix: billing_
	shipping_address
		vname: LBL_SHIPPING_ADDRESS
		type: address
		source
			type: address
			prefix: shipping_
	line_items
		vname: LBL_LINE_ITEMS
		widget: TallyWidget
		reportable: false
	default_discount_id
		type: id
		reportable: false
		updateable: true
	default_tax_code_id
		type: id
		reportable: false
		updateable: true
notify
	messages
		assigned
			fields
				- so_stage
				- billing_account
				- amount
				- due_date
				- description
