<?php

require_once 'data/SugarBean.php';


/*
 * Option holds settings for SubscriptionPlan Options
 * NOTE: several SugarBean functions can corrupt state.  If in doubt avoid parent methods.
 */
class Option extends SugarBean
{
	// model meta:
	var $table_name = "options";
	var $object_name = "Option";
	var $new_schema = true;
	
	// system fields:
	var $id;					// LBL_OPTION_ID
	var $deleted;				
	var $date_entered;			
	var $date_modified;			
	var $name;					// LBL_OPTION_NAME

	// option state:
	var $options;				// LBL_OPTIONS
	
	// additional form fields
	var $additional_column_fields = Array(
	);
	
	// key => model remationships
	var $relationship_fields = Array(
	);
	

	function get_summary_text()
	{
		return $this->name;
	}

}
