<?php

require_once 'data/SugarBean.php';


/*
 * Addon holds settings for SubscriptionPlan Addons
 * NOTE: several SugarBean functions can corrupt state.  If in doubt avoid parent methods.
 */
class Coupon extends SugarBean
{
	// model meta:
	var $table_name = "coupons";
	var $object_name = "Coupon";
	var $new_schema = true;
	
	// system fields:
	var $id;					// LBL_COUPON_ID
	var $deleted;				
	var $date_entered;			
	var $date_modified;			
	var $name;					// LBL_COUPON_NAME

	// addon state:
	var $external_id;			// LBL_EXTERNAL_ID
	var $discount_type;			// LBL_DISCOUNT_TYPE
	var $discount_percentage;	// LBL_DISCOUNT_PERCENTAGE
	var $discount_amount;		// LBL_DISCOUNT_AMOUNT
	var $addon_mode;			// LBL_ADDON_MODE
	var $plan_mode;				// LBL_PLAN_MODE
	var $active;				// LBL_ACTIVE

	// relationships
	var $payment_processor;		// LBL_PAYMENT_PROCESSOR

	
	
	// additional form fields
	var $additional_column_fields = Array(
		'payment_processor_id',
	);
	
	// key => model remationships
	var $relationship_fields = Array(
		'payment_processor_id'=>'payment_processor',
	);
	

	// FIXME:  HERE WE ARE.
	
	function get_summary_text()
	{
		return $this->name;
	}

}
