ERR_INVALID_TYPE: Package manifest specifies invalid package type
ERR_INVALID_VERSION: Package expects 1CRM versions {EXPECTED_VERSIONS}, but current version is {CURRENT_VERSION}
UPLOAD_ERR_INI_SIZE: Package size exceeds maximum size specified in php.ini file
UPLOAD_ERR_FORM_SIZE: Package size exceeds maximum allowed size
UPLOAD_ERR_PARTIAL: Package file upload error
UPLOAD_ERR_NO_FILE: No file was uploaded
UPLOAD_ERR_NO_TMP_DIR: No temporary directory for uploaded file. Please check your PHP configuration
UPLOAD_ERR_CANT_WRITE: Cannot write temporary uploaded file
UPLOAD_ERR_EXTENSION: The filename extension is prohibited by PHP configuration
ERR_NOT_ZIP: Uploaded file should have a .zip filename extension
ERR_DUPLICATE_UPLOAD: This package file is already uploaded. Duplicate filenames are not allowed
ERR_CANT_MOVE: Failed to move temporary file to destination directory
ERR_OUTDATED: Same or newer version is already installed
ERR_OUTDATED_PPACK: Same or newer version of a package included with this personality pack is already installed
STATUS_READY: Package is ready for installation
STATUS_INSTALLED: Package is installed
LBL_UPLOADED_PACKAGES: Uploaded Packages
LBL_INSTALLED_PACKAGES: Installed Packages
LBL_INSTALLED_PACKAGES: Installed Packages
LBL_UPLOAD_SUCCESS: Package uploaded successfully
ERR_CANT_CLEAN_UNZUP_PACKAGE: Failed to clean destination directory. Please check that cache/upgrades/temp and underlying directories are writable by web server process
LBL_UNZIPPED_SUCCESS: Package successfully unzipped.
LBL_PERMISSION_PROBLEM: "Cannot copy {FROM} to {TO}: {MESSAGE}"
LBL_REMOVE_PERMISSION_PROBLEM: "Cannot remove {TO}: {MESSAGE}"
ERR_NOT_WRITABLE: Destination file is not writable
LBL_PERMISSIONS_OK: All filesystem permissions satisfied.
ERR_NO_SOURCE_FILE: Source file {FROM} not found
LBL_SUGAR_VERSION_NOT_WRITEBLE: "Version file is not writeable: {TO}"
LBL_CONFIG_NOT_WRITABLE: "Application configuration file is not writeable: {TO}"
LBL_NEXT_STEP: Next
LBL_RETRY: Retry
LBL_RECHECK: Re-check
LBL_PROCEED: Proceed
LBL_CANCEL: Cancel
LBL_RETURN: Return to Packages List
LBL_COMPONENT: Component
LBL_STATUS: Status
LBL_NAME: Name
LBL_TYPE: Type
LBL_DATE_INSTALLED: Installed
LBL_VERSION: Version
LBL_ACTION: Action
LBL_UNINSTALL: Uninstall
LBL_STEP_COMPLETED: Step completed successfully.
LBL_STEP_WARNINGS: This step completed with warnings.
LBL_STEP_FAILED: This step cannot be completed. Please fix the errors below, and retry.
LBL_INSTALLING: Installing
LBL_UNINSTALLING: Uninstalling
LBL_STEP: Step
LBL_PREPARING_INSTALL: Preparing Package Installation
LBL_PREPARING_UNINSTALL: Preparing Package Removal
LBL_STEP_CHECKPERMISSIONS: Check File Permissions
LBL_STEP_CHECKWARNINGS: Upgrade Warnings
LBL_STEP_CHECKREMOVEPERMISSIONS: Check File Permissions
LBL_STEP_CHECKCUSTOMFIELDS: Check for Custom Fields Conflicts
LBL_CUSTOM_OK: No Conflicts Detected
LBL_STEP_CONFIRM: Ready to begin
LBL_STEP_COMMIT: Commit changes
LBL_STEP_COPY_FILES: Copy files
LBL_STEP_CLEANUP: Final clean up
LBL_STEP_CHECKSYSTEM: Check System Configuration
LBL_CHECKSYS_OK: No configuration issues found.
LBL_CHECKSYS_WARN: One or more configuration issues were found. Installation may proceed, but system functionality could be limited.
LBL_STEP_UNZIPPACKAGE: Unzip the Package
LBL_DATE_PUBLISHED: Published
LBL_AUTHOR: Publisher
LBL_INSTALL: Install
LBL_DELETE: Delete
LBL_UPLOAD_PACKAGE: Upload New Package
LBL_UPLOAD: Upload
ERR_CANT_MAKE_PATH: "Cannot create destination path: {TO}"
ERR_CANT_MAKE_BACKUP_PATH: "Cannot create backup path for file: {TO}"
ERR_CANT_BACKUP: "Cannot backup file: {TO}"
ERR_CANT_COPY: "Cannot copy {FROM} to {TO}"
ERR_CANT_COPY: "Cannot copy {FROM} to {TO}"
ERR_NOT_ZIP: Uploaded file is not a ZIP archive
ERR_CANT_COPY_FILE_DIR: Destination is expected to be a file, but it is a directory
ERR_DESTINATION_IS_NOT_DIR: Destination is not a directory
ERR_EMPTY_TYPE_ID_VERSION: Manifest specifies either of type, ID or version as empty
ERR_CANT_CREATE_BACKUP_DIR: Unable to create directory for backup files
ERR_CANT_CLEAN_BACKUP_DIR: Unable to cleanup directory for backup files
ERR_CANT_CREATE_UNZUP_DIR: Unable to create directory for unzipped files
ERR_CANT_CLEAN_UNZUP_PACKAGE: Unable to cleanup directory for unzipped files
ERR_CANT_UNZUP_PACKAGE: Failed to unzip package file
ERR_PACKAGE_TYPE_NOT_SUPPORTED: Manifest specifies unsupported package type
ERR_NO_THEME_ID: Theme package provides no theme ID
ERR_CURRENT_THEME: Unable to uninstall current theme. Switch to a different theme before uninstalling
ERR_INVALID_PACKAGE_TYPE: Uploaded package has invalid type
ERR_CUSTOM_CONFLICT: Conflicting data type detected for custom field '%s' in module '%s'
LBL_STEP_PRECOPY: Pre-Copy Upgrade Files
LBL_PRECOPY_OK: Early installation files were copied successfully, but the upgrade process needs to be restarted.
LBL_CREATE_PPACK: Create Personality Pack
LBL_UPLOAD_DESC: Choose a Holiday or Language Pack, Custom Module, Upgrade Pack or Personality Pack to upload
LBL_INCLUDE_PACKAGES: Include Packages
LBL_SELECT_CUSTOMIZATIONS: Select customizations to back up
LBL_BACKUP_MODULES: Custom Modules
LBL_BACKUP_LAYOUTS: Layouts
LBL_BACKUP_CUSTOM: Custom fields
LBL_BACKUP_DROPDOWNS: Dropdowns
LBL_CREATE_PPACK_BUTTON:  Create
LBL_READY_INSTALL: Ready to begin installation.
LBL_UPGRADE_REDIRECT: Redirecting to complete the installation...
LBL_RESET_LANG: Language cache reset
LBL_RESET_CACHE: System cache reset
LBL_COPIED_FILES: Package files copied successfully
LBL_RECORDED_HISTORY: Recorded upgrade history
LBL_REMOVED_HISTORY: Removed from upgrade history
LBL_RESTORED_FILES_BACKUP: Restored files from backup
LBL_UPDATED_VERSION: Updated system version
LBL_REMOVED_TEMP: Removed temporary files
LBL_REPAIRED_DB: Verified database structure
LBL_REMOVED_PACKAGE: Removed package file
LBL_RESTORED_ACCESS: Restored system access for users
LBL_PREPARED_INSTALL: This package is ready to be installed. Please ensure that all users have logged off before proceeding, as access to the system will be interrupted and could lead to unexpected data loss.
LBL_PREPARED_UNINSTALL: This package is ready to be uninstalled. Please ensure that all users have logged off before proceeding, as access to the system will be interrupted and could lead to unexpected data loss.
LBL_PRE_INSTALL: Package installation is ready to be performed. Once the upgrade has begun, do not press the browser Back or Refresh buttons and do not close the browser window until the process has completed.
LBL_PRE_UNINSTALL: Package removal is ready to be performed. Once the process has begun, do not press the browser Back or Refresh buttons and do not close the browser window until it has completed.
LBL_INSTALL_MODULES: Custom Modules
LBL_INSTALL_DROPDOWNS: Dropdowns
LBL_INSTALL_LAYOUT: Layouts
LBL_INSTALL_CUSTOM: Custom Fields
LBL_INSTALL_PDF_TEMPLATES: Custom PDF Forms
LBL_BACKUP_PDF_TEMPLATES: Custom PDF Forms
LBL_UPLOAD_DISABLED: Package uploads are disabled for this hosted 1CRM installation.
LBL_DOWNLOADING: Downloading
LBL_UPDATE_NOT_FOUND: The requested update could not be located.
LBL_CLEANED_OBSOLETE: Cleaned up old system files
ERR_UNSUPPORTED_PHP_VERSION: PHP version %current is not supported. Minimum supported version is %minimum.
ERR_UNSUPPORTED_PHP_VERSION_EXCLUDE: PHP version %current is not supported. Minimum supported version is %minimum, and versions %unsupported are not supported.
ERR_MULTIPLE_RECURRENCE: Recurrence rules
ERR_MULTIPLE_RECURRENCE_DESC:
	This upgrade fixes an issue with recurring meetings synchronization between 1CRM and Google Calendar.
	Unfortunately, this fix does not support multiple recurrence rules per recurring meeting. The Upgrade
	Wizard detected that some of your recurring meetings are using multiple recurrence rules. If you install
	this upgrade, those meetings will be converted to non-recurring meetings.


