<?php return; /* no output */ ?>

list
	default_order_by: _display
    no_mass_delete: true
view
	layouts
		Standard
			vname: LBL_LAYOUT_STANDARD
			edit_layout: Standard
		Display
			vname: LBL_LAYOUT_DISPLAY
			edit_layout: Display
			acl: owner
		Email
			vname: LBL_LAYOUT_EMAIL
			edit_layout: Email
			acl: owner
		Integration
			vname: LBL_LAYOUT_INTEGRATION
			edit_layout: Integration
			acl: owner
		ACL
			vname: LBL_LAYOUT_ACL
			edit_layout: ACL
			acl: admin
	scripts
		--
			file: "modules/Users/User.js"
edit
	scripts
		--
			file: "modules/Users/User.js"
hooks
    edit
        --
            class_function: rewrite_onsubmit
basic_filters
	- status
	- hide_portal_only
filters
	hide_portal_only
		default_value: true
		type: flag
		vname: LBL_HIDE_PORTAL_ONLY
		operator: not
		field: portal_only
		hide_fields: true
	any_email
        vname: LBL_ANY_EMAIL
        type: email
		fields
			- email1
			- email2
	any_phone
        vname: LBL_ANY_PHONE
        type: phone
		fields
			- phone_home
			- phone_mobile
			- phone_work
			- phone_other
			- phone_fax
	status
		type: section
		field: status
		vname: LBL_STATUS
		options_function: [User, get_status_options]
		default_value: NotInactive
		filter_clause_source: [User, get_search_status_where]
		required: false
fields
    name_email
    	vname: LBL_NAME_AND_EMAIL
    	source
    		value_function: join_name_email
    		fields: [first_name, last_name, email1, email2, salutation]
    email_matched
        vname: LBL_EMAIL_MATCHED
        type: email
        source
            type: subselect
            class: Email
            function: recipient_matched_email
            file: modules/Emails/Email.php
    home_address
        vname: LBL_HOME_ADDRESS
        type: address
        source
            type: address
            prefix: ""
    estim_hours
        vname: LBL_LIST_ESTIMATED_HOURS
        vname_module: Users
        type: varchar
        widget: ProjectRateInput
        reportable: false
    hourly_cost
        vname: LBL_LIST_HOURLY_COST
        vname_module: Users
        type: varchar
        widget: ProjectRateInput
        reportable: false
    user_skills
    	vname: LBL_USER_SKILLS
    	widget: SkillsWidget
		reportable: false
	default_export_format
		type: enum
		editable: true
		vname: LBL_EXPORT_FORMAT
		vdesc: LBL_EXPORT_FORMAT_DESC
	default_export_charset
		type: enum
		editable: true
		vname: LBL_EXPORT_CHARSET
		vdesc: LBL_EXPORT_CHARSET_DESC
	use_real_names
		type: bool
		editable: true
		vname: LBL_USE_REAL_NAMES
		vdesc: LBL_USE_REAL_NAMES_DESC
	file_download_mode
		options_add_blank: false
		type: enum
		editable: true
		vname: LBL_DOWNLOAD_MODE
		vdesc: LBL_DOWNLOAD_MODE_DESC
		required: true
		default: save
	dateformat
		options_add_blank: false
		type: enum
		editable: true
		vname: LBL_DATE_FORMAT
		vdesc: LBL_DATE_FORMAT_TEXT
		required: true
	timeformat
		options_add_blank: false
		type: enum
		editable: true
		vname: LBL_TIME_FORMAT
		vdesc: LBL_TIME_FORMAT_TEXT
		required: true
	timezone
		type: enum
		editable: true
		vname: LBL_TIMEZONE
		vdesc: LBL_TIMEZONE_TEXT
	currency
		type: enum
		editable: true
		vname: LBL_CURRENCY
		vdesc: LBL_CURRENCY_TEXT
	default_number_format
		type: enum
		editable: true
		vname: LBL_NUMBER_FORMAT
		vdesc: LBL_NUMBER_FORMAT_TEXT
		required: true
		options_add_blank: false
	default_locale_name_format
		type: enum
		editable: true
		required: true
		vname: LBL_LOCALE_DEFAULT_NAME_FORMAT
		vdesc: LBL_LOCALE_NAME_FORMAT_DESC
		options_add_blank: false
		widget: NameFormatInput
	default_address_format
		type: enum
		editable: true
		vname: LBL_ADDRESS_FORMAT
		vdesc: LBL_ADDRESS_FORMAT_DESC
		required: true
		options_add_blank: false
		widget: AddressFormatInput
	user_holidays
		type: enum
		editable: true
		vname: LBL_HOLIDAYS
	week_start_day
		type: enum
		editable: true
		vname: LBL_WEEK_START_DAY
		vdesc: LBL_WEEK_START_DAY_DESC
		required: true
		options: weekdays_long_dom
		options_add_blank: false
	day_begin_hour
		type: enum
		editable: true
		vname: LBL_DAY_BEGIN_HOUR
		vdesc: LBL_DAY_BEGIN_HOUR_DESC
		required: true
		options_add_blank: false
	day_end_hour
		type: enum
		editable: true
		vname: LBL_DAY_END_HOUR
		vdesc: LBL_DAY_END_HOUR_DESC
		required: true
		options_add_blank: false
	mail_fromname
		type: varchar
		len: 150
		editable: true
		vname: LBL_MAIL_FROMNAME
	mail_fromaddress
		type: email
		len: 150
		editable: true
		vname: LBL_MAIL_FROMADDRESS
	mail_autobcc_address
		type: email
		len: 150
		editable: true
		vname: LBL_EMAIL_AUTO_BCC
	calendar_publish_key
		type: varchar
		len:255
		editable: true
		vname: LBL_PUBLISH_KEY
		vdesc: LBL_CHOOSE_A_KEY
	publish_url
		type: varchar
		vname: LBL_YOUR_PUBLISH_URL
	search_url
		type: varchar
		vname: LBL_SEARCH_URL
    subscribe_url
		type: url
		vname: LBL_ICAL_SUBSCRIBE
	contacts_principal_url
		type: url
		vname: LBL_PRINCIPAL_URL
	addressbook_url
		type: url
		vname: LBL_ADDRESSBOOK_URL
	calendar_principal_url
		type: url
		vname: LBL_PRINCIPAL_URL
	calls_calendar_url
		type: url
		vname: LBL_CALLS_CALENDAR_URL
	meetings_calendar_url
		type: url
		vname: LBL_MEETINGS_CALENDAR_URL
	tasks_calendar_url
		type: url
		vname: LBL_TASKS_CALENDAR_URL
	google_status
		type:  varchar
		vname: LBL_GOOGLE_CALENDAR_CONNECT
	google_calendar_id
		type:  varchar
		vname: LBL_GOOGLE_CALENDAR_ID
		editable: true
	google_restrict_since
		editable: true
		type: enum
		len: 10
		vname: LBL_RESTRICT_SINCE
		options_function: [User, get_restrict_options]
		default: 30d
		options_add_blank: false
	google_calendar_id_desc
		type:  varchar
		vname:  ""
		editable: false
	google_calendar_direction
		editable: true
		type:  enum
		vname: LBL_GOOGLE_CALENDAR_SYNC
        options: google_calendar_sync_dom
	google_calendar_meeting
		type:  enum
		vname: LBL_GOOGLE_CALENDAR_MEETING
		editable: true
		options
	google_calendar_call
		type:  enum
		vname: LBL_GOOGLE_CALENDAR_CALL
		editable: true
		options
	google_calendar_task
		type:  enum
		vname: LBL_GOOGLE_CALENDAR_TASK
		editable: true
		options
	google_docs_direction
		type:  enum
		vname: LBL_GOOGLE_DOCS_SYNC
        options: google_docs_sync_dom
		editable: true
	google_docs_spreadsheet
		type:  enum
		vname: LBL_GOOGLE_DOCS_SPREADSHEET
		editable: true
		options
			"": Microsoft Excel
			ods: Open Document
			csv: CSV
	google_docs_doc
		type:  enum
		vname: LBL_GOOGLE_DOCS_DOC
		editable: true
		options
			"": Microsoft Word
			odt: Open Document
			rtf: RTF
	google_docs_presentation
		type:  enum
		vname: LBL_GOOGLE_DOCS_PRESENTATION
		editable: true
		options
			"": Microsoft PowerPoint
			pdf: PDF
	google_contacts_direction
		type:  enum
        options: google_contacts_sync_dom
		vname: LBL_GOOGLE_CONTACTS_SYNC
		editable: true
	google_contacts_which
		type:  enum
		vname: LBL_GOOGLE_CONTACTS_WHICH
		editable: true
		options
	dav_password_edit
		type: password
		editable: true
		vname: LBL_DAV_PASSWORD
		vdesc: LBL_DAV_PASSWORD_DESC
	dav_password_explanation
		type: varchar
		vname: ""
	dav_reset_token
		vname: LBL_RESET_DAV_TOKENS
		vdesc: LBL_RESET_DAV_TOKENS_DESC
		widget: ResetDavTokensWidget
	carddav_contacts_which
		type:  enum
		vname: LBL_CARDDAV_CONTACTS_WHICH
		editable: true
		options
	carddav_create_accounts
		type: bool
		vname: LBL_CARDDAV_CREATE_ACCOUNTS
		editable: true
	calav_meetings
		type:  enum
		vname: LBL_CALDAV_MEETINGS
		editable: true
		options
	caldav_calls
		type:  enum
		vname: LBL_CALDAV_CALLS
		editable: true
		options
	caldav_tasks
		type:  enum
		vname: LBL_CALDAV_TASKS
		editable: true
		options
	caldav_meetings
		type:  enum
		vname: LBL_CALDAV_MEETINGS
		editable: true
		options
	gtm_login
		type: varchar
		vname: LBL_GTM_LOGIN
		editable: true
	gtm_password
		type: password
		vname: LBL_GTM_PASSWORD
		editable: true
	gtm_status
		type:  varchar
		vname: LBL_GTM_CONNECT
	financial_information
		type:  bool
		vname: LBL_PROJECT_CATALOG_MODE
		vdesc: LBL_PROJECT_FINANCIAL
		editable: true
	noncatalog_products
		type:  bool
		vname: LBL_QUOTE_CATALOG_MODE
		vdesc: LBL_NONCATALOG_RPODUCTS
		editable: true
	nonstandard_prices
		type:  bool
		vname: ""
		vdesc: LBL_NONSTANDARD_PRICES
		editable: true
	manual_discounts
		type:  bool
		vname: ""
		vdesc: LBL_MANUAL_DISCOUNTS
		editable: true
	standard_discounts
		type:  bool
		vname: ""
		vdesc: LBL_STANDARD_DISCOUNTS
		editable: true
	product_costs
		type:  bool
		vname: ""
		vdesc: LBL_PRODUCT_COSTS
		editable: true
	password
		type: password
		required: true
		len: 30
		vname: LBL_NEW_PASSWORD1
		editable: true
		check_strength: true
	confirm_password
		type: password
		required: true
		len: 30
		vname: LBL_NEW_PASSWORD2
		editable: true
	reminder_time
		type: reminder
		editable: true
		vname: LBL_REMINDER_TIME
		vdesc: LBL_REMINDER_TIME_TEXT
	show_reminders
		type: bool
		editable: true
		vname: LBL_REMINDER
		vdesc: LBL_REMINDER_TEXT
	signature_id
		type: varchar
		editable: true
		vname: LBL_SIGNATURE
		widget: UserSignatureInput
	signature_prepend
		type: bool
		editable: true
		vname: LBL_SIGNATURE_PREPEND
	email_link_type
		type: enum
		editable: true
		vname: LBL_EMAIL_DEFAULT_CLIENT
		options: dom_email_link_type
	default_email_charset
		type: enum
		editable: true
		vname: LBL_EMAIL_CHARSET
	out_of_office
		type: bool
		editable: true
		vname: LBL_OUT_OF_OFFICE
	email_display_format
		type: enum
		editable: true
		vname: LBL_MAIL_DISPLAY_FORMAT
		required: true
		options_add_blank: false
	email_compose_format
		type: enum
		editable: true
		vname: LBL_MAIL_COMPOSE_FORMAT
		required: true
		options_add_blank: false
	trash_cleanup_age
		type: enum
		editable: true
		vname: LBL_CLEAN_TRASH
		required: true
		options_add_blank: false
	inbox_cleanup_age
		type: enum
		editable: true
		vname: LBL_CLEAN_INBOX
		required: true
		options_add_blank: false
	inbox_assoc_cleanup_age
		type: enum
		editable: true
		vname: LBL_CLEAN_INBOX_ASSOC
		required: true
		options_add_blank: false
	sent_cleanup_age
		type: enum
		editable: true
		vname: LBL_CLEAN_SENT
		required: true
		options_add_blank: false
	sent_assoc_cleanup_age
		type: enum
		editable: true
		vname: LBL_CLEAN_SENT_ASSOC
		required: true
		options_add_blank: false
    show_images
		type: enum
		editable: true
		vname: LBL_MAIL_DISPLAY_IMAGES
	email_sound_disable
		type: bool
		editable: true
		vname: LBL_EMAIL_SOUND_DISABLE
    mail_sendtype
		type: enum
		editable: true
		vname: LBL_MAIL_SENDTYPE
		required: true
		options_add_blank: false
		options: notifymail_sendtype
    mail_smtpserver
		editable: true
		type: hostname
		len: 100
		vname: LBL_MAIL_SMTPSERVER
    mail_smtpport
		editable: true
		type: varchar
		len: 5
		vname: LBL_MAIL_SMTPPORT
    mail_smtpauth_req
		editable: true
		type: enum
		options: smtp_auth_type
		options_add_blank: false
		vname: LBL_MAIL_SMTPAUTH_REQ
    mail_smtpsecurity
		editable: true
		type: enum
		options: smtp_security_dom
		vname: LBL_MAIL_SMTPSECURITY
    mail_smtpuser
		editable: true
		type: varchar
		len: 100
		vname: LBL_MAIL_SMTPUSER
		prevent_autofill: true
    mail_smtppass
		editable: true
		type: password
		len: 100
		vname: LBL_MAIL_SMTPPASS
		prevent_autofill: true
	mail_smtp_verification
		vname: LBL_CERTIFICATE_VERIFY
		type: enum
		len: 40
		options: dom_smtp_ssl_verify
		editable: true
	dropbox_auth_token
		editable: true
		vname: LBL_DROPBOX_AUTH_TOKEN
		vdesc: LBL_DROPBOX_AUTH_TOKEN_DESC
		type: password
		len: 255
		width: 15
		widget: DropboxAuthInput
	o365_auth_token
		editable: true
		vname: LBL_O365_AUTH_TOKEN
		type: password
		len: 255
		width: 15
		widget: EmailAuthInput
		email_service_field: mail_smtpauth_req
	o365_auth_token_desc
		editable: true
		type: varchar
		widget: EmailAuthInput
	google_access_token
		editable: true
		vname: LBL_GOOGLE_AUTH_TOKEN
		type: password
		len: 255
		width: 15
		widget: GoogleAuthInput
	dropbox_auth_status
		editable: false
		vname: LBL_DROPBOX_AUTH_STATUS
		type: varchar
		len: 255
	google_auth_status
		editable: false
		vname: LBL_GOOGLE_AUTH_STATUS
		type: varchar
		len: 255
    social_icons
		widget: SocialIconsWidget
	ringcentral_number_direct
		type: varchar
		editable: true
		vname: LBL_RINGCENTRAL_NUMBER_DIRECT
	ringcentral_press_one
		type: bool
		editable: true
		vname: LBL_RINGCENTRAL_PRESS_ONE
	ringcentral_expand
		type: bool
		editable: true
		vname: LBL_RINGCENTRAL_EXPAND
	mobile_calls
		type: enum
		options: mobile_calls_type_dom
		options_add_blank: false
		default: system
		editable: true
		vname: LBL_MOBILE_CALLS
	email_setup
		type: varchar
		editable: true
		vname: ""
		widget: EmailAccountSetupWidget
	hide_tabs
		type: varchar
		editable: true
		vname: LBL_HIDE_TABS
		vdesc: LBL_CHOOSE_WHICH
		widget: ModuleOrderInput
	max_tabs
		type: int
		editable: true
		vname: LBL_MAX_TAB
		vdesc: LBL_MAX_TAB_DESCRIPTION
		size: 3
	max_subtabs
		type: int
		editable: true
		vname: LBL_MAX_SUBTAB
		vdesc: LBL_MAX_SUBTAB_DESCRIPTION
		size: 3
	swap_last_viewed
		type: bool
		editable: true
		vname: LBL_SWAP_LAST_VIEWED_POSITION
		vdesc: LBL_SWAP_LAST_VIEWED_DESCRIPTION
	swap_shortcuts
		type: bool
		editable: true
		vname: LBL_SWAP_SHORTCUT_POSITION
		vdesc: LBL_SWAP_SHORTCUT_DESCRIPTION
	navigation_paradigm
		type: enum
		editable: true
		required: true
		options: navigation_paradigms
		vname: LBL_NAVIGATION_PARADIGM
		vdesc: LBL_NAVIGATION_PARADIGM_DESCRIPTION
	show_footer_module_links
		type: bool
		editable: true
		vname: LBL_SHOW_FOOTER_LINKS
		vdesc: LBL_SHOW_FOOTER_LINKS_DESCRIPTION
	zapier_templates
		editable: false
		vname: ""
		type: varchar
		widget: ZapierTemplatesWidget
    multi_fa_settings
        vname: LBL_MULTI_FA
        widget: MultiFactorAuthWidget
    multi_fa_description
        widget: MultiFactorAuthWidget
widgets
	ZapierTemplatesWidget
		type: section
		path: modules/Users/widgets/ZapierTemplatesWidget.php
	EmailAccountSetupWidget
		type: field
		path: modules/Users/widgets/EmailAccountSetupWidget.php
	UserSignatureInput
		type: field
		path: modules/Users/widgets/UserSignatureInput.php
	UserInfoWidget
		type: section
		path: modules/Users/widgets/UserInfoWidget.php
    ProjectRateInput
        type: column
		path: modules/Users/widgets/ProjectRateInput.php
	GoogleAuthInput
		type: field
		path: modules/Users/widgets/GoogleAuthInput.php
	ModuleOrderInput
		type: field
		path: modules/Users/widgets/ModuleOrderInput.php
    MultiFactorAuthWidget
        type: field
        path: modules/Users/widgets/MultiFactorAuthWidget.php
	ResetDavTokensWidget
		type: field
		path: modules/Users/widgets/ResetDavTokensWidget.php
notify
	messages
		recover

