<?php

require_once('include/layout/forms/FormElement.php');

class EmailAccountSetupWidget extends FormElement {
	function renderHtml(HtmlFormGenerator $gen, $row_result, array $parents, array $context) {
		if (!$gen->getLayout()->getDefaultEditable())
			return '';
		$attribs = array(
			'id' => 'EmailAccountSetupWidget',
			'name' => $this->name,
			'type' => 'button',
			'icon' => 'EmailSetupWizard',
			//'class' => $cls,
			//'style' => $button->style,
			//'tabindex' => $button->tabindex,
			'onclick' => '(new EmailSetupWizard(this.form)).run(email_account_wizard_return); return false;',
		);
		$attribs['label'] = translate('LBL_QUICK_EMAIL_SETUP', 'Users');
		return EditableForm::render_button($attribs);
	}
}

