<?php
    $colorschemeDir = './themes/'.$pageInstance->theme.'/colorschemes';
    $colorschemeFiles = scandir($colorschemeDir);
    $colorschemes = Array();
    foreach ($colorschemeFiles as $filename){
        if (substr($filename, -5) == '.json'){
        	$id = substr($filename, 0, -5);
            $fileContents = file_get_contents($colorschemeDir .'/' . $filename);
            $scheme = get_object_vars(json_decode($fileContents));
            $scheme['swatchStyle'] =
                'color: ' . $scheme['main'] . ';' .
                'background-color: ' . $scheme['invert'];
            $scheme['invertStyle'] =
                'color: ' . $scheme['invert'] . ';' .
                'background-color: ' . $scheme['main'];
            $scheme['id'] = $id;
            array_push($colorschemes, $scheme);
        }
    }
    include('template-modal.php');
?>
