<?php
/* not for production use: this bends the css paths away from the 'Default' theme directory */
function hackCssPaths($tpl_vars) {
    $html = $tpl_vars['HEADER_INCLUDES'];
    $html = str_replace ( '/Default/' , '/Blank/' , $html ); // bend paths to this theme directory
    $html = str_replace ( 'modules/Calendar/calendar.css' , 'themes/Blank/calendar.css' , $html );  // bend calendar style url
    $html = str_replace ( '<style','<!--',$html ); // comment out injected login styles
    $html = str_replace ( '</style>','-->',$html );
    // remove out ui.css, calendar.css, theme-icons.css, print-icons.css, icons.css references
    $exploded = explode("\n", $html);
    $filteredRefs = Array();
    $banned = Array("theme-icons.css", "print-icons.css", "icons.css", "calendar.css", "ui.css");

    foreach($exploded as $reference){
        // do not push if any of the banned is found inside reference
        $bannedFound = false;
        foreach($banned as $string)
        {
            if(strpos($reference, $string) !== false)
            {
                $bannedFound = true;
            }

        }

        if(!$bannedFound)
            array_push($filteredRefs,$reference);
    }
    $filteredHtml = implode(PHP_EOL,$filteredRefs);
    echo $filteredHtml;
    return;
}


// extract class name from module name for use in tabbed navigation
function moduleToClassName($moduleString){

    //trim LBL_TABGROUP prefix
    $classname = substr($moduleString, 13);
    $classname = strtolower($classname);

    //css-conventionalize
    $classname = str_replace('_','-',$classname);
    return $classname;
}

// pretty self-explanatory
function totalTabCount($tpl_vars){
     return is_countable($tpl_vars['module_tabs']['tabs']) ? count($tpl_vars['module_tabs']['tabs']) : 0;
}

// build the url of a history item
function buildUrl($history_item){
    $url = 'index.php?module=' . $history_item['module_name'] . '&action=DetailView&record=' . $history_item['item_id'];
    /* index.php?module=Reports&action=DetailView&record=647263f61abbc7415dfbd3e8d7e16d83 */
    return $url;
}

