<?php
if(!defined('sugarEntry') || !sugarEntry) die('Not A Valid Entry Point');
/*********************************************************************************
 * The contents of this file are subject to the SugarCRM Public License Version
 * 1.1.3 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.sugarcrm.com/SPL
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * All copies of the Covered Code must include on each user interface screen:
 *    (i) the "Powered by SugarCRM" logo and
 *    (ii) the SugarCRM copyright notice
 * in the same form as they appear in the distribution.  See full license for
 * requirements.
 *
 * The Original Code is: SugarCRM Open Source
 * The Initial Developer of the Original Code is SugarCRM, Inc.
 * Portions created by SugarCRM are Copyright (C) 2004-2005 SugarCRM, Inc.;
 * All Rights Reserved.
 * Contributor(s): The Long Reach Corporation
 *                 http://www.thelongreach.com
 ********************************************************************************/
/*********************************************************************************
 * $Id: footer.php 6072 2009-05-12 02:37:06Z andrew $
 * Description:  Contains a variety of utility functions used to display UI
 * components such as form headers and footers.  Intended to be modified on a per
 * theme basis.
 ********************************************************************************/
global $app_strings;

global $theme;
require("themes/$theme/config.php");
?>
<!--end body panes-->
</td>
</tr>
</table>
</td>
</tr>
<tr>
    <td colspan="3" align="center" class="footer">
	<?php 
if(!empty($current_user->id) && $GLOBALS['locale']->getPrecedentPreference('show_footer_module_links')){
	$numTabs = count ($modListHeader);
	$i=1;
	echo '<hr width="80%" size="1" class="footerHR">';
	foreach($modListHeader as $module_name=>$module_val) {
		?>
		<a href="index.php?module=<?php echo $module_name; ?>&action=index" class="footerLink"><?php echo translate('LBL_MODULE_TITLE', $module_name); ?></a><?php 
		if ($i > $numTabs-1 or $i % $max_horiz_links == 0) echo "";
		else echo " | ";
		if ($i % $max_horiz_links == 0) echo '<br>';
	$i++;
	}
}
?>
	  <hr width="80%" size="1" class="footerHR">
	  </td>
</tr>
</table>

