/* this and menu.js are somewhat redundant.. */

var currentPopup, currentPopupRow, hiddenElts = [], popupTimer = null;

popupTimer = 0;

function getPos(elt) {
	var pos = {'left': 0, 'top': 0, 'width': elt.offsetWidth, 'height': elt.offsetHeight};
	while(elt && elt.tagName != "BODY") {
		pos.left += elt.offsetLeft;
		pos.top += elt.offsetTop;
		elt = elt.offsetParent;
	}
	pos.right = pos.left + pos.width;
	pos.bottom = pos.top + pos.height;
	return pos;
}

function showPopup(evt, id) {
	hidePopup();
	if(currentPopupRow)
		currentPopupRow.className = 'popupMenuRow';
	currentPopup = document.getElementById(id);
	currentPopup.onmouseout = function(event) {
		if(!event) event = window.event;
		clearTimeout(popupTimer);
		popupTimer = setTimeout('hidePopup()', 200);
	};
	currentPopup.onmouseover = function(event) {
		if(!event) event = window.event;
		if(currentPopup)
			clearTimeout(popupTimer);
		var tg = event.target || event.srcElement;
		if(tg.tagName == 'A')
			tg = tg.offsetParent;
		if(tg.className == 'popupMenuRow') {
			if(currentPopupRow)
				currentPopupRow.className = 'popupMenuRow';
			tg.className = 'popupMenuRow over';
			currentPopupRow = tg;
		}
	};
	var tg = evt.target || evt.srcElement;
	while(tg.nodeName != 'DIV')
		tg = tg.parentNode;
	tg.onmouseout = currentPopup.onmouseout;
	var pos = getPos(tg);
	currentPopup.style.left = pos.left + 'px';
	currentPopup.style.top = (pos.top+1) + 'px';
	currentPopup.style.display = 'block';
	hideCoveredElements();
}

function hideCoveredElements() {
	popup = getPos(currentPopup);
	hiddenElts = [];
	var elts = document.getElementsByTagName("SELECT");
	for(var idx = 0; idx < elts.length; idx++) {
		var elt = getPos(elts[idx]);
		if(! (popup.left > elt.right || popup.right < elt.left || popup.top > elt.bottom || popup.bottom < elt.top) ) {
			hiddenElts[hiddenElts.length] = elts[idx];
			elts[idx]._old_visib = elts[idx].style.visibility;
			elts[idx].style.visibility = 'hidden';
		}
	}
}

function hidePopup() {
	if(currentPopup) {
		currentPopup.style.display = 'none';
		clearTimeout(popupTimer);
		for(var idx = 0; idx < hiddenElts.length; idx++)
			hiddenElts[idx].style.visibility = hiddenElts[idx]._old_visib;
		hiddenElts = [];
	}
}
